
# Data Propagation Report

- **STAT1** : Number of instructions that hit unique coverpoints and update the signature.
- **STAT2** : Number of instructions that hit covepoints which are not unique but still update the signature
- **STAT3** : Number of instructions that hit a unique coverpoint but do not update signature
- **STAT4** : Number of multiple signature updates for the same coverpoint
- **STAT5** : Number of times the signature was overwritten

| Param                     | Value    |
|---------------------------|----------|
| XLEN                      | 32      |
| TEST_REGION               | [('0x800000f8', '0x80002d30')]      |
| SIG_REGION                | [('0x80004010', '0x80004930', '584 words')]      |
| COV_LABELS                | cxor      |
| TEST_NAME                 | /scratch/git-repo/incoresemi/riscof/riscof_work/cxor-01.S/cxor-01.S    |
| Total Number of coverpoints| 643     |
| Total Coverpoints Hit     | 643      |
| Total Signature Updates   | 583      |
| STAT1                     | 581      |
| STAT2                     | 2      |
| STAT3                     | 0     |
| STAT4                     | 0     |
| STAT5                     | 0     |

## Details for STAT2:

```
Op without unique coverpoint updates Signature
 -- Code Sequence:
      [0x80000248]:c.xor a0, a1
      [0x8000024a]:sw a0, 80(ra)
 -- Signature Address: 0x80004060 Data: 0xAAAA2AAB
 -- Redundant Coverpoints hit by the op
      - opcode : c.xor
      - rs1 : x10
      - rs2 : x11
      - rs1 != rs2
      - rs2_val > 0
      - rs2_val == 32768




Op without unique coverpoint updates Signature
 -- Code Sequence:
      [0x80002d20]:c.xor a0, a1
      [0x80002d22]:sw a0, 280(ra)
 -- Signature Address: 0x80004928 Data: 0x00008000
 -- Redundant Coverpoints hit by the op
      - opcode : c.xor
      - rs1 : x10
      - rs2 : x11
      - rs1 != rs2
      - rs2_val == 0
      - rs1_val == 32768






```

## Details of STAT3

```


```

## Details of STAT4:

```

```

## Details of STAT5:



## Details of STAT1:

- The first column indicates the signature address and the data at that location in hexadecimal in the following format: 
  ```
  [Address]
  Data
  ```

- The second column captures all the coverpoints which have been captured by that particular signature location

- The third column captures all the insrtuctions since the time a coverpoint was
  hit to the point when a store to the signature was performed. Each line has
  the following format:
  ```
  [PC of instruction] : mnemonic
  ```
- The order in the table is based on the order of signatures occuring in the
  test. These need not necessarily be in increasing or decreasing order of the
  address in the signature region.

|s.no|        signature         |                                                                     coverpoints                                                                     |                             code                              |
|---:|--------------------------|-----------------------------------------------------------------------------------------------------------------------------------------------------|---------------------------------------------------------------|
|   1|[0x80004010]<br>0x80000005|- opcode : c.xor<br> - rs1 : x10<br> - rs2 : x14<br> - rs1 != rs2<br> - rs2_val == (-2**(xlen-1))<br> - rs2_val < 0<br> - rs2_val == -2147483648<br> |[0x80000108]:c.xor a0, a4<br> [0x8000010a]:sw a0, 0(ra)<br>    |
|   2|[0x80004014]<br>0x00000000|- rs1 : x9<br> - rs2 : x9<br> - rs1 == rs2<br> - rs2_val > 0<br> - rs2_val == 32768<br> - rs1_val == 32768<br>                                       |[0x80000116]:c.xor s1, s1<br> [0x80000118]:sw s1, 4(ra)<br>    |
|   3|[0x80004018]<br>0x80000003|- rs1 : x12<br> - rs2 : x15<br> - rs2_val == (2**(xlen-1)-1)<br> - rs2_val == 2147483647<br>                                                         |[0x80000128]:c.xor a2, a5<br> [0x8000012a]:sw a2, 8(ra)<br>    |
|   4|[0x8000401c]<br>0x00000007|- rs1 : x15<br> - rs2 : x13<br> - rs2_val == 1<br>                                                                                                   |[0x80000136]:c.xor a5, a3<br> [0x80000138]:sw a5, 12(ra)<br>   |
|   5|[0x80004020]<br>0x7FFF4AFC|- rs1 : x8<br> - rs2 : x12<br> - rs1_val == (-2**(xlen-1))<br> - rs1_val == -2147483648<br>                                                          |[0x80000148]:c.xor s0, a2<br> [0x8000014a]:sw fp, 16(ra)<br>   |
|   6|[0x80004024]<br>0x00000400|- rs1 : x14<br> - rs2 : x10<br> - rs1_val == 0<br> - rs2_val == 1024<br>                                                                             |[0x80000156]:c.xor a4, a0<br> [0x80000158]:sw a4, 20(ra)<br>   |
|   7|[0x80004028]<br>0x7FFFFFF9|- rs1 : x11<br> - rs2 : x8<br> - rs1_val == (2**(xlen-1)-1)<br> - rs1_val == 2147483647<br>                                                          |[0x80000168]:c.xor a1, s0<br> [0x8000016a]:sw a1, 24(ra)<br>   |
|   8|[0x8000402c]<br>0x00000041|- rs1 : x13<br> - rs2 : x11<br> - rs1_val == 1<br> - rs2_val == 64<br>                                                                               |[0x80000176]:c.xor a3, a1<br> [0x80000178]:sw a3, 28(ra)<br>   |
|   9|[0x80004030]<br>0xFFFFFFF9|- rs2_val == 2<br> - rs1_val == -5<br>                                                                                                               |[0x80000184]:c.xor a0, a1<br> [0x80000186]:sw a0, 32(ra)<br>   |
|  10|[0x80004034]<br>0xAAAAAAAE|- rs2_val == 4<br> - rs1_val == -1431655766<br> - rs1_val==-1431655766 and rs2_val==4<br>                                                            |[0x80000196]:c.xor a0, a1<br> [0x80000198]:sw a0, 36(ra)<br>   |
|  11|[0x80004038]<br>0x00000808|- rs2_val == 8<br> - rs1_val == 2048<br>                                                                                                             |[0x800001a8]:c.xor a0, a1<br> [0x800001aa]:sw a0, 40(ra)<br>   |
|  12|[0x8000403c]<br>0xFFFF7FEF|- rs2_val == 16<br> - rs1_val == -32769<br>                                                                                                          |[0x800001ba]:c.xor a0, a1<br> [0x800001bc]:sw a0, 44(ra)<br>   |
|  13|[0x80004040]<br>0x10000020|- rs2_val == 32<br> - rs1_val == 268435456<br>                                                                                                       |[0x800001c8]:c.xor a0, a1<br> [0x800001ca]:sw a0, 48(ra)<br>   |
|  14|[0x80004044]<br>0xFFBFFF7F|- rs2_val == 128<br> - rs1_val == -4194305<br>                                                                                                       |[0x800001da]:c.xor a0, a1<br> [0x800001dc]:sw a0, 52(ra)<br>   |
|  15|[0x80004048]<br>0x20000100|- rs2_val == 256<br> - rs1_val == 536870912<br>                                                                                                      |[0x800001e8]:c.xor a0, a1<br> [0x800001ea]:sw a0, 56(ra)<br>   |
|  16|[0x8000404c]<br>0xFFFFFDDF|- rs2_val == 512<br> - rs1_val == -33<br>                                                                                                            |[0x800001f6]:c.xor a0, a1<br> [0x800001f8]:sw a0, 60(ra)<br>   |
|  17|[0x80004050]<br>0xFBFFF7FF|- rs2_val == 2048<br> - rs1_val == -67108865<br>                                                                                                     |[0x8000020c]:c.xor a0, a1<br> [0x8000020e]:sw a0, 64(ra)<br>   |
|  18|[0x80004054]<br>0xFFFFEFF8|- rs2_val == 4096<br>                                                                                                                                |[0x8000021a]:c.xor a0, a1<br> [0x8000021c]:sw a0, 68(ra)<br>   |
|  19|[0x80004058]<br>0x80002000|- rs2_val == 8192<br>                                                                                                                                |[0x80000228]:c.xor a0, a1<br> [0x8000022a]:sw a0, 72(ra)<br>   |
|  20|[0x8000405c]<br>0xFFFFBFFE|- rs2_val == 16384<br> - rs1_val == -2<br>                                                                                                           |[0x80000236]:c.xor a0, a1<br> [0x80000238]:sw a0, 76(ra)<br>   |
|  21|[0x80004064]<br>0x55545554|- rs2_val == 65536<br>                                                                                                                               |[0x8000025a]:c.xor a0, a1<br> [0x8000025c]:sw a0, 84(ra)<br>   |
|  22|[0x80004068]<br>0x66646665|- rs2_val == 131072<br>                                                                                                                              |[0x8000026c]:c.xor a0, a1<br> [0x8000026e]:sw a0, 88(ra)<br>   |
|  23|[0x8000406c]<br>0x66626667|- rs2_val == 262144<br>                                                                                                                              |[0x8000027e]:c.xor a0, a1<br> [0x80000280]:sw a0, 92(ra)<br>   |
|  24|[0x80004070]<br>0xFFFFFFFF|- rs2_val == 524288<br> - rs1_val == -524289<br>                                                                                                     |[0x80000290]:c.xor a0, a1<br> [0x80000292]:sw a0, 96(ra)<br>   |
|  25|[0x80004074]<br>0xFFE7FFFF|- rs2_val == 1048576<br>                                                                                                                             |[0x800002a2]:c.xor a0, a1<br> [0x800002a4]:sw a0, 100(ra)<br>  |
|  26|[0x80004078]<br>0x00200005|- rs2_val == 2097152<br>                                                                                                                             |[0x800002b0]:c.xor a0, a1<br> [0x800002b2]:sw a0, 104(ra)<br>  |
|  27|[0x8000407c]<br>0xFFFFFFFF|- rs2_val == 4194304<br>                                                                                                                             |[0x800002c2]:c.xor a0, a1<br> [0x800002c4]:sw a0, 108(ra)<br>  |
|  28|[0x80004080]<br>0x00800200|- rs2_val == 8388608<br> - rs1_val == 512<br>                                                                                                        |[0x800002d0]:c.xor a0, a1<br> [0x800002d2]:sw a0, 112(ra)<br>  |
|  29|[0x80004084]<br>0xFEFFFFF6|- rs2_val == 16777216<br>                                                                                                                            |[0x800002de]:c.xor a0, a1<br> [0x800002e0]:sw a0, 116(ra)<br>  |
|  30|[0x80004088]<br>0x57555554|- rs2_val == 33554432<br>                                                                                                                            |[0x800002f0]:c.xor a0, a1<br> [0x800002f2]:sw a0, 120(ra)<br>  |
|  31|[0x8000408c]<br>0xFBFFFDFF|- rs2_val == 67108864<br> - rs1_val == -513<br>                                                                                                      |[0x800002fe]:c.xor a0, a1<br> [0x80000300]:sw a0, 124(ra)<br>  |
|  32|[0x80004090]<br>0xF7FFFFBF|- rs2_val == 134217728<br> - rs1_val == -65<br>                                                                                                      |[0x8000030c]:c.xor a0, a1<br> [0x8000030e]:sw a0, 128(ra)<br>  |
|  33|[0x80004094]<br>0x10004000|- rs2_val == 268435456<br> - rs1_val == 16384<br>                                                                                                    |[0x8000031a]:c.xor a0, a1<br> [0x8000031c]:sw a0, 132(ra)<br>  |
|  34|[0x80004098]<br>0x20000000|- rs2_val == 536870912<br>                                                                                                                           |[0x80000328]:c.xor a0, a1<br> [0x8000032a]:sw a0, 136(ra)<br>  |
|  35|[0x8000409c]<br>0x4000B504|- rs2_val == 1073741824<br>                                                                                                                          |[0x8000033a]:c.xor a0, a1<br> [0x8000033c]:sw a0, 140(ra)<br>  |
|  36|[0x800040a0]<br>0xFFFF4AFB|- rs2_val == -2<br>                                                                                                                                  |[0x8000034c]:c.xor a0, a1<br> [0x8000034e]:sw a0, 144(ra)<br>  |
|  37|[0x800040a4]<br>0xC0000002|- rs2_val == -3<br>                                                                                                                                  |[0x8000035e]:c.xor a0, a1<br> [0x80000360]:sw a0, 148(ra)<br>  |
|  38|[0x800040a8]<br>0x00000104|- rs2_val == -5<br> - rs1_val == -257<br>                                                                                                            |[0x8000036c]:c.xor a0, a1<br> [0x8000036e]:sw a0, 152(ra)<br>  |
|  39|[0x800040ac]<br>0xFFFEFFF7|- rs2_val == -9<br> - rs1_val == 65536<br>                                                                                                           |[0x8000037a]:c.xor a0, a1<br> [0x8000037c]:sw a0, 156(ra)<br>  |
|  40|[0x800040b0]<br>0xF7FFFFEF|- rs2_val == -17<br> - rs1_val == 134217728<br>                                                                                                      |[0x80000388]:c.xor a0, a1<br> [0x8000038a]:sw a0, 160(ra)<br>  |
|  41|[0x800040b4]<br>0x55555574|- rs2_val == -33<br>                                                                                                                                 |[0x8000039a]:c.xor a0, a1<br> [0x8000039c]:sw a0, 164(ra)<br>  |
|  42|[0x800040b8]<br>0xFFFFFFB9|- rs2_val == -65<br>                                                                                                                                 |[0x800003a8]:c.xor a0, a1<br> [0x800003aa]:sw a0, 168(ra)<br>  |
|  43|[0x800040bc]<br>0x000000A0|- rs2_val == -129<br>                                                                                                                                |[0x800003b6]:c.xor a0, a1<br> [0x800003b8]:sw a0, 172(ra)<br>  |
|  44|[0x800040c0]<br>0xFFFFFEFF|- rs2_val == -257<br>                                                                                                                                |[0x800003c4]:c.xor a0, a1<br> [0x800003c6]:sw a0, 176(ra)<br>  |
|  45|[0x800040c4]<br>0x0000B702|- rs2_val == -513<br>                                                                                                                                |[0x800003d6]:c.xor a0, a1<br> [0x800003d8]:sw a0, 180(ra)<br>  |
|  46|[0x800040c8]<br>0x00040400|- rs2_val == -1025<br> - rs1_val == -262145<br>                                                                                                      |[0x800003e8]:c.xor a0, a1<br> [0x800003ea]:sw a0, 184(ra)<br>  |
|  47|[0x800040cc]<br>0xFBFFF7FF|- rs2_val == -2049<br> - rs1_val == 67108864<br>                                                                                                     |[0x800003fa]:c.xor a0, a1<br> [0x800003fc]:sw a0, 188(ra)<br>  |
|  48|[0x800040d0]<br>0x7FFFEFFF|- rs2_val == -4097<br>                                                                                                                               |[0x8000040c]:c.xor a0, a1<br> [0x8000040e]:sw a0, 192(ra)<br>  |
|  49|[0x800040d4]<br>0xFFFFDFFD|- rs2_val == -8193<br> - rs1_val == 2<br>                                                                                                            |[0x8000041e]:c.xor a0, a1<br> [0x80000420]:sw a0, 196(ra)<br>  |
|  50|[0x800040d8]<br>0xBFFFBFFF|- rs2_val == -16385<br> - rs1_val == 1073741824<br>                                                                                                  |[0x80000430]:c.xor a0, a1<br> [0x80000432]:sw a0, 200(ra)<br>  |
|  51|[0x800040dc]<br>0x02008000|- rs2_val == -32769<br> - rs1_val == -33554433<br>                                                                                                   |[0x80000446]:c.xor a0, a1<br> [0x80000448]:sw a0, 204(ra)<br>  |
|  52|[0x800040e0]<br>0x00010005|- rs2_val == -65537<br>                                                                                                                              |[0x80000458]:c.xor a0, a1<br> [0x8000045a]:sw a0, 208(ra)<br>  |
|  53|[0x800040e4]<br>0x20020000|- rs2_val == -131073<br> - rs1_val == -536870913<br>                                                                                                 |[0x8000046e]:c.xor a0, a1<br> [0x80000470]:sw a0, 212(ra)<br>  |
|  54|[0x800040e8]<br>0x000C0000|- rs2_val == -262145<br>                                                                                                                             |[0x80000484]:c.xor a0, a1<br> [0x80000486]:sw a0, 216(ra)<br>  |
|  55|[0x800040ec]<br>0xFFE7FFFF|- rs2_val == -524289<br> - rs1_val == 1048576<br>                                                                                                    |[0x80000496]:c.xor a0, a1<br> [0x80000498]:sw a0, 220(ra)<br>  |
|  56|[0x800040f0]<br>0xDFEFFFFF|- rs2_val == -1048577<br>                                                                                                                            |[0x800004a8]:c.xor a0, a1<br> [0x800004aa]:sw a0, 224(ra)<br>  |
|  57|[0x800040f4]<br>0xFFDBFFFF|- rs2_val == -2097153<br> - rs1_val == 262144<br>                                                                                                    |[0x800004ba]:c.xor a0, a1<br> [0x800004bc]:sw a0, 228(ra)<br>  |
|  58|[0x800040f8]<br>0xCC8CCCCD|- rs2_val == -4194305<br>                                                                                                                            |[0x800004d0]:c.xor a0, a1<br> [0x800004d2]:sw a0, 232(ra)<br>  |
|  59|[0x800040fc]<br>0xFF7FFFDF|- rs2_val == -8388609<br> - rs1_val == 32<br>                                                                                                        |[0x800004e2]:c.xor a0, a1<br> [0x800004e4]:sw a0, 236(ra)<br>  |
|  60|[0x80004100]<br>0x01200000|- rs2_val == -16777217<br> - rs1_val == -2097153<br>                                                                                                 |[0x800004f8]:c.xor a0, a1<br> [0x800004fa]:sw a0, 240(ra)<br>  |
|  61|[0x80004104]<br>0xCECCCCCD|- rs2_val == -33554433<br>                                                                                                                           |[0x8000050e]:c.xor a0, a1<br> [0x80000510]:sw a0, 244(ra)<br>  |
|  62|[0x80004108]<br>0x04001000|- rs2_val == -67108865<br> - rs1_val == -4097<br>                                                                                                    |[0x80000524]:c.xor a0, a1<br> [0x80000526]:sw a0, 248(ra)<br>  |
|  63|[0x8000410c]<br>0xF7FDFFFF|- rs2_val == -134217729<br> - rs1_val == 131072<br>                                                                                                  |[0x80000536]:c.xor a0, a1<br> [0x80000538]:sw a0, 252(ra)<br>  |
|  64|[0x80004110]<br>0xEFFFFFDF|- rs2_val == -268435457<br>                                                                                                                          |[0x80000548]:c.xor a0, a1<br> [0x8000054a]:sw a0, 256(ra)<br>  |
|  65|[0x80004114]<br>0xDFDFFFFF|- rs2_val == -536870913<br> - rs1_val == 2097152<br>                                                                                                 |[0x8000055a]:c.xor a0, a1<br> [0x8000055c]:sw a0, 260(ra)<br>  |
|  66|[0x80004118]<br>0xBFFFFFFF|- rs2_val == -1073741825<br>                                                                                                                         |[0x8000056c]:c.xor a0, a1<br> [0x8000056e]:sw a0, 264(ra)<br>  |
|  67|[0x8000411c]<br>0x2AAAAAAA|- rs2_val == 1431655765<br>                                                                                                                          |[0x80000582]:c.xor a0, a1<br> [0x80000584]:sw a0, 268(ra)<br>  |
|  68|[0x80004120]<br>0xAAEAAAAA|- rs2_val == -1431655766<br> - rs1_val == 4194304<br>                                                                                                |[0x80000594]:c.xor a0, a1<br> [0x80000596]:sw a0, 272(ra)<br>  |
|  69|[0x80004124]<br>0x00002004|- rs1_val == 4<br>                                                                                                                                   |[0x800005a2]:c.xor a0, a1<br> [0x800005a4]:sw a0, 276(ra)<br>  |
|  70|[0x80004128]<br>0x00020008|- rs1_val == 8<br>                                                                                                                                   |[0x800005b0]:c.xor a0, a1<br> [0x800005b2]:sw a0, 280(ra)<br>  |
|  71|[0x8000412c]<br>0x00000110|- rs1_val == 16<br>                                                                                                                                  |[0x800005be]:c.xor a0, a1<br> [0x800005c0]:sw a0, 284(ra)<br>  |
|  72|[0x80004130]<br>0xFFFFFBBF|- rs1_val == 64<br>                                                                                                                                  |[0x800005cc]:c.xor a0, a1<br> [0x800005ce]:sw a0, 288(ra)<br>  |
|  73|[0x80004134]<br>0xBFFFFF7F|- rs1_val == 128<br>                                                                                                                                 |[0x800005de]:c.xor a0, a1<br> [0x800005e0]:sw a0, 292(ra)<br>  |
|  74|[0x80004138]<br>0x04000100|- rs1_val == 256<br>                                                                                                                                 |[0x800005ec]:c.xor a0, a1<br> [0x800005ee]:sw a0, 296(ra)<br>  |
|  75|[0x8000413c]<br>0xEFFFFBFF|- rs1_val == 1024<br>                                                                                                                                |[0x800005fe]:c.xor a0, a1<br> [0x80000600]:sw a0, 300(ra)<br>  |
|  76|[0x80004140]<br>0x00001020|- rs1_val == 4096<br>                                                                                                                                |[0x8000060c]:c.xor a0, a1<br> [0x8000060e]:sw a0, 304(ra)<br>  |
|  77|[0x80004144]<br>0x00002005|- rs1_val == 8192<br>                                                                                                                                |[0x8000061a]:c.xor a0, a1<br> [0x8000061c]:sw a0, 308(ra)<br>  |
|  78|[0x80004148]<br>0xFEF7FFFF|- rs1_val == 524288<br>                                                                                                                              |[0x8000062c]:c.xor a0, a1<br> [0x8000062e]:sw a0, 312(ra)<br>  |
|  79|[0x8000414c]<br>0xFD7FFFFF|- rs1_val == 8388608<br>                                                                                                                             |[0x8000063e]:c.xor a0, a1<br> [0x80000640]:sw a0, 316(ra)<br>  |
|  80|[0x80004150]<br>0xFEEFFFFF|- rs1_val == 16777216<br>                                                                                                                            |[0x80000650]:c.xor a0, a1<br> [0x80000652]:sw a0, 320(ra)<br>  |
|  81|[0x80004154]<br>0xFDFFFFF9|- rs1_val == 33554432<br>                                                                                                                            |[0x8000065e]:c.xor a0, a1<br> [0x80000660]:sw a0, 324(ra)<br>  |
|  82|[0x80004158]<br>0x00100002|- rs1_val == -3<br>                                                                                                                                  |[0x80000670]:c.xor a0, a1<br> [0x80000672]:sw a0, 328(ra)<br>  |
|  83|[0x8000415c]<br>0x00000208|- rs1_val == -9<br>                                                                                                                                  |[0x8000067e]:c.xor a0, a1<br> [0x80000680]:sw a0, 332(ra)<br>  |
|  84|[0x80004160]<br>0x00010010|- rs1_val == -17<br>                                                                                                                                 |[0x80000690]:c.xor a0, a1<br> [0x80000692]:sw a0, 336(ra)<br>  |
|  85|[0x80004164]<br>0xFFFFFF7D|- rs1_val == -129<br>                                                                                                                                |[0x8000069e]:c.xor a0, a1<br> [0x800006a0]:sw a0, 340(ra)<br>  |
|  86|[0x80004168]<br>0x20000400|- rs1_val == -1025<br>                                                                                                                               |[0x800006b0]:c.xor a0, a1<br> [0x800006b2]:sw a0, 344(ra)<br>  |
|  87|[0x8000416c]<br>0xFFDFF7FF|- rs1_val == -2049<br>                                                                                                                               |[0x800006c2]:c.xor a0, a1<br> [0x800006c4]:sw a0, 348(ra)<br>  |
|  88|[0x80004170]<br>0x00022000|- rs1_val == -8193<br>                                                                                                                               |[0x800006d8]:c.xor a0, a1<br> [0x800006da]:sw a0, 352(ra)<br>  |
|  89|[0x80004174]<br>0x0000F503|- rs1_val == -16385<br>                                                                                                                              |[0x800006ee]:c.xor a0, a1<br> [0x800006f0]:sw a0, 356(ra)<br>  |
|  90|[0x80004178]<br>0x0001B502|- rs1_val == -65537<br>                                                                                                                              |[0x80000704]:c.xor a0, a1<br> [0x80000706]:sw a0, 360(ra)<br>  |
|  91|[0x8000417c]<br>0x999B9999|- rs1_val == -131073<br>                                                                                                                             |[0x8000071a]:c.xor a0, a1<br> [0x8000071c]:sw a0, 364(ra)<br>  |
|  92|[0x80004180]<br>0xFFEFFFFA|- rs1_val == -1048577<br>                                                                                                                            |[0x8000072c]:c.xor a0, a1<br> [0x8000072e]:sw a0, 368(ra)<br>  |
|  93|[0x80004184]<br>0xFB7FFFFF|- rs1_val == -8388609<br>                                                                                                                            |[0x8000073e]:c.xor a0, a1<br> [0x80000740]:sw a0, 372(ra)<br>  |
|  94|[0x80004188]<br>0x01400000|- rs1_val == -16777217<br>                                                                                                                           |[0x80000754]:c.xor a0, a1<br> [0x80000756]:sw a0, 376(ra)<br>  |
|  95|[0x8000418c]<br>0xC4CCCCCD|- rs1_val == -134217729<br>                                                                                                                          |[0x8000076a]:c.xor a0, a1<br> [0x8000076c]:sw a0, 380(ra)<br>  |
|  96|[0x80004190]<br>0xCFFFFFFF|- rs1_val == -268435457<br>                                                                                                                          |[0x8000077c]:c.xor a0, a1<br> [0x8000077e]:sw a0, 384(ra)<br>  |
|  97|[0x80004194]<br>0x40000010|- rs1_val == -1073741825<br>                                                                                                                         |[0x8000078e]:c.xor a0, a1<br> [0x80000790]:sw a0, 388(ra)<br>  |
|  98|[0x80004198]<br>0xAABAAAAA|- rs1_val == 1431655765<br>                                                                                                                          |[0x800007a4]:c.xor a0, a1<br> [0x800007a6]:sw a0, 392(ra)<br>  |
|  99|[0x8000419c]<br>0x00000000|- rs1_val==3 and rs2_val==3<br>                                                                                                                      |[0x800007b2]:c.xor a0, a1<br> [0x800007b4]:sw a0, 396(ra)<br>  |
| 100|[0x800041a0]<br>0x55555556|- rs1_val==3 and rs2_val==1431655765<br>                                                                                                             |[0x800007c4]:c.xor a0, a1<br> [0x800007c6]:sw a0, 400(ra)<br>  |
| 101|[0x800041a4]<br>0xAAAAAAA9|- rs1_val==3 and rs2_val==-1431655766<br>                                                                                                            |[0x800007d6]:c.xor a0, a1<br> [0x800007d8]:sw a0, 404(ra)<br>  |
| 102|[0x800041a8]<br>0x00000006|- rs1_val==3 and rs2_val==5<br>                                                                                                                      |[0x800007e4]:c.xor a0, a1<br> [0x800007e6]:sw a0, 408(ra)<br>  |
| 103|[0x800041ac]<br>0x33333330|- rs1_val==3 and rs2_val==858993459<br>                                                                                                              |[0x800007f6]:c.xor a0, a1<br> [0x800007f8]:sw a0, 412(ra)<br>  |
| 104|[0x800041b0]<br>0x66666665|- rs1_val==3 and rs2_val==1717986918<br>                                                                                                             |[0x80000808]:c.xor a0, a1<br> [0x8000080a]:sw a0, 416(ra)<br>  |
| 105|[0x800041b4]<br>0xFFFF4AFF|- rs1_val==3 and rs2_val==-46340<br>                                                                                                                 |[0x8000081a]:c.xor a0, a1<br> [0x8000081c]:sw a0, 420(ra)<br>  |
| 106|[0x800041b8]<br>0x0000B507|- rs1_val==3 and rs2_val==46340<br>                                                                                                                  |[0x8000082c]:c.xor a0, a1<br> [0x8000082e]:sw a0, 424(ra)<br>  |
| 107|[0x800041bc]<br>0x00000001|- rs1_val==3 and rs2_val==2<br>                                                                                                                      |[0x8000083a]:c.xor a0, a1<br> [0x8000083c]:sw a0, 428(ra)<br>  |
| 108|[0x800041c0]<br>0x55555557|- rs1_val==3 and rs2_val==1431655764<br>                                                                                                             |[0x8000084c]:c.xor a0, a1<br> [0x8000084e]:sw a0, 432(ra)<br>  |
| 109|[0x800041c4]<br>0x00000003|- rs2_val == 0<br> - rs1_val==3 and rs2_val==0<br>                                                                                                   |[0x8000085a]:c.xor a0, a1<br> [0x8000085c]:sw a0, 436(ra)<br>  |
| 110|[0x800041c8]<br>0x00000007|- rs1_val==3 and rs2_val==4<br>                                                                                                                      |[0x80000868]:c.xor a0, a1<br> [0x8000086a]:sw a0, 440(ra)<br>  |
| 111|[0x800041cc]<br>0x33333331|- rs1_val==3 and rs2_val==858993458<br>                                                                                                              |[0x8000087a]:c.xor a0, a1<br> [0x8000087c]:sw a0, 444(ra)<br>  |
| 112|[0x800041d0]<br>0x66666666|- rs1_val==3 and rs2_val==1717986917<br>                                                                                                             |[0x8000088c]:c.xor a0, a1<br> [0x8000088e]:sw a0, 448(ra)<br>  |
| 113|[0x800041d4]<br>0x0000B500|- rs1_val==3 and rs2_val==46339<br>                                                                                                                  |[0x8000089e]:c.xor a0, a1<br> [0x800008a0]:sw a0, 452(ra)<br>  |
| 114|[0x800041d8]<br>0x55555555|- rs1_val==3 and rs2_val==1431655766<br>                                                                                                             |[0x800008b0]:c.xor a0, a1<br> [0x800008b2]:sw a0, 456(ra)<br>  |
| 115|[0x800041dc]<br>0xAAAAAAA8|- rs1_val==3 and rs2_val==-1431655765<br>                                                                                                            |[0x800008c2]:c.xor a0, a1<br> [0x800008c4]:sw a0, 460(ra)<br>  |
| 116|[0x800041e0]<br>0x00000005|- rs1_val==3 and rs2_val==6<br>                                                                                                                      |[0x800008d0]:c.xor a0, a1<br> [0x800008d2]:sw a0, 464(ra)<br>  |
| 117|[0x800041e4]<br>0x33333337|- rs1_val==3 and rs2_val==858993460<br>                                                                                                              |[0x800008e2]:c.xor a0, a1<br> [0x800008e4]:sw a0, 468(ra)<br>  |
| 118|[0x800041e8]<br>0x66666664|- rs1_val==3 and rs2_val==1717986919<br>                                                                                                             |[0x800008f4]:c.xor a0, a1<br> [0x800008f6]:sw a0, 472(ra)<br>  |
| 119|[0x800041ec]<br>0xFFFF4AFE|- rs1_val==3 and rs2_val==-46339<br>                                                                                                                 |[0x80000906]:c.xor a0, a1<br> [0x80000908]:sw a0, 476(ra)<br>  |
| 120|[0x800041f0]<br>0x0000B506|- rs1_val==3 and rs2_val==46341<br>                                                                                                                  |[0x80000918]:c.xor a0, a1<br> [0x8000091a]:sw a0, 480(ra)<br>  |
| 121|[0x800041f4]<br>0x55555556|- rs1_val==1431655765 and rs2_val==3<br>                                                                                                             |[0x8000092a]:c.xor a0, a1<br> [0x8000092c]:sw a0, 484(ra)<br>  |
| 122|[0x800041f8]<br>0x00000000|- rs1_val==1431655765 and rs2_val==1431655765<br>                                                                                                    |[0x80000940]:c.xor a0, a1<br> [0x80000942]:sw a0, 488(ra)<br>  |
| 123|[0x800041fc]<br>0xFFFFFFFF|- rs1_val==1431655765 and rs2_val==-1431655766<br>                                                                                                   |[0x80000956]:c.xor a0, a1<br> [0x80000958]:sw a0, 492(ra)<br>  |
| 124|[0x80004200]<br>0x55555550|- rs1_val==1431655765 and rs2_val==5<br>                                                                                                             |[0x80000968]:c.xor a0, a1<br> [0x8000096a]:sw a0, 496(ra)<br>  |
| 125|[0x80004204]<br>0x66666666|- rs1_val==1431655765 and rs2_val==858993459<br>                                                                                                     |[0x8000097e]:c.xor a0, a1<br> [0x80000980]:sw a0, 500(ra)<br>  |
| 126|[0x80004208]<br>0x33333333|- rs1_val==1431655765 and rs2_val==1717986918<br>                                                                                                    |[0x80000994]:c.xor a0, a1<br> [0x80000996]:sw a0, 504(ra)<br>  |
| 127|[0x8000420c]<br>0xAAAA1FA9|- rs1_val==1431655765 and rs2_val==-46340<br>                                                                                                        |[0x800009aa]:c.xor a0, a1<br> [0x800009ac]:sw a0, 508(ra)<br>  |
| 128|[0x80004210]<br>0x5555E051|- rs1_val==1431655765 and rs2_val==46340<br>                                                                                                         |[0x800009c0]:c.xor a0, a1<br> [0x800009c2]:sw a0, 512(ra)<br>  |
| 129|[0x80004214]<br>0x55555557|- rs1_val==1431655765 and rs2_val==2<br>                                                                                                             |[0x800009d2]:c.xor a0, a1<br> [0x800009d4]:sw a0, 516(ra)<br>  |
| 130|[0x80004218]<br>0x00000001|- rs1_val==1431655765 and rs2_val==1431655764<br>                                                                                                    |[0x800009e8]:c.xor a0, a1<br> [0x800009ea]:sw a0, 520(ra)<br>  |
| 131|[0x8000421c]<br>0x55555555|- rs1_val==1431655765 and rs2_val==0<br>                                                                                                             |[0x800009fa]:c.xor a0, a1<br> [0x800009fc]:sw a0, 524(ra)<br>  |
| 132|[0x80004220]<br>0x55555551|- rs1_val==1431655765 and rs2_val==4<br>                                                                                                             |[0x80000a0c]:c.xor a0, a1<br> [0x80000a0e]:sw a0, 528(ra)<br>  |
| 133|[0x80004224]<br>0x66666667|- rs1_val==1431655765 and rs2_val==858993458<br>                                                                                                     |[0x80000a22]:c.xor a0, a1<br> [0x80000a24]:sw a0, 532(ra)<br>  |
| 134|[0x80004228]<br>0x33333330|- rs1_val==1431655765 and rs2_val==1717986917<br>                                                                                                    |[0x80000a38]:c.xor a0, a1<br> [0x80000a3a]:sw a0, 536(ra)<br>  |
| 135|[0x8000422c]<br>0x5555E056|- rs1_val==1431655765 and rs2_val==46339<br>                                                                                                         |[0x80000a4e]:c.xor a0, a1<br> [0x80000a50]:sw a0, 540(ra)<br>  |
| 136|[0x80004230]<br>0x00000003|- rs1_val==1431655765 and rs2_val==1431655766<br>                                                                                                    |[0x80000a64]:c.xor a0, a1<br> [0x80000a66]:sw a0, 544(ra)<br>  |
| 137|[0x80004234]<br>0xFFFFFFFE|- rs1_val==1431655765 and rs2_val==-1431655765<br>                                                                                                   |[0x80000a7a]:c.xor a0, a1<br> [0x80000a7c]:sw a0, 548(ra)<br>  |
| 138|[0x80004238]<br>0x55555553|- rs1_val==1431655765 and rs2_val==6<br>                                                                                                             |[0x80000a8c]:c.xor a0, a1<br> [0x80000a8e]:sw a0, 552(ra)<br>  |
| 139|[0x8000423c]<br>0x66666661|- rs1_val==1431655765 and rs2_val==858993460<br>                                                                                                     |[0x80000aa2]:c.xor a0, a1<br> [0x80000aa4]:sw a0, 556(ra)<br>  |
| 140|[0x80004240]<br>0x33333332|- rs1_val==1431655765 and rs2_val==1717986919<br>                                                                                                    |[0x80000ab8]:c.xor a0, a1<br> [0x80000aba]:sw a0, 560(ra)<br>  |
| 141|[0x80004244]<br>0xAAAA1FA8|- rs1_val==1431655765 and rs2_val==-46339<br>                                                                                                        |[0x80000ace]:c.xor a0, a1<br> [0x80000ad0]:sw a0, 564(ra)<br>  |
| 142|[0x80004248]<br>0x5555E050|- rs1_val==1431655765 and rs2_val==46341<br>                                                                                                         |[0x80000ae4]:c.xor a0, a1<br> [0x80000ae6]:sw a0, 568(ra)<br>  |
| 143|[0x8000424c]<br>0xAAAAAAA9|- rs1_val==-1431655766 and rs2_val==3<br>                                                                                                            |[0x80000af6]:c.xor a0, a1<br> [0x80000af8]:sw a0, 572(ra)<br>  |
| 144|[0x80004250]<br>0xFFFFFFFF|- rs1_val==-1431655766 and rs2_val==1431655765<br>                                                                                                   |[0x80000b0c]:c.xor a0, a1<br> [0x80000b0e]:sw a0, 576(ra)<br>  |
| 145|[0x80004254]<br>0x00000000|- rs1_val==-1431655766 and rs2_val==-1431655766<br>                                                                                                  |[0x80000b22]:c.xor a0, a1<br> [0x80000b24]:sw a0, 580(ra)<br>  |
| 146|[0x80004258]<br>0xAAAAAAAF|- rs1_val==-1431655766 and rs2_val==5<br>                                                                                                            |[0x80000b34]:c.xor a0, a1<br> [0x80000b36]:sw a0, 584(ra)<br>  |
| 147|[0x8000425c]<br>0x99999999|- rs1_val==-1431655766 and rs2_val==858993459<br>                                                                                                    |[0x80000b4a]:c.xor a0, a1<br> [0x80000b4c]:sw a0, 588(ra)<br>  |
| 148|[0x80004260]<br>0xCCCCCCCC|- rs1_val==-1431655766 and rs2_val==1717986918<br>                                                                                                   |[0x80000b60]:c.xor a0, a1<br> [0x80000b62]:sw a0, 592(ra)<br>  |
| 149|[0x80004264]<br>0x5555E056|- rs1_val==-1431655766 and rs2_val==-46340<br>                                                                                                       |[0x80000b76]:c.xor a0, a1<br> [0x80000b78]:sw a0, 596(ra)<br>  |
| 150|[0x80004268]<br>0xAAAA1FAE|- rs1_val==-1431655766 and rs2_val==46340<br>                                                                                                        |[0x80000b8c]:c.xor a0, a1<br> [0x80000b8e]:sw a0, 600(ra)<br>  |
| 151|[0x8000426c]<br>0xAAAAAAA8|- rs1_val==-1431655766 and rs2_val==2<br>                                                                                                            |[0x80000b9e]:c.xor a0, a1<br> [0x80000ba0]:sw a0, 604(ra)<br>  |
| 152|[0x80004270]<br>0xFFFFFFFE|- rs1_val==-1431655766 and rs2_val==1431655764<br>                                                                                                   |[0x80000bb4]:c.xor a0, a1<br> [0x80000bb6]:sw a0, 608(ra)<br>  |
| 153|[0x80004274]<br>0xAAAAAAAA|- rs1_val==-1431655766 and rs2_val==0<br>                                                                                                            |[0x80000bc6]:c.xor a0, a1<br> [0x80000bc8]:sw a0, 612(ra)<br>  |
| 154|[0x80004278]<br>0x99999998|- rs1_val==-1431655766 and rs2_val==858993458<br>                                                                                                    |[0x80000bdc]:c.xor a0, a1<br> [0x80000bde]:sw a0, 616(ra)<br>  |
| 155|[0x8000427c]<br>0xCCCCCCCF|- rs1_val==-1431655766 and rs2_val==1717986917<br>                                                                                                   |[0x80000bf2]:c.xor a0, a1<br> [0x80000bf4]:sw a0, 620(ra)<br>  |
| 156|[0x80004280]<br>0xAAAA1FA9|- rs1_val==-1431655766 and rs2_val==46339<br>                                                                                                        |[0x80000c08]:c.xor a0, a1<br> [0x80000c0a]:sw a0, 624(ra)<br>  |
| 157|[0x80004284]<br>0xFFFFFFFC|- rs1_val==-1431655766 and rs2_val==1431655766<br>                                                                                                   |[0x80000c1e]:c.xor a0, a1<br> [0x80000c20]:sw a0, 628(ra)<br>  |
| 158|[0x80004288]<br>0x00000001|- rs1_val==-1431655766 and rs2_val==-1431655765<br>                                                                                                  |[0x80000c34]:c.xor a0, a1<br> [0x80000c36]:sw a0, 632(ra)<br>  |
| 159|[0x8000428c]<br>0xAAAAAAAC|- rs1_val==-1431655766 and rs2_val==6<br>                                                                                                            |[0x80000c46]:c.xor a0, a1<br> [0x80000c48]:sw a0, 636(ra)<br>  |
| 160|[0x80004290]<br>0x9999999E|- rs1_val==-1431655766 and rs2_val==858993460<br>                                                                                                    |[0x80000c5c]:c.xor a0, a1<br> [0x80000c5e]:sw a0, 640(ra)<br>  |
| 161|[0x80004294]<br>0xCCCCCCCD|- rs1_val==-1431655766 and rs2_val==1717986919<br>                                                                                                   |[0x80000c72]:c.xor a0, a1<br> [0x80000c74]:sw a0, 644(ra)<br>  |
| 162|[0x80004298]<br>0x5555E057|- rs1_val==-1431655766 and rs2_val==-46339<br>                                                                                                       |[0x80000c88]:c.xor a0, a1<br> [0x80000c8a]:sw a0, 648(ra)<br>  |
| 163|[0x8000429c]<br>0xAAAA1FAF|- rs1_val==-1431655766 and rs2_val==46341<br>                                                                                                        |[0x80000c9e]:c.xor a0, a1<br> [0x80000ca0]:sw a0, 652(ra)<br>  |
| 164|[0x800042a0]<br>0x00000006|- rs1_val==5 and rs2_val==3<br>                                                                                                                      |[0x80000cac]:c.xor a0, a1<br> [0x80000cae]:sw a0, 656(ra)<br>  |
| 165|[0x800042a4]<br>0x55555550|- rs1_val==5 and rs2_val==1431655765<br>                                                                                                             |[0x80000cbe]:c.xor a0, a1<br> [0x80000cc0]:sw a0, 660(ra)<br>  |
| 166|[0x800042a8]<br>0xAAAAAAAF|- rs1_val==5 and rs2_val==-1431655766<br>                                                                                                            |[0x80000cd0]:c.xor a0, a1<br> [0x80000cd2]:sw a0, 664(ra)<br>  |
| 167|[0x800042ac]<br>0x00000000|- rs1_val==5 and rs2_val==5<br>                                                                                                                      |[0x80000cde]:c.xor a0, a1<br> [0x80000ce0]:sw a0, 668(ra)<br>  |
| 168|[0x800042b0]<br>0x33333336|- rs1_val==5 and rs2_val==858993459<br>                                                                                                              |[0x80000cf0]:c.xor a0, a1<br> [0x80000cf2]:sw a0, 672(ra)<br>  |
| 169|[0x800042b4]<br>0x66666663|- rs1_val==5 and rs2_val==1717986918<br>                                                                                                             |[0x80000d02]:c.xor a0, a1<br> [0x80000d04]:sw a0, 676(ra)<br>  |
| 170|[0x800042b8]<br>0xFFFF4AF9|- rs1_val==5 and rs2_val==-46340<br>                                                                                                                 |[0x80000d14]:c.xor a0, a1<br> [0x80000d16]:sw a0, 680(ra)<br>  |
| 171|[0x800042bc]<br>0x0000B501|- rs1_val==5 and rs2_val==46340<br>                                                                                                                  |[0x80000d26]:c.xor a0, a1<br> [0x80000d28]:sw a0, 684(ra)<br>  |
| 172|[0x800042c0]<br>0x00000007|- rs1_val==5 and rs2_val==2<br>                                                                                                                      |[0x80000d34]:c.xor a0, a1<br> [0x80000d36]:sw a0, 688(ra)<br>  |
| 173|[0x800042c4]<br>0x55555551|- rs1_val==5 and rs2_val==1431655764<br>                                                                                                             |[0x80000d46]:c.xor a0, a1<br> [0x80000d48]:sw a0, 692(ra)<br>  |
| 174|[0x800042c8]<br>0x00000005|- rs1_val==5 and rs2_val==0<br>                                                                                                                      |[0x80000d54]:c.xor a0, a1<br> [0x80000d56]:sw a0, 696(ra)<br>  |
| 175|[0x800042cc]<br>0x00000001|- rs1_val==5 and rs2_val==4<br>                                                                                                                      |[0x80000d62]:c.xor a0, a1<br> [0x80000d64]:sw a0, 700(ra)<br>  |
| 176|[0x800042d0]<br>0x33333337|- rs1_val==5 and rs2_val==858993458<br>                                                                                                              |[0x80000d74]:c.xor a0, a1<br> [0x80000d76]:sw a0, 704(ra)<br>  |
| 177|[0x800042d4]<br>0x66666660|- rs1_val==5 and rs2_val==1717986917<br>                                                                                                             |[0x80000d86]:c.xor a0, a1<br> [0x80000d88]:sw a0, 708(ra)<br>  |
| 178|[0x800042d8]<br>0x0000B506|- rs1_val==5 and rs2_val==46339<br>                                                                                                                  |[0x80000d98]:c.xor a0, a1<br> [0x80000d9a]:sw a0, 712(ra)<br>  |
| 179|[0x800042dc]<br>0x55555553|- rs1_val==5 and rs2_val==1431655766<br>                                                                                                             |[0x80000daa]:c.xor a0, a1<br> [0x80000dac]:sw a0, 716(ra)<br>  |
| 180|[0x800042e0]<br>0xAAAAAAAE|- rs1_val==5 and rs2_val==-1431655765<br>                                                                                                            |[0x80000dbc]:c.xor a0, a1<br> [0x80000dbe]:sw a0, 720(ra)<br>  |
| 181|[0x800042e4]<br>0x00000003|- rs1_val==5 and rs2_val==6<br>                                                                                                                      |[0x80000dca]:c.xor a0, a1<br> [0x80000dcc]:sw a0, 724(ra)<br>  |
| 182|[0x800042e8]<br>0x33333331|- rs1_val==5 and rs2_val==858993460<br>                                                                                                              |[0x80000ddc]:c.xor a0, a1<br> [0x80000dde]:sw a0, 728(ra)<br>  |
| 183|[0x800042ec]<br>0x66666662|- rs1_val==5 and rs2_val==1717986919<br>                                                                                                             |[0x80000dee]:c.xor a0, a1<br> [0x80000df0]:sw a0, 732(ra)<br>  |
| 184|[0x800042f0]<br>0xFFFF4AF8|- rs1_val==5 and rs2_val==-46339<br>                                                                                                                 |[0x80000e00]:c.xor a0, a1<br> [0x80000e02]:sw a0, 736(ra)<br>  |
| 185|[0x800042f4]<br>0x0000B500|- rs1_val==5 and rs2_val==46341<br>                                                                                                                  |[0x80000e12]:c.xor a0, a1<br> [0x80000e14]:sw a0, 740(ra)<br>  |
| 186|[0x800042f8]<br>0x33333330|- rs1_val==858993459 and rs2_val==3<br>                                                                                                              |[0x80000e24]:c.xor a0, a1<br> [0x80000e26]:sw a0, 744(ra)<br>  |
| 187|[0x800042fc]<br>0x66666666|- rs1_val==858993459 and rs2_val==1431655765<br>                                                                                                     |[0x80000e3a]:c.xor a0, a1<br> [0x80000e3c]:sw a0, 748(ra)<br>  |
| 188|[0x80004300]<br>0x99999999|- rs1_val==858993459 and rs2_val==-1431655766<br>                                                                                                    |[0x80000e50]:c.xor a0, a1<br> [0x80000e52]:sw a0, 752(ra)<br>  |
| 189|[0x80004304]<br>0x33333336|- rs1_val==858993459 and rs2_val==5<br>                                                                                                              |[0x80000e62]:c.xor a0, a1<br> [0x80000e64]:sw a0, 756(ra)<br>  |
| 190|[0x80004308]<br>0x00000000|- rs1_val==858993459 and rs2_val==858993459<br>                                                                                                      |[0x80000e78]:c.xor a0, a1<br> [0x80000e7a]:sw a0, 760(ra)<br>  |
| 191|[0x8000430c]<br>0x55555555|- rs1_val==858993459 and rs2_val==1717986918<br>                                                                                                     |[0x80000e8e]:c.xor a0, a1<br> [0x80000e90]:sw a0, 764(ra)<br>  |
| 192|[0x80004310]<br>0xCCCC79CF|- rs1_val==858993459 and rs2_val==-46340<br>                                                                                                         |[0x80000ea4]:c.xor a0, a1<br> [0x80000ea6]:sw a0, 768(ra)<br>  |
| 193|[0x80004314]<br>0x33338637|- rs1_val==858993459 and rs2_val==46340<br>                                                                                                          |[0x80000eba]:c.xor a0, a1<br> [0x80000ebc]:sw a0, 772(ra)<br>  |
| 194|[0x80004318]<br>0x33333331|- rs1_val==858993459 and rs2_val==2<br>                                                                                                              |[0x80000ecc]:c.xor a0, a1<br> [0x80000ece]:sw a0, 776(ra)<br>  |
| 195|[0x8000431c]<br>0x66666667|- rs1_val==858993459 and rs2_val==1431655764<br>                                                                                                     |[0x80000ee2]:c.xor a0, a1<br> [0x80000ee4]:sw a0, 780(ra)<br>  |
| 196|[0x80004320]<br>0x33333333|- rs1_val==858993459 and rs2_val==0<br>                                                                                                              |[0x80000ef4]:c.xor a0, a1<br> [0x80000ef6]:sw a0, 784(ra)<br>  |
| 197|[0x80004324]<br>0x33333337|- rs1_val==858993459 and rs2_val==4<br>                                                                                                              |[0x80000f06]:c.xor a0, a1<br> [0x80000f08]:sw a0, 788(ra)<br>  |
| 198|[0x80004328]<br>0x00000001|- rs1_val==858993459 and rs2_val==858993458<br>                                                                                                      |[0x80000f1c]:c.xor a0, a1<br> [0x80000f1e]:sw a0, 792(ra)<br>  |
| 199|[0x8000432c]<br>0x55555556|- rs1_val==858993459 and rs2_val==1717986917<br>                                                                                                     |[0x80000f32]:c.xor a0, a1<br> [0x80000f34]:sw a0, 796(ra)<br>  |
| 200|[0x80004330]<br>0x33338630|- rs1_val==858993459 and rs2_val==46339<br>                                                                                                          |[0x80000f48]:c.xor a0, a1<br> [0x80000f4a]:sw a0, 800(ra)<br>  |
| 201|[0x80004334]<br>0x66666665|- rs1_val==858993459 and rs2_val==1431655766<br>                                                                                                     |[0x80000f5e]:c.xor a0, a1<br> [0x80000f60]:sw a0, 804(ra)<br>  |
| 202|[0x80004338]<br>0x99999998|- rs1_val==858993459 and rs2_val==-1431655765<br>                                                                                                    |[0x80000f74]:c.xor a0, a1<br> [0x80000f76]:sw a0, 808(ra)<br>  |
| 203|[0x8000433c]<br>0x33333335|- rs1_val==858993459 and rs2_val==6<br>                                                                                                              |[0x80000f86]:c.xor a0, a1<br> [0x80000f88]:sw a0, 812(ra)<br>  |
| 204|[0x80004340]<br>0x00000007|- rs1_val==858993459 and rs2_val==858993460<br>                                                                                                      |[0x80000f9c]:c.xor a0, a1<br> [0x80000f9e]:sw a0, 816(ra)<br>  |
| 205|[0x80004344]<br>0x55555554|- rs1_val==858993459 and rs2_val==1717986919<br>                                                                                                     |[0x80000fb2]:c.xor a0, a1<br> [0x80000fb4]:sw a0, 820(ra)<br>  |
| 206|[0x80004348]<br>0xCCCC79CE|- rs1_val==858993459 and rs2_val==-46339<br>                                                                                                         |[0x80000fc8]:c.xor a0, a1<br> [0x80000fca]:sw a0, 824(ra)<br>  |
| 207|[0x8000434c]<br>0x33338636|- rs1_val==858993459 and rs2_val==46341<br>                                                                                                          |[0x80000fde]:c.xor a0, a1<br> [0x80000fe0]:sw a0, 828(ra)<br>  |
| 208|[0x80004350]<br>0x66666665|- rs1_val==1717986918 and rs2_val==3<br>                                                                                                             |[0x80000ff0]:c.xor a0, a1<br> [0x80000ff2]:sw a0, 832(ra)<br>  |
| 209|[0x80004354]<br>0x33333333|- rs1_val==1717986918 and rs2_val==1431655765<br>                                                                                                    |[0x80001006]:c.xor a0, a1<br> [0x80001008]:sw a0, 836(ra)<br>  |
| 210|[0x80004358]<br>0xCCCCCCCC|- rs1_val==1717986918 and rs2_val==-1431655766<br>                                                                                                   |[0x8000101c]:c.xor a0, a1<br> [0x8000101e]:sw a0, 840(ra)<br>  |
| 211|[0x8000435c]<br>0x66666663|- rs1_val==1717986918 and rs2_val==5<br>                                                                                                             |[0x8000102e]:c.xor a0, a1<br> [0x80001030]:sw a0, 844(ra)<br>  |
| 212|[0x80004360]<br>0x55555555|- rs1_val==1717986918 and rs2_val==858993459<br>                                                                                                     |[0x80001044]:c.xor a0, a1<br> [0x80001046]:sw a0, 848(ra)<br>  |
| 213|[0x80004364]<br>0x00000000|- rs1_val==1717986918 and rs2_val==1717986918<br>                                                                                                    |[0x8000105a]:c.xor a0, a1<br> [0x8000105c]:sw a0, 852(ra)<br>  |
| 214|[0x80004368]<br>0x99992C9A|- rs1_val==1717986918 and rs2_val==-46340<br>                                                                                                        |[0x80001070]:c.xor a0, a1<br> [0x80001072]:sw a0, 856(ra)<br>  |
| 215|[0x8000436c]<br>0x6666D362|- rs1_val==1717986918 and rs2_val==46340<br>                                                                                                         |[0x80001086]:c.xor a0, a1<br> [0x80001088]:sw a0, 860(ra)<br>  |
| 216|[0x80004370]<br>0x66666664|- rs1_val==1717986918 and rs2_val==2<br>                                                                                                             |[0x80001098]:c.xor a0, a1<br> [0x8000109a]:sw a0, 864(ra)<br>  |
| 217|[0x80004374]<br>0x33333332|- rs1_val==1717986918 and rs2_val==1431655764<br>                                                                                                    |[0x800010ae]:c.xor a0, a1<br> [0x800010b0]:sw a0, 868(ra)<br>  |
| 218|[0x80004378]<br>0x66666666|- rs1_val==1717986918 and rs2_val==0<br>                                                                                                             |[0x800010c0]:c.xor a0, a1<br> [0x800010c2]:sw a0, 872(ra)<br>  |
| 219|[0x8000437c]<br>0x66666662|- rs1_val==1717986918 and rs2_val==4<br>                                                                                                             |[0x800010d2]:c.xor a0, a1<br> [0x800010d4]:sw a0, 876(ra)<br>  |
| 220|[0x80004380]<br>0x55555554|- rs1_val==1717986918 and rs2_val==858993458<br>                                                                                                     |[0x800010e8]:c.xor a0, a1<br> [0x800010ea]:sw a0, 880(ra)<br>  |
| 221|[0x80004384]<br>0x00000003|- rs1_val==1717986918 and rs2_val==1717986917<br>                                                                                                    |[0x800010fe]:c.xor a0, a1<br> [0x80001100]:sw a0, 884(ra)<br>  |
| 222|[0x80004388]<br>0x6666D365|- rs1_val==1717986918 and rs2_val==46339<br>                                                                                                         |[0x80001114]:c.xor a0, a1<br> [0x80001116]:sw a0, 888(ra)<br>  |
| 223|[0x8000438c]<br>0x33333330|- rs1_val==1717986918 and rs2_val==1431655766<br>                                                                                                    |[0x8000112a]:c.xor a0, a1<br> [0x8000112c]:sw a0, 892(ra)<br>  |
| 224|[0x80004390]<br>0xCCCCCCCD|- rs1_val==1717986918 and rs2_val==-1431655765<br>                                                                                                   |[0x80001140]:c.xor a0, a1<br> [0x80001142]:sw a0, 896(ra)<br>  |
| 225|[0x80004394]<br>0x66666660|- rs1_val==1717986918 and rs2_val==6<br>                                                                                                             |[0x80001152]:c.xor a0, a1<br> [0x80001154]:sw a0, 900(ra)<br>  |
| 226|[0x80004398]<br>0x55555552|- rs1_val==1717986918 and rs2_val==858993460<br>                                                                                                     |[0x80001168]:c.xor a0, a1<br> [0x8000116a]:sw a0, 904(ra)<br>  |
| 227|[0x8000439c]<br>0x00000001|- rs1_val==1717986918 and rs2_val==1717986919<br>                                                                                                    |[0x8000117e]:c.xor a0, a1<br> [0x80001180]:sw a0, 908(ra)<br>  |
| 228|[0x800043a0]<br>0x99992C9B|- rs1_val==1717986918 and rs2_val==-46339<br>                                                                                                        |[0x80001194]:c.xor a0, a1<br> [0x80001196]:sw a0, 912(ra)<br>  |
| 229|[0x800043a4]<br>0x6666D363|- rs1_val==1717986918 and rs2_val==46341<br>                                                                                                         |[0x800011aa]:c.xor a0, a1<br> [0x800011ac]:sw a0, 916(ra)<br>  |
| 230|[0x800043a8]<br>0xFFFF4AFF|- rs1_val==-46340 and rs2_val==3<br>                                                                                                                 |[0x800011bc]:c.xor a0, a1<br> [0x800011be]:sw a0, 920(ra)<br>  |
| 231|[0x800043ac]<br>0xAAAA1FA9|- rs1_val==-46340 and rs2_val==1431655765<br>                                                                                                        |[0x800011d2]:c.xor a0, a1<br> [0x800011d4]:sw a0, 924(ra)<br>  |
| 232|[0x800043b0]<br>0x5555E056|- rs1_val==-46340 and rs2_val==-1431655766<br>                                                                                                       |[0x800011e8]:c.xor a0, a1<br> [0x800011ea]:sw a0, 928(ra)<br>  |
| 233|[0x800043b4]<br>0xFFFF4AF9|- rs1_val==-46340 and rs2_val==5<br>                                                                                                                 |[0x800011fa]:c.xor a0, a1<br> [0x800011fc]:sw a0, 932(ra)<br>  |
| 234|[0x800043b8]<br>0xCCCC79CF|- rs1_val==-46340 and rs2_val==858993459<br>                                                                                                         |[0x80001210]:c.xor a0, a1<br> [0x80001212]:sw a0, 936(ra)<br>  |
| 235|[0x800043bc]<br>0x99992C9A|- rs1_val==-46340 and rs2_val==1717986918<br>                                                                                                        |[0x80001226]:c.xor a0, a1<br> [0x80001228]:sw a0, 940(ra)<br>  |
| 236|[0x800043c0]<br>0x00000000|- rs1_val==-46340 and rs2_val==-46340<br>                                                                                                            |[0x8000123c]:c.xor a0, a1<br> [0x8000123e]:sw a0, 944(ra)<br>  |
| 237|[0x800043c4]<br>0xFFFFFFF8|- rs1_val==-46340 and rs2_val==46340<br>                                                                                                             |[0x80001252]:c.xor a0, a1<br> [0x80001254]:sw a0, 948(ra)<br>  |
| 238|[0x800043c8]<br>0xFFFF4AFE|- rs1_val==-46340 and rs2_val==2<br>                                                                                                                 |[0x80001264]:c.xor a0, a1<br> [0x80001266]:sw a0, 952(ra)<br>  |
| 239|[0x800043cc]<br>0xAAAA1FA8|- rs1_val==-46340 and rs2_val==1431655764<br>                                                                                                        |[0x8000127a]:c.xor a0, a1<br> [0x8000127c]:sw a0, 956(ra)<br>  |
| 240|[0x800043d0]<br>0xFFFF4AFC|- rs1_val==-46340 and rs2_val==0<br>                                                                                                                 |[0x8000128c]:c.xor a0, a1<br> [0x8000128e]:sw a0, 960(ra)<br>  |
| 241|[0x800043d4]<br>0xFFFF4AF8|- rs1_val==-46340 and rs2_val==4<br>                                                                                                                 |[0x8000129e]:c.xor a0, a1<br> [0x800012a0]:sw a0, 964(ra)<br>  |
| 242|[0x800043d8]<br>0xCCCC79CE|- rs1_val==-46340 and rs2_val==858993458<br>                                                                                                         |[0x800012b4]:c.xor a0, a1<br> [0x800012b6]:sw a0, 968(ra)<br>  |
| 243|[0x800043dc]<br>0x99992C99|- rs1_val==-46340 and rs2_val==1717986917<br>                                                                                                        |[0x800012ca]:c.xor a0, a1<br> [0x800012cc]:sw a0, 972(ra)<br>  |
| 244|[0x800043e0]<br>0xFFFFFFFF|- rs1_val==-46340 and rs2_val==46339<br>                                                                                                             |[0x800012e0]:c.xor a0, a1<br> [0x800012e2]:sw a0, 976(ra)<br>  |
| 245|[0x800043e4]<br>0xAAAA1FAA|- rs1_val==-46340 and rs2_val==1431655766<br>                                                                                                        |[0x800012f6]:c.xor a0, a1<br> [0x800012f8]:sw a0, 980(ra)<br>  |
| 246|[0x800043e8]<br>0x5555E057|- rs1_val==-46340 and rs2_val==-1431655765<br>                                                                                                       |[0x8000130c]:c.xor a0, a1<br> [0x8000130e]:sw a0, 984(ra)<br>  |
| 247|[0x800043ec]<br>0xFFFF4AFA|- rs1_val==-46340 and rs2_val==6<br>                                                                                                                 |[0x8000131e]:c.xor a0, a1<br> [0x80001320]:sw a0, 988(ra)<br>  |
| 248|[0x800043f0]<br>0xCCCC79C8|- rs1_val==-46340 and rs2_val==858993460<br>                                                                                                         |[0x80001334]:c.xor a0, a1<br> [0x80001336]:sw a0, 992(ra)<br>  |
| 249|[0x800043f4]<br>0x99992C9B|- rs1_val==-46340 and rs2_val==1717986919<br>                                                                                                        |[0x8000134a]:c.xor a0, a1<br> [0x8000134c]:sw a0, 996(ra)<br>  |
| 250|[0x800043f8]<br>0x00000001|- rs1_val==-46340 and rs2_val==-46339<br>                                                                                                            |[0x80001360]:c.xor a0, a1<br> [0x80001362]:sw a0, 1000(ra)<br> |
| 251|[0x800043fc]<br>0xFFFFFFF9|- rs1_val==-46340 and rs2_val==46341<br>                                                                                                             |[0x80001376]:c.xor a0, a1<br> [0x80001378]:sw a0, 1004(ra)<br> |
| 252|[0x80004400]<br>0x0000B507|- rs1_val==46340 and rs2_val==3<br>                                                                                                                  |[0x80001388]:c.xor a0, a1<br> [0x8000138a]:sw a0, 1008(ra)<br> |
| 253|[0x80004404]<br>0x5555E051|- rs1_val==46340 and rs2_val==1431655765<br>                                                                                                         |[0x8000139e]:c.xor a0, a1<br> [0x800013a0]:sw a0, 1012(ra)<br> |
| 254|[0x80004408]<br>0xAAAA1FAE|- rs1_val==46340 and rs2_val==-1431655766<br>                                                                                                        |[0x800013b4]:c.xor a0, a1<br> [0x800013b6]:sw a0, 1016(ra)<br> |
| 255|[0x8000440c]<br>0x0000B501|- rs1_val==46340 and rs2_val==5<br>                                                                                                                  |[0x800013c6]:c.xor a0, a1<br> [0x800013c8]:sw a0, 1020(ra)<br> |
| 256|[0x80004410]<br>0x33338637|- rs1_val==46340 and rs2_val==858993459<br>                                                                                                          |[0x800013dc]:c.xor a0, a1<br> [0x800013de]:sw a0, 1024(ra)<br> |
| 257|[0x80004414]<br>0x6666D362|- rs1_val==46340 and rs2_val==1717986918<br>                                                                                                         |[0x800013f2]:c.xor a0, a1<br> [0x800013f4]:sw a0, 1028(ra)<br> |
| 258|[0x80004418]<br>0xFFFFFFF8|- rs1_val==46340 and rs2_val==-46340<br>                                                                                                             |[0x80001408]:c.xor a0, a1<br> [0x8000140a]:sw a0, 1032(ra)<br> |
| 259|[0x8000441c]<br>0x00000000|- rs1_val==46340 and rs2_val==46340<br>                                                                                                              |[0x8000141e]:c.xor a0, a1<br> [0x80001420]:sw a0, 1036(ra)<br> |
| 260|[0x80004420]<br>0x0000B506|- rs1_val==46340 and rs2_val==2<br>                                                                                                                  |[0x80001430]:c.xor a0, a1<br> [0x80001432]:sw a0, 1040(ra)<br> |
| 261|[0x80004424]<br>0x5555E050|- rs1_val==46340 and rs2_val==1431655764<br>                                                                                                         |[0x80001446]:c.xor a0, a1<br> [0x80001448]:sw a0, 1044(ra)<br> |
| 262|[0x80004428]<br>0x0000B504|- rs1_val==46340 and rs2_val==0<br>                                                                                                                  |[0x80001458]:c.xor a0, a1<br> [0x8000145a]:sw a0, 1048(ra)<br> |
| 263|[0x8000442c]<br>0x0000B500|- rs1_val==46340 and rs2_val==4<br>                                                                                                                  |[0x8000146a]:c.xor a0, a1<br> [0x8000146c]:sw a0, 1052(ra)<br> |
| 264|[0x80004430]<br>0x33338636|- rs1_val==46340 and rs2_val==858993458<br>                                                                                                          |[0x80001480]:c.xor a0, a1<br> [0x80001482]:sw a0, 1056(ra)<br> |
| 265|[0x80004434]<br>0x6666D361|- rs1_val==46340 and rs2_val==1717986917<br>                                                                                                         |[0x80001496]:c.xor a0, a1<br> [0x80001498]:sw a0, 1060(ra)<br> |
| 266|[0x80004438]<br>0x00000007|- rs1_val==46340 and rs2_val==46339<br>                                                                                                              |[0x800014ac]:c.xor a0, a1<br> [0x800014ae]:sw a0, 1064(ra)<br> |
| 267|[0x8000443c]<br>0x5555E052|- rs1_val==46340 and rs2_val==1431655766<br>                                                                                                         |[0x800014c2]:c.xor a0, a1<br> [0x800014c4]:sw a0, 1068(ra)<br> |
| 268|[0x80004440]<br>0xAAAA1FAF|- rs1_val==46340 and rs2_val==-1431655765<br>                                                                                                        |[0x800014d8]:c.xor a0, a1<br> [0x800014da]:sw a0, 1072(ra)<br> |
| 269|[0x80004444]<br>0x0000B502|- rs1_val==46340 and rs2_val==6<br>                                                                                                                  |[0x800014ea]:c.xor a0, a1<br> [0x800014ec]:sw a0, 1076(ra)<br> |
| 270|[0x80004448]<br>0x33338630|- rs1_val==46340 and rs2_val==858993460<br>                                                                                                          |[0x80001500]:c.xor a0, a1<br> [0x80001502]:sw a0, 1080(ra)<br> |
| 271|[0x8000444c]<br>0x6666D363|- rs1_val==46340 and rs2_val==1717986919<br>                                                                                                         |[0x80001516]:c.xor a0, a1<br> [0x80001518]:sw a0, 1084(ra)<br> |
| 272|[0x80004450]<br>0xFFFFFFF9|- rs1_val==46340 and rs2_val==-46339<br>                                                                                                             |[0x8000152c]:c.xor a0, a1<br> [0x8000152e]:sw a0, 1088(ra)<br> |
| 273|[0x80004454]<br>0x00000001|- rs1_val==46340 and rs2_val==46341<br>                                                                                                              |[0x80001542]:c.xor a0, a1<br> [0x80001544]:sw a0, 1092(ra)<br> |
| 274|[0x80004458]<br>0x00000001|- rs1_val==2 and rs2_val==3<br>                                                                                                                      |[0x80001550]:c.xor a0, a1<br> [0x80001552]:sw a0, 1096(ra)<br> |
| 275|[0x8000445c]<br>0x55555557|- rs1_val==2 and rs2_val==1431655765<br>                                                                                                             |[0x80001562]:c.xor a0, a1<br> [0x80001564]:sw a0, 1100(ra)<br> |
| 276|[0x80004460]<br>0xAAAAAAA8|- rs1_val==2 and rs2_val==-1431655766<br>                                                                                                            |[0x80001574]:c.xor a0, a1<br> [0x80001576]:sw a0, 1104(ra)<br> |
| 277|[0x80004464]<br>0x00000007|- rs1_val==2 and rs2_val==5<br>                                                                                                                      |[0x80001582]:c.xor a0, a1<br> [0x80001584]:sw a0, 1108(ra)<br> |
| 278|[0x80004468]<br>0x33333331|- rs1_val==2 and rs2_val==858993459<br>                                                                                                              |[0x80001594]:c.xor a0, a1<br> [0x80001596]:sw a0, 1112(ra)<br> |
| 279|[0x8000446c]<br>0x66666664|- rs1_val==2 and rs2_val==1717986918<br>                                                                                                             |[0x800015a6]:c.xor a0, a1<br> [0x800015a8]:sw a0, 1116(ra)<br> |
| 280|[0x80004470]<br>0xFFFF4AFE|- rs1_val==2 and rs2_val==-46340<br>                                                                                                                 |[0x800015b8]:c.xor a0, a1<br> [0x800015ba]:sw a0, 1120(ra)<br> |
| 281|[0x80004474]<br>0x0000B506|- rs1_val==2 and rs2_val==46340<br>                                                                                                                  |[0x800015ca]:c.xor a0, a1<br> [0x800015cc]:sw a0, 1124(ra)<br> |
| 282|[0x80004478]<br>0x00000000|- rs1_val==2 and rs2_val==2<br>                                                                                                                      |[0x800015d8]:c.xor a0, a1<br> [0x800015da]:sw a0, 1128(ra)<br> |
| 283|[0x8000447c]<br>0x55555556|- rs1_val==2 and rs2_val==1431655764<br>                                                                                                             |[0x800015ea]:c.xor a0, a1<br> [0x800015ec]:sw a0, 1132(ra)<br> |
| 284|[0x80004480]<br>0x00000002|- rs1_val==2 and rs2_val==0<br>                                                                                                                      |[0x800015f8]:c.xor a0, a1<br> [0x800015fa]:sw a0, 1136(ra)<br> |
| 285|[0x80004484]<br>0x00000006|- rs1_val==2 and rs2_val==4<br>                                                                                                                      |[0x80001606]:c.xor a0, a1<br> [0x80001608]:sw a0, 1140(ra)<br> |
| 286|[0x80004488]<br>0x33333330|- rs1_val==2 and rs2_val==858993458<br>                                                                                                              |[0x80001618]:c.xor a0, a1<br> [0x8000161a]:sw a0, 1144(ra)<br> |
| 287|[0x8000448c]<br>0x66666667|- rs1_val==2 and rs2_val==1717986917<br>                                                                                                             |[0x8000162a]:c.xor a0, a1<br> [0x8000162c]:sw a0, 1148(ra)<br> |
| 288|[0x80004490]<br>0x0000B501|- rs1_val==2 and rs2_val==46339<br>                                                                                                                  |[0x8000163c]:c.xor a0, a1<br> [0x8000163e]:sw a0, 1152(ra)<br> |
| 289|[0x80004494]<br>0x55555554|- rs1_val==2 and rs2_val==1431655766<br>                                                                                                             |[0x8000164e]:c.xor a0, a1<br> [0x80001650]:sw a0, 1156(ra)<br> |
| 290|[0x80004498]<br>0xAAAAAAA9|- rs1_val==2 and rs2_val==-1431655765<br>                                                                                                            |[0x80001660]:c.xor a0, a1<br> [0x80001662]:sw a0, 1160(ra)<br> |
| 291|[0x8000449c]<br>0x00000004|- rs1_val==2 and rs2_val==6<br>                                                                                                                      |[0x8000166e]:c.xor a0, a1<br> [0x80001670]:sw a0, 1164(ra)<br> |
| 292|[0x800044a0]<br>0x33333336|- rs1_val==2 and rs2_val==858993460<br>                                                                                                              |[0x80001680]:c.xor a0, a1<br> [0x80001682]:sw a0, 1168(ra)<br> |
| 293|[0x800044a4]<br>0x66666665|- rs1_val==2 and rs2_val==1717986919<br>                                                                                                             |[0x80001692]:c.xor a0, a1<br> [0x80001694]:sw a0, 1172(ra)<br> |
| 294|[0x800044a8]<br>0xFFFF4AFF|- rs1_val==2 and rs2_val==-46339<br>                                                                                                                 |[0x800016a4]:c.xor a0, a1<br> [0x800016a6]:sw a0, 1176(ra)<br> |
| 295|[0x800044ac]<br>0x0000B507|- rs1_val==2 and rs2_val==46341<br>                                                                                                                  |[0x800016b6]:c.xor a0, a1<br> [0x800016b8]:sw a0, 1180(ra)<br> |
| 296|[0x800044b0]<br>0x55555557|- rs1_val==1431655764 and rs2_val==3<br>                                                                                                             |[0x800016c8]:c.xor a0, a1<br> [0x800016ca]:sw a0, 1184(ra)<br> |
| 297|[0x800044b4]<br>0x00000001|- rs1_val==1431655764 and rs2_val==1431655765<br>                                                                                                    |[0x800016de]:c.xor a0, a1<br> [0x800016e0]:sw a0, 1188(ra)<br> |
| 298|[0x800044b8]<br>0xFFFFFFFE|- rs1_val==1431655764 and rs2_val==-1431655766<br>                                                                                                   |[0x800016f4]:c.xor a0, a1<br> [0x800016f6]:sw a0, 1192(ra)<br> |
| 299|[0x800044bc]<br>0x55555551|- rs1_val==1431655764 and rs2_val==5<br>                                                                                                             |[0x80001706]:c.xor a0, a1<br> [0x80001708]:sw a0, 1196(ra)<br> |
| 300|[0x800044c0]<br>0x66666667|- rs1_val==1431655764 and rs2_val==858993459<br>                                                                                                     |[0x8000171c]:c.xor a0, a1<br> [0x8000171e]:sw a0, 1200(ra)<br> |
| 301|[0x800044c4]<br>0x33333332|- rs1_val==1431655764 and rs2_val==1717986918<br>                                                                                                    |[0x80001732]:c.xor a0, a1<br> [0x80001734]:sw a0, 1204(ra)<br> |
| 302|[0x800044c8]<br>0xAAAA1FA8|- rs1_val==1431655764 and rs2_val==-46340<br>                                                                                                        |[0x80001748]:c.xor a0, a1<br> [0x8000174a]:sw a0, 1208(ra)<br> |
| 303|[0x800044cc]<br>0x5555E050|- rs1_val==1431655764 and rs2_val==46340<br>                                                                                                         |[0x8000175e]:c.xor a0, a1<br> [0x80001760]:sw a0, 1212(ra)<br> |
| 304|[0x800044d0]<br>0x55555556|- rs1_val==1431655764 and rs2_val==2<br>                                                                                                             |[0x80001770]:c.xor a0, a1<br> [0x80001772]:sw a0, 1216(ra)<br> |
| 305|[0x800044d4]<br>0x00000000|- rs1_val==1431655764 and rs2_val==1431655764<br>                                                                                                    |[0x80001786]:c.xor a0, a1<br> [0x80001788]:sw a0, 1220(ra)<br> |
| 306|[0x800044d8]<br>0x55555554|- rs1_val==1431655764 and rs2_val==0<br>                                                                                                             |[0x80001798]:c.xor a0, a1<br> [0x8000179a]:sw a0, 1224(ra)<br> |
| 307|[0x800044dc]<br>0x55555550|- rs1_val==1431655764 and rs2_val==4<br>                                                                                                             |[0x800017aa]:c.xor a0, a1<br> [0x800017ac]:sw a0, 1228(ra)<br> |
| 308|[0x800044e0]<br>0x66666666|- rs1_val==1431655764 and rs2_val==858993458<br>                                                                                                     |[0x800017c0]:c.xor a0, a1<br> [0x800017c2]:sw a0, 1232(ra)<br> |
| 309|[0x800044e4]<br>0x33333331|- rs1_val==1431655764 and rs2_val==1717986917<br>                                                                                                    |[0x800017d6]:c.xor a0, a1<br> [0x800017d8]:sw a0, 1236(ra)<br> |
| 310|[0x800044e8]<br>0x5555E057|- rs1_val==1431655764 and rs2_val==46339<br>                                                                                                         |[0x800017ec]:c.xor a0, a1<br> [0x800017ee]:sw a0, 1240(ra)<br> |
| 311|[0x800044ec]<br>0x00000002|- rs1_val==1431655764 and rs2_val==1431655766<br>                                                                                                    |[0x80001802]:c.xor a0, a1<br> [0x80001804]:sw a0, 1244(ra)<br> |
| 312|[0x800044f0]<br>0xFFFFFFFF|- rs1_val==1431655764 and rs2_val==-1431655765<br>                                                                                                   |[0x80001818]:c.xor a0, a1<br> [0x8000181a]:sw a0, 1248(ra)<br> |
| 313|[0x800044f4]<br>0x55555552|- rs1_val==1431655764 and rs2_val==6<br>                                                                                                             |[0x8000182a]:c.xor a0, a1<br> [0x8000182c]:sw a0, 1252(ra)<br> |
| 314|[0x800044f8]<br>0x66666660|- rs1_val==1431655764 and rs2_val==858993460<br>                                                                                                     |[0x80001840]:c.xor a0, a1<br> [0x80001842]:sw a0, 1256(ra)<br> |
| 315|[0x800044fc]<br>0x33333333|- rs1_val==1431655764 and rs2_val==1717986919<br>                                                                                                    |[0x80001856]:c.xor a0, a1<br> [0x80001858]:sw a0, 1260(ra)<br> |
| 316|[0x80004500]<br>0xAAAA1FA9|- rs1_val==1431655764 and rs2_val==-46339<br>                                                                                                        |[0x8000186c]:c.xor a0, a1<br> [0x8000186e]:sw a0, 1264(ra)<br> |
| 317|[0x80004504]<br>0x5555E051|- rs1_val==1431655764 and rs2_val==46341<br>                                                                                                         |[0x80001882]:c.xor a0, a1<br> [0x80001884]:sw a0, 1268(ra)<br> |
| 318|[0x80004508]<br>0x00000003|- rs1_val==0 and rs2_val==3<br>                                                                                                                      |[0x80001890]:c.xor a0, a1<br> [0x80001892]:sw a0, 1272(ra)<br> |
| 319|[0x8000450c]<br>0x55555555|- rs1_val==0 and rs2_val==1431655765<br>                                                                                                             |[0x800018a2]:c.xor a0, a1<br> [0x800018a4]:sw a0, 1276(ra)<br> |
| 320|[0x80004510]<br>0xAAAAAAAA|- rs1_val==0 and rs2_val==-1431655766<br>                                                                                                            |[0x800018b4]:c.xor a0, a1<br> [0x800018b6]:sw a0, 1280(ra)<br> |
| 321|[0x80004514]<br>0x00000005|- rs1_val==0 and rs2_val==5<br>                                                                                                                      |[0x800018c2]:c.xor a0, a1<br> [0x800018c4]:sw a0, 1284(ra)<br> |
| 322|[0x80004518]<br>0x33333333|- rs1_val==0 and rs2_val==858993459<br>                                                                                                              |[0x800018d4]:c.xor a0, a1<br> [0x800018d6]:sw a0, 1288(ra)<br> |
| 323|[0x8000451c]<br>0x66666666|- rs1_val==0 and rs2_val==1717986918<br>                                                                                                             |[0x800018e6]:c.xor a0, a1<br> [0x800018e8]:sw a0, 1292(ra)<br> |
| 324|[0x80004520]<br>0xFFFF4AFC|- rs1_val==0 and rs2_val==-46340<br>                                                                                                                 |[0x800018f8]:c.xor a0, a1<br> [0x800018fa]:sw a0, 1296(ra)<br> |
| 325|[0x80004524]<br>0x0000B504|- rs1_val==0 and rs2_val==46340<br>                                                                                                                  |[0x8000190a]:c.xor a0, a1<br> [0x8000190c]:sw a0, 1300(ra)<br> |
| 326|[0x80004528]<br>0x00000002|- rs1_val==0 and rs2_val==2<br>                                                                                                                      |[0x80001918]:c.xor a0, a1<br> [0x8000191a]:sw a0, 1304(ra)<br> |
| 327|[0x8000452c]<br>0x5555E056|- rs1_val==-1431655765 and rs2_val==-46339<br>                                                                                                       |[0x8000192e]:c.xor a0, a1<br> [0x80001930]:sw a0, 1308(ra)<br> |
| 328|[0x80004530]<br>0xAAAA1FAE|- rs1_val==-1431655765 and rs2_val==46341<br>                                                                                                        |[0x80001944]:c.xor a0, a1<br> [0x80001946]:sw a0, 1312(ra)<br> |
| 329|[0x80004534]<br>0x00000005|- rs1_val==6 and rs2_val==3<br>                                                                                                                      |[0x80001952]:c.xor a0, a1<br> [0x80001954]:sw a0, 1316(ra)<br> |
| 330|[0x80004538]<br>0x55555553|- rs1_val==6 and rs2_val==1431655765<br>                                                                                                             |[0x80001964]:c.xor a0, a1<br> [0x80001966]:sw a0, 1320(ra)<br> |
| 331|[0x8000453c]<br>0xAAAAAAAC|- rs1_val==6 and rs2_val==-1431655766<br>                                                                                                            |[0x80001976]:c.xor a0, a1<br> [0x80001978]:sw a0, 1324(ra)<br> |
| 332|[0x80004540]<br>0x00000003|- rs1_val==6 and rs2_val==5<br>                                                                                                                      |[0x80001984]:c.xor a0, a1<br> [0x80001986]:sw a0, 1328(ra)<br> |
| 333|[0x80004544]<br>0x33333335|- rs1_val==6 and rs2_val==858993459<br>                                                                                                              |[0x80001996]:c.xor a0, a1<br> [0x80001998]:sw a0, 1332(ra)<br> |
| 334|[0x80004548]<br>0x66666660|- rs1_val==6 and rs2_val==1717986918<br>                                                                                                             |[0x800019a8]:c.xor a0, a1<br> [0x800019aa]:sw a0, 1336(ra)<br> |
| 335|[0x8000454c]<br>0xFFFF4AFA|- rs1_val==6 and rs2_val==-46340<br>                                                                                                                 |[0x800019ba]:c.xor a0, a1<br> [0x800019bc]:sw a0, 1340(ra)<br> |
| 336|[0x80004550]<br>0x0000B502|- rs1_val==6 and rs2_val==46340<br>                                                                                                                  |[0x800019cc]:c.xor a0, a1<br> [0x800019ce]:sw a0, 1344(ra)<br> |
| 337|[0x80004554]<br>0x00000004|- rs1_val==6 and rs2_val==2<br>                                                                                                                      |[0x800019da]:c.xor a0, a1<br> [0x800019dc]:sw a0, 1348(ra)<br> |
| 338|[0x80004558]<br>0x55555552|- rs1_val==6 and rs2_val==1431655764<br>                                                                                                             |[0x800019ec]:c.xor a0, a1<br> [0x800019ee]:sw a0, 1352(ra)<br> |
| 339|[0x8000455c]<br>0x00000006|- rs1_val==6 and rs2_val==0<br>                                                                                                                      |[0x800019fa]:c.xor a0, a1<br> [0x800019fc]:sw a0, 1356(ra)<br> |
| 340|[0x80004560]<br>0x00000002|- rs1_val==6 and rs2_val==4<br>                                                                                                                      |[0x80001a08]:c.xor a0, a1<br> [0x80001a0a]:sw a0, 1360(ra)<br> |
| 341|[0x80004564]<br>0x33333334|- rs1_val==6 and rs2_val==858993458<br>                                                                                                              |[0x80001a1a]:c.xor a0, a1<br> [0x80001a1c]:sw a0, 1364(ra)<br> |
| 342|[0x80004568]<br>0x66666663|- rs1_val==6 and rs2_val==1717986917<br>                                                                                                             |[0x80001a2c]:c.xor a0, a1<br> [0x80001a2e]:sw a0, 1368(ra)<br> |
| 343|[0x8000456c]<br>0x0000B505|- rs1_val==6 and rs2_val==46339<br>                                                                                                                  |[0x80001a3e]:c.xor a0, a1<br> [0x80001a40]:sw a0, 1372(ra)<br> |
| 344|[0x80004570]<br>0x55555550|- rs1_val==6 and rs2_val==1431655766<br>                                                                                                             |[0x80001a50]:c.xor a0, a1<br> [0x80001a52]:sw a0, 1376(ra)<br> |
| 345|[0x80004574]<br>0xAAAAAAAD|- rs1_val==6 and rs2_val==-1431655765<br>                                                                                                            |[0x80001a62]:c.xor a0, a1<br> [0x80001a64]:sw a0, 1380(ra)<br> |
| 346|[0x80004578]<br>0x00000000|- rs1_val==6 and rs2_val==6<br>                                                                                                                      |[0x80001a70]:c.xor a0, a1<br> [0x80001a72]:sw a0, 1384(ra)<br> |
| 347|[0x8000457c]<br>0x33333332|- rs1_val==6 and rs2_val==858993460<br>                                                                                                              |[0x80001a82]:c.xor a0, a1<br> [0x80001a84]:sw a0, 1388(ra)<br> |
| 348|[0x80004580]<br>0x66666661|- rs1_val==6 and rs2_val==1717986919<br>                                                                                                             |[0x80001a94]:c.xor a0, a1<br> [0x80001a96]:sw a0, 1392(ra)<br> |
| 349|[0x80004584]<br>0xFFFF4AFB|- rs1_val==6 and rs2_val==-46339<br>                                                                                                                 |[0x80001aa6]:c.xor a0, a1<br> [0x80001aa8]:sw a0, 1396(ra)<br> |
| 350|[0x80004588]<br>0x0000B503|- rs1_val==6 and rs2_val==46341<br>                                                                                                                  |[0x80001ab8]:c.xor a0, a1<br> [0x80001aba]:sw a0, 1400(ra)<br> |
| 351|[0x8000458c]<br>0x33333337|- rs1_val==858993460 and rs2_val==3<br>                                                                                                              |[0x80001aca]:c.xor a0, a1<br> [0x80001acc]:sw a0, 1404(ra)<br> |
| 352|[0x80004590]<br>0x66666661|- rs1_val==858993460 and rs2_val==1431655765<br>                                                                                                     |[0x80001ae0]:c.xor a0, a1<br> [0x80001ae2]:sw a0, 1408(ra)<br> |
| 353|[0x80004594]<br>0x9999999E|- rs1_val==858993460 and rs2_val==-1431655766<br>                                                                                                    |[0x80001af6]:c.xor a0, a1<br> [0x80001af8]:sw a0, 1412(ra)<br> |
| 354|[0x80004598]<br>0x33333331|- rs1_val==858993460 and rs2_val==5<br>                                                                                                              |[0x80001b08]:c.xor a0, a1<br> [0x80001b0a]:sw a0, 1416(ra)<br> |
| 355|[0x8000459c]<br>0x00000007|- rs1_val==858993460 and rs2_val==858993459<br>                                                                                                      |[0x80001b1e]:c.xor a0, a1<br> [0x80001b20]:sw a0, 1420(ra)<br> |
| 356|[0x800045a0]<br>0x55555552|- rs1_val==858993460 and rs2_val==1717986918<br>                                                                                                     |[0x80001b34]:c.xor a0, a1<br> [0x80001b36]:sw a0, 1424(ra)<br> |
| 357|[0x800045a4]<br>0xCCCC79C8|- rs1_val==858993460 and rs2_val==-46340<br>                                                                                                         |[0x80001b4a]:c.xor a0, a1<br> [0x80001b4c]:sw a0, 1428(ra)<br> |
| 358|[0x800045a8]<br>0x33338630|- rs1_val==858993460 and rs2_val==46340<br>                                                                                                          |[0x80001b60]:c.xor a0, a1<br> [0x80001b62]:sw a0, 1432(ra)<br> |
| 359|[0x800045ac]<br>0x33333336|- rs1_val==858993460 and rs2_val==2<br>                                                                                                              |[0x80001b72]:c.xor a0, a1<br> [0x80001b74]:sw a0, 1436(ra)<br> |
| 360|[0x800045b0]<br>0x66666660|- rs1_val==858993460 and rs2_val==1431655764<br>                                                                                                     |[0x80001b88]:c.xor a0, a1<br> [0x80001b8a]:sw a0, 1440(ra)<br> |
| 361|[0x800045b4]<br>0x33333334|- rs1_val==858993460 and rs2_val==0<br>                                                                                                              |[0x80001b9a]:c.xor a0, a1<br> [0x80001b9c]:sw a0, 1444(ra)<br> |
| 362|[0x800045b8]<br>0x33333330|- rs1_val==858993460 and rs2_val==4<br>                                                                                                              |[0x80001bac]:c.xor a0, a1<br> [0x80001bae]:sw a0, 1448(ra)<br> |
| 363|[0x800045bc]<br>0x00000006|- rs1_val==858993460 and rs2_val==858993458<br>                                                                                                      |[0x80001bc2]:c.xor a0, a1<br> [0x80001bc4]:sw a0, 1452(ra)<br> |
| 364|[0x800045c0]<br>0x55555551|- rs1_val==858993460 and rs2_val==1717986917<br>                                                                                                     |[0x80001bd8]:c.xor a0, a1<br> [0x80001bda]:sw a0, 1456(ra)<br> |
| 365|[0x800045c4]<br>0x33338637|- rs1_val==858993460 and rs2_val==46339<br>                                                                                                          |[0x80001bee]:c.xor a0, a1<br> [0x80001bf0]:sw a0, 1460(ra)<br> |
| 366|[0x800045c8]<br>0x66666662|- rs1_val==858993460 and rs2_val==1431655766<br>                                                                                                     |[0x80001c04]:c.xor a0, a1<br> [0x80001c06]:sw a0, 1464(ra)<br> |
| 367|[0x800045cc]<br>0x9999999F|- rs1_val==858993460 and rs2_val==-1431655765<br>                                                                                                    |[0x80001c1a]:c.xor a0, a1<br> [0x80001c1c]:sw a0, 1468(ra)<br> |
| 368|[0x800045d0]<br>0x33333332|- rs1_val==858993460 and rs2_val==6<br>                                                                                                              |[0x80001c2c]:c.xor a0, a1<br> [0x80001c2e]:sw a0, 1472(ra)<br> |
| 369|[0x800045d4]<br>0x00000000|- rs1_val==858993460 and rs2_val==858993460<br>                                                                                                      |[0x80001c42]:c.xor a0, a1<br> [0x80001c44]:sw a0, 1476(ra)<br> |
| 370|[0x800045d8]<br>0x55555553|- rs1_val==858993460 and rs2_val==1717986919<br>                                                                                                     |[0x80001c58]:c.xor a0, a1<br> [0x80001c5a]:sw a0, 1480(ra)<br> |
| 371|[0x800045dc]<br>0xCCCC79C9|- rs1_val==858993460 and rs2_val==-46339<br>                                                                                                         |[0x80001c6e]:c.xor a0, a1<br> [0x80001c70]:sw a0, 1484(ra)<br> |
| 372|[0x800045e0]<br>0x33338631|- rs1_val==858993460 and rs2_val==46341<br>                                                                                                          |[0x80001c84]:c.xor a0, a1<br> [0x80001c86]:sw a0, 1488(ra)<br> |
| 373|[0x800045e4]<br>0x66666664|- rs1_val==1717986919 and rs2_val==3<br>                                                                                                             |[0x80001c96]:c.xor a0, a1<br> [0x80001c98]:sw a0, 1492(ra)<br> |
| 374|[0x800045e8]<br>0x33333332|- rs1_val==1717986919 and rs2_val==1431655765<br>                                                                                                    |[0x80001cac]:c.xor a0, a1<br> [0x80001cae]:sw a0, 1496(ra)<br> |
| 375|[0x800045ec]<br>0xCCCCCCCD|- rs1_val==1717986919 and rs2_val==-1431655766<br>                                                                                                   |[0x80001cc2]:c.xor a0, a1<br> [0x80001cc4]:sw a0, 1500(ra)<br> |
| 376|[0x800045f0]<br>0x66666662|- rs1_val==1717986919 and rs2_val==5<br>                                                                                                             |[0x80001cd4]:c.xor a0, a1<br> [0x80001cd6]:sw a0, 1504(ra)<br> |
| 377|[0x800045f4]<br>0x55555554|- rs1_val==1717986919 and rs2_val==858993459<br>                                                                                                     |[0x80001cea]:c.xor a0, a1<br> [0x80001cec]:sw a0, 1508(ra)<br> |
| 378|[0x800045f8]<br>0x00000001|- rs1_val==1717986919 and rs2_val==1717986918<br>                                                                                                    |[0x80001d00]:c.xor a0, a1<br> [0x80001d02]:sw a0, 1512(ra)<br> |
| 379|[0x800045fc]<br>0x99992C9B|- rs1_val==1717986919 and rs2_val==-46340<br>                                                                                                        |[0x80001d16]:c.xor a0, a1<br> [0x80001d18]:sw a0, 1516(ra)<br> |
| 380|[0x80004600]<br>0x6666D363|- rs1_val==1717986919 and rs2_val==46340<br>                                                                                                         |[0x80001d2c]:c.xor a0, a1<br> [0x80001d2e]:sw a0, 1520(ra)<br> |
| 381|[0x80004604]<br>0x66666665|- rs1_val==1717986919 and rs2_val==2<br>                                                                                                             |[0x80001d3e]:c.xor a0, a1<br> [0x80001d40]:sw a0, 1524(ra)<br> |
| 382|[0x80004608]<br>0x33333333|- rs1_val==1717986919 and rs2_val==1431655764<br>                                                                                                    |[0x80001d54]:c.xor a0, a1<br> [0x80001d56]:sw a0, 1528(ra)<br> |
| 383|[0x8000460c]<br>0x66666667|- rs1_val==1717986919 and rs2_val==0<br>                                                                                                             |[0x80001d66]:c.xor a0, a1<br> [0x80001d68]:sw a0, 1532(ra)<br> |
| 384|[0x80004610]<br>0x66666663|- rs1_val==1717986919 and rs2_val==4<br>                                                                                                             |[0x80001d78]:c.xor a0, a1<br> [0x80001d7a]:sw a0, 1536(ra)<br> |
| 385|[0x80004614]<br>0x55555555|- rs1_val==1717986919 and rs2_val==858993458<br>                                                                                                     |[0x80001d8e]:c.xor a0, a1<br> [0x80001d90]:sw a0, 1540(ra)<br> |
| 386|[0x80004618]<br>0x00000002|- rs1_val==1717986919 and rs2_val==1717986917<br>                                                                                                    |[0x80001da4]:c.xor a0, a1<br> [0x80001da6]:sw a0, 1544(ra)<br> |
| 387|[0x8000461c]<br>0x6666D364|- rs1_val==1717986919 and rs2_val==46339<br>                                                                                                         |[0x80001dba]:c.xor a0, a1<br> [0x80001dbc]:sw a0, 1548(ra)<br> |
| 388|[0x80004620]<br>0x33333331|- rs1_val==1717986919 and rs2_val==1431655766<br>                                                                                                    |[0x80001dd0]:c.xor a0, a1<br> [0x80001dd2]:sw a0, 1552(ra)<br> |
| 389|[0x80004624]<br>0xCCCCCCCC|- rs1_val==1717986919 and rs2_val==-1431655765<br>                                                                                                   |[0x80001de6]:c.xor a0, a1<br> [0x80001de8]:sw a0, 1556(ra)<br> |
| 390|[0x80004628]<br>0x66666661|- rs1_val==1717986919 and rs2_val==6<br>                                                                                                             |[0x80001df8]:c.xor a0, a1<br> [0x80001dfa]:sw a0, 1560(ra)<br> |
| 391|[0x8000462c]<br>0x55555553|- rs1_val==1717986919 and rs2_val==858993460<br>                                                                                                     |[0x80001e0e]:c.xor a0, a1<br> [0x80001e10]:sw a0, 1564(ra)<br> |
| 392|[0x80004630]<br>0x00000000|- rs1_val==1717986919 and rs2_val==1717986919<br>                                                                                                    |[0x80001e24]:c.xor a0, a1<br> [0x80001e26]:sw a0, 1568(ra)<br> |
| 393|[0x80004634]<br>0x99992C9A|- rs1_val==1717986919 and rs2_val==-46339<br>                                                                                                        |[0x80001e3a]:c.xor a0, a1<br> [0x80001e3c]:sw a0, 1572(ra)<br> |
| 394|[0x80004638]<br>0x6666D362|- rs1_val==1717986919 and rs2_val==46341<br>                                                                                                         |[0x80001e50]:c.xor a0, a1<br> [0x80001e52]:sw a0, 1576(ra)<br> |
| 395|[0x8000463c]<br>0xFFFF4AFE|- rs1_val==-46339 and rs2_val==3<br>                                                                                                                 |[0x80001e62]:c.xor a0, a1<br> [0x80001e64]:sw a0, 1580(ra)<br> |
| 396|[0x80004640]<br>0xAAAA1FA8|- rs1_val==-46339 and rs2_val==1431655765<br>                                                                                                        |[0x80001e78]:c.xor a0, a1<br> [0x80001e7a]:sw a0, 1584(ra)<br> |
| 397|[0x80004644]<br>0x5555E057|- rs1_val==-46339 and rs2_val==-1431655766<br>                                                                                                       |[0x80001e8e]:c.xor a0, a1<br> [0x80001e90]:sw a0, 1588(ra)<br> |
| 398|[0x80004648]<br>0xFFFF4AF8|- rs1_val==-46339 and rs2_val==5<br>                                                                                                                 |[0x80001ea0]:c.xor a0, a1<br> [0x80001ea2]:sw a0, 1592(ra)<br> |
| 399|[0x8000464c]<br>0xCCCC79CE|- rs1_val==-46339 and rs2_val==858993459<br>                                                                                                         |[0x80001eb6]:c.xor a0, a1<br> [0x80001eb8]:sw a0, 1596(ra)<br> |
| 400|[0x80004650]<br>0x99992C9B|- rs1_val==-46339 and rs2_val==1717986918<br>                                                                                                        |[0x80001ecc]:c.xor a0, a1<br> [0x80001ece]:sw a0, 1600(ra)<br> |
| 401|[0x80004654]<br>0x00000001|- rs1_val==-46339 and rs2_val==-46340<br>                                                                                                            |[0x80001ee2]:c.xor a0, a1<br> [0x80001ee4]:sw a0, 1604(ra)<br> |
| 402|[0x80004658]<br>0xFFFFFFF9|- rs1_val==-46339 and rs2_val==46340<br>                                                                                                             |[0x80001ef8]:c.xor a0, a1<br> [0x80001efa]:sw a0, 1608(ra)<br> |
| 403|[0x8000465c]<br>0xFFFF4AFF|- rs1_val==-46339 and rs2_val==2<br>                                                                                                                 |[0x80001f0a]:c.xor a0, a1<br> [0x80001f0c]:sw a0, 1612(ra)<br> |
| 404|[0x80004660]<br>0xAAAA1FA9|- rs1_val==-46339 and rs2_val==1431655764<br>                                                                                                        |[0x80001f20]:c.xor a0, a1<br> [0x80001f22]:sw a0, 1616(ra)<br> |
| 405|[0x80004664]<br>0xFFFF4AFD|- rs1_val==-46339 and rs2_val==0<br>                                                                                                                 |[0x80001f32]:c.xor a0, a1<br> [0x80001f34]:sw a0, 1620(ra)<br> |
| 406|[0x80004668]<br>0xFFFF4AF9|- rs1_val==-46339 and rs2_val==4<br>                                                                                                                 |[0x80001f44]:c.xor a0, a1<br> [0x80001f46]:sw a0, 1624(ra)<br> |
| 407|[0x8000466c]<br>0xCCCC79CF|- rs1_val==-46339 and rs2_val==858993458<br>                                                                                                         |[0x80001f5a]:c.xor a0, a1<br> [0x80001f5c]:sw a0, 1628(ra)<br> |
| 408|[0x80004670]<br>0x99992C98|- rs1_val==-46339 and rs2_val==1717986917<br>                                                                                                        |[0x80001f70]:c.xor a0, a1<br> [0x80001f72]:sw a0, 1632(ra)<br> |
| 409|[0x80004674]<br>0xFFFFFFFE|- rs1_val==-46339 and rs2_val==46339<br>                                                                                                             |[0x80001f86]:c.xor a0, a1<br> [0x80001f88]:sw a0, 1636(ra)<br> |
| 410|[0x80004678]<br>0xAAAA1FAB|- rs1_val==-46339 and rs2_val==1431655766<br>                                                                                                        |[0x80001f9c]:c.xor a0, a1<br> [0x80001f9e]:sw a0, 1640(ra)<br> |
| 411|[0x8000467c]<br>0x5555E056|- rs1_val==-46339 and rs2_val==-1431655765<br>                                                                                                       |[0x80001fb2]:c.xor a0, a1<br> [0x80001fb4]:sw a0, 1644(ra)<br> |
| 412|[0x80004680]<br>0xFFFF4AFB|- rs1_val==-46339 and rs2_val==6<br>                                                                                                                 |[0x80001fc4]:c.xor a0, a1<br> [0x80001fc6]:sw a0, 1648(ra)<br> |
| 413|[0x80004684]<br>0xCCCC79C9|- rs1_val==-46339 and rs2_val==858993460<br>                                                                                                         |[0x80001fda]:c.xor a0, a1<br> [0x80001fdc]:sw a0, 1652(ra)<br> |
| 414|[0x80004688]<br>0x99992C9A|- rs1_val==-46339 and rs2_val==1717986919<br>                                                                                                        |[0x80001ff0]:c.xor a0, a1<br> [0x80001ff2]:sw a0, 1656(ra)<br> |
| 415|[0x8000468c]<br>0x00000000|- rs1_val==-46339 and rs2_val==-46339<br>                                                                                                            |[0x80002006]:c.xor a0, a1<br> [0x80002008]:sw a0, 1660(ra)<br> |
| 416|[0x80004690]<br>0xFFFFFFF8|- rs1_val==-46339 and rs2_val==46341<br>                                                                                                             |[0x8000201c]:c.xor a0, a1<br> [0x8000201e]:sw a0, 1664(ra)<br> |
| 417|[0x80004694]<br>0x0000B506|- rs1_val==46341 and rs2_val==3<br>                                                                                                                  |[0x8000202e]:c.xor a0, a1<br> [0x80002030]:sw a0, 1668(ra)<br> |
| 418|[0x80004698]<br>0x5555E050|- rs1_val==46341 and rs2_val==1431655765<br>                                                                                                         |[0x80002044]:c.xor a0, a1<br> [0x80002046]:sw a0, 1672(ra)<br> |
| 419|[0x8000469c]<br>0xAAAA1FAF|- rs1_val==46341 and rs2_val==-1431655766<br>                                                                                                        |[0x8000205a]:c.xor a0, a1<br> [0x8000205c]:sw a0, 1676(ra)<br> |
| 420|[0x800046a0]<br>0x0000B500|- rs1_val==46341 and rs2_val==5<br>                                                                                                                  |[0x8000206c]:c.xor a0, a1<br> [0x8000206e]:sw a0, 1680(ra)<br> |
| 421|[0x800046a4]<br>0x33338636|- rs1_val==46341 and rs2_val==858993459<br>                                                                                                          |[0x80002082]:c.xor a0, a1<br> [0x80002084]:sw a0, 1684(ra)<br> |
| 422|[0x800046a8]<br>0x6666D363|- rs1_val==46341 and rs2_val==1717986918<br>                                                                                                         |[0x80002098]:c.xor a0, a1<br> [0x8000209a]:sw a0, 1688(ra)<br> |
| 423|[0x800046ac]<br>0xFFFFFFF9|- rs1_val==46341 and rs2_val==-46340<br>                                                                                                             |[0x800020ae]:c.xor a0, a1<br> [0x800020b0]:sw a0, 1692(ra)<br> |
| 424|[0x800046b0]<br>0x00000001|- rs1_val==46341 and rs2_val==46340<br>                                                                                                              |[0x800020c4]:c.xor a0, a1<br> [0x800020c6]:sw a0, 1696(ra)<br> |
| 425|[0x800046b4]<br>0x0000B507|- rs1_val==46341 and rs2_val==2<br>                                                                                                                  |[0x800020d6]:c.xor a0, a1<br> [0x800020d8]:sw a0, 1700(ra)<br> |
| 426|[0x800046b8]<br>0x5555E051|- rs1_val==46341 and rs2_val==1431655764<br>                                                                                                         |[0x800020ec]:c.xor a0, a1<br> [0x800020ee]:sw a0, 1704(ra)<br> |
| 427|[0x800046bc]<br>0x0000B505|- rs1_val==46341 and rs2_val==0<br>                                                                                                                  |[0x800020fe]:c.xor a0, a1<br> [0x80002100]:sw a0, 1708(ra)<br> |
| 428|[0x800046c0]<br>0x0000B501|- rs1_val==46341 and rs2_val==4<br>                                                                                                                  |[0x80002110]:c.xor a0, a1<br> [0x80002112]:sw a0, 1712(ra)<br> |
| 429|[0x800046c4]<br>0x33338637|- rs1_val==46341 and rs2_val==858993458<br>                                                                                                          |[0x80002126]:c.xor a0, a1<br> [0x80002128]:sw a0, 1716(ra)<br> |
| 430|[0x800046c8]<br>0x6666D360|- rs1_val==46341 and rs2_val==1717986917<br>                                                                                                         |[0x8000213c]:c.xor a0, a1<br> [0x8000213e]:sw a0, 1720(ra)<br> |
| 431|[0x800046cc]<br>0x00000006|- rs1_val==46341 and rs2_val==46339<br>                                                                                                              |[0x80002152]:c.xor a0, a1<br> [0x80002154]:sw a0, 1724(ra)<br> |
| 432|[0x800046d0]<br>0x5555E053|- rs1_val==46341 and rs2_val==1431655766<br>                                                                                                         |[0x80002168]:c.xor a0, a1<br> [0x8000216a]:sw a0, 1728(ra)<br> |
| 433|[0x800046d4]<br>0xAAAA1FAE|- rs1_val==46341 and rs2_val==-1431655765<br>                                                                                                        |[0x8000217e]:c.xor a0, a1<br> [0x80002180]:sw a0, 1732(ra)<br> |
| 434|[0x800046d8]<br>0x0000B503|- rs1_val==46341 and rs2_val==6<br>                                                                                                                  |[0x80002190]:c.xor a0, a1<br> [0x80002192]:sw a0, 1736(ra)<br> |
| 435|[0x800046dc]<br>0x33338631|- rs1_val==46341 and rs2_val==858993460<br>                                                                                                          |[0x800021a6]:c.xor a0, a1<br> [0x800021a8]:sw a0, 1740(ra)<br> |
| 436|[0x800046e0]<br>0x6666D362|- rs1_val==46341 and rs2_val==1717986919<br>                                                                                                         |[0x800021bc]:c.xor a0, a1<br> [0x800021be]:sw a0, 1744(ra)<br> |
| 437|[0x800046e4]<br>0xFFFFFFF8|- rs1_val==46341 and rs2_val==-46339<br>                                                                                                             |[0x800021d2]:c.xor a0, a1<br> [0x800021d4]:sw a0, 1748(ra)<br> |
| 438|[0x800046e8]<br>0x00000000|- rs1_val==46341 and rs2_val==46341<br>                                                                                                              |[0x800021e8]:c.xor a0, a1<br> [0x800021ea]:sw a0, 1752(ra)<br> |
| 439|[0x800046ec]<br>0x55555554|- rs1_val==0 and rs2_val==1431655764<br>                                                                                                             |[0x800021fa]:c.xor a0, a1<br> [0x800021fc]:sw a0, 1756(ra)<br> |
| 440|[0x800046f0]<br>0x00000000|- rs1_val==0 and rs2_val==0<br>                                                                                                                      |[0x80002208]:c.xor a0, a1<br> [0x8000220a]:sw a0, 1760(ra)<br> |
| 441|[0x800046f4]<br>0x00000004|- rs1_val==0 and rs2_val==4<br>                                                                                                                      |[0x80002216]:c.xor a0, a1<br> [0x80002218]:sw a0, 1764(ra)<br> |
| 442|[0x800046f8]<br>0x33333332|- rs1_val==0 and rs2_val==858993458<br>                                                                                                              |[0x80002228]:c.xor a0, a1<br> [0x8000222a]:sw a0, 1768(ra)<br> |
| 443|[0x800046fc]<br>0x66666665|- rs1_val==0 and rs2_val==1717986917<br>                                                                                                             |[0x8000223a]:c.xor a0, a1<br> [0x8000223c]:sw a0, 1772(ra)<br> |
| 444|[0x80004700]<br>0x0000B503|- rs1_val==0 and rs2_val==46339<br>                                                                                                                  |[0x8000224c]:c.xor a0, a1<br> [0x8000224e]:sw a0, 1776(ra)<br> |
| 445|[0x80004704]<br>0x55555556|- rs1_val==0 and rs2_val==1431655766<br>                                                                                                             |[0x8000225e]:c.xor a0, a1<br> [0x80002260]:sw a0, 1780(ra)<br> |
| 446|[0x80004708]<br>0xAAAAAAAB|- rs1_val==0 and rs2_val==-1431655765<br>                                                                                                            |[0x80002270]:c.xor a0, a1<br> [0x80002272]:sw a0, 1784(ra)<br> |
| 447|[0x8000470c]<br>0x00000006|- rs1_val==0 and rs2_val==6<br>                                                                                                                      |[0x8000227e]:c.xor a0, a1<br> [0x80002280]:sw a0, 1788(ra)<br> |
| 448|[0x80004710]<br>0x33333334|- rs1_val==0 and rs2_val==858993460<br>                                                                                                              |[0x80002290]:c.xor a0, a1<br> [0x80002292]:sw a0, 1792(ra)<br> |
| 449|[0x80004714]<br>0x66666667|- rs1_val==0 and rs2_val==1717986919<br>                                                                                                             |[0x800022a2]:c.xor a0, a1<br> [0x800022a4]:sw a0, 1796(ra)<br> |
| 450|[0x80004718]<br>0xFFFF4AFD|- rs1_val==0 and rs2_val==-46339<br>                                                                                                                 |[0x800022b4]:c.xor a0, a1<br> [0x800022b6]:sw a0, 1800(ra)<br> |
| 451|[0x8000471c]<br>0x0000B505|- rs1_val==0 and rs2_val==46341<br>                                                                                                                  |[0x800022c6]:c.xor a0, a1<br> [0x800022c8]:sw a0, 1804(ra)<br> |
| 452|[0x80004720]<br>0x00000007|- rs1_val==4 and rs2_val==3<br>                                                                                                                      |[0x800022d4]:c.xor a0, a1<br> [0x800022d6]:sw a0, 1808(ra)<br> |
| 453|[0x80004724]<br>0x55555551|- rs1_val==4 and rs2_val==1431655765<br>                                                                                                             |[0x800022e6]:c.xor a0, a1<br> [0x800022e8]:sw a0, 1812(ra)<br> |
| 454|[0x80004728]<br>0xAAAAAAAE|- rs1_val==4 and rs2_val==-1431655766<br>                                                                                                            |[0x800022f8]:c.xor a0, a1<br> [0x800022fa]:sw a0, 1816(ra)<br> |
| 455|[0x8000472c]<br>0x00000001|- rs1_val==4 and rs2_val==5<br>                                                                                                                      |[0x80002306]:c.xor a0, a1<br> [0x80002308]:sw a0, 1820(ra)<br> |
| 456|[0x80004730]<br>0x33333337|- rs1_val==4 and rs2_val==858993459<br>                                                                                                              |[0x80002318]:c.xor a0, a1<br> [0x8000231a]:sw a0, 1824(ra)<br> |
| 457|[0x80004734]<br>0x66666662|- rs1_val==4 and rs2_val==1717986918<br>                                                                                                             |[0x8000232a]:c.xor a0, a1<br> [0x8000232c]:sw a0, 1828(ra)<br> |
| 458|[0x80004738]<br>0xFFFF4AF8|- rs1_val==4 and rs2_val==-46340<br>                                                                                                                 |[0x8000233c]:c.xor a0, a1<br> [0x8000233e]:sw a0, 1832(ra)<br> |
| 459|[0x8000473c]<br>0x0000B500|- rs1_val==4 and rs2_val==46340<br>                                                                                                                  |[0x8000234e]:c.xor a0, a1<br> [0x80002350]:sw a0, 1836(ra)<br> |
| 460|[0x80004740]<br>0x00000006|- rs1_val==4 and rs2_val==2<br>                                                                                                                      |[0x8000235c]:c.xor a0, a1<br> [0x8000235e]:sw a0, 1840(ra)<br> |
| 461|[0x80004744]<br>0x55555550|- rs1_val==4 and rs2_val==1431655764<br>                                                                                                             |[0x8000236e]:c.xor a0, a1<br> [0x80002370]:sw a0, 1844(ra)<br> |
| 462|[0x80004748]<br>0x00000004|- rs1_val==4 and rs2_val==0<br>                                                                                                                      |[0x8000237c]:c.xor a0, a1<br> [0x8000237e]:sw a0, 1848(ra)<br> |
| 463|[0x8000474c]<br>0x00000000|- rs1_val==4 and rs2_val==4<br>                                                                                                                      |[0x8000238a]:c.xor a0, a1<br> [0x8000238c]:sw a0, 1852(ra)<br> |
| 464|[0x80004750]<br>0x33333336|- rs1_val==4 and rs2_val==858993458<br>                                                                                                              |[0x8000239c]:c.xor a0, a1<br> [0x8000239e]:sw a0, 1856(ra)<br> |
| 465|[0x80004754]<br>0x66666661|- rs1_val==4 and rs2_val==1717986917<br>                                                                                                             |[0x800023ae]:c.xor a0, a1<br> [0x800023b0]:sw a0, 1860(ra)<br> |
| 466|[0x80004758]<br>0x0000B507|- rs1_val==4 and rs2_val==46339<br>                                                                                                                  |[0x800023c0]:c.xor a0, a1<br> [0x800023c2]:sw a0, 1864(ra)<br> |
| 467|[0x8000475c]<br>0x55555552|- rs1_val==4 and rs2_val==1431655766<br>                                                                                                             |[0x800023d2]:c.xor a0, a1<br> [0x800023d4]:sw a0, 1868(ra)<br> |
| 468|[0x80004760]<br>0xAAAAAAAF|- rs1_val==4 and rs2_val==-1431655765<br>                                                                                                            |[0x800023e4]:c.xor a0, a1<br> [0x800023e6]:sw a0, 1872(ra)<br> |
| 469|[0x80004764]<br>0x00000002|- rs1_val==4 and rs2_val==6<br>                                                                                                                      |[0x800023f2]:c.xor a0, a1<br> [0x800023f4]:sw a0, 1876(ra)<br> |
| 470|[0x80004768]<br>0x33333330|- rs1_val==4 and rs2_val==858993460<br>                                                                                                              |[0x80002404]:c.xor a0, a1<br> [0x80002406]:sw a0, 1880(ra)<br> |
| 471|[0x8000476c]<br>0x66666663|- rs1_val==4 and rs2_val==1717986919<br>                                                                                                             |[0x80002416]:c.xor a0, a1<br> [0x80002418]:sw a0, 1884(ra)<br> |
| 472|[0x80004770]<br>0xFFFF4AF9|- rs1_val==4 and rs2_val==-46339<br>                                                                                                                 |[0x80002428]:c.xor a0, a1<br> [0x8000242a]:sw a0, 1888(ra)<br> |
| 473|[0x80004774]<br>0x0000B501|- rs1_val==4 and rs2_val==46341<br>                                                                                                                  |[0x8000243a]:c.xor a0, a1<br> [0x8000243c]:sw a0, 1892(ra)<br> |
| 474|[0x80004778]<br>0x33333331|- rs1_val==858993458 and rs2_val==3<br>                                                                                                              |[0x8000244c]:c.xor a0, a1<br> [0x8000244e]:sw a0, 1896(ra)<br> |
| 475|[0x8000477c]<br>0x66666667|- rs1_val==858993458 and rs2_val==1431655765<br>                                                                                                     |[0x80002462]:c.xor a0, a1<br> [0x80002464]:sw a0, 1900(ra)<br> |
| 476|[0x80004780]<br>0x99999998|- rs1_val==858993458 and rs2_val==-1431655766<br>                                                                                                    |[0x80002478]:c.xor a0, a1<br> [0x8000247a]:sw a0, 1904(ra)<br> |
| 477|[0x80004784]<br>0x33333337|- rs1_val==858993458 and rs2_val==5<br>                                                                                                              |[0x8000248a]:c.xor a0, a1<br> [0x8000248c]:sw a0, 1908(ra)<br> |
| 478|[0x80004788]<br>0x00000001|- rs1_val==858993458 and rs2_val==858993459<br>                                                                                                      |[0x800024a0]:c.xor a0, a1<br> [0x800024a2]:sw a0, 1912(ra)<br> |
| 479|[0x8000478c]<br>0x55555554|- rs1_val==858993458 and rs2_val==1717986918<br>                                                                                                     |[0x800024b6]:c.xor a0, a1<br> [0x800024b8]:sw a0, 1916(ra)<br> |
| 480|[0x80004790]<br>0xCCCC79CE|- rs1_val==858993458 and rs2_val==-46340<br>                                                                                                         |[0x800024cc]:c.xor a0, a1<br> [0x800024ce]:sw a0, 1920(ra)<br> |
| 481|[0x80004794]<br>0x33338636|- rs1_val==858993458 and rs2_val==46340<br>                                                                                                          |[0x800024e2]:c.xor a0, a1<br> [0x800024e4]:sw a0, 1924(ra)<br> |
| 482|[0x80004798]<br>0x33333330|- rs1_val==858993458 and rs2_val==2<br>                                                                                                              |[0x800024f4]:c.xor a0, a1<br> [0x800024f6]:sw a0, 1928(ra)<br> |
| 483|[0x8000479c]<br>0x66666666|- rs1_val==858993458 and rs2_val==1431655764<br>                                                                                                     |[0x8000250a]:c.xor a0, a1<br> [0x8000250c]:sw a0, 1932(ra)<br> |
| 484|[0x800047a0]<br>0x33333332|- rs1_val==858993458 and rs2_val==0<br>                                                                                                              |[0x8000251c]:c.xor a0, a1<br> [0x8000251e]:sw a0, 1936(ra)<br> |
| 485|[0x800047a4]<br>0x33333336|- rs1_val==858993458 and rs2_val==4<br>                                                                                                              |[0x8000252e]:c.xor a0, a1<br> [0x80002530]:sw a0, 1940(ra)<br> |
| 486|[0x800047a8]<br>0x00000000|- rs1_val==858993458 and rs2_val==858993458<br>                                                                                                      |[0x80002544]:c.xor a0, a1<br> [0x80002546]:sw a0, 1944(ra)<br> |
| 487|[0x800047ac]<br>0x55555557|- rs1_val==858993458 and rs2_val==1717986917<br>                                                                                                     |[0x8000255a]:c.xor a0, a1<br> [0x8000255c]:sw a0, 1948(ra)<br> |
| 488|[0x800047b0]<br>0x33338631|- rs1_val==858993458 and rs2_val==46339<br>                                                                                                          |[0x80002570]:c.xor a0, a1<br> [0x80002572]:sw a0, 1952(ra)<br> |
| 489|[0x800047b4]<br>0x66666664|- rs1_val==858993458 and rs2_val==1431655766<br>                                                                                                     |[0x80002586]:c.xor a0, a1<br> [0x80002588]:sw a0, 1956(ra)<br> |
| 490|[0x800047b8]<br>0x99999999|- rs1_val==858993458 and rs2_val==-1431655765<br>                                                                                                    |[0x8000259c]:c.xor a0, a1<br> [0x8000259e]:sw a0, 1960(ra)<br> |
| 491|[0x800047bc]<br>0x33333334|- rs1_val==858993458 and rs2_val==6<br>                                                                                                              |[0x800025ae]:c.xor a0, a1<br> [0x800025b0]:sw a0, 1964(ra)<br> |
| 492|[0x800047c0]<br>0x00000006|- rs1_val==858993458 and rs2_val==858993460<br>                                                                                                      |[0x800025c4]:c.xor a0, a1<br> [0x800025c6]:sw a0, 1968(ra)<br> |
| 493|[0x800047c4]<br>0x55555555|- rs1_val==858993458 and rs2_val==1717986919<br>                                                                                                     |[0x800025da]:c.xor a0, a1<br> [0x800025dc]:sw a0, 1972(ra)<br> |
| 494|[0x800047c8]<br>0xCCCC79CF|- rs1_val==858993458 and rs2_val==-46339<br>                                                                                                         |[0x800025f0]:c.xor a0, a1<br> [0x800025f2]:sw a0, 1976(ra)<br> |
| 495|[0x800047cc]<br>0x33338637|- rs1_val==858993458 and rs2_val==46341<br>                                                                                                          |[0x80002606]:c.xor a0, a1<br> [0x80002608]:sw a0, 1980(ra)<br> |
| 496|[0x800047d0]<br>0x66666666|- rs1_val==1717986917 and rs2_val==3<br>                                                                                                             |[0x80002618]:c.xor a0, a1<br> [0x8000261a]:sw a0, 1984(ra)<br> |
| 497|[0x800047d4]<br>0x33333330|- rs1_val==1717986917 and rs2_val==1431655765<br>                                                                                                    |[0x8000262e]:c.xor a0, a1<br> [0x80002630]:sw a0, 1988(ra)<br> |
| 498|[0x800047d8]<br>0xCCCCCCCF|- rs1_val==1717986917 and rs2_val==-1431655766<br>                                                                                                   |[0x80002644]:c.xor a0, a1<br> [0x80002646]:sw a0, 1992(ra)<br> |
| 499|[0x800047dc]<br>0x66666660|- rs1_val==1717986917 and rs2_val==5<br>                                                                                                             |[0x80002656]:c.xor a0, a1<br> [0x80002658]:sw a0, 1996(ra)<br> |
| 500|[0x800047e0]<br>0x55555556|- rs1_val==1717986917 and rs2_val==858993459<br>                                                                                                     |[0x8000266c]:c.xor a0, a1<br> [0x8000266e]:sw a0, 2000(ra)<br> |
| 501|[0x800047e4]<br>0x00000003|- rs1_val==1717986917 and rs2_val==1717986918<br>                                                                                                    |[0x80002682]:c.xor a0, a1<br> [0x80002684]:sw a0, 2004(ra)<br> |
| 502|[0x800047e8]<br>0x99992C99|- rs1_val==1717986917 and rs2_val==-46340<br>                                                                                                        |[0x80002698]:c.xor a0, a1<br> [0x8000269a]:sw a0, 2008(ra)<br> |
| 503|[0x800047ec]<br>0x6666D361|- rs1_val==1717986917 and rs2_val==46340<br>                                                                                                         |[0x800026ae]:c.xor a0, a1<br> [0x800026b0]:sw a0, 2012(ra)<br> |
| 504|[0x800047f0]<br>0x66666667|- rs1_val==1717986917 and rs2_val==2<br>                                                                                                             |[0x800026c0]:c.xor a0, a1<br> [0x800026c2]:sw a0, 2016(ra)<br> |
| 505|[0x800047f4]<br>0x33333331|- rs1_val==1717986917 and rs2_val==1431655764<br>                                                                                                    |[0x800026d6]:c.xor a0, a1<br> [0x800026d8]:sw a0, 2020(ra)<br> |
| 506|[0x800047f8]<br>0x66666665|- rs1_val==1717986917 and rs2_val==0<br>                                                                                                             |[0x800026e8]:c.xor a0, a1<br> [0x800026ea]:sw a0, 2024(ra)<br> |
| 507|[0x800047fc]<br>0x66666661|- rs1_val==1717986917 and rs2_val==4<br>                                                                                                             |[0x800026fa]:c.xor a0, a1<br> [0x800026fc]:sw a0, 2028(ra)<br> |
| 508|[0x80004800]<br>0x55555557|- rs1_val==1717986917 and rs2_val==858993458<br>                                                                                                     |[0x80002710]:c.xor a0, a1<br> [0x80002712]:sw a0, 2032(ra)<br> |
| 509|[0x80004804]<br>0x00000000|- rs1_val==1717986917 and rs2_val==1717986917<br>                                                                                                    |[0x80002726]:c.xor a0, a1<br> [0x80002728]:sw a0, 2036(ra)<br> |
| 510|[0x80004808]<br>0x6666D366|- rs1_val==1717986917 and rs2_val==46339<br>                                                                                                         |[0x8000273c]:c.xor a0, a1<br> [0x8000273e]:sw a0, 2040(ra)<br> |
| 511|[0x8000480c]<br>0x33333333|- rs1_val==1717986917 and rs2_val==1431655766<br>                                                                                                    |[0x80002752]:c.xor a0, a1<br> [0x80002754]:sw a0, 2044(ra)<br> |
| 512|[0x80004810]<br>0xCCCCCCCE|- rs1_val==1717986917 and rs2_val==-1431655765<br>                                                                                                   |[0x80002770]:c.xor a0, a1<br> [0x80002772]:sw a0, 0(ra)<br>    |
| 513|[0x80004814]<br>0x66666663|- rs1_val==1717986917 and rs2_val==6<br>                                                                                                             |[0x80002782]:c.xor a0, a1<br> [0x80002784]:sw a0, 4(ra)<br>    |
| 514|[0x80004818]<br>0x55555551|- rs1_val==1717986917 and rs2_val==858993460<br>                                                                                                     |[0x80002798]:c.xor a0, a1<br> [0x8000279a]:sw a0, 8(ra)<br>    |
| 515|[0x8000481c]<br>0x00000002|- rs1_val==1717986917 and rs2_val==1717986919<br>                                                                                                    |[0x800027ae]:c.xor a0, a1<br> [0x800027b0]:sw a0, 12(ra)<br>   |
| 516|[0x80004820]<br>0x99992C98|- rs1_val==1717986917 and rs2_val==-46339<br>                                                                                                        |[0x800027c4]:c.xor a0, a1<br> [0x800027c6]:sw a0, 16(ra)<br>   |
| 517|[0x80004824]<br>0x6666D360|- rs1_val==1717986917 and rs2_val==46341<br>                                                                                                         |[0x800027da]:c.xor a0, a1<br> [0x800027dc]:sw a0, 20(ra)<br>   |
| 518|[0x80004828]<br>0x0000B500|- rs1_val==46339 and rs2_val==3<br>                                                                                                                  |[0x800027ec]:c.xor a0, a1<br> [0x800027ee]:sw a0, 24(ra)<br>   |
| 519|[0x8000482c]<br>0x5555E056|- rs1_val==46339 and rs2_val==1431655765<br>                                                                                                         |[0x80002802]:c.xor a0, a1<br> [0x80002804]:sw a0, 28(ra)<br>   |
| 520|[0x80004830]<br>0xAAAA1FA9|- rs1_val==46339 and rs2_val==-1431655766<br>                                                                                                        |[0x80002818]:c.xor a0, a1<br> [0x8000281a]:sw a0, 32(ra)<br>   |
| 521|[0x80004834]<br>0x0000B506|- rs1_val==46339 and rs2_val==5<br>                                                                                                                  |[0x8000282a]:c.xor a0, a1<br> [0x8000282c]:sw a0, 36(ra)<br>   |
| 522|[0x80004838]<br>0x33338630|- rs1_val==46339 and rs2_val==858993459<br>                                                                                                          |[0x80002840]:c.xor a0, a1<br> [0x80002842]:sw a0, 40(ra)<br>   |
| 523|[0x8000483c]<br>0x6666D365|- rs1_val==46339 and rs2_val==1717986918<br>                                                                                                         |[0x80002856]:c.xor a0, a1<br> [0x80002858]:sw a0, 44(ra)<br>   |
| 524|[0x80004840]<br>0xFFFFFFFF|- rs1_val==46339 and rs2_val==-46340<br>                                                                                                             |[0x8000286c]:c.xor a0, a1<br> [0x8000286e]:sw a0, 48(ra)<br>   |
| 525|[0x80004844]<br>0x00000007|- rs1_val==46339 and rs2_val==46340<br>                                                                                                              |[0x80002882]:c.xor a0, a1<br> [0x80002884]:sw a0, 52(ra)<br>   |
| 526|[0x80004848]<br>0x0000B501|- rs1_val==46339 and rs2_val==2<br>                                                                                                                  |[0x80002894]:c.xor a0, a1<br> [0x80002896]:sw a0, 56(ra)<br>   |
| 527|[0x8000484c]<br>0x5555E057|- rs1_val==46339 and rs2_val==1431655764<br>                                                                                                         |[0x800028aa]:c.xor a0, a1<br> [0x800028ac]:sw a0, 60(ra)<br>   |
| 528|[0x80004850]<br>0x0000B503|- rs1_val==46339 and rs2_val==0<br>                                                                                                                  |[0x800028bc]:c.xor a0, a1<br> [0x800028be]:sw a0, 64(ra)<br>   |
| 529|[0x80004854]<br>0x0000B507|- rs1_val==46339 and rs2_val==4<br>                                                                                                                  |[0x800028ce]:c.xor a0, a1<br> [0x800028d0]:sw a0, 68(ra)<br>   |
| 530|[0x80004858]<br>0x33338631|- rs1_val==46339 and rs2_val==858993458<br>                                                                                                          |[0x800028e4]:c.xor a0, a1<br> [0x800028e6]:sw a0, 72(ra)<br>   |
| 531|[0x8000485c]<br>0x6666D366|- rs1_val==46339 and rs2_val==1717986917<br>                                                                                                         |[0x800028fa]:c.xor a0, a1<br> [0x800028fc]:sw a0, 76(ra)<br>   |
| 532|[0x80004860]<br>0x00000000|- rs1_val==46339 and rs2_val==46339<br>                                                                                                              |[0x80002910]:c.xor a0, a1<br> [0x80002912]:sw a0, 80(ra)<br>   |
| 533|[0x80004864]<br>0x5555E055|- rs1_val==46339 and rs2_val==1431655766<br>                                                                                                         |[0x80002926]:c.xor a0, a1<br> [0x80002928]:sw a0, 84(ra)<br>   |
| 534|[0x80004868]<br>0xAAAA1FA8|- rs1_val==46339 and rs2_val==-1431655765<br>                                                                                                        |[0x8000293c]:c.xor a0, a1<br> [0x8000293e]:sw a0, 88(ra)<br>   |
| 535|[0x8000486c]<br>0x0000B505|- rs1_val==46339 and rs2_val==6<br>                                                                                                                  |[0x8000294e]:c.xor a0, a1<br> [0x80002950]:sw a0, 92(ra)<br>   |
| 536|[0x80004870]<br>0x33338637|- rs1_val==46339 and rs2_val==858993460<br>                                                                                                          |[0x80002964]:c.xor a0, a1<br> [0x80002966]:sw a0, 96(ra)<br>   |
| 537|[0x80004874]<br>0x6666D364|- rs1_val==46339 and rs2_val==1717986919<br>                                                                                                         |[0x8000297a]:c.xor a0, a1<br> [0x8000297c]:sw a0, 100(ra)<br>  |
| 538|[0x80004878]<br>0xFFFFFFFE|- rs1_val==46339 and rs2_val==-46339<br>                                                                                                             |[0x80002990]:c.xor a0, a1<br> [0x80002992]:sw a0, 104(ra)<br>  |
| 539|[0x8000487c]<br>0x00000006|- rs1_val==46339 and rs2_val==46341<br>                                                                                                              |[0x800029a6]:c.xor a0, a1<br> [0x800029a8]:sw a0, 108(ra)<br>  |
| 540|[0x80004880]<br>0x55555555|- rs1_val==1431655766 and rs2_val==3<br>                                                                                                             |[0x800029b8]:c.xor a0, a1<br> [0x800029ba]:sw a0, 112(ra)<br>  |
| 541|[0x80004884]<br>0x00000003|- rs1_val==1431655766 and rs2_val==1431655765<br>                                                                                                    |[0x800029ce]:c.xor a0, a1<br> [0x800029d0]:sw a0, 116(ra)<br>  |
| 542|[0x80004888]<br>0xFFFFFFFC|- rs1_val==1431655766 and rs2_val==-1431655766<br>                                                                                                   |[0x800029e4]:c.xor a0, a1<br> [0x800029e6]:sw a0, 120(ra)<br>  |
| 543|[0x8000488c]<br>0x55555553|- rs1_val==1431655766 and rs2_val==5<br>                                                                                                             |[0x800029f6]:c.xor a0, a1<br> [0x800029f8]:sw a0, 124(ra)<br>  |
| 544|[0x80004890]<br>0x66666665|- rs1_val==1431655766 and rs2_val==858993459<br>                                                                                                     |[0x80002a0c]:c.xor a0, a1<br> [0x80002a0e]:sw a0, 128(ra)<br>  |
| 545|[0x80004894]<br>0x33333330|- rs1_val==1431655766 and rs2_val==1717986918<br>                                                                                                    |[0x80002a22]:c.xor a0, a1<br> [0x80002a24]:sw a0, 132(ra)<br>  |
| 546|[0x80004898]<br>0xAAAA1FAA|- rs1_val==1431655766 and rs2_val==-46340<br>                                                                                                        |[0x80002a38]:c.xor a0, a1<br> [0x80002a3a]:sw a0, 136(ra)<br>  |
| 547|[0x8000489c]<br>0x5555E052|- rs1_val==1431655766 and rs2_val==46340<br>                                                                                                         |[0x80002a4e]:c.xor a0, a1<br> [0x80002a50]:sw a0, 140(ra)<br>  |
| 548|[0x800048a0]<br>0x55555554|- rs1_val==1431655766 and rs2_val==2<br>                                                                                                             |[0x80002a60]:c.xor a0, a1<br> [0x80002a62]:sw a0, 144(ra)<br>  |
| 549|[0x800048a4]<br>0x00000002|- rs1_val==1431655766 and rs2_val==1431655764<br>                                                                                                    |[0x80002a76]:c.xor a0, a1<br> [0x80002a78]:sw a0, 148(ra)<br>  |
| 550|[0x800048a8]<br>0x55555556|- rs1_val==1431655766 and rs2_val==0<br>                                                                                                             |[0x80002a88]:c.xor a0, a1<br> [0x80002a8a]:sw a0, 152(ra)<br>  |
| 551|[0x800048ac]<br>0x55555552|- rs1_val==1431655766 and rs2_val==4<br>                                                                                                             |[0x80002a9a]:c.xor a0, a1<br> [0x80002a9c]:sw a0, 156(ra)<br>  |
| 552|[0x800048b0]<br>0x66666664|- rs1_val==1431655766 and rs2_val==858993458<br>                                                                                                     |[0x80002ab0]:c.xor a0, a1<br> [0x80002ab2]:sw a0, 160(ra)<br>  |
| 553|[0x800048b4]<br>0x33333333|- rs1_val==1431655766 and rs2_val==1717986917<br>                                                                                                    |[0x80002ac6]:c.xor a0, a1<br> [0x80002ac8]:sw a0, 164(ra)<br>  |
| 554|[0x800048b8]<br>0x5555E055|- rs1_val==1431655766 and rs2_val==46339<br>                                                                                                         |[0x80002adc]:c.xor a0, a1<br> [0x80002ade]:sw a0, 168(ra)<br>  |
| 555|[0x800048bc]<br>0x00000000|- rs1_val==1431655766 and rs2_val==1431655766<br>                                                                                                    |[0x80002af2]:c.xor a0, a1<br> [0x80002af4]:sw a0, 172(ra)<br>  |
| 556|[0x800048c0]<br>0xFFFFFFFD|- rs1_val==1431655766 and rs2_val==-1431655765<br>                                                                                                   |[0x80002b08]:c.xor a0, a1<br> [0x80002b0a]:sw a0, 176(ra)<br>  |
| 557|[0x800048c4]<br>0x55555550|- rs1_val==1431655766 and rs2_val==6<br>                                                                                                             |[0x80002b1a]:c.xor a0, a1<br> [0x80002b1c]:sw a0, 180(ra)<br>  |
| 558|[0x800048c8]<br>0x66666662|- rs1_val==1431655766 and rs2_val==858993460<br>                                                                                                     |[0x80002b30]:c.xor a0, a1<br> [0x80002b32]:sw a0, 184(ra)<br>  |
| 559|[0x800048cc]<br>0x33333331|- rs1_val==1431655766 and rs2_val==1717986919<br>                                                                                                    |[0x80002b46]:c.xor a0, a1<br> [0x80002b48]:sw a0, 188(ra)<br>  |
| 560|[0x800048d0]<br>0xAAAA1FAB|- rs1_val==1431655766 and rs2_val==-46339<br>                                                                                                        |[0x80002b5c]:c.xor a0, a1<br> [0x80002b5e]:sw a0, 192(ra)<br>  |
| 561|[0x800048d4]<br>0x5555E053|- rs1_val==1431655766 and rs2_val==46341<br>                                                                                                         |[0x80002b72]:c.xor a0, a1<br> [0x80002b74]:sw a0, 196(ra)<br>  |
| 562|[0x800048d8]<br>0xAAAAAAA8|- rs1_val==-1431655765 and rs2_val==3<br>                                                                                                            |[0x80002b84]:c.xor a0, a1<br> [0x80002b86]:sw a0, 200(ra)<br>  |
| 563|[0x800048dc]<br>0xFFFFFFFE|- rs1_val==-1431655765 and rs2_val==1431655765<br>                                                                                                   |[0x80002b9a]:c.xor a0, a1<br> [0x80002b9c]:sw a0, 204(ra)<br>  |
| 564|[0x800048e0]<br>0x00000001|- rs1_val==-1431655765 and rs2_val==-1431655766<br>                                                                                                  |[0x80002bb0]:c.xor a0, a1<br> [0x80002bb2]:sw a0, 208(ra)<br>  |
| 565|[0x800048e4]<br>0xAAAAAAAE|- rs1_val==-1431655765 and rs2_val==5<br>                                                                                                            |[0x80002bc2]:c.xor a0, a1<br> [0x80002bc4]:sw a0, 212(ra)<br>  |
| 566|[0x800048e8]<br>0x99999998|- rs1_val==-1431655765 and rs2_val==858993459<br>                                                                                                    |[0x80002bd8]:c.xor a0, a1<br> [0x80002bda]:sw a0, 216(ra)<br>  |
| 567|[0x800048ec]<br>0xCCCCCCCD|- rs1_val==-1431655765 and rs2_val==1717986918<br>                                                                                                   |[0x80002bee]:c.xor a0, a1<br> [0x80002bf0]:sw a0, 220(ra)<br>  |
| 568|[0x800048f0]<br>0x5555E057|- rs1_val==-1431655765 and rs2_val==-46340<br>                                                                                                       |[0x80002c04]:c.xor a0, a1<br> [0x80002c06]:sw a0, 224(ra)<br>  |
| 569|[0x800048f4]<br>0xAAAA1FAF|- rs1_val==-1431655765 and rs2_val==46340<br>                                                                                                        |[0x80002c1a]:c.xor a0, a1<br> [0x80002c1c]:sw a0, 228(ra)<br>  |
| 570|[0x800048f8]<br>0xAAAAAAA9|- rs1_val==-1431655765 and rs2_val==2<br>                                                                                                            |[0x80002c2c]:c.xor a0, a1<br> [0x80002c2e]:sw a0, 232(ra)<br>  |
| 571|[0x800048fc]<br>0xFFFFFFFF|- rs1_val==-1431655765 and rs2_val==1431655764<br>                                                                                                   |[0x80002c42]:c.xor a0, a1<br> [0x80002c44]:sw a0, 236(ra)<br>  |
| 572|[0x80004900]<br>0xAAAAAAAB|- rs1_val==-1431655765 and rs2_val==0<br>                                                                                                            |[0x80002c54]:c.xor a0, a1<br> [0x80002c56]:sw a0, 240(ra)<br>  |
| 573|[0x80004904]<br>0xAAAAAAAF|- rs1_val==-1431655765 and rs2_val==4<br>                                                                                                            |[0x80002c66]:c.xor a0, a1<br> [0x80002c68]:sw a0, 244(ra)<br>  |
| 574|[0x80004908]<br>0x99999999|- rs1_val==-1431655765 and rs2_val==858993458<br>                                                                                                    |[0x80002c7c]:c.xor a0, a1<br> [0x80002c7e]:sw a0, 248(ra)<br>  |
| 575|[0x8000490c]<br>0xCCCCCCCE|- rs1_val==-1431655765 and rs2_val==1717986917<br>                                                                                                   |[0x80002c92]:c.xor a0, a1<br> [0x80002c94]:sw a0, 252(ra)<br>  |
| 576|[0x80004910]<br>0xAAAA1FA8|- rs1_val==-1431655765 and rs2_val==46339<br>                                                                                                        |[0x80002ca8]:c.xor a0, a1<br> [0x80002caa]:sw a0, 256(ra)<br>  |
| 577|[0x80004914]<br>0xFFFFFFFD|- rs1_val==-1431655765 and rs2_val==1431655766<br>                                                                                                   |[0x80002cbe]:c.xor a0, a1<br> [0x80002cc0]:sw a0, 260(ra)<br>  |
| 578|[0x80004918]<br>0x00000000|- rs1_val==-1431655765 and rs2_val==-1431655765<br>                                                                                                  |[0x80002cd4]:c.xor a0, a1<br> [0x80002cd6]:sw a0, 264(ra)<br>  |
| 579|[0x8000491c]<br>0xAAAAAAAD|- rs1_val==-1431655765 and rs2_val==6<br>                                                                                                            |[0x80002ce6]:c.xor a0, a1<br> [0x80002ce8]:sw a0, 268(ra)<br>  |
| 580|[0x80004920]<br>0x9999999F|- rs1_val==-1431655765 and rs2_val==858993460<br>                                                                                                    |[0x80002cfc]:c.xor a0, a1<br> [0x80002cfe]:sw a0, 272(ra)<br>  |
| 581|[0x80004924]<br>0xCCCCCCCC|- rs1_val==-1431655765 and rs2_val==1717986919<br>                                                                                                   |[0x80002d12]:c.xor a0, a1<br> [0x80002d14]:sw a0, 276(ra)<br>  |
