
# Data Propagation Report

- **STAT1** : Number of instructions that hit unique coverpoints and update the signature.
- **STAT2** : Number of instructions that hit covepoints which are not unique but still update the signature
- **STAT3** : Number of instructions that hit a unique coverpoint but do not update signature
- **STAT4** : Number of multiple signature updates for the same coverpoint
- **STAT5** : Number of times the signature was overwritten

| Param                     | Value    |
|---------------------------|----------|
| XLEN                      | 32      |
| TEST_REGION               | [('0x800000f8', '0x80002150')]      |
| SIG_REGION                | [('0x80004010', '0x800048d0', '560 words')]      |
| COV_LABELS                | ori      |
| TEST_NAME                 | /scratch/git-repo/incoresemi/riscof/riscof_work/ori-01.S/ori-01.S    |
| Total Number of coverpoints| 655     |
| Total Coverpoints Hit     | 655      |
| Total Signature Updates   | 560      |
| STAT1                     | 559      |
| STAT2                     | 1      |
| STAT3                     | 0     |
| STAT4                     | 0     |
| STAT5                     | 0     |

## Details for STAT2:

```
Op without unique coverpoint updates Signature
 -- Code Sequence:
      [0x80002134]:ori a1, a0, 1024
      [0x80002138]:sw a1, 96(tp)
 -- Signature Address: 0x800048c8 Data: 0xBFFFFFFF
 -- Redundant Coverpoints hit by the op
      - opcode : ori
      - rs1 : x10
      - rd : x11
      - rs1 != rd
      - rs1_val != imm_val
      - rs1_val < 0 and imm_val > 0
      - imm_val == 1024
      - rs1_val == -1073741825






```

## Details of STAT3

```


```

## Details of STAT4:

```

```

## Details of STAT5:



## Details of STAT1:

- The first column indicates the signature address and the data at that location in hexadecimal in the following format: 
  ```
  [Address]
  Data
  ```

- The second column captures all the coverpoints which have been captured by that particular signature location

- The third column captures all the insrtuctions since the time a coverpoint was
  hit to the point when a store to the signature was performed. Each line has
  the following format:
  ```
  [PC of instruction] : mnemonic
  ```
- The order in the table is based on the order of signatures occuring in the
  test. These need not necessarily be in increasing or decreasing order of the
  address in the signature region.

|s.no|        signature         |                                                                                              coverpoints                                                                                              |                                code                                 |
|---:|--------------------------|-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|---------------------------------------------------------------------|
|   1|[0x80004010]<br>0xFFFFFDFF|- opcode : ori<br> - rs1 : x5<br> - rd : x22<br> - rs1 != rd<br> - imm_val == (-2**(12-1))<br> - rs1_val != imm_val<br> - rs1_val < 0 and imm_val < 0<br> - imm_val == -2048<br> - rs1_val == -513<br> |[0x80000104]:ori s6, t0, 2048<br> [0x80000108]:sw s6, 0(sp)<br>      |
|   2|[0x80004014]<br>0x00000000|- rs1 : x27<br> - rd : x27<br> - rs1 == rd<br> - imm_val == 0<br> - rs1_val == 0<br> - rs1_val == imm_val<br> - rs1_val==0 and imm_val==0<br>                                                          |[0x80000110]:ori s11, s11, 0<br> [0x80000114]:sw s11, 4(sp)<br>      |
|   3|[0x80004018]<br>0x333337FF|- rs1 : x17<br> - rd : x8<br> - imm_val == (2**(12-1)-1)<br> - rs1_val > 0 and imm_val > 0<br> - imm_val == 2047<br>                                                                                   |[0x80000120]:ori fp, a7, 2047<br> [0x80000124]:sw fp, 8(sp)<br>      |
|   4|[0x8000401c]<br>0xFFFF4AFD|- rs1 : x20<br> - rd : x1<br> - imm_val == 1<br> - rs1_val < 0 and imm_val > 0<br>                                                                                                                     |[0x80000130]:ori ra, s4, 1<br> [0x80000134]:sw ra, 12(sp)<br>        |
|   5|[0x80004020]<br>0x8000002D|- rs1 : x12<br> - rd : x19<br> - rs1_val == (-2**(xlen-1))<br> - rs1_val == -2147483648<br>                                                                                                            |[0x8000013c]:ori s3, a2, 45<br> [0x80000140]:sw s3, 16(sp)<br>       |
|   6|[0x80004024]<br>0x7FFFFFFF|- rs1 : x8<br> - rd : x3<br> - rs1_val == (2**(xlen-1)-1)<br> - imm_val == 1365<br> - rs1_val == 2147483647<br>                                                                                        |[0x8000014c]:ori gp, fp, 1365<br> [0x80000150]:sw gp, 20(sp)<br>     |
|   7|[0x80004028]<br>0x00000667|- rs1 : x28<br> - rd : x26<br> - rs1_val == 1<br>                                                                                                                                                      |[0x80000158]:ori s10, t3, 1639<br> [0x8000015c]:sw s10, 24(sp)<br>   |
|   8|[0x8000402c]<br>0xFFFFFFFF|- rs1 : x16<br> - rd : x23<br> - rs1_val > 0 and imm_val < 0<br>                                                                                                                                       |[0x80000164]:ori s7, a6, 4089<br> [0x80000168]:sw s7, 28(sp)<br>     |
|   9|[0x80004030]<br>0x00040002|- rs1 : x25<br> - rd : x31<br> - imm_val == 2<br> - rs1_val == 262144<br>                                                                                                                              |[0x80000170]:ori t6, s9, 2<br> [0x80000174]:sw t6, 32(sp)<br>        |
|  10|[0x80004034]<br>0x20000004|- rs1 : x23<br> - rd : x11<br> - imm_val == 4<br> - rs1_val == 536870912<br>                                                                                                                           |[0x8000017c]:ori a1, s7, 4<br> [0x80000180]:sw a1, 36(sp)<br>        |
|  11|[0x80004038]<br>0xFFFFFDFF|- rs1 : x14<br> - rd : x17<br> - imm_val == 8<br>                                                                                                                                                      |[0x80000188]:ori a7, a4, 8<br> [0x8000018c]:sw a7, 40(sp)<br>        |
|  12|[0x8000403c]<br>0x00000012|- rs1 : x31<br> - rd : x7<br> - imm_val == 16<br> - rs1_val == 2<br>                                                                                                                                   |[0x80000194]:ori t2, t6, 16<br> [0x80000198]:sw t2, 44(sp)<br>       |
|  13|[0x80004040]<br>0x00008020|- rs1 : x21<br> - rd : x4<br> - imm_val == 32<br> - rs1_val == 32768<br>                                                                                                                               |[0x800001a0]:ori tp, s5, 32<br> [0x800001a4]:sw tp, 48(sp)<br>       |
|  14|[0x80004044]<br>0x00000840|- rs1 : x15<br> - rd : x5<br> - imm_val == 64<br> - rs1_val == 2048<br>                                                                                                                                |[0x800001b0]:ori t0, a5, 64<br> [0x800001b4]:sw t0, 52(sp)<br>       |
|  15|[0x80004048]<br>0xFFFBFFFF|- rs1 : x30<br> - rd : x25<br> - imm_val == 128<br> - rs1_val == -262145<br>                                                                                                                           |[0x800001c0]:ori s9, t5, 128<br> [0x800001c4]:sw s9, 56(sp)<br>      |
|  16|[0x8000404c]<br>0xFFFFFFFB|- rs1 : x11<br> - rd : x30<br> - imm_val == 256<br> - rs1_val == -5<br>                                                                                                                                |[0x800001cc]:ori t5, a1, 256<br> [0x800001d0]:sw t5, 60(sp)<br>      |
|  17|[0x80004050]<br>0xFFF7FFFF|- rs1 : x4<br> - rd : x10<br> - imm_val == 512<br> - rs1_val == -524289<br>                                                                                                                            |[0x800001dc]:ori a0, tp, 512<br> [0x800001e0]:sw a0, 64(sp)<br>      |
|  18|[0x80004054]<br>0x00000000|- rs1 : x13<br> - rd : x0<br> - imm_val == 1024<br> - rs1_val == -1073741825<br>                                                                                                                       |[0x800001ec]:ori zero, a3, 1024<br> [0x800001f0]:sw zero, 68(sp)<br> |
|  19|[0x80004058]<br>0xFFFFFFFF|- rs1 : x26<br> - rd : x6<br> - imm_val == -2<br> - rs1_val == -33<br>                                                                                                                                 |[0x800001f8]:ori t1, s10, 4094<br> [0x800001fc]:sw t1, 72(sp)<br>    |
|  20|[0x8000405c]<br>0xFFFFFFFF|- rs1 : x19<br> - rd : x18<br> - imm_val == -3<br>                                                                                                                                                     |[0x80000208]:ori s2, s3, 4093<br> [0x8000020c]:sw s2, 76(sp)<br>     |
|  21|[0x80004060]<br>0xFFFFFFFB|- rs1 : x7<br> - rd : x21<br> - imm_val == -5<br> - rs1_val == 268435456<br>                                                                                                                           |[0x80000214]:ori s5, t2, 4091<br> [0x80000218]:sw s5, 80(sp)<br>     |
|  22|[0x80004064]<br>0xFFFFFFFF|- rs1 : x24<br> - rd : x16<br> - imm_val == -9<br>                                                                                                                                                     |[0x80000224]:ori a6, s8, 4087<br> [0x80000228]:sw a6, 84(sp)<br>     |
|  23|[0x80004068]<br>0xFFFFFFEF|- rs1 : x0<br> - rd : x9<br> - imm_val == -17<br>                                                                                                                                                      |[0x80000238]:ori s1, zero, 4079<br> [0x8000023c]:sw s1, 0(tp)<br>    |
|  24|[0x8000406c]<br>0xFFFFFFDF|- rs1 : x3<br> - rd : x28<br> - imm_val == -33<br> - rs1_val == 8192<br>                                                                                                                               |[0x80000244]:ori t3, gp, 4063<br> [0x80000248]:sw t3, 4(tp)<br>      |
|  25|[0x80004070]<br>0xFFFFFFFF|- rs1 : x1<br> - rd : x15<br> - imm_val == -65<br>                                                                                                                                                     |[0x80000254]:ori a5, ra, 4031<br> [0x80000258]:sw a5, 8(tp)<br>      |
|  26|[0x80004074]<br>0xFFFFFFFF|- rs1 : x18<br> - rd : x2<br> - imm_val == -129<br>                                                                                                                                                    |[0x80000264]:ori sp, s2, 3967<br> [0x80000268]:sw sp, 12(tp)<br>     |
|  27|[0x80004078]<br>0xFFFFFEFF|- rs1 : x22<br> - rd : x20<br> - imm_val == -257<br> - rs1_val == -1431655766<br>                                                                                                                      |[0x80000274]:ori s4, s6, 3839<br> [0x80000278]:sw s4, 16(tp)<br>     |
|  28|[0x8000407c]<br>0xFFFFFDFF|- rs1 : x6<br> - rd : x13<br> - imm_val == -513<br> - rs1_val == 16777216<br>                                                                                                                          |[0x80000280]:ori a3, t1, 3583<br> [0x80000284]:sw a3, 20(tp)<br>     |
|  29|[0x80004080]<br>0xFFFFFBFF|- rs1 : x29<br> - rd : x14<br> - imm_val == -1025<br>                                                                                                                                                  |[0x8000028c]:ori a4, t4, 3071<br> [0x80000290]:sw a4, 24(tp)<br>     |
|  30|[0x80004084]<br>0xFFFFFAFE|- rs1 : x2<br> - rd : x12<br> - imm_val == -1366<br> - rs1_val==-46340 and imm_val==-1366<br>                                                                                                          |[0x8000029c]:ori a2, sp, 2730<br> [0x800002a0]:sw a2, 28(tp)<br>     |
|  31|[0x80004088]<br>0x00000005|- rs1 : x9<br> - rd : x24<br> - rs1_val == 4<br> - rs1_val==4 and imm_val==5<br>                                                                                                                       |[0x800002a8]:ori s8, s1, 5<br> [0x800002ac]:sw s8, 32(tp)<br>        |
|  32|[0x8000408c]<br>0x0000000E|- rs1 : x10<br> - rd : x29<br> - rs1_val == 8<br>                                                                                                                                                      |[0x800002b4]:ori t4, a0, 6<br> [0x800002b8]:sw t4, 36(tp)<br>        |
|  33|[0x80004090]<br>0x00000210|- rs1_val == 16<br>                                                                                                                                                                                    |[0x800002c0]:ori a1, a0, 512<br> [0x800002c4]:sw a1, 40(tp)<br>      |
|  34|[0x80004094]<br>0x0000002C|- rs1_val == 32<br>                                                                                                                                                                                    |[0x800002cc]:ori a1, a0, 44<br> [0x800002d0]:sw a1, 44(tp)<br>       |
|  35|[0x80004098]<br>0x00000043|- rs1_val == 64<br>                                                                                                                                                                                    |[0x800002d8]:ori a1, a0, 3<br> [0x800002dc]:sw a1, 48(tp)<br>        |
|  36|[0x8000409c]<br>0x000000A0|- rs1_val == 128<br>                                                                                                                                                                                   |[0x800002e4]:ori a1, a0, 32<br> [0x800002e8]:sw a1, 52(tp)<br>       |
|  37|[0x800040a0]<br>0xFFFFFFBF|- rs1_val == 256<br>                                                                                                                                                                                   |[0x800002f0]:ori a1, a0, 4031<br> [0x800002f4]:sw a1, 56(tp)<br>     |
|  38|[0x800040a4]<br>0xFFFFFFFA|- rs1_val == 512<br>                                                                                                                                                                                   |[0x800002fc]:ori a1, a0, 4090<br> [0x80000300]:sw a1, 60(tp)<br>     |
|  39|[0x800040a8]<br>0xFFFFFFD3|- rs1_val == 1024<br>                                                                                                                                                                                  |[0x80000308]:ori a1, a0, 4051<br> [0x8000030c]:sw a1, 64(tp)<br>     |
|  40|[0x800040ac]<br>0x00001005|- rs1_val == 4096<br>                                                                                                                                                                                  |[0x80000314]:ori a1, a0, 5<br> [0x80000318]:sw a1, 68(tp)<br>        |
|  41|[0x800040b0]<br>0x00004665|- rs1_val == 16384<br>                                                                                                                                                                                 |[0x80000320]:ori a1, a0, 1637<br> [0x80000324]:sw a1, 72(tp)<br>     |
|  42|[0x800040b4]<br>0x00010009|- rs1_val == 65536<br>                                                                                                                                                                                 |[0x8000032c]:ori a1, a0, 9<br> [0x80000330]:sw a1, 76(tp)<br>        |
|  43|[0x800040b8]<br>0x00020200|- rs1_val == 131072<br>                                                                                                                                                                                |[0x80000338]:ori a1, a0, 512<br> [0x8000033c]:sw a1, 80(tp)<br>      |
|  44|[0x800040bc]<br>0x00080000|- rs1_val == 524288<br>                                                                                                                                                                                |[0x80000344]:ori a1, a0, 0<br> [0x80000348]:sw a1, 84(tp)<br>        |
|  45|[0x800040c0]<br>0x00100200|- rs1_val == 1048576<br>                                                                                                                                                                               |[0x80000350]:ori a1, a0, 512<br> [0x80000354]:sw a1, 88(tp)<br>      |
|  46|[0x800040c4]<br>0xFFFFFFD4|- rs1_val == 2097152<br>                                                                                                                                                                               |[0x8000035c]:ori a1, a0, 4052<br> [0x80000360]:sw a1, 92(tp)<br>     |
|  47|[0x800040c8]<br>0xFFFFFDFF|- rs1_val == 4194304<br>                                                                                                                                                                               |[0x80000368]:ori a1, a0, 3583<br> [0x8000036c]:sw a1, 96(tp)<br>     |
|  48|[0x800040cc]<br>0x00800080|- rs1_val == 8388608<br>                                                                                                                                                                               |[0x80000374]:ori a1, a0, 128<br> [0x80000378]:sw a1, 100(tp)<br>     |
|  49|[0x800040d0]<br>0xFFFFFFDF|- rs1_val == 33554432<br>                                                                                                                                                                              |[0x80000380]:ori a1, a0, 4063<br> [0x80000384]:sw a1, 104(tp)<br>    |
|  50|[0x800040d4]<br>0x04000010|- rs1_val == 67108864<br>                                                                                                                                                                              |[0x8000038c]:ori a1, a0, 16<br> [0x80000390]:sw a1, 108(tp)<br>      |
|  51|[0x800040d8]<br>0x08000554|- rs1_val == 134217728<br>                                                                                                                                                                             |[0x80000398]:ori a1, a0, 1364<br> [0x8000039c]:sw a1, 112(tp)<br>    |
|  52|[0x800040dc]<br>0xFFFFFFFA|- rs1_val == 1073741824<br>                                                                                                                                                                            |[0x800003a4]:ori a1, a0, 4090<br> [0x800003a8]:sw a1, 116(tp)<br>    |
|  53|[0x800040e0]<br>0xFFFFFFFF|- rs1_val == -2<br>                                                                                                                                                                                    |[0x800003b0]:ori a1, a0, 4031<br> [0x800003b4]:sw a1, 120(tp)<br>    |
|  54|[0x800040e4]<br>0xFFFFFFFF|- rs1_val == -3<br>                                                                                                                                                                                    |[0x800003bc]:ori a1, a0, 4087<br> [0x800003c0]:sw a1, 124(tp)<br>    |
|  55|[0x800040e8]<br>0xFFFFFFF7|- rs1_val == -9<br>                                                                                                                                                                                    |[0x800003c8]:ori a1, a0, 2048<br> [0x800003cc]:sw a1, 128(tp)<br>    |
|  56|[0x800040ec]<br>0xFFFFFFFF|- rs1_val == -17<br>                                                                                                                                                                                   |[0x800003d4]:ori a1, a0, 4051<br> [0x800003d8]:sw a1, 132(tp)<br>    |
|  57|[0x800040f0]<br>0xFFFFFFBF|- rs1_val == -65<br>                                                                                                                                                                                   |[0x800003e0]:ori a1, a0, 2730<br> [0x800003e4]:sw a1, 136(tp)<br>    |
|  58|[0x800040f4]<br>0xFFFFFF7F|- rs1_val == -129<br>                                                                                                                                                                                  |[0x800003ec]:ori a1, a0, 1637<br> [0x800003f0]:sw a1, 140(tp)<br>    |
|  59|[0x800040f8]<br>0xFFFFFEFF|- rs1_val == -257<br>                                                                                                                                                                                  |[0x800003f8]:ori a1, a0, 1638<br> [0x800003fc]:sw a1, 144(tp)<br>    |
|  60|[0x800040fc]<br>0xFFFFFFFF|- rs1_val == -1025<br>                                                                                                                                                                                 |[0x80000404]:ori a1, a0, 1638<br> [0x80000408]:sw a1, 148(tp)<br>    |
|  61|[0x80004100]<br>0xFFFFF7FF|- rs1_val == -2049<br>                                                                                                                                                                                 |[0x80000414]:ori a1, a0, 2047<br> [0x80000418]:sw a1, 152(tp)<br>    |
|  62|[0x80004104]<br>0xFFFFEFFF|- rs1_val == -4097<br>                                                                                                                                                                                 |[0x80000424]:ori a1, a0, 7<br> [0x80000428]:sw a1, 156(tp)<br>       |
|  63|[0x80004108]<br>0xFFFFFFFF|- rs1_val == -8193<br>                                                                                                                                                                                 |[0x80000434]:ori a1, a0, 4063<br> [0x80000438]:sw a1, 160(tp)<br>    |
|  64|[0x8000410c]<br>0xFFFF7FFF|- rs1_val == -32769<br>                                                                                                                                                                                |[0x80000444]:ori a1, a0, 45<br> [0x80000448]:sw a1, 164(tp)<br>      |
|  65|[0x80004110]<br>0xFFFEFFFF|- rs1_val == -65537<br>                                                                                                                                                                                |[0x80000454]:ori a1, a0, 818<br> [0x80000458]:sw a1, 168(tp)<br>     |
|  66|[0x80004114]<br>0xFFFFFFFF|- rs1_val == -131073<br>                                                                                                                                                                               |[0x80000464]:ori a1, a0, 4086<br> [0x80000468]:sw a1, 172(tp)<br>    |
|  67|[0x80004118]<br>0xFFEFFFFF|- rs1_val == -1048577<br>                                                                                                                                                                              |[0x80000474]:ori a1, a0, 6<br> [0x80000478]:sw a1, 176(tp)<br>       |
|  68|[0x8000411c]<br>0xFFFFFFFF|- rs1_val == -2097153<br>                                                                                                                                                                              |[0x80000484]:ori a1, a0, 3072<br> [0x80000488]:sw a1, 180(tp)<br>    |
|  69|[0x80004120]<br>0xFFFFFFFF|- rs1_val == -4194305<br>                                                                                                                                                                              |[0x80000494]:ori a1, a0, 4052<br> [0x80000498]:sw a1, 184(tp)<br>    |
|  70|[0x80004124]<br>0xFFFFFFFF|- rs1_val == -8388609<br>                                                                                                                                                                              |[0x800004a4]:ori a1, a0, 4086<br> [0x800004a8]:sw a1, 188(tp)<br>    |
|  71|[0x80004128]<br>0xFEFFFFFF|- rs1_val == -16777217<br>                                                                                                                                                                             |[0x800004b4]:ori a1, a0, 1023<br> [0x800004b8]:sw a1, 192(tp)<br>    |
|  72|[0x8000412c]<br>0xFFFFFFFF|- rs1_val == -33554433<br>                                                                                                                                                                             |[0x800004c4]:ori a1, a0, 4088<br> [0x800004c8]:sw a1, 196(tp)<br>    |
|  73|[0x80004130]<br>0xFBFFFFFF|- rs1_val == -67108865<br>                                                                                                                                                                             |[0x800004d4]:ori a1, a0, 4<br> [0x800004d8]:sw a1, 200(tp)<br>       |
|  74|[0x80004134]<br>0xFFFFFFFF|- rs1_val == -134217729<br>                                                                                                                                                                            |[0x800004e4]:ori a1, a0, 4090<br> [0x800004e8]:sw a1, 204(tp)<br>    |
|  75|[0x80004138]<br>0xFFFFFFFF|- rs1_val == -268435457<br>                                                                                                                                                                            |[0x800004f4]:ori a1, a0, 4089<br> [0x800004f8]:sw a1, 208(tp)<br>    |
|  76|[0x8000413c]<br>0xDFFFFFFF|- rs1_val == -536870913<br>                                                                                                                                                                            |[0x80000504]:ori a1, a0, 1364<br> [0x80000508]:sw a1, 212(tp)<br>    |
|  77|[0x80004140]<br>0xFFFFFFFF|- rs1_val == 1431655765<br>                                                                                                                                                                            |[0x80000514]:ori a1, a0, 3839<br> [0x80000518]:sw a1, 216(tp)<br>    |
|  78|[0x80004144]<br>0x00000003|- rs1_val==3 and imm_val==3<br>                                                                                                                                                                        |[0x80000520]:ori a1, a0, 3<br> [0x80000524]:sw a1, 220(tp)<br>       |
|  79|[0x80004148]<br>0x00000557|- rs1_val==3 and imm_val==1365<br>                                                                                                                                                                     |[0x8000052c]:ori a1, a0, 1365<br> [0x80000530]:sw a1, 224(tp)<br>    |
|  80|[0x8000414c]<br>0xFFFFFAAB|- rs1_val==3 and imm_val==-1366<br>                                                                                                                                                                    |[0x80000538]:ori a1, a0, 2730<br> [0x8000053c]:sw a1, 228(tp)<br>    |
|  81|[0x80004150]<br>0x00000007|- rs1_val==3 and imm_val==5<br>                                                                                                                                                                        |[0x80000544]:ori a1, a0, 5<br> [0x80000548]:sw a1, 232(tp)<br>       |
|  82|[0x80004154]<br>0x00000333|- rs1_val==3 and imm_val==819<br>                                                                                                                                                                      |[0x80000550]:ori a1, a0, 819<br> [0x80000554]:sw a1, 236(tp)<br>     |
|  83|[0x80004158]<br>0x00000667|- rs1_val==3 and imm_val==1638<br>                                                                                                                                                                     |[0x8000055c]:ori a1, a0, 1638<br> [0x80000560]:sw a1, 240(tp)<br>    |
|  84|[0x8000415c]<br>0xFFFFFFD3|- rs1_val==3 and imm_val==-45<br>                                                                                                                                                                      |[0x80000568]:ori a1, a0, 4051<br> [0x8000056c]:sw a1, 244(tp)<br>    |
|  85|[0x80004160]<br>0x0000002F|- rs1_val==3 and imm_val==45<br>                                                                                                                                                                       |[0x80000574]:ori a1, a0, 45<br> [0x80000578]:sw a1, 248(tp)<br>      |
|  86|[0x80004164]<br>0x00000003|- rs1_val==3 and imm_val==2<br>                                                                                                                                                                        |[0x80000580]:ori a1, a0, 2<br> [0x80000584]:sw a1, 252(tp)<br>       |
|  87|[0x80004168]<br>0x00000557|- rs1_val==3 and imm_val==1364<br>                                                                                                                                                                     |[0x8000058c]:ori a1, a0, 1364<br> [0x80000590]:sw a1, 256(tp)<br>    |
|  88|[0x8000416c]<br>0x00000003|- rs1_val==3 and imm_val==0<br>                                                                                                                                                                        |[0x80000598]:ori a1, a0, 0<br> [0x8000059c]:sw a1, 260(tp)<br>       |
|  89|[0x80004170]<br>0x00000007|- rs1_val==3 and imm_val==4<br>                                                                                                                                                                        |[0x800005a4]:ori a1, a0, 4<br> [0x800005a8]:sw a1, 264(tp)<br>       |
|  90|[0x80004174]<br>0x00000333|- rs1_val==3 and imm_val==818<br>                                                                                                                                                                      |[0x800005b0]:ori a1, a0, 818<br> [0x800005b4]:sw a1, 268(tp)<br>     |
|  91|[0x80004178]<br>0x00000667|- rs1_val==3 and imm_val==1637<br>                                                                                                                                                                     |[0x800005bc]:ori a1, a0, 1637<br> [0x800005c0]:sw a1, 272(tp)<br>    |
|  92|[0x8000417c]<br>0x0000002F|- rs1_val==3 and imm_val==44<br>                                                                                                                                                                       |[0x800005c8]:ori a1, a0, 44<br> [0x800005cc]:sw a1, 276(tp)<br>      |
|  93|[0x80004180]<br>0x00000557|- rs1_val==3 and imm_val==1366<br>                                                                                                                                                                     |[0x800005d4]:ori a1, a0, 1366<br> [0x800005d8]:sw a1, 280(tp)<br>    |
|  94|[0x80004184]<br>0xFFFFFAAB|- rs1_val==3 and imm_val==-1365<br>                                                                                                                                                                    |[0x800005e0]:ori a1, a0, 2731<br> [0x800005e4]:sw a1, 284(tp)<br>    |
|  95|[0x80004188]<br>0x00000007|- rs1_val==3 and imm_val==6<br>                                                                                                                                                                        |[0x800005ec]:ori a1, a0, 6<br> [0x800005f0]:sw a1, 288(tp)<br>       |
|  96|[0x8000418c]<br>0x00000337|- rs1_val==3 and imm_val==820<br>                                                                                                                                                                      |[0x800005f8]:ori a1, a0, 820<br> [0x800005fc]:sw a1, 292(tp)<br>     |
|  97|[0x80004190]<br>0x00000667|- rs1_val==3 and imm_val==1639<br>                                                                                                                                                                     |[0x80000604]:ori a1, a0, 1639<br> [0x80000608]:sw a1, 296(tp)<br>    |
|  98|[0x80004194]<br>0xFFFFFFD7|- rs1_val==3 and imm_val==-44<br>                                                                                                                                                                      |[0x80000610]:ori a1, a0, 4052<br> [0x80000614]:sw a1, 300(tp)<br>    |
|  99|[0x80004198]<br>0x0000002F|- rs1_val==3 and imm_val==46<br>                                                                                                                                                                       |[0x8000061c]:ori a1, a0, 46<br> [0x80000620]:sw a1, 304(tp)<br>      |
| 100|[0x8000419c]<br>0x55555557|- rs1_val==1431655765 and imm_val==3<br>                                                                                                                                                               |[0x8000062c]:ori a1, a0, 3<br> [0x80000630]:sw a1, 308(tp)<br>       |
| 101|[0x800041a0]<br>0x55555555|- rs1_val==1431655765 and imm_val==1365<br>                                                                                                                                                            |[0x8000063c]:ori a1, a0, 1365<br> [0x80000640]:sw a1, 312(tp)<br>    |
| 102|[0x800041a4]<br>0xFFFFFFFF|- rs1_val==1431655765 and imm_val==-1366<br>                                                                                                                                                           |[0x8000064c]:ori a1, a0, 2730<br> [0x80000650]:sw a1, 316(tp)<br>    |
| 103|[0x800041a8]<br>0x55555555|- rs1_val==1431655765 and imm_val==5<br>                                                                                                                                                               |[0x8000065c]:ori a1, a0, 5<br> [0x80000660]:sw a1, 320(tp)<br>       |
| 104|[0x800041ac]<br>0x55555777|- rs1_val==1431655765 and imm_val==819<br>                                                                                                                                                             |[0x8000066c]:ori a1, a0, 819<br> [0x80000670]:sw a1, 324(tp)<br>     |
| 105|[0x800041b0]<br>0x55555777|- rs1_val==1431655765 and imm_val==1638<br>                                                                                                                                                            |[0x8000067c]:ori a1, a0, 1638<br> [0x80000680]:sw a1, 328(tp)<br>    |
| 106|[0x800041b4]<br>0xFFFFFFD7|- rs1_val==1431655765 and imm_val==-45<br>                                                                                                                                                             |[0x8000068c]:ori a1, a0, 4051<br> [0x80000690]:sw a1, 332(tp)<br>    |
| 107|[0x800041b8]<br>0x5555557D|- rs1_val==1431655765 and imm_val==45<br>                                                                                                                                                              |[0x8000069c]:ori a1, a0, 45<br> [0x800006a0]:sw a1, 336(tp)<br>      |
| 108|[0x800041bc]<br>0x55555557|- rs1_val==1431655765 and imm_val==2<br>                                                                                                                                                               |[0x800006ac]:ori a1, a0, 2<br> [0x800006b0]:sw a1, 340(tp)<br>       |
| 109|[0x800041c0]<br>0x55555555|- rs1_val==1431655765 and imm_val==1364<br>                                                                                                                                                            |[0x800006bc]:ori a1, a0, 1364<br> [0x800006c0]:sw a1, 344(tp)<br>    |
| 110|[0x800041c4]<br>0x55555555|- rs1_val==1431655765 and imm_val==0<br>                                                                                                                                                               |[0x800006cc]:ori a1, a0, 0<br> [0x800006d0]:sw a1, 348(tp)<br>       |
| 111|[0x800041c8]<br>0x55555555|- rs1_val==1431655765 and imm_val==4<br>                                                                                                                                                               |[0x800006dc]:ori a1, a0, 4<br> [0x800006e0]:sw a1, 352(tp)<br>       |
| 112|[0x800041cc]<br>0x55555777|- rs1_val==1431655765 and imm_val==818<br>                                                                                                                                                             |[0x800006ec]:ori a1, a0, 818<br> [0x800006f0]:sw a1, 356(tp)<br>     |
| 113|[0x800041d0]<br>0x55555775|- rs1_val==1431655765 and imm_val==1637<br>                                                                                                                                                            |[0x800006fc]:ori a1, a0, 1637<br> [0x80000700]:sw a1, 360(tp)<br>    |
| 114|[0x800041d4]<br>0x5555557D|- rs1_val==1431655765 and imm_val==44<br>                                                                                                                                                              |[0x8000070c]:ori a1, a0, 44<br> [0x80000710]:sw a1, 364(tp)<br>      |
| 115|[0x800041d8]<br>0x55555557|- rs1_val==1431655765 and imm_val==1366<br>                                                                                                                                                            |[0x8000071c]:ori a1, a0, 1366<br> [0x80000720]:sw a1, 368(tp)<br>    |
| 116|[0x800041dc]<br>0xFFFFFFFF|- rs1_val==1431655765 and imm_val==-1365<br>                                                                                                                                                           |[0x8000072c]:ori a1, a0, 2731<br> [0x80000730]:sw a1, 372(tp)<br>    |
| 117|[0x800041e0]<br>0x55555557|- rs1_val==1431655765 and imm_val==6<br>                                                                                                                                                               |[0x8000073c]:ori a1, a0, 6<br> [0x80000740]:sw a1, 376(tp)<br>       |
| 118|[0x800041e4]<br>0x55555775|- rs1_val==1431655765 and imm_val==820<br>                                                                                                                                                             |[0x8000074c]:ori a1, a0, 820<br> [0x80000750]:sw a1, 380(tp)<br>     |
| 119|[0x800041e8]<br>0x55555777|- rs1_val==1431655765 and imm_val==1639<br>                                                                                                                                                            |[0x8000075c]:ori a1, a0, 1639<br> [0x80000760]:sw a1, 384(tp)<br>    |
| 120|[0x800041ec]<br>0xFFFFFFD5|- rs1_val==1431655765 and imm_val==-44<br>                                                                                                                                                             |[0x8000076c]:ori a1, a0, 4052<br> [0x80000770]:sw a1, 388(tp)<br>    |
| 121|[0x800041f0]<br>0x5555557F|- rs1_val==1431655765 and imm_val==46<br>                                                                                                                                                              |[0x8000077c]:ori a1, a0, 46<br> [0x80000780]:sw a1, 392(tp)<br>      |
| 122|[0x800041f4]<br>0xAAAAAAAB|- rs1_val==-1431655766 and imm_val==3<br>                                                                                                                                                              |[0x8000078c]:ori a1, a0, 3<br> [0x80000790]:sw a1, 396(tp)<br>       |
| 123|[0x800041f8]<br>0xAAAAAFFF|- rs1_val==-1431655766 and imm_val==1365<br>                                                                                                                                                           |[0x8000079c]:ori a1, a0, 1365<br> [0x800007a0]:sw a1, 400(tp)<br>    |
| 124|[0x800041fc]<br>0xFFFFFAAA|- rs1_val==-1431655766 and imm_val==-1366<br>                                                                                                                                                          |[0x800007ac]:ori a1, a0, 2730<br> [0x800007b0]:sw a1, 404(tp)<br>    |
| 125|[0x80004200]<br>0xAAAAAAAF|- rs1_val==-1431655766 and imm_val==5<br>                                                                                                                                                              |[0x800007bc]:ori a1, a0, 5<br> [0x800007c0]:sw a1, 408(tp)<br>       |
| 126|[0x80004204]<br>0xAAAAABBB|- rs1_val==-1431655766 and imm_val==819<br>                                                                                                                                                            |[0x800007cc]:ori a1, a0, 819<br> [0x800007d0]:sw a1, 412(tp)<br>     |
| 127|[0x80004208]<br>0xAAAAAEEE|- rs1_val==-1431655766 and imm_val==1638<br>                                                                                                                                                           |[0x800007dc]:ori a1, a0, 1638<br> [0x800007e0]:sw a1, 416(tp)<br>    |
| 128|[0x8000420c]<br>0xFFFFFFFB|- rs1_val==-1431655766 and imm_val==-45<br>                                                                                                                                                            |[0x800007ec]:ori a1, a0, 4051<br> [0x800007f0]:sw a1, 420(tp)<br>    |
| 129|[0x80004210]<br>0xAAAAAAAF|- rs1_val==-1431655766 and imm_val==45<br>                                                                                                                                                             |[0x800007fc]:ori a1, a0, 45<br> [0x80000800]:sw a1, 424(tp)<br>      |
| 130|[0x80004214]<br>0xAAAAAAAA|- rs1_val==-1431655766 and imm_val==2<br>                                                                                                                                                              |[0x8000080c]:ori a1, a0, 2<br> [0x80000810]:sw a1, 428(tp)<br>       |
| 131|[0x80004218]<br>0xAAAAAFFE|- rs1_val==-1431655766 and imm_val==1364<br>                                                                                                                                                           |[0x8000081c]:ori a1, a0, 1364<br> [0x80000820]:sw a1, 432(tp)<br>    |
| 132|[0x8000421c]<br>0xAAAAAAAA|- rs1_val==-1431655766 and imm_val==0<br>                                                                                                                                                              |[0x8000082c]:ori a1, a0, 0<br> [0x80000830]:sw a1, 436(tp)<br>       |
| 133|[0x80004220]<br>0xAAAAAAAE|- rs1_val==-1431655766 and imm_val==4<br>                                                                                                                                                              |[0x8000083c]:ori a1, a0, 4<br> [0x80000840]:sw a1, 440(tp)<br>       |
| 134|[0x80004224]<br>0xAAAAABBA|- rs1_val==-1431655766 and imm_val==818<br>                                                                                                                                                            |[0x8000084c]:ori a1, a0, 818<br> [0x80000850]:sw a1, 444(tp)<br>     |
| 135|[0x80004228]<br>0xAAAAAEEF|- rs1_val==-1431655766 and imm_val==1637<br>                                                                                                                                                           |[0x8000085c]:ori a1, a0, 1637<br> [0x80000860]:sw a1, 448(tp)<br>    |
| 136|[0x8000422c]<br>0xAAAAAAAE|- rs1_val==-1431655766 and imm_val==44<br>                                                                                                                                                             |[0x8000086c]:ori a1, a0, 44<br> [0x80000870]:sw a1, 452(tp)<br>      |
| 137|[0x80004230]<br>0xAAAAAFFE|- rs1_val==-1431655766 and imm_val==1366<br>                                                                                                                                                           |[0x8000087c]:ori a1, a0, 1366<br> [0x80000880]:sw a1, 456(tp)<br>    |
| 138|[0x80004234]<br>0xFFFFFAAB|- rs1_val==-1431655766 and imm_val==-1365<br>                                                                                                                                                          |[0x8000088c]:ori a1, a0, 2731<br> [0x80000890]:sw a1, 460(tp)<br>    |
| 139|[0x80004238]<br>0xAAAAAAAE|- rs1_val==-1431655766 and imm_val==6<br>                                                                                                                                                              |[0x8000089c]:ori a1, a0, 6<br> [0x800008a0]:sw a1, 464(tp)<br>       |
| 140|[0x8000423c]<br>0xAAAAABBE|- rs1_val==-1431655766 and imm_val==820<br>                                                                                                                                                            |[0x800008ac]:ori a1, a0, 820<br> [0x800008b0]:sw a1, 468(tp)<br>     |
| 141|[0x80004240]<br>0xAAAAAEEF|- rs1_val==-1431655766 and imm_val==1639<br>                                                                                                                                                           |[0x800008bc]:ori a1, a0, 1639<br> [0x800008c0]:sw a1, 472(tp)<br>    |
| 142|[0x80004244]<br>0xFFFFFFFE|- rs1_val==-1431655766 and imm_val==-44<br>                                                                                                                                                            |[0x800008cc]:ori a1, a0, 4052<br> [0x800008d0]:sw a1, 476(tp)<br>    |
| 143|[0x80004248]<br>0xAAAAAAAE|- rs1_val==-1431655766 and imm_val==46<br>                                                                                                                                                             |[0x800008dc]:ori a1, a0, 46<br> [0x800008e0]:sw a1, 480(tp)<br>      |
| 144|[0x8000424c]<br>0x00000007|- rs1_val==5 and imm_val==3<br>                                                                                                                                                                        |[0x800008e8]:ori a1, a0, 3<br> [0x800008ec]:sw a1, 484(tp)<br>       |
| 145|[0x80004250]<br>0x00000555|- rs1_val==5 and imm_val==1365<br>                                                                                                                                                                     |[0x800008f4]:ori a1, a0, 1365<br> [0x800008f8]:sw a1, 488(tp)<br>    |
| 146|[0x80004254]<br>0xFFFFFAAF|- rs1_val==5 and imm_val==-1366<br>                                                                                                                                                                    |[0x80000900]:ori a1, a0, 2730<br> [0x80000904]:sw a1, 492(tp)<br>    |
| 147|[0x80004258]<br>0x00000005|- rs1_val==5 and imm_val==5<br>                                                                                                                                                                        |[0x8000090c]:ori a1, a0, 5<br> [0x80000910]:sw a1, 496(tp)<br>       |
| 148|[0x8000425c]<br>0x00000337|- rs1_val==5 and imm_val==819<br>                                                                                                                                                                      |[0x80000918]:ori a1, a0, 819<br> [0x8000091c]:sw a1, 500(tp)<br>     |
| 149|[0x80004260]<br>0x00000667|- rs1_val==5 and imm_val==1638<br>                                                                                                                                                                     |[0x80000924]:ori a1, a0, 1638<br> [0x80000928]:sw a1, 504(tp)<br>    |
| 150|[0x80004264]<br>0xFFFFFFD7|- rs1_val==5 and imm_val==-45<br>                                                                                                                                                                      |[0x80000930]:ori a1, a0, 4051<br> [0x80000934]:sw a1, 508(tp)<br>    |
| 151|[0x80004268]<br>0x0000002D|- rs1_val==5 and imm_val==45<br>                                                                                                                                                                       |[0x8000093c]:ori a1, a0, 45<br> [0x80000940]:sw a1, 512(tp)<br>      |
| 152|[0x8000426c]<br>0x00000007|- rs1_val==5 and imm_val==2<br>                                                                                                                                                                        |[0x80000948]:ori a1, a0, 2<br> [0x8000094c]:sw a1, 516(tp)<br>       |
| 153|[0x80004270]<br>0x00000555|- rs1_val==5 and imm_val==1364<br>                                                                                                                                                                     |[0x80000954]:ori a1, a0, 1364<br> [0x80000958]:sw a1, 520(tp)<br>    |
| 154|[0x80004274]<br>0x00000005|- rs1_val==5 and imm_val==0<br>                                                                                                                                                                        |[0x80000960]:ori a1, a0, 0<br> [0x80000964]:sw a1, 524(tp)<br>       |
| 155|[0x80004278]<br>0x00000005|- rs1_val==5 and imm_val==4<br>                                                                                                                                                                        |[0x8000096c]:ori a1, a0, 4<br> [0x80000970]:sw a1, 528(tp)<br>       |
| 156|[0x8000427c]<br>0x00000337|- rs1_val==5 and imm_val==818<br>                                                                                                                                                                      |[0x80000978]:ori a1, a0, 818<br> [0x8000097c]:sw a1, 532(tp)<br>     |
| 157|[0x80004280]<br>0x00000665|- rs1_val==5 and imm_val==1637<br>                                                                                                                                                                     |[0x80000984]:ori a1, a0, 1637<br> [0x80000988]:sw a1, 536(tp)<br>    |
| 158|[0x80004284]<br>0x0000002D|- rs1_val==5 and imm_val==44<br>                                                                                                                                                                       |[0x80000990]:ori a1, a0, 44<br> [0x80000994]:sw a1, 540(tp)<br>      |
| 159|[0x80004288]<br>0x00000557|- rs1_val==5 and imm_val==1366<br>                                                                                                                                                                     |[0x8000099c]:ori a1, a0, 1366<br> [0x800009a0]:sw a1, 544(tp)<br>    |
| 160|[0x8000428c]<br>0xFFFFFAAF|- rs1_val==5 and imm_val==-1365<br>                                                                                                                                                                    |[0x800009a8]:ori a1, a0, 2731<br> [0x800009ac]:sw a1, 548(tp)<br>    |
| 161|[0x80004290]<br>0x00000007|- rs1_val==5 and imm_val==6<br>                                                                                                                                                                        |[0x800009b4]:ori a1, a0, 6<br> [0x800009b8]:sw a1, 552(tp)<br>       |
| 162|[0x80004294]<br>0x00000335|- rs1_val==5 and imm_val==820<br>                                                                                                                                                                      |[0x800009c0]:ori a1, a0, 820<br> [0x800009c4]:sw a1, 556(tp)<br>     |
| 163|[0x80004298]<br>0x00000667|- rs1_val==5 and imm_val==1639<br>                                                                                                                                                                     |[0x800009cc]:ori a1, a0, 1639<br> [0x800009d0]:sw a1, 560(tp)<br>    |
| 164|[0x8000429c]<br>0xFFFFFFD5|- rs1_val==5 and imm_val==-44<br>                                                                                                                                                                      |[0x800009d8]:ori a1, a0, 4052<br> [0x800009dc]:sw a1, 564(tp)<br>    |
| 165|[0x800042a0]<br>0x0000002F|- rs1_val==5 and imm_val==46<br>                                                                                                                                                                       |[0x800009e4]:ori a1, a0, 46<br> [0x800009e8]:sw a1, 568(tp)<br>      |
| 166|[0x800042a4]<br>0x33333333|- rs1_val==858993459 and imm_val==3<br>                                                                                                                                                                |[0x800009f4]:ori a1, a0, 3<br> [0x800009f8]:sw a1, 572(tp)<br>       |
| 167|[0x800042a8]<br>0x33333777|- rs1_val==858993459 and imm_val==1365<br>                                                                                                                                                             |[0x80000a04]:ori a1, a0, 1365<br> [0x80000a08]:sw a1, 576(tp)<br>    |
| 168|[0x800042ac]<br>0xFFFFFBBB|- rs1_val==858993459 and imm_val==-1366<br>                                                                                                                                                            |[0x80000a14]:ori a1, a0, 2730<br> [0x80000a18]:sw a1, 580(tp)<br>    |
| 169|[0x800042b0]<br>0x33333337|- rs1_val==858993459 and imm_val==5<br>                                                                                                                                                                |[0x80000a24]:ori a1, a0, 5<br> [0x80000a28]:sw a1, 584(tp)<br>       |
| 170|[0x800042b4]<br>0x33333333|- rs1_val==858993459 and imm_val==819<br>                                                                                                                                                              |[0x80000a34]:ori a1, a0, 819<br> [0x80000a38]:sw a1, 588(tp)<br>     |
| 171|[0x800042b8]<br>0x33333777|- rs1_val==858993459 and imm_val==1638<br>                                                                                                                                                             |[0x80000a44]:ori a1, a0, 1638<br> [0x80000a48]:sw a1, 592(tp)<br>    |
| 172|[0x800042bc]<br>0xFFFFFFF3|- rs1_val==858993459 and imm_val==-45<br>                                                                                                                                                              |[0x80000a54]:ori a1, a0, 4051<br> [0x80000a58]:sw a1, 596(tp)<br>    |
| 173|[0x800042c0]<br>0x3333333F|- rs1_val==858993459 and imm_val==45<br>                                                                                                                                                               |[0x80000a64]:ori a1, a0, 45<br> [0x80000a68]:sw a1, 600(tp)<br>      |
| 174|[0x800042c4]<br>0x33333333|- rs1_val==858993459 and imm_val==2<br>                                                                                                                                                                |[0x80000a74]:ori a1, a0, 2<br> [0x80000a78]:sw a1, 604(tp)<br>       |
| 175|[0x800042c8]<br>0x33333777|- rs1_val==858993459 and imm_val==1364<br>                                                                                                                                                             |[0x80000a84]:ori a1, a0, 1364<br> [0x80000a88]:sw a1, 608(tp)<br>    |
| 176|[0x800042cc]<br>0x33333333|- rs1_val==858993459 and imm_val==0<br>                                                                                                                                                                |[0x80000a94]:ori a1, a0, 0<br> [0x80000a98]:sw a1, 612(tp)<br>       |
| 177|[0x800042d0]<br>0x33333337|- rs1_val==858993459 and imm_val==4<br>                                                                                                                                                                |[0x80000aa4]:ori a1, a0, 4<br> [0x80000aa8]:sw a1, 616(tp)<br>       |
| 178|[0x800042d4]<br>0x33333333|- rs1_val==858993459 and imm_val==818<br>                                                                                                                                                              |[0x80000ab4]:ori a1, a0, 818<br> [0x80000ab8]:sw a1, 620(tp)<br>     |
| 179|[0x800042d8]<br>0x33333777|- rs1_val==858993459 and imm_val==1637<br>                                                                                                                                                             |[0x80000ac4]:ori a1, a0, 1637<br> [0x80000ac8]:sw a1, 624(tp)<br>    |
| 180|[0x800042dc]<br>0x3333333F|- rs1_val==858993459 and imm_val==44<br>                                                                                                                                                               |[0x80000ad4]:ori a1, a0, 44<br> [0x80000ad8]:sw a1, 628(tp)<br>      |
| 181|[0x800042e0]<br>0x33333777|- rs1_val==858993459 and imm_val==1366<br>                                                                                                                                                             |[0x80000ae4]:ori a1, a0, 1366<br> [0x80000ae8]:sw a1, 632(tp)<br>    |
| 182|[0x800042e4]<br>0xFFFFFBBB|- rs1_val==858993459 and imm_val==-1365<br>                                                                                                                                                            |[0x80000af4]:ori a1, a0, 2731<br> [0x80000af8]:sw a1, 636(tp)<br>    |
| 183|[0x800042e8]<br>0x33333337|- rs1_val==858993459 and imm_val==6<br>                                                                                                                                                                |[0x80000b04]:ori a1, a0, 6<br> [0x80000b08]:sw a1, 640(tp)<br>       |
| 184|[0x800042ec]<br>0x33333337|- rs1_val==858993459 and imm_val==820<br>                                                                                                                                                              |[0x80000b14]:ori a1, a0, 820<br> [0x80000b18]:sw a1, 644(tp)<br>     |
| 185|[0x800042f0]<br>0x33333777|- rs1_val==858993459 and imm_val==1639<br>                                                                                                                                                             |[0x80000b24]:ori a1, a0, 1639<br> [0x80000b28]:sw a1, 648(tp)<br>    |
| 186|[0x800042f4]<br>0xFFFFFFF7|- rs1_val==858993459 and imm_val==-44<br>                                                                                                                                                              |[0x80000b34]:ori a1, a0, 4052<br> [0x80000b38]:sw a1, 652(tp)<br>    |
| 187|[0x800042f8]<br>0x3333333F|- rs1_val==858993459 and imm_val==46<br>                                                                                                                                                               |[0x80000b44]:ori a1, a0, 46<br> [0x80000b48]:sw a1, 656(tp)<br>      |
| 188|[0x800042fc]<br>0x66666667|- rs1_val==1717986918 and imm_val==3<br>                                                                                                                                                               |[0x80000b54]:ori a1, a0, 3<br> [0x80000b58]:sw a1, 660(tp)<br>       |
| 189|[0x80004300]<br>0x66666777|- rs1_val==1717986918 and imm_val==1365<br>                                                                                                                                                            |[0x80000b64]:ori a1, a0, 1365<br> [0x80000b68]:sw a1, 664(tp)<br>    |
| 190|[0x80004304]<br>0xFFFFFEEE|- rs1_val==1717986918 and imm_val==-1366<br>                                                                                                                                                           |[0x80000b74]:ori a1, a0, 2730<br> [0x80000b78]:sw a1, 668(tp)<br>    |
| 191|[0x80004308]<br>0x66666667|- rs1_val==1717986918 and imm_val==5<br>                                                                                                                                                               |[0x80000b84]:ori a1, a0, 5<br> [0x80000b88]:sw a1, 672(tp)<br>       |
| 192|[0x8000430c]<br>0x66666777|- rs1_val==1717986918 and imm_val==819<br>                                                                                                                                                             |[0x80000b94]:ori a1, a0, 819<br> [0x80000b98]:sw a1, 676(tp)<br>     |
| 193|[0x80004310]<br>0x66666666|- rs1_val==1717986918 and imm_val==1638<br>                                                                                                                                                            |[0x80000ba4]:ori a1, a0, 1638<br> [0x80000ba8]:sw a1, 680(tp)<br>    |
| 194|[0x80004314]<br>0xFFFFFFF7|- rs1_val==1717986918 and imm_val==-45<br>                                                                                                                                                             |[0x80000bb4]:ori a1, a0, 4051<br> [0x80000bb8]:sw a1, 684(tp)<br>    |
| 195|[0x80004318]<br>0x6666666F|- rs1_val==1717986918 and imm_val==45<br>                                                                                                                                                              |[0x80000bc4]:ori a1, a0, 45<br> [0x80000bc8]:sw a1, 688(tp)<br>      |
| 196|[0x8000431c]<br>0x66666666|- rs1_val==1717986918 and imm_val==2<br>                                                                                                                                                               |[0x80000bd4]:ori a1, a0, 2<br> [0x80000bd8]:sw a1, 692(tp)<br>       |
| 197|[0x80004320]<br>0x66666776|- rs1_val==1717986918 and imm_val==1364<br>                                                                                                                                                            |[0x80000be4]:ori a1, a0, 1364<br> [0x80000be8]:sw a1, 696(tp)<br>    |
| 198|[0x80004324]<br>0x66666666|- rs1_val==1717986918 and imm_val==0<br>                                                                                                                                                               |[0x80000bf4]:ori a1, a0, 0<br> [0x80000bf8]:sw a1, 700(tp)<br>       |
| 199|[0x80004328]<br>0x66666666|- rs1_val==1717986918 and imm_val==4<br>                                                                                                                                                               |[0x80000c04]:ori a1, a0, 4<br> [0x80000c08]:sw a1, 704(tp)<br>       |
| 200|[0x8000432c]<br>0x66666776|- rs1_val==1717986918 and imm_val==818<br>                                                                                                                                                             |[0x80000c14]:ori a1, a0, 818<br> [0x80000c18]:sw a1, 708(tp)<br>     |
| 201|[0x80004330]<br>0x66666667|- rs1_val==1717986918 and imm_val==1637<br>                                                                                                                                                            |[0x80000c24]:ori a1, a0, 1637<br> [0x80000c28]:sw a1, 712(tp)<br>    |
| 202|[0x80004334]<br>0x6666666E|- rs1_val==1717986918 and imm_val==44<br>                                                                                                                                                              |[0x80000c34]:ori a1, a0, 44<br> [0x80000c38]:sw a1, 716(tp)<br>      |
| 203|[0x80004338]<br>0x66666776|- rs1_val==1717986918 and imm_val==1366<br>                                                                                                                                                            |[0x80000c44]:ori a1, a0, 1366<br> [0x80000c48]:sw a1, 720(tp)<br>    |
| 204|[0x8000433c]<br>0xFFFFFEEF|- rs1_val==1717986918 and imm_val==-1365<br>                                                                                                                                                           |[0x80000c54]:ori a1, a0, 2731<br> [0x80000c58]:sw a1, 724(tp)<br>    |
| 205|[0x80004340]<br>0x66666666|- rs1_val==1717986918 and imm_val==6<br>                                                                                                                                                               |[0x80000c64]:ori a1, a0, 6<br> [0x80000c68]:sw a1, 728(tp)<br>       |
| 206|[0x80004344]<br>0x66666776|- rs1_val==1717986918 and imm_val==820<br>                                                                                                                                                             |[0x80000c74]:ori a1, a0, 820<br> [0x80000c78]:sw a1, 732(tp)<br>     |
| 207|[0x80004348]<br>0x66666667|- rs1_val==1717986918 and imm_val==1639<br>                                                                                                                                                            |[0x80000c84]:ori a1, a0, 1639<br> [0x80000c88]:sw a1, 736(tp)<br>    |
| 208|[0x8000434c]<br>0xFFFFFFF6|- rs1_val==1717986918 and imm_val==-44<br>                                                                                                                                                             |[0x80000c94]:ori a1, a0, 4052<br> [0x80000c98]:sw a1, 740(tp)<br>    |
| 209|[0x80004350]<br>0x6666666E|- rs1_val==1717986918 and imm_val==46<br>                                                                                                                                                              |[0x80000ca4]:ori a1, a0, 46<br> [0x80000ca8]:sw a1, 744(tp)<br>      |
| 210|[0x80004354]<br>0xFFFF4AFF|- rs1_val==-46340 and imm_val==3<br>                                                                                                                                                                   |[0x80000cb4]:ori a1, a0, 3<br> [0x80000cb8]:sw a1, 748(tp)<br>       |
| 211|[0x80004358]<br>0xFFFF4FFD|- rs1_val==-46340 and imm_val==1365<br>                                                                                                                                                                |[0x80000cc4]:ori a1, a0, 1365<br> [0x80000cc8]:sw a1, 752(tp)<br>    |
| 212|[0x8000435c]<br>0xFFFF4AFD|- rs1_val==-46340 and imm_val==5<br>                                                                                                                                                                   |[0x80000cd4]:ori a1, a0, 5<br> [0x80000cd8]:sw a1, 756(tp)<br>       |
| 213|[0x80004360]<br>0xFFFF4BFF|- rs1_val==-46340 and imm_val==819<br>                                                                                                                                                                 |[0x80000ce4]:ori a1, a0, 819<br> [0x80000ce8]:sw a1, 760(tp)<br>     |
| 214|[0x80004364]<br>0xFFFF4EFE|- rs1_val==-46340 and imm_val==1638<br>                                                                                                                                                                |[0x80000cf4]:ori a1, a0, 1638<br> [0x80000cf8]:sw a1, 764(tp)<br>    |
| 215|[0x80004368]<br>0xFFFFFFFF|- rs1_val==-46340 and imm_val==-45<br>                                                                                                                                                                 |[0x80000d04]:ori a1, a0, 4051<br> [0x80000d08]:sw a1, 768(tp)<br>    |
| 216|[0x8000436c]<br>0xFFFF4AFD|- rs1_val==-46340 and imm_val==45<br>                                                                                                                                                                  |[0x80000d14]:ori a1, a0, 45<br> [0x80000d18]:sw a1, 772(tp)<br>      |
| 217|[0x80004370]<br>0xFFFF4AFE|- rs1_val==-46340 and imm_val==2<br>                                                                                                                                                                   |[0x80000d24]:ori a1, a0, 2<br> [0x80000d28]:sw a1, 776(tp)<br>       |
| 218|[0x80004374]<br>0xFFFF4FFC|- rs1_val==-46340 and imm_val==1364<br>                                                                                                                                                                |[0x80000d34]:ori a1, a0, 1364<br> [0x80000d38]:sw a1, 780(tp)<br>    |
| 219|[0x80004378]<br>0xFFFF4AFC|- rs1_val==-46340 and imm_val==0<br>                                                                                                                                                                   |[0x80000d44]:ori a1, a0, 0<br> [0x80000d48]:sw a1, 784(tp)<br>       |
| 220|[0x8000437c]<br>0xFFFF4AFC|- rs1_val==-46340 and imm_val==4<br>                                                                                                                                                                   |[0x80000d54]:ori a1, a0, 4<br> [0x80000d58]:sw a1, 788(tp)<br>       |
| 221|[0x80004380]<br>0xFFFF4BFE|- rs1_val==-46340 and imm_val==818<br>                                                                                                                                                                 |[0x80000d64]:ori a1, a0, 818<br> [0x80000d68]:sw a1, 792(tp)<br>     |
| 222|[0x80004384]<br>0xFFFF4EFD|- rs1_val==-46340 and imm_val==1637<br>                                                                                                                                                                |[0x80000d74]:ori a1, a0, 1637<br> [0x80000d78]:sw a1, 796(tp)<br>    |
| 223|[0x80004388]<br>0xFFFF4AFC|- rs1_val==-46340 and imm_val==44<br>                                                                                                                                                                  |[0x80000d84]:ori a1, a0, 44<br> [0x80000d88]:sw a1, 800(tp)<br>      |
| 224|[0x8000438c]<br>0xFFFF4FFE|- rs1_val==-46340 and imm_val==1366<br>                                                                                                                                                                |[0x80000d94]:ori a1, a0, 1366<br> [0x80000d98]:sw a1, 804(tp)<br>    |
| 225|[0x80004390]<br>0xFFFFFAFF|- rs1_val==-46340 and imm_val==-1365<br>                                                                                                                                                               |[0x80000da4]:ori a1, a0, 2731<br> [0x80000da8]:sw a1, 808(tp)<br>    |
| 226|[0x80004394]<br>0xFFFF4AFE|- rs1_val==-46340 and imm_val==6<br>                                                                                                                                                                   |[0x80000db4]:ori a1, a0, 6<br> [0x80000db8]:sw a1, 812(tp)<br>       |
| 227|[0x80004398]<br>0xFFFF4BFC|- rs1_val==-46340 and imm_val==820<br>                                                                                                                                                                 |[0x80000dc4]:ori a1, a0, 820<br> [0x80000dc8]:sw a1, 816(tp)<br>     |
| 228|[0x8000439c]<br>0xFFFF4EFF|- rs1_val==-46340 and imm_val==1639<br>                                                                                                                                                                |[0x80000dd4]:ori a1, a0, 1639<br> [0x80000dd8]:sw a1, 820(tp)<br>    |
| 229|[0x800043a0]<br>0xFFFFFFFC|- rs1_val==-46340 and imm_val==-44<br>                                                                                                                                                                 |[0x80000de4]:ori a1, a0, 4052<br> [0x80000de8]:sw a1, 824(tp)<br>    |
| 230|[0x800043a4]<br>0xFFFF4AFE|- rs1_val==-46340 and imm_val==46<br>                                                                                                                                                                  |[0x80000df4]:ori a1, a0, 46<br> [0x80000df8]:sw a1, 828(tp)<br>      |
| 231|[0x800043a8]<br>0x0000B507|- rs1_val==46340 and imm_val==3<br>                                                                                                                                                                    |[0x80000e04]:ori a1, a0, 3<br> [0x80000e08]:sw a1, 832(tp)<br>       |
| 232|[0x800043ac]<br>0x0000B555|- rs1_val==46340 and imm_val==1365<br>                                                                                                                                                                 |[0x80000e14]:ori a1, a0, 1365<br> [0x80000e18]:sw a1, 836(tp)<br>    |
| 233|[0x800043b0]<br>0xFFFFFFAE|- rs1_val==46340 and imm_val==-1366<br>                                                                                                                                                                |[0x80000e24]:ori a1, a0, 2730<br> [0x80000e28]:sw a1, 840(tp)<br>    |
| 234|[0x800043b4]<br>0x0000B505|- rs1_val==46340 and imm_val==5<br>                                                                                                                                                                    |[0x80000e34]:ori a1, a0, 5<br> [0x80000e38]:sw a1, 844(tp)<br>       |
| 235|[0x800043b8]<br>0x0000B737|- rs1_val==46340 and imm_val==819<br>                                                                                                                                                                  |[0x80000e44]:ori a1, a0, 819<br> [0x80000e48]:sw a1, 848(tp)<br>     |
| 236|[0x800043bc]<br>0x0000B766|- rs1_val==46340 and imm_val==1638<br>                                                                                                                                                                 |[0x80000e54]:ori a1, a0, 1638<br> [0x80000e58]:sw a1, 852(tp)<br>    |
| 237|[0x800043c0]<br>0xFFFFFFD7|- rs1_val==46340 and imm_val==-45<br>                                                                                                                                                                  |[0x80000e64]:ori a1, a0, 4051<br> [0x80000e68]:sw a1, 856(tp)<br>    |
| 238|[0x800043c4]<br>0x0000B52D|- rs1_val==46340 and imm_val==45<br>                                                                                                                                                                   |[0x80000e74]:ori a1, a0, 45<br> [0x80000e78]:sw a1, 860(tp)<br>      |
| 239|[0x800043c8]<br>0x0000B506|- rs1_val==46340 and imm_val==2<br>                                                                                                                                                                    |[0x80000e84]:ori a1, a0, 2<br> [0x80000e88]:sw a1, 864(tp)<br>       |
| 240|[0x800043cc]<br>0x0000B554|- rs1_val==46340 and imm_val==1364<br>                                                                                                                                                                 |[0x80000e94]:ori a1, a0, 1364<br> [0x80000e98]:sw a1, 868(tp)<br>    |
| 241|[0x800043d0]<br>0x0000B504|- rs1_val==46340 and imm_val==0<br>                                                                                                                                                                    |[0x80000ea4]:ori a1, a0, 0<br> [0x80000ea8]:sw a1, 872(tp)<br>       |
| 242|[0x800043d4]<br>0x0000B504|- rs1_val==46340 and imm_val==4<br>                                                                                                                                                                    |[0x80000eb4]:ori a1, a0, 4<br> [0x80000eb8]:sw a1, 876(tp)<br>       |
| 243|[0x800043d8]<br>0x0000B736|- rs1_val==46340 and imm_val==818<br>                                                                                                                                                                  |[0x80000ec4]:ori a1, a0, 818<br> [0x80000ec8]:sw a1, 880(tp)<br>     |
| 244|[0x800043dc]<br>0x0000B765|- rs1_val==46340 and imm_val==1637<br>                                                                                                                                                                 |[0x80000ed4]:ori a1, a0, 1637<br> [0x80000ed8]:sw a1, 884(tp)<br>    |
| 245|[0x800043e0]<br>0x0000B52C|- rs1_val==46340 and imm_val==44<br>                                                                                                                                                                   |[0x80000ee4]:ori a1, a0, 44<br> [0x80000ee8]:sw a1, 888(tp)<br>      |
| 246|[0x800043e4]<br>0x0000B556|- rs1_val==46340 and imm_val==1366<br>                                                                                                                                                                 |[0x80000ef4]:ori a1, a0, 1366<br> [0x80000ef8]:sw a1, 892(tp)<br>    |
| 247|[0x800043e8]<br>0xFFFFFFAF|- rs1_val==46340 and imm_val==-1365<br>                                                                                                                                                                |[0x80000f04]:ori a1, a0, 2731<br> [0x80000f08]:sw a1, 896(tp)<br>    |
| 248|[0x800043ec]<br>0x0000B506|- rs1_val==46340 and imm_val==6<br>                                                                                                                                                                    |[0x80000f14]:ori a1, a0, 6<br> [0x80000f18]:sw a1, 900(tp)<br>       |
| 249|[0x800043f0]<br>0x0000B734|- rs1_val==46340 and imm_val==820<br>                                                                                                                                                                  |[0x80000f24]:ori a1, a0, 820<br> [0x80000f28]:sw a1, 904(tp)<br>     |
| 250|[0x800043f4]<br>0x0000B767|- rs1_val==46340 and imm_val==1639<br>                                                                                                                                                                 |[0x80000f34]:ori a1, a0, 1639<br> [0x80000f38]:sw a1, 908(tp)<br>    |
| 251|[0x800043f8]<br>0xFFFFFFD4|- rs1_val==46340 and imm_val==-44<br>                                                                                                                                                                  |[0x80000f44]:ori a1, a0, 4052<br> [0x80000f48]:sw a1, 912(tp)<br>    |
| 252|[0x800043fc]<br>0x0000B52E|- rs1_val==46340 and imm_val==46<br>                                                                                                                                                                   |[0x80000f54]:ori a1, a0, 46<br> [0x80000f58]:sw a1, 916(tp)<br>      |
| 253|[0x80004400]<br>0x00000003|- rs1_val==2 and imm_val==3<br>                                                                                                                                                                        |[0x80000f60]:ori a1, a0, 3<br> [0x80000f64]:sw a1, 920(tp)<br>       |
| 254|[0x80004404]<br>0x00000557|- rs1_val==2 and imm_val==1365<br>                                                                                                                                                                     |[0x80000f6c]:ori a1, a0, 1365<br> [0x80000f70]:sw a1, 924(tp)<br>    |
| 255|[0x80004408]<br>0xFFFFFAAA|- rs1_val==2 and imm_val==-1366<br>                                                                                                                                                                    |[0x80000f78]:ori a1, a0, 2730<br> [0x80000f7c]:sw a1, 928(tp)<br>    |
| 256|[0x8000440c]<br>0x00000007|- rs1_val==2 and imm_val==5<br>                                                                                                                                                                        |[0x80000f84]:ori a1, a0, 5<br> [0x80000f88]:sw a1, 932(tp)<br>       |
| 257|[0x80004410]<br>0x00000333|- rs1_val==2 and imm_val==819<br>                                                                                                                                                                      |[0x80000f90]:ori a1, a0, 819<br> [0x80000f94]:sw a1, 936(tp)<br>     |
| 258|[0x80004414]<br>0x00000666|- rs1_val==2 and imm_val==1638<br>                                                                                                                                                                     |[0x80000f9c]:ori a1, a0, 1638<br> [0x80000fa0]:sw a1, 940(tp)<br>    |
| 259|[0x80004418]<br>0xFFFFFFD3|- rs1_val==2 and imm_val==-45<br>                                                                                                                                                                      |[0x80000fa8]:ori a1, a0, 4051<br> [0x80000fac]:sw a1, 944(tp)<br>    |
| 260|[0x8000441c]<br>0x0000002F|- rs1_val==2 and imm_val==45<br>                                                                                                                                                                       |[0x80000fb4]:ori a1, a0, 45<br> [0x80000fb8]:sw a1, 948(tp)<br>      |
| 261|[0x80004420]<br>0x00000002|- rs1_val==2 and imm_val==2<br>                                                                                                                                                                        |[0x80000fc0]:ori a1, a0, 2<br> [0x80000fc4]:sw a1, 952(tp)<br>       |
| 262|[0x80004424]<br>0x00000556|- rs1_val==2 and imm_val==1364<br>                                                                                                                                                                     |[0x80000fcc]:ori a1, a0, 1364<br> [0x80000fd0]:sw a1, 956(tp)<br>    |
| 263|[0x80004428]<br>0x00000002|- rs1_val==2 and imm_val==0<br>                                                                                                                                                                        |[0x80000fd8]:ori a1, a0, 0<br> [0x80000fdc]:sw a1, 960(tp)<br>       |
| 264|[0x8000442c]<br>0x00000006|- rs1_val==2 and imm_val==4<br>                                                                                                                                                                        |[0x80000fe4]:ori a1, a0, 4<br> [0x80000fe8]:sw a1, 964(tp)<br>       |
| 265|[0x80004430]<br>0x00000332|- rs1_val==2 and imm_val==818<br>                                                                                                                                                                      |[0x80000ff0]:ori a1, a0, 818<br> [0x80000ff4]:sw a1, 968(tp)<br>     |
| 266|[0x80004434]<br>0x00000667|- rs1_val==2 and imm_val==1637<br>                                                                                                                                                                     |[0x80000ffc]:ori a1, a0, 1637<br> [0x80001000]:sw a1, 972(tp)<br>    |
| 267|[0x80004438]<br>0x0000002E|- rs1_val==2 and imm_val==44<br>                                                                                                                                                                       |[0x80001008]:ori a1, a0, 44<br> [0x8000100c]:sw a1, 976(tp)<br>      |
| 268|[0x8000443c]<br>0x00000556|- rs1_val==2 and imm_val==1366<br>                                                                                                                                                                     |[0x80001014]:ori a1, a0, 1366<br> [0x80001018]:sw a1, 980(tp)<br>    |
| 269|[0x80004440]<br>0xFFFFFAAB|- rs1_val==2 and imm_val==-1365<br>                                                                                                                                                                    |[0x80001020]:ori a1, a0, 2731<br> [0x80001024]:sw a1, 984(tp)<br>    |
| 270|[0x80004444]<br>0x00000006|- rs1_val==2 and imm_val==6<br>                                                                                                                                                                        |[0x8000102c]:ori a1, a0, 6<br> [0x80001030]:sw a1, 988(tp)<br>       |
| 271|[0x80004448]<br>0x00000336|- rs1_val==2 and imm_val==820<br>                                                                                                                                                                      |[0x80001038]:ori a1, a0, 820<br> [0x8000103c]:sw a1, 992(tp)<br>     |
| 272|[0x8000444c]<br>0x00000667|- rs1_val==2 and imm_val==1639<br>                                                                                                                                                                     |[0x80001044]:ori a1, a0, 1639<br> [0x80001048]:sw a1, 996(tp)<br>    |
| 273|[0x80004450]<br>0xFFFFFFD6|- rs1_val==2 and imm_val==-44<br>                                                                                                                                                                      |[0x80001050]:ori a1, a0, 4052<br> [0x80001054]:sw a1, 1000(tp)<br>   |
| 274|[0x80004454]<br>0x0000002E|- rs1_val==2 and imm_val==46<br>                                                                                                                                                                       |[0x8000105c]:ori a1, a0, 46<br> [0x80001060]:sw a1, 1004(tp)<br>     |
| 275|[0x80004458]<br>0x55555557|- rs1_val==1431655764 and imm_val==3<br>                                                                                                                                                               |[0x8000106c]:ori a1, a0, 3<br> [0x80001070]:sw a1, 1008(tp)<br>      |
| 276|[0x8000445c]<br>0x55555555|- rs1_val==1431655764 and imm_val==1365<br>                                                                                                                                                            |[0x8000107c]:ori a1, a0, 1365<br> [0x80001080]:sw a1, 1012(tp)<br>   |
| 277|[0x80004460]<br>0xFFFFFFFE|- rs1_val==1431655764 and imm_val==-1366<br>                                                                                                                                                           |[0x8000108c]:ori a1, a0, 2730<br> [0x80001090]:sw a1, 1016(tp)<br>   |
| 278|[0x80004464]<br>0x55555555|- rs1_val==1431655764 and imm_val==5<br>                                                                                                                                                               |[0x8000109c]:ori a1, a0, 5<br> [0x800010a0]:sw a1, 1020(tp)<br>      |
| 279|[0x80004468]<br>0x55555777|- rs1_val==1431655764 and imm_val==819<br>                                                                                                                                                             |[0x800010ac]:ori a1, a0, 819<br> [0x800010b0]:sw a1, 1024(tp)<br>    |
| 280|[0x8000446c]<br>0x55555776|- rs1_val==1431655764 and imm_val==1638<br>                                                                                                                                                            |[0x800010bc]:ori a1, a0, 1638<br> [0x800010c0]:sw a1, 1028(tp)<br>   |
| 281|[0x80004470]<br>0xFFFFFFD7|- rs1_val==1431655764 and imm_val==-45<br>                                                                                                                                                             |[0x800010cc]:ori a1, a0, 4051<br> [0x800010d0]:sw a1, 1032(tp)<br>   |
| 282|[0x80004474]<br>0x5555557D|- rs1_val==1431655764 and imm_val==45<br>                                                                                                                                                              |[0x800010dc]:ori a1, a0, 45<br> [0x800010e0]:sw a1, 1036(tp)<br>     |
| 283|[0x80004478]<br>0x55555556|- rs1_val==1431655764 and imm_val==2<br>                                                                                                                                                               |[0x800010ec]:ori a1, a0, 2<br> [0x800010f0]:sw a1, 1040(tp)<br>      |
| 284|[0x8000447c]<br>0x55555554|- rs1_val==1431655764 and imm_val==1364<br>                                                                                                                                                            |[0x800010fc]:ori a1, a0, 1364<br> [0x80001100]:sw a1, 1044(tp)<br>   |
| 285|[0x80004480]<br>0x55555554|- rs1_val==1431655764 and imm_val==0<br>                                                                                                                                                               |[0x8000110c]:ori a1, a0, 0<br> [0x80001110]:sw a1, 1048(tp)<br>      |
| 286|[0x80004484]<br>0x55555554|- rs1_val==1431655764 and imm_val==4<br>                                                                                                                                                               |[0x8000111c]:ori a1, a0, 4<br> [0x80001120]:sw a1, 1052(tp)<br>      |
| 287|[0x80004488]<br>0x55555776|- rs1_val==1431655764 and imm_val==818<br>                                                                                                                                                             |[0x8000112c]:ori a1, a0, 818<br> [0x80001130]:sw a1, 1056(tp)<br>    |
| 288|[0x8000448c]<br>0x55555775|- rs1_val==1431655764 and imm_val==1637<br>                                                                                                                                                            |[0x8000113c]:ori a1, a0, 1637<br> [0x80001140]:sw a1, 1060(tp)<br>   |
| 289|[0x80004490]<br>0x5555557C|- rs1_val==1431655764 and imm_val==44<br>                                                                                                                                                              |[0x8000114c]:ori a1, a0, 44<br> [0x80001150]:sw a1, 1064(tp)<br>     |
| 290|[0x80004494]<br>0x55555556|- rs1_val==1431655764 and imm_val==1366<br>                                                                                                                                                            |[0x8000115c]:ori a1, a0, 1366<br> [0x80001160]:sw a1, 1068(tp)<br>   |
| 291|[0x80004498]<br>0xFFFFFFFF|- rs1_val==1431655764 and imm_val==-1365<br>                                                                                                                                                           |[0x8000116c]:ori a1, a0, 2731<br> [0x80001170]:sw a1, 1072(tp)<br>   |
| 292|[0x8000449c]<br>0x55555556|- rs1_val==1431655764 and imm_val==6<br>                                                                                                                                                               |[0x8000117c]:ori a1, a0, 6<br> [0x80001180]:sw a1, 1076(tp)<br>      |
| 293|[0x800044a0]<br>0x55555774|- rs1_val==1431655764 and imm_val==820<br>                                                                                                                                                             |[0x8000118c]:ori a1, a0, 820<br> [0x80001190]:sw a1, 1080(tp)<br>    |
| 294|[0x800044a4]<br>0x55555777|- rs1_val==1431655764 and imm_val==1639<br>                                                                                                                                                            |[0x8000119c]:ori a1, a0, 1639<br> [0x800011a0]:sw a1, 1084(tp)<br>   |
| 295|[0x800044a8]<br>0xFFFFFFD4|- rs1_val==1431655764 and imm_val==-44<br>                                                                                                                                                             |[0x800011ac]:ori a1, a0, 4052<br> [0x800011b0]:sw a1, 1088(tp)<br>   |
| 296|[0x800044ac]<br>0x5555557E|- rs1_val==1431655764 and imm_val==46<br>                                                                                                                                                              |[0x800011bc]:ori a1, a0, 46<br> [0x800011c0]:sw a1, 1092(tp)<br>     |
| 297|[0x800044b0]<br>0x00000003|- rs1_val==0 and imm_val==3<br>                                                                                                                                                                        |[0x800011c8]:ori a1, a0, 3<br> [0x800011cc]:sw a1, 1096(tp)<br>      |
| 298|[0x800044b4]<br>0x00000555|- rs1_val==0 and imm_val==1365<br>                                                                                                                                                                     |[0x800011d4]:ori a1, a0, 1365<br> [0x800011d8]:sw a1, 1100(tp)<br>   |
| 299|[0x800044b8]<br>0xFFFFFAAA|- rs1_val==0 and imm_val==-1366<br>                                                                                                                                                                    |[0x800011e0]:ori a1, a0, 2730<br> [0x800011e4]:sw a1, 1104(tp)<br>   |
| 300|[0x800044bc]<br>0x00000005|- rs1_val==0 and imm_val==5<br>                                                                                                                                                                        |[0x800011ec]:ori a1, a0, 5<br> [0x800011f0]:sw a1, 1108(tp)<br>      |
| 301|[0x800044c0]<br>0x00000333|- rs1_val==0 and imm_val==819<br>                                                                                                                                                                      |[0x800011f8]:ori a1, a0, 819<br> [0x800011fc]:sw a1, 1112(tp)<br>    |
| 302|[0x800044c4]<br>0x00000666|- rs1_val==0 and imm_val==1638<br>                                                                                                                                                                     |[0x80001204]:ori a1, a0, 1638<br> [0x80001208]:sw a1, 1116(tp)<br>   |
| 303|[0x800044c8]<br>0xFFFFFFD3|- rs1_val==0 and imm_val==-45<br>                                                                                                                                                                      |[0x80001210]:ori a1, a0, 4051<br> [0x80001214]:sw a1, 1120(tp)<br>   |
| 304|[0x800044cc]<br>0x33333336|- rs1_val==858993460 and imm_val==818<br>                                                                                                                                                              |[0x80001220]:ori a1, a0, 818<br> [0x80001224]:sw a1, 1124(tp)<br>    |
| 305|[0x800044d0]<br>0x33333775|- rs1_val==858993460 and imm_val==1637<br>                                                                                                                                                             |[0x80001230]:ori a1, a0, 1637<br> [0x80001234]:sw a1, 1128(tp)<br>   |
| 306|[0x800044d4]<br>0x3333333C|- rs1_val==858993460 and imm_val==44<br>                                                                                                                                                               |[0x80001240]:ori a1, a0, 44<br> [0x80001244]:sw a1, 1132(tp)<br>     |
| 307|[0x800044d8]<br>0x33333776|- rs1_val==858993460 and imm_val==1366<br>                                                                                                                                                             |[0x80001250]:ori a1, a0, 1366<br> [0x80001254]:sw a1, 1136(tp)<br>   |
| 308|[0x800044dc]<br>0xFFFFFBBF|- rs1_val==858993460 and imm_val==-1365<br>                                                                                                                                                            |[0x80001260]:ori a1, a0, 2731<br> [0x80001264]:sw a1, 1140(tp)<br>   |
| 309|[0x800044e0]<br>0x33333336|- rs1_val==858993460 and imm_val==6<br>                                                                                                                                                                |[0x80001270]:ori a1, a0, 6<br> [0x80001274]:sw a1, 1144(tp)<br>      |
| 310|[0x800044e4]<br>0x33333334|- rs1_val==858993460 and imm_val==820<br>                                                                                                                                                              |[0x80001280]:ori a1, a0, 820<br> [0x80001284]:sw a1, 1148(tp)<br>    |
| 311|[0x800044e8]<br>0x33333777|- rs1_val==858993460 and imm_val==1639<br>                                                                                                                                                             |[0x80001290]:ori a1, a0, 1639<br> [0x80001294]:sw a1, 1152(tp)<br>   |
| 312|[0x800044ec]<br>0xFFFFFFF4|- rs1_val==858993460 and imm_val==-44<br>                                                                                                                                                              |[0x800012a0]:ori a1, a0, 4052<br> [0x800012a4]:sw a1, 1156(tp)<br>   |
| 313|[0x800044f0]<br>0x3333333E|- rs1_val==858993460 and imm_val==46<br>                                                                                                                                                               |[0x800012b0]:ori a1, a0, 46<br> [0x800012b4]:sw a1, 1160(tp)<br>     |
| 314|[0x800044f4]<br>0x66666667|- rs1_val==1717986919 and imm_val==3<br>                                                                                                                                                               |[0x800012c0]:ori a1, a0, 3<br> [0x800012c4]:sw a1, 1164(tp)<br>      |
| 315|[0x800044f8]<br>0x66666777|- rs1_val==1717986919 and imm_val==1365<br>                                                                                                                                                            |[0x800012d0]:ori a1, a0, 1365<br> [0x800012d4]:sw a1, 1168(tp)<br>   |
| 316|[0x800044fc]<br>0xFFFFFEEF|- rs1_val==1717986919 and imm_val==-1366<br>                                                                                                                                                           |[0x800012e0]:ori a1, a0, 2730<br> [0x800012e4]:sw a1, 1172(tp)<br>   |
| 317|[0x80004500]<br>0x66666667|- rs1_val==1717986919 and imm_val==5<br>                                                                                                                                                               |[0x800012f0]:ori a1, a0, 5<br> [0x800012f4]:sw a1, 1176(tp)<br>      |
| 318|[0x80004504]<br>0x66666777|- rs1_val==1717986919 and imm_val==819<br>                                                                                                                                                             |[0x80001300]:ori a1, a0, 819<br> [0x80001304]:sw a1, 1180(tp)<br>    |
| 319|[0x80004508]<br>0x66666667|- rs1_val==1717986919 and imm_val==1638<br>                                                                                                                                                            |[0x80001310]:ori a1, a0, 1638<br> [0x80001314]:sw a1, 1184(tp)<br>   |
| 320|[0x8000450c]<br>0xFFFFFFF7|- rs1_val==1717986919 and imm_val==-45<br>                                                                                                                                                             |[0x80001320]:ori a1, a0, 4051<br> [0x80001324]:sw a1, 1188(tp)<br>   |
| 321|[0x80004510]<br>0x6666666F|- rs1_val==1717986919 and imm_val==45<br>                                                                                                                                                              |[0x80001330]:ori a1, a0, 45<br> [0x80001334]:sw a1, 1192(tp)<br>     |
| 322|[0x80004514]<br>0x66666667|- rs1_val==1717986919 and imm_val==2<br>                                                                                                                                                               |[0x80001340]:ori a1, a0, 2<br> [0x80001344]:sw a1, 1196(tp)<br>      |
| 323|[0x80004518]<br>0x66666777|- rs1_val==1717986919 and imm_val==1364<br>                                                                                                                                                            |[0x80001350]:ori a1, a0, 1364<br> [0x80001354]:sw a1, 1200(tp)<br>   |
| 324|[0x8000451c]<br>0x66666667|- rs1_val==1717986919 and imm_val==0<br>                                                                                                                                                               |[0x80001360]:ori a1, a0, 0<br> [0x80001364]:sw a1, 1204(tp)<br>      |
| 325|[0x80004520]<br>0x66666667|- rs1_val==1717986919 and imm_val==4<br>                                                                                                                                                               |[0x80001370]:ori a1, a0, 4<br> [0x80001374]:sw a1, 1208(tp)<br>      |
| 326|[0x80004524]<br>0x66666777|- rs1_val==1717986919 and imm_val==818<br>                                                                                                                                                             |[0x80001380]:ori a1, a0, 818<br> [0x80001384]:sw a1, 1212(tp)<br>    |
| 327|[0x80004528]<br>0x66666667|- rs1_val==1717986919 and imm_val==1637<br>                                                                                                                                                            |[0x80001390]:ori a1, a0, 1637<br> [0x80001394]:sw a1, 1216(tp)<br>   |
| 328|[0x8000452c]<br>0x6666666F|- rs1_val==1717986919 and imm_val==44<br>                                                                                                                                                              |[0x800013a0]:ori a1, a0, 44<br> [0x800013a4]:sw a1, 1220(tp)<br>     |
| 329|[0x80004530]<br>0x66666777|- rs1_val==1717986919 and imm_val==1366<br>                                                                                                                                                            |[0x800013b0]:ori a1, a0, 1366<br> [0x800013b4]:sw a1, 1224(tp)<br>   |
| 330|[0x80004534]<br>0xFFFFFEEF|- rs1_val==1717986919 and imm_val==-1365<br>                                                                                                                                                           |[0x800013c0]:ori a1, a0, 2731<br> [0x800013c4]:sw a1, 1228(tp)<br>   |
| 331|[0x80004538]<br>0x66666667|- rs1_val==1717986919 and imm_val==6<br>                                                                                                                                                               |[0x800013d0]:ori a1, a0, 6<br> [0x800013d4]:sw a1, 1232(tp)<br>      |
| 332|[0x8000453c]<br>0x66666777|- rs1_val==1717986919 and imm_val==820<br>                                                                                                                                                             |[0x800013e0]:ori a1, a0, 820<br> [0x800013e4]:sw a1, 1236(tp)<br>    |
| 333|[0x80004540]<br>0x66666667|- rs1_val==1717986919 and imm_val==1639<br>                                                                                                                                                            |[0x800013f0]:ori a1, a0, 1639<br> [0x800013f4]:sw a1, 1240(tp)<br>   |
| 334|[0x80004544]<br>0xFFFFFFF7|- rs1_val==1717986919 and imm_val==-44<br>                                                                                                                                                             |[0x80001400]:ori a1, a0, 4052<br> [0x80001404]:sw a1, 1244(tp)<br>   |
| 335|[0x80004548]<br>0x6666666F|- rs1_val==1717986919 and imm_val==46<br>                                                                                                                                                              |[0x80001410]:ori a1, a0, 46<br> [0x80001414]:sw a1, 1248(tp)<br>     |
| 336|[0x8000454c]<br>0xFFFF4AFF|- rs1_val==-46339 and imm_val==3<br>                                                                                                                                                                   |[0x80001420]:ori a1, a0, 3<br> [0x80001424]:sw a1, 1252(tp)<br>      |
| 337|[0x80004550]<br>0xFFFF4FFD|- rs1_val==-46339 and imm_val==1365<br>                                                                                                                                                                |[0x80001430]:ori a1, a0, 1365<br> [0x80001434]:sw a1, 1256(tp)<br>   |
| 338|[0x80004554]<br>0xFFFFFAFF|- rs1_val==-46339 and imm_val==-1366<br>                                                                                                                                                               |[0x80001440]:ori a1, a0, 2730<br> [0x80001444]:sw a1, 1260(tp)<br>   |
| 339|[0x80004558]<br>0xFFFF4AFD|- rs1_val==-46339 and imm_val==5<br>                                                                                                                                                                   |[0x80001450]:ori a1, a0, 5<br> [0x80001454]:sw a1, 1264(tp)<br>      |
| 340|[0x8000455c]<br>0xFFFF4BFF|- rs1_val==-46339 and imm_val==819<br>                                                                                                                                                                 |[0x80001460]:ori a1, a0, 819<br> [0x80001464]:sw a1, 1268(tp)<br>    |
| 341|[0x80004560]<br>0xFFFF4EFF|- rs1_val==-46339 and imm_val==1638<br>                                                                                                                                                                |[0x80001470]:ori a1, a0, 1638<br> [0x80001474]:sw a1, 1272(tp)<br>   |
| 342|[0x80004564]<br>0xFFFFFFFF|- rs1_val==-46339 and imm_val==-45<br>                                                                                                                                                                 |[0x80001480]:ori a1, a0, 4051<br> [0x80001484]:sw a1, 1276(tp)<br>   |
| 343|[0x80004568]<br>0xFFFF4AFD|- rs1_val==-46339 and imm_val==45<br>                                                                                                                                                                  |[0x80001490]:ori a1, a0, 45<br> [0x80001494]:sw a1, 1280(tp)<br>     |
| 344|[0x8000456c]<br>0xFFFF4AFF|- rs1_val==-46339 and imm_val==2<br>                                                                                                                                                                   |[0x800014a0]:ori a1, a0, 2<br> [0x800014a4]:sw a1, 1284(tp)<br>      |
| 345|[0x80004570]<br>0xFFFF4FFD|- rs1_val==-46339 and imm_val==1364<br>                                                                                                                                                                |[0x800014b0]:ori a1, a0, 1364<br> [0x800014b4]:sw a1, 1288(tp)<br>   |
| 346|[0x80004574]<br>0xFFFF4AFD|- rs1_val==-46339 and imm_val==0<br>                                                                                                                                                                   |[0x800014c0]:ori a1, a0, 0<br> [0x800014c4]:sw a1, 1292(tp)<br>      |
| 347|[0x80004578]<br>0xFFFF4AFD|- rs1_val==-46339 and imm_val==4<br>                                                                                                                                                                   |[0x800014d0]:ori a1, a0, 4<br> [0x800014d4]:sw a1, 1296(tp)<br>      |
| 348|[0x8000457c]<br>0xFFFF4BFF|- rs1_val==-46339 and imm_val==818<br>                                                                                                                                                                 |[0x800014e0]:ori a1, a0, 818<br> [0x800014e4]:sw a1, 1300(tp)<br>    |
| 349|[0x80004580]<br>0xFFFF4EFD|- rs1_val==-46339 and imm_val==1637<br>                                                                                                                                                                |[0x800014f0]:ori a1, a0, 1637<br> [0x800014f4]:sw a1, 1304(tp)<br>   |
| 350|[0x80004584]<br>0xFFFF4AFD|- rs1_val==-46339 and imm_val==44<br>                                                                                                                                                                  |[0x80001500]:ori a1, a0, 44<br> [0x80001504]:sw a1, 1308(tp)<br>     |
| 351|[0x80004588]<br>0xFFFF4FFF|- rs1_val==-46339 and imm_val==1366<br>                                                                                                                                                                |[0x80001510]:ori a1, a0, 1366<br> [0x80001514]:sw a1, 1312(tp)<br>   |
| 352|[0x8000458c]<br>0xFFFFFAFF|- rs1_val==-46339 and imm_val==-1365<br>                                                                                                                                                               |[0x80001520]:ori a1, a0, 2731<br> [0x80001524]:sw a1, 1316(tp)<br>   |
| 353|[0x80004590]<br>0xFFFF4AFF|- rs1_val==-46339 and imm_val==6<br>                                                                                                                                                                   |[0x80001530]:ori a1, a0, 6<br> [0x80001534]:sw a1, 1320(tp)<br>      |
| 354|[0x80004594]<br>0xFFFF4BFD|- rs1_val==-46339 and imm_val==820<br>                                                                                                                                                                 |[0x80001540]:ori a1, a0, 820<br> [0x80001544]:sw a1, 1324(tp)<br>    |
| 355|[0x80004598]<br>0xFFFF4EFF|- rs1_val==-46339 and imm_val==1639<br>                                                                                                                                                                |[0x80001550]:ori a1, a0, 1639<br> [0x80001554]:sw a1, 1328(tp)<br>   |
| 356|[0x8000459c]<br>0xFFFFFFFD|- rs1_val==-46339 and imm_val==-44<br>                                                                                                                                                                 |[0x80001560]:ori a1, a0, 4052<br> [0x80001564]:sw a1, 1332(tp)<br>   |
| 357|[0x800045a0]<br>0xFFFF4AFF|- rs1_val==-46339 and imm_val==46<br>                                                                                                                                                                  |[0x80001570]:ori a1, a0, 46<br> [0x80001574]:sw a1, 1336(tp)<br>     |
| 358|[0x800045a4]<br>0x0000B507|- rs1_val==46341 and imm_val==3<br>                                                                                                                                                                    |[0x80001580]:ori a1, a0, 3<br> [0x80001584]:sw a1, 1340(tp)<br>      |
| 359|[0x800045a8]<br>0x0000B555|- rs1_val==46341 and imm_val==1365<br>                                                                                                                                                                 |[0x80001590]:ori a1, a0, 1365<br> [0x80001594]:sw a1, 1344(tp)<br>   |
| 360|[0x800045ac]<br>0xFFFFFFAF|- rs1_val==46341 and imm_val==-1366<br>                                                                                                                                                                |[0x800015a0]:ori a1, a0, 2730<br> [0x800015a4]:sw a1, 1348(tp)<br>   |
| 361|[0x800045b0]<br>0x0000B505|- rs1_val==46341 and imm_val==5<br>                                                                                                                                                                    |[0x800015b0]:ori a1, a0, 5<br> [0x800015b4]:sw a1, 1352(tp)<br>      |
| 362|[0x800045b4]<br>0x0000B737|- rs1_val==46341 and imm_val==819<br>                                                                                                                                                                  |[0x800015c0]:ori a1, a0, 819<br> [0x800015c4]:sw a1, 1356(tp)<br>    |
| 363|[0x800045b8]<br>0x0000B767|- rs1_val==46341 and imm_val==1638<br>                                                                                                                                                                 |[0x800015d0]:ori a1, a0, 1638<br> [0x800015d4]:sw a1, 1360(tp)<br>   |
| 364|[0x800045bc]<br>0xFFFFFFD7|- rs1_val==46341 and imm_val==-45<br>                                                                                                                                                                  |[0x800015e0]:ori a1, a0, 4051<br> [0x800015e4]:sw a1, 1364(tp)<br>   |
| 365|[0x800045c0]<br>0x0000B52D|- rs1_val==46341 and imm_val==45<br>                                                                                                                                                                   |[0x800015f0]:ori a1, a0, 45<br> [0x800015f4]:sw a1, 1368(tp)<br>     |
| 366|[0x800045c4]<br>0x0000B507|- rs1_val==46341 and imm_val==2<br>                                                                                                                                                                    |[0x80001600]:ori a1, a0, 2<br> [0x80001604]:sw a1, 1372(tp)<br>      |
| 367|[0x800045c8]<br>0x0000B555|- rs1_val==46341 and imm_val==1364<br>                                                                                                                                                                 |[0x80001610]:ori a1, a0, 1364<br> [0x80001614]:sw a1, 1376(tp)<br>   |
| 368|[0x800045cc]<br>0x0000B505|- rs1_val==46341 and imm_val==0<br>                                                                                                                                                                    |[0x80001620]:ori a1, a0, 0<br> [0x80001624]:sw a1, 1380(tp)<br>      |
| 369|[0x800045d0]<br>0x0000B505|- rs1_val==46341 and imm_val==4<br>                                                                                                                                                                    |[0x80001630]:ori a1, a0, 4<br> [0x80001634]:sw a1, 1384(tp)<br>      |
| 370|[0x800045d4]<br>0x0000B737|- rs1_val==46341 and imm_val==818<br>                                                                                                                                                                  |[0x80001640]:ori a1, a0, 818<br> [0x80001644]:sw a1, 1388(tp)<br>    |
| 371|[0x800045d8]<br>0x0000B765|- rs1_val==46341 and imm_val==1637<br>                                                                                                                                                                 |[0x80001650]:ori a1, a0, 1637<br> [0x80001654]:sw a1, 1392(tp)<br>   |
| 372|[0x800045dc]<br>0x0000B52D|- rs1_val==46341 and imm_val==44<br>                                                                                                                                                                   |[0x80001660]:ori a1, a0, 44<br> [0x80001664]:sw a1, 1396(tp)<br>     |
| 373|[0x800045e0]<br>0x0000B557|- rs1_val==46341 and imm_val==1366<br>                                                                                                                                                                 |[0x80001670]:ori a1, a0, 1366<br> [0x80001674]:sw a1, 1400(tp)<br>   |
| 374|[0x800045e4]<br>0xFFFFFFAF|- rs1_val==46341 and imm_val==-1365<br>                                                                                                                                                                |[0x80001680]:ori a1, a0, 2731<br> [0x80001684]:sw a1, 1404(tp)<br>   |
| 375|[0x800045e8]<br>0x0000B507|- rs1_val==46341 and imm_val==6<br>                                                                                                                                                                    |[0x80001690]:ori a1, a0, 6<br> [0x80001694]:sw a1, 1408(tp)<br>      |
| 376|[0x800045ec]<br>0x0000B735|- rs1_val==46341 and imm_val==820<br>                                                                                                                                                                  |[0x800016a0]:ori a1, a0, 820<br> [0x800016a4]:sw a1, 1412(tp)<br>    |
| 377|[0x800045f0]<br>0x0000B767|- rs1_val==46341 and imm_val==1639<br>                                                                                                                                                                 |[0x800016b0]:ori a1, a0, 1639<br> [0x800016b4]:sw a1, 1416(tp)<br>   |
| 378|[0x800045f4]<br>0xFFFFFFD5|- rs1_val==46341 and imm_val==-44<br>                                                                                                                                                                  |[0x800016c0]:ori a1, a0, 4052<br> [0x800016c4]:sw a1, 1420(tp)<br>   |
| 379|[0x800045f8]<br>0x0000B52F|- rs1_val==46341 and imm_val==46<br>                                                                                                                                                                   |[0x800016d0]:ori a1, a0, 46<br> [0x800016d4]:sw a1, 1424(tp)<br>     |
| 380|[0x800045fc]<br>0x0000002D|- rs1_val==0 and imm_val==45<br>                                                                                                                                                                       |[0x800016dc]:ori a1, a0, 45<br> [0x800016e0]:sw a1, 1428(tp)<br>     |
| 381|[0x80004600]<br>0x00000002|- rs1_val==0 and imm_val==2<br>                                                                                                                                                                        |[0x800016e8]:ori a1, a0, 2<br> [0x800016ec]:sw a1, 1432(tp)<br>      |
| 382|[0x80004604]<br>0x00000554|- rs1_val==0 and imm_val==1364<br>                                                                                                                                                                     |[0x800016f4]:ori a1, a0, 1364<br> [0x800016f8]:sw a1, 1436(tp)<br>   |
| 383|[0x80004608]<br>0x00000004|- rs1_val==0 and imm_val==4<br>                                                                                                                                                                        |[0x80001700]:ori a1, a0, 4<br> [0x80001704]:sw a1, 1440(tp)<br>      |
| 384|[0x8000460c]<br>0x00000332|- rs1_val==0 and imm_val==818<br>                                                                                                                                                                      |[0x8000170c]:ori a1, a0, 818<br> [0x80001710]:sw a1, 1444(tp)<br>    |
| 385|[0x80004610]<br>0x00000665|- rs1_val==0 and imm_val==1637<br>                                                                                                                                                                     |[0x80001718]:ori a1, a0, 1637<br> [0x8000171c]:sw a1, 1448(tp)<br>   |
| 386|[0x80004614]<br>0x0000002C|- rs1_val==0 and imm_val==44<br>                                                                                                                                                                       |[0x80001724]:ori a1, a0, 44<br> [0x80001728]:sw a1, 1452(tp)<br>     |
| 387|[0x80004618]<br>0x00000556|- rs1_val==0 and imm_val==1366<br>                                                                                                                                                                     |[0x80001730]:ori a1, a0, 1366<br> [0x80001734]:sw a1, 1456(tp)<br>   |
| 388|[0x8000461c]<br>0xFFFFFAAB|- rs1_val==0 and imm_val==-1365<br>                                                                                                                                                                    |[0x8000173c]:ori a1, a0, 2731<br> [0x80001740]:sw a1, 1460(tp)<br>   |
| 389|[0x80004620]<br>0x00000006|- rs1_val==0 and imm_val==6<br>                                                                                                                                                                        |[0x80001748]:ori a1, a0, 6<br> [0x8000174c]:sw a1, 1464(tp)<br>      |
| 390|[0x80004624]<br>0x00000334|- rs1_val==0 and imm_val==820<br>                                                                                                                                                                      |[0x80001754]:ori a1, a0, 820<br> [0x80001758]:sw a1, 1468(tp)<br>    |
| 391|[0x80004628]<br>0x00000667|- rs1_val==0 and imm_val==1639<br>                                                                                                                                                                     |[0x80001760]:ori a1, a0, 1639<br> [0x80001764]:sw a1, 1472(tp)<br>   |
| 392|[0x8000462c]<br>0xFFFFFFD4|- rs1_val==0 and imm_val==-44<br>                                                                                                                                                                      |[0x8000176c]:ori a1, a0, 4052<br> [0x80001770]:sw a1, 1476(tp)<br>   |
| 393|[0x80004630]<br>0x0000002E|- rs1_val==0 and imm_val==46<br>                                                                                                                                                                       |[0x80001778]:ori a1, a0, 46<br> [0x8000177c]:sw a1, 1480(tp)<br>     |
| 394|[0x80004634]<br>0x00000007|- rs1_val==4 and imm_val==3<br>                                                                                                                                                                        |[0x80001784]:ori a1, a0, 3<br> [0x80001788]:sw a1, 1484(tp)<br>      |
| 395|[0x80004638]<br>0x00000555|- rs1_val==4 and imm_val==1365<br>                                                                                                                                                                     |[0x80001790]:ori a1, a0, 1365<br> [0x80001794]:sw a1, 1488(tp)<br>   |
| 396|[0x8000463c]<br>0xFFFFFAAE|- rs1_val==4 and imm_val==-1366<br>                                                                                                                                                                    |[0x8000179c]:ori a1, a0, 2730<br> [0x800017a0]:sw a1, 1492(tp)<br>   |
| 397|[0x80004640]<br>0x00000337|- rs1_val==4 and imm_val==819<br>                                                                                                                                                                      |[0x800017a8]:ori a1, a0, 819<br> [0x800017ac]:sw a1, 1496(tp)<br>    |
| 398|[0x80004644]<br>0x00000666|- rs1_val==4 and imm_val==1638<br>                                                                                                                                                                     |[0x800017b4]:ori a1, a0, 1638<br> [0x800017b8]:sw a1, 1500(tp)<br>   |
| 399|[0x80004648]<br>0xFFFFFFD7|- rs1_val==4 and imm_val==-45<br>                                                                                                                                                                      |[0x800017c0]:ori a1, a0, 4051<br> [0x800017c4]:sw a1, 1504(tp)<br>   |
| 400|[0x8000464c]<br>0x0000002D|- rs1_val==4 and imm_val==45<br>                                                                                                                                                                       |[0x800017cc]:ori a1, a0, 45<br> [0x800017d0]:sw a1, 1508(tp)<br>     |
| 401|[0x80004650]<br>0x00000006|- rs1_val==4 and imm_val==2<br>                                                                                                                                                                        |[0x800017d8]:ori a1, a0, 2<br> [0x800017dc]:sw a1, 1512(tp)<br>      |
| 402|[0x80004654]<br>0x00000554|- rs1_val==4 and imm_val==1364<br>                                                                                                                                                                     |[0x800017e4]:ori a1, a0, 1364<br> [0x800017e8]:sw a1, 1516(tp)<br>   |
| 403|[0x80004658]<br>0x00000004|- rs1_val==4 and imm_val==0<br>                                                                                                                                                                        |[0x800017f0]:ori a1, a0, 0<br> [0x800017f4]:sw a1, 1520(tp)<br>      |
| 404|[0x8000465c]<br>0x00000004|- rs1_val==4 and imm_val==4<br>                                                                                                                                                                        |[0x800017fc]:ori a1, a0, 4<br> [0x80001800]:sw a1, 1524(tp)<br>      |
| 405|[0x80004660]<br>0x00000336|- rs1_val==4 and imm_val==818<br>                                                                                                                                                                      |[0x80001808]:ori a1, a0, 818<br> [0x8000180c]:sw a1, 1528(tp)<br>    |
| 406|[0x80004664]<br>0x00000665|- rs1_val==4 and imm_val==1637<br>                                                                                                                                                                     |[0x80001814]:ori a1, a0, 1637<br> [0x80001818]:sw a1, 1532(tp)<br>   |
| 407|[0x80004668]<br>0x0000002C|- rs1_val==4 and imm_val==44<br>                                                                                                                                                                       |[0x80001820]:ori a1, a0, 44<br> [0x80001824]:sw a1, 1536(tp)<br>     |
| 408|[0x8000466c]<br>0x00000556|- rs1_val==4 and imm_val==1366<br>                                                                                                                                                                     |[0x8000182c]:ori a1, a0, 1366<br> [0x80001830]:sw a1, 1540(tp)<br>   |
| 409|[0x80004670]<br>0xFFFFFAAF|- rs1_val==4 and imm_val==-1365<br>                                                                                                                                                                    |[0x80001838]:ori a1, a0, 2731<br> [0x8000183c]:sw a1, 1544(tp)<br>   |
| 410|[0x80004674]<br>0x00000006|- rs1_val==4 and imm_val==6<br>                                                                                                                                                                        |[0x80001844]:ori a1, a0, 6<br> [0x80001848]:sw a1, 1548(tp)<br>      |
| 411|[0x80004678]<br>0x00000334|- rs1_val==4 and imm_val==820<br>                                                                                                                                                                      |[0x80001850]:ori a1, a0, 820<br> [0x80001854]:sw a1, 1552(tp)<br>    |
| 412|[0x8000467c]<br>0x00000667|- rs1_val==4 and imm_val==1639<br>                                                                                                                                                                     |[0x8000185c]:ori a1, a0, 1639<br> [0x80001860]:sw a1, 1556(tp)<br>   |
| 413|[0x80004680]<br>0xFFFFFFD4|- rs1_val==4 and imm_val==-44<br>                                                                                                                                                                      |[0x80001868]:ori a1, a0, 4052<br> [0x8000186c]:sw a1, 1560(tp)<br>   |
| 414|[0x80004684]<br>0x0000002E|- rs1_val==4 and imm_val==46<br>                                                                                                                                                                       |[0x80001874]:ori a1, a0, 46<br> [0x80001878]:sw a1, 1564(tp)<br>     |
| 415|[0x80004688]<br>0x33333333|- rs1_val==858993458 and imm_val==3<br>                                                                                                                                                                |[0x80001884]:ori a1, a0, 3<br> [0x80001888]:sw a1, 1568(tp)<br>      |
| 416|[0x8000468c]<br>0x33333777|- rs1_val==858993458 and imm_val==1365<br>                                                                                                                                                             |[0x80001894]:ori a1, a0, 1365<br> [0x80001898]:sw a1, 1572(tp)<br>   |
| 417|[0x80004690]<br>0xFFFFFBBA|- rs1_val==858993458 and imm_val==-1366<br>                                                                                                                                                            |[0x800018a4]:ori a1, a0, 2730<br> [0x800018a8]:sw a1, 1576(tp)<br>   |
| 418|[0x80004694]<br>0x33333337|- rs1_val==858993458 and imm_val==5<br>                                                                                                                                                                |[0x800018b4]:ori a1, a0, 5<br> [0x800018b8]:sw a1, 1580(tp)<br>      |
| 419|[0x80004698]<br>0x33333333|- rs1_val==858993458 and imm_val==819<br>                                                                                                                                                              |[0x800018c4]:ori a1, a0, 819<br> [0x800018c8]:sw a1, 1584(tp)<br>    |
| 420|[0x8000469c]<br>0x33333776|- rs1_val==858993458 and imm_val==1638<br>                                                                                                                                                             |[0x800018d4]:ori a1, a0, 1638<br> [0x800018d8]:sw a1, 1588(tp)<br>   |
| 421|[0x800046a0]<br>0xFFFFFFF3|- rs1_val==858993458 and imm_val==-45<br>                                                                                                                                                              |[0x800018e4]:ori a1, a0, 4051<br> [0x800018e8]:sw a1, 1592(tp)<br>   |
| 422|[0x800046a4]<br>0x3333333F|- rs1_val==858993458 and imm_val==45<br>                                                                                                                                                               |[0x800018f4]:ori a1, a0, 45<br> [0x800018f8]:sw a1, 1596(tp)<br>     |
| 423|[0x800046a8]<br>0x33333332|- rs1_val==858993458 and imm_val==2<br>                                                                                                                                                                |[0x80001904]:ori a1, a0, 2<br> [0x80001908]:sw a1, 1600(tp)<br>      |
| 424|[0x800046ac]<br>0x33333776|- rs1_val==858993458 and imm_val==1364<br>                                                                                                                                                             |[0x80001914]:ori a1, a0, 1364<br> [0x80001918]:sw a1, 1604(tp)<br>   |
| 425|[0x800046b0]<br>0x33333332|- rs1_val==858993458 and imm_val==0<br>                                                                                                                                                                |[0x80001924]:ori a1, a0, 0<br> [0x80001928]:sw a1, 1608(tp)<br>      |
| 426|[0x800046b4]<br>0x33333336|- rs1_val==858993458 and imm_val==4<br>                                                                                                                                                                |[0x80001934]:ori a1, a0, 4<br> [0x80001938]:sw a1, 1612(tp)<br>      |
| 427|[0x800046b8]<br>0x33333332|- rs1_val==858993458 and imm_val==818<br>                                                                                                                                                              |[0x80001944]:ori a1, a0, 818<br> [0x80001948]:sw a1, 1616(tp)<br>    |
| 428|[0x800046bc]<br>0x33333777|- rs1_val==858993458 and imm_val==1637<br>                                                                                                                                                             |[0x80001954]:ori a1, a0, 1637<br> [0x80001958]:sw a1, 1620(tp)<br>   |
| 429|[0x800046c0]<br>0x3333333E|- rs1_val==858993458 and imm_val==44<br>                                                                                                                                                               |[0x80001964]:ori a1, a0, 44<br> [0x80001968]:sw a1, 1624(tp)<br>     |
| 430|[0x800046c4]<br>0x33333776|- rs1_val==858993458 and imm_val==1366<br>                                                                                                                                                             |[0x80001974]:ori a1, a0, 1366<br> [0x80001978]:sw a1, 1628(tp)<br>   |
| 431|[0x800046c8]<br>0xFFFFFBBB|- rs1_val==858993458 and imm_val==-1365<br>                                                                                                                                                            |[0x80001984]:ori a1, a0, 2731<br> [0x80001988]:sw a1, 1632(tp)<br>   |
| 432|[0x800046cc]<br>0x33333336|- rs1_val==858993458 and imm_val==6<br>                                                                                                                                                                |[0x80001994]:ori a1, a0, 6<br> [0x80001998]:sw a1, 1636(tp)<br>      |
| 433|[0x800046d0]<br>0x33333336|- rs1_val==858993458 and imm_val==820<br>                                                                                                                                                              |[0x800019a4]:ori a1, a0, 820<br> [0x800019a8]:sw a1, 1640(tp)<br>    |
| 434|[0x800046d4]<br>0x33333777|- rs1_val==858993458 and imm_val==1639<br>                                                                                                                                                             |[0x800019b4]:ori a1, a0, 1639<br> [0x800019b8]:sw a1, 1644(tp)<br>   |
| 435|[0x800046d8]<br>0xFFFFFFF6|- rs1_val==858993458 and imm_val==-44<br>                                                                                                                                                              |[0x800019c4]:ori a1, a0, 4052<br> [0x800019c8]:sw a1, 1648(tp)<br>   |
| 436|[0x800046dc]<br>0x3333333E|- rs1_val==858993458 and imm_val==46<br>                                                                                                                                                               |[0x800019d4]:ori a1, a0, 46<br> [0x800019d8]:sw a1, 1652(tp)<br>     |
| 437|[0x800046e0]<br>0x66666667|- rs1_val==1717986917 and imm_val==3<br>                                                                                                                                                               |[0x800019e4]:ori a1, a0, 3<br> [0x800019e8]:sw a1, 1656(tp)<br>      |
| 438|[0x800046e4]<br>0x66666775|- rs1_val==1717986917 and imm_val==1365<br>                                                                                                                                                            |[0x800019f4]:ori a1, a0, 1365<br> [0x800019f8]:sw a1, 1660(tp)<br>   |
| 439|[0x800046e8]<br>0xFFFFFEEF|- rs1_val==1717986917 and imm_val==-1366<br>                                                                                                                                                           |[0x80001a04]:ori a1, a0, 2730<br> [0x80001a08]:sw a1, 1664(tp)<br>   |
| 440|[0x800046ec]<br>0x66666665|- rs1_val==1717986917 and imm_val==5<br>                                                                                                                                                               |[0x80001a14]:ori a1, a0, 5<br> [0x80001a18]:sw a1, 1668(tp)<br>      |
| 441|[0x800046f0]<br>0x66666777|- rs1_val==1717986917 and imm_val==819<br>                                                                                                                                                             |[0x80001a24]:ori a1, a0, 819<br> [0x80001a28]:sw a1, 1672(tp)<br>    |
| 442|[0x800046f4]<br>0x66666667|- rs1_val==1717986917 and imm_val==1638<br>                                                                                                                                                            |[0x80001a34]:ori a1, a0, 1638<br> [0x80001a38]:sw a1, 1676(tp)<br>   |
| 443|[0x800046f8]<br>0xFFFFFFF7|- rs1_val==1717986917 and imm_val==-45<br>                                                                                                                                                             |[0x80001a44]:ori a1, a0, 4051<br> [0x80001a48]:sw a1, 1680(tp)<br>   |
| 444|[0x800046fc]<br>0x6666666D|- rs1_val==1717986917 and imm_val==45<br>                                                                                                                                                              |[0x80001a54]:ori a1, a0, 45<br> [0x80001a58]:sw a1, 1684(tp)<br>     |
| 445|[0x80004700]<br>0x66666667|- rs1_val==1717986917 and imm_val==2<br>                                                                                                                                                               |[0x80001a64]:ori a1, a0, 2<br> [0x80001a68]:sw a1, 1688(tp)<br>      |
| 446|[0x80004704]<br>0x66666775|- rs1_val==1717986917 and imm_val==1364<br>                                                                                                                                                            |[0x80001a74]:ori a1, a0, 1364<br> [0x80001a78]:sw a1, 1692(tp)<br>   |
| 447|[0x80004708]<br>0x66666665|- rs1_val==1717986917 and imm_val==0<br>                                                                                                                                                               |[0x80001a84]:ori a1, a0, 0<br> [0x80001a88]:sw a1, 1696(tp)<br>      |
| 448|[0x8000470c]<br>0x66666665|- rs1_val==1717986917 and imm_val==4<br>                                                                                                                                                               |[0x80001a94]:ori a1, a0, 4<br> [0x80001a98]:sw a1, 1700(tp)<br>      |
| 449|[0x80004710]<br>0x66666777|- rs1_val==1717986917 and imm_val==818<br>                                                                                                                                                             |[0x80001aa4]:ori a1, a0, 818<br> [0x80001aa8]:sw a1, 1704(tp)<br>    |
| 450|[0x80004714]<br>0x66666665|- rs1_val==1717986917 and imm_val==1637<br>                                                                                                                                                            |[0x80001ab4]:ori a1, a0, 1637<br> [0x80001ab8]:sw a1, 1708(tp)<br>   |
| 451|[0x80004718]<br>0x6666666D|- rs1_val==1717986917 and imm_val==44<br>                                                                                                                                                              |[0x80001ac4]:ori a1, a0, 44<br> [0x80001ac8]:sw a1, 1712(tp)<br>     |
| 452|[0x8000471c]<br>0x66666777|- rs1_val==1717986917 and imm_val==1366<br>                                                                                                                                                            |[0x80001ad4]:ori a1, a0, 1366<br> [0x80001ad8]:sw a1, 1716(tp)<br>   |
| 453|[0x80004720]<br>0xFFFFFEEF|- rs1_val==1717986917 and imm_val==-1365<br>                                                                                                                                                           |[0x80001ae4]:ori a1, a0, 2731<br> [0x80001ae8]:sw a1, 1720(tp)<br>   |
| 454|[0x80004724]<br>0x66666667|- rs1_val==1717986917 and imm_val==6<br>                                                                                                                                                               |[0x80001af4]:ori a1, a0, 6<br> [0x80001af8]:sw a1, 1724(tp)<br>      |
| 455|[0x80004728]<br>0x66666775|- rs1_val==1717986917 and imm_val==820<br>                                                                                                                                                             |[0x80001b04]:ori a1, a0, 820<br> [0x80001b08]:sw a1, 1728(tp)<br>    |
| 456|[0x8000472c]<br>0x66666667|- rs1_val==1717986917 and imm_val==1639<br>                                                                                                                                                            |[0x80001b14]:ori a1, a0, 1639<br> [0x80001b18]:sw a1, 1732(tp)<br>   |
| 457|[0x80004730]<br>0xFFFFFFF5|- rs1_val==1717986917 and imm_val==-44<br>                                                                                                                                                             |[0x80001b24]:ori a1, a0, 4052<br> [0x80001b28]:sw a1, 1736(tp)<br>   |
| 458|[0x80004734]<br>0x6666666F|- rs1_val==1717986917 and imm_val==46<br>                                                                                                                                                              |[0x80001b34]:ori a1, a0, 46<br> [0x80001b38]:sw a1, 1740(tp)<br>     |
| 459|[0x80004738]<br>0x0000B503|- rs1_val==46339 and imm_val==3<br>                                                                                                                                                                    |[0x80001b44]:ori a1, a0, 3<br> [0x80001b48]:sw a1, 1744(tp)<br>      |
| 460|[0x8000473c]<br>0x0000B557|- rs1_val==46339 and imm_val==1365<br>                                                                                                                                                                 |[0x80001b54]:ori a1, a0, 1365<br> [0x80001b58]:sw a1, 1748(tp)<br>   |
| 461|[0x80004740]<br>0xFFFFFFAB|- rs1_val==46339 and imm_val==-1366<br>                                                                                                                                                                |[0x80001b64]:ori a1, a0, 2730<br> [0x80001b68]:sw a1, 1752(tp)<br>   |
| 462|[0x80004744]<br>0x0000B507|- rs1_val==46339 and imm_val==5<br>                                                                                                                                                                    |[0x80001b74]:ori a1, a0, 5<br> [0x80001b78]:sw a1, 1756(tp)<br>      |
| 463|[0x80004748]<br>0x0000B733|- rs1_val==46339 and imm_val==819<br>                                                                                                                                                                  |[0x80001b84]:ori a1, a0, 819<br> [0x80001b88]:sw a1, 1760(tp)<br>    |
| 464|[0x8000474c]<br>0x0000B767|- rs1_val==46339 and imm_val==1638<br>                                                                                                                                                                 |[0x80001b94]:ori a1, a0, 1638<br> [0x80001b98]:sw a1, 1764(tp)<br>   |
| 465|[0x80004750]<br>0xFFFFFFD3|- rs1_val==46339 and imm_val==-45<br>                                                                                                                                                                  |[0x80001ba4]:ori a1, a0, 4051<br> [0x80001ba8]:sw a1, 1768(tp)<br>   |
| 466|[0x80004754]<br>0x0000B52F|- rs1_val==46339 and imm_val==45<br>                                                                                                                                                                   |[0x80001bb4]:ori a1, a0, 45<br> [0x80001bb8]:sw a1, 1772(tp)<br>     |
| 467|[0x80004758]<br>0x0000B503|- rs1_val==46339 and imm_val==2<br>                                                                                                                                                                    |[0x80001bc4]:ori a1, a0, 2<br> [0x80001bc8]:sw a1, 1776(tp)<br>      |
| 468|[0x8000475c]<br>0x0000B557|- rs1_val==46339 and imm_val==1364<br>                                                                                                                                                                 |[0x80001bd4]:ori a1, a0, 1364<br> [0x80001bd8]:sw a1, 1780(tp)<br>   |
| 469|[0x80004760]<br>0x0000B503|- rs1_val==46339 and imm_val==0<br>                                                                                                                                                                    |[0x80001be4]:ori a1, a0, 0<br> [0x80001be8]:sw a1, 1784(tp)<br>      |
| 470|[0x80004764]<br>0x0000B507|- rs1_val==46339 and imm_val==4<br>                                                                                                                                                                    |[0x80001bf4]:ori a1, a0, 4<br> [0x80001bf8]:sw a1, 1788(tp)<br>      |
| 471|[0x80004768]<br>0x0000B733|- rs1_val==46339 and imm_val==818<br>                                                                                                                                                                  |[0x80001c04]:ori a1, a0, 818<br> [0x80001c08]:sw a1, 1792(tp)<br>    |
| 472|[0x8000476c]<br>0x0000B767|- rs1_val==46339 and imm_val==1637<br>                                                                                                                                                                 |[0x80001c14]:ori a1, a0, 1637<br> [0x80001c18]:sw a1, 1796(tp)<br>   |
| 473|[0x80004770]<br>0x0000B52F|- rs1_val==46339 and imm_val==44<br>                                                                                                                                                                   |[0x80001c24]:ori a1, a0, 44<br> [0x80001c28]:sw a1, 1800(tp)<br>     |
| 474|[0x80004774]<br>0x0000B557|- rs1_val==46339 and imm_val==1366<br>                                                                                                                                                                 |[0x80001c34]:ori a1, a0, 1366<br> [0x80001c38]:sw a1, 1804(tp)<br>   |
| 475|[0x80004778]<br>0xFFFFFFAB|- rs1_val==46339 and imm_val==-1365<br>                                                                                                                                                                |[0x80001c44]:ori a1, a0, 2731<br> [0x80001c48]:sw a1, 1808(tp)<br>   |
| 476|[0x8000477c]<br>0x0000B507|- rs1_val==46339 and imm_val==6<br>                                                                                                                                                                    |[0x80001c54]:ori a1, a0, 6<br> [0x80001c58]:sw a1, 1812(tp)<br>      |
| 477|[0x80004780]<br>0x0000B737|- rs1_val==46339 and imm_val==820<br>                                                                                                                                                                  |[0x80001c64]:ori a1, a0, 820<br> [0x80001c68]:sw a1, 1816(tp)<br>    |
| 478|[0x80004784]<br>0x0000B767|- rs1_val==46339 and imm_val==1639<br>                                                                                                                                                                 |[0x80001c74]:ori a1, a0, 1639<br> [0x80001c78]:sw a1, 1820(tp)<br>   |
| 479|[0x80004788]<br>0xFFFFFFD7|- rs1_val==46339 and imm_val==-44<br>                                                                                                                                                                  |[0x80001c84]:ori a1, a0, 4052<br> [0x80001c88]:sw a1, 1824(tp)<br>   |
| 480|[0x8000478c]<br>0x0000B52F|- rs1_val==46339 and imm_val==46<br>                                                                                                                                                                   |[0x80001c94]:ori a1, a0, 46<br> [0x80001c98]:sw a1, 1828(tp)<br>     |
| 481|[0x80004790]<br>0x55555557|- rs1_val==1431655766 and imm_val==3<br>                                                                                                                                                               |[0x80001ca4]:ori a1, a0, 3<br> [0x80001ca8]:sw a1, 1832(tp)<br>      |
| 482|[0x80004794]<br>0x55555557|- rs1_val==1431655766 and imm_val==1365<br>                                                                                                                                                            |[0x80001cb4]:ori a1, a0, 1365<br> [0x80001cb8]:sw a1, 1836(tp)<br>   |
| 483|[0x80004798]<br>0xFFFFFFFE|- rs1_val==1431655766 and imm_val==-1366<br>                                                                                                                                                           |[0x80001cc4]:ori a1, a0, 2730<br> [0x80001cc8]:sw a1, 1840(tp)<br>   |
| 484|[0x8000479c]<br>0x55555557|- rs1_val==1431655766 and imm_val==5<br>                                                                                                                                                               |[0x80001cd4]:ori a1, a0, 5<br> [0x80001cd8]:sw a1, 1844(tp)<br>      |
| 485|[0x800047a0]<br>0x55555777|- rs1_val==1431655766 and imm_val==819<br>                                                                                                                                                             |[0x80001ce4]:ori a1, a0, 819<br> [0x80001ce8]:sw a1, 1848(tp)<br>    |
| 486|[0x800047a4]<br>0x55555776|- rs1_val==1431655766 and imm_val==1638<br>                                                                                                                                                            |[0x80001cf4]:ori a1, a0, 1638<br> [0x80001cf8]:sw a1, 1852(tp)<br>   |
| 487|[0x800047a8]<br>0xFFFFFFD7|- rs1_val==1431655766 and imm_val==-45<br>                                                                                                                                                             |[0x80001d04]:ori a1, a0, 4051<br> [0x80001d08]:sw a1, 1856(tp)<br>   |
| 488|[0x800047ac]<br>0x5555557F|- rs1_val==1431655766 and imm_val==45<br>                                                                                                                                                              |[0x80001d14]:ori a1, a0, 45<br> [0x80001d18]:sw a1, 1860(tp)<br>     |
| 489|[0x800047b0]<br>0x55555556|- rs1_val==1431655766 and imm_val==2<br>                                                                                                                                                               |[0x80001d24]:ori a1, a0, 2<br> [0x80001d28]:sw a1, 1864(tp)<br>      |
| 490|[0x800047b4]<br>0x55555556|- rs1_val==1431655766 and imm_val==1364<br>                                                                                                                                                            |[0x80001d34]:ori a1, a0, 1364<br> [0x80001d38]:sw a1, 1868(tp)<br>   |
| 491|[0x800047b8]<br>0x55555556|- rs1_val==1431655766 and imm_val==0<br>                                                                                                                                                               |[0x80001d44]:ori a1, a0, 0<br> [0x80001d48]:sw a1, 1872(tp)<br>      |
| 492|[0x800047bc]<br>0x55555556|- rs1_val==1431655766 and imm_val==4<br>                                                                                                                                                               |[0x80001d54]:ori a1, a0, 4<br> [0x80001d58]:sw a1, 1876(tp)<br>      |
| 493|[0x800047c0]<br>0x55555776|- rs1_val==1431655766 and imm_val==818<br>                                                                                                                                                             |[0x80001d64]:ori a1, a0, 818<br> [0x80001d68]:sw a1, 1880(tp)<br>    |
| 494|[0x800047c4]<br>0x55555777|- rs1_val==1431655766 and imm_val==1637<br>                                                                                                                                                            |[0x80001d74]:ori a1, a0, 1637<br> [0x80001d78]:sw a1, 1884(tp)<br>   |
| 495|[0x800047c8]<br>0x5555557E|- rs1_val==1431655766 and imm_val==44<br>                                                                                                                                                              |[0x80001d84]:ori a1, a0, 44<br> [0x80001d88]:sw a1, 1888(tp)<br>     |
| 496|[0x800047cc]<br>0x55555556|- rs1_val==1431655766 and imm_val==1366<br>                                                                                                                                                            |[0x80001d94]:ori a1, a0, 1366<br> [0x80001d98]:sw a1, 1892(tp)<br>   |
| 497|[0x800047d0]<br>0xFFFFFFFF|- rs1_val==1431655766 and imm_val==-1365<br>                                                                                                                                                           |[0x80001da4]:ori a1, a0, 2731<br> [0x80001da8]:sw a1, 1896(tp)<br>   |
| 498|[0x800047d4]<br>0x55555556|- rs1_val==1431655766 and imm_val==6<br>                                                                                                                                                               |[0x80001db4]:ori a1, a0, 6<br> [0x80001db8]:sw a1, 1900(tp)<br>      |
| 499|[0x800047d8]<br>0x55555776|- rs1_val==1431655766 and imm_val==820<br>                                                                                                                                                             |[0x80001dc4]:ori a1, a0, 820<br> [0x80001dc8]:sw a1, 1904(tp)<br>    |
| 500|[0x800047dc]<br>0x55555777|- rs1_val==1431655766 and imm_val==1639<br>                                                                                                                                                            |[0x80001dd4]:ori a1, a0, 1639<br> [0x80001dd8]:sw a1, 1908(tp)<br>   |
| 501|[0x800047e0]<br>0xFFFFFFD6|- rs1_val==1431655766 and imm_val==-44<br>                                                                                                                                                             |[0x80001de4]:ori a1, a0, 4052<br> [0x80001de8]:sw a1, 1912(tp)<br>   |
| 502|[0x800047e4]<br>0x5555557E|- rs1_val==1431655766 and imm_val==46<br>                                                                                                                                                              |[0x80001df4]:ori a1, a0, 46<br> [0x80001df8]:sw a1, 1916(tp)<br>     |
| 503|[0x800047e8]<br>0xAAAAAAAB|- rs1_val==-1431655765 and imm_val==3<br>                                                                                                                                                              |[0x80001e04]:ori a1, a0, 3<br> [0x80001e08]:sw a1, 1920(tp)<br>      |
| 504|[0x800047ec]<br>0xAAAAAFFF|- rs1_val==-1431655765 and imm_val==1365<br>                                                                                                                                                           |[0x80001e14]:ori a1, a0, 1365<br> [0x80001e18]:sw a1, 1924(tp)<br>   |
| 505|[0x800047f0]<br>0xFFFFFAAB|- rs1_val==-1431655765 and imm_val==-1366<br>                                                                                                                                                          |[0x80001e24]:ori a1, a0, 2730<br> [0x80001e28]:sw a1, 1928(tp)<br>   |
| 506|[0x800047f4]<br>0xAAAAAAAF|- rs1_val==-1431655765 and imm_val==5<br>                                                                                                                                                              |[0x80001e34]:ori a1, a0, 5<br> [0x80001e38]:sw a1, 1932(tp)<br>      |
| 507|[0x800047f8]<br>0xAAAAABBB|- rs1_val==-1431655765 and imm_val==819<br>                                                                                                                                                            |[0x80001e44]:ori a1, a0, 819<br> [0x80001e48]:sw a1, 1936(tp)<br>    |
| 508|[0x800047fc]<br>0xAAAAAEEF|- rs1_val==-1431655765 and imm_val==1638<br>                                                                                                                                                           |[0x80001e54]:ori a1, a0, 1638<br> [0x80001e58]:sw a1, 1940(tp)<br>   |
| 509|[0x80004800]<br>0xFFFFFFFB|- rs1_val==-1431655765 and imm_val==-45<br>                                                                                                                                                            |[0x80001e64]:ori a1, a0, 4051<br> [0x80001e68]:sw a1, 1944(tp)<br>   |
| 510|[0x80004804]<br>0xAAAAAAAF|- rs1_val==-1431655765 and imm_val==45<br>                                                                                                                                                             |[0x80001e74]:ori a1, a0, 45<br> [0x80001e78]:sw a1, 1948(tp)<br>     |
| 511|[0x80004808]<br>0xAAAAAAAB|- rs1_val==-1431655765 and imm_val==2<br>                                                                                                                                                              |[0x80001e84]:ori a1, a0, 2<br> [0x80001e88]:sw a1, 1952(tp)<br>      |
| 512|[0x8000480c]<br>0xAAAAAFFF|- rs1_val==-1431655765 and imm_val==1364<br>                                                                                                                                                           |[0x80001e94]:ori a1, a0, 1364<br> [0x80001e98]:sw a1, 1956(tp)<br>   |
| 513|[0x80004810]<br>0xAAAAAAAB|- rs1_val==-1431655765 and imm_val==0<br>                                                                                                                                                              |[0x80001ea4]:ori a1, a0, 0<br> [0x80001ea8]:sw a1, 1960(tp)<br>      |
| 514|[0x80004814]<br>0xAAAAAAAF|- rs1_val==-1431655765 and imm_val==4<br>                                                                                                                                                              |[0x80001eb4]:ori a1, a0, 4<br> [0x80001eb8]:sw a1, 1964(tp)<br>      |
| 515|[0x80004818]<br>0xAAAAABBB|- rs1_val==-1431655765 and imm_val==818<br>                                                                                                                                                            |[0x80001ec4]:ori a1, a0, 818<br> [0x80001ec8]:sw a1, 1968(tp)<br>    |
| 516|[0x8000481c]<br>0xAAAAAEEF|- rs1_val==-1431655765 and imm_val==1637<br>                                                                                                                                                           |[0x80001ed4]:ori a1, a0, 1637<br> [0x80001ed8]:sw a1, 1972(tp)<br>   |
| 517|[0x80004820]<br>0xAAAAAAAF|- rs1_val==-1431655765 and imm_val==44<br>                                                                                                                                                             |[0x80001ee4]:ori a1, a0, 44<br> [0x80001ee8]:sw a1, 1976(tp)<br>     |
| 518|[0x80004824]<br>0xAAAAAFFF|- rs1_val==-1431655765 and imm_val==1366<br>                                                                                                                                                           |[0x80001ef4]:ori a1, a0, 1366<br> [0x80001ef8]:sw a1, 1980(tp)<br>   |
| 519|[0x80004828]<br>0xFFFFFAAB|- rs1_val==-1431655765 and imm_val==-1365<br>                                                                                                                                                          |[0x80001f04]:ori a1, a0, 2731<br> [0x80001f08]:sw a1, 1984(tp)<br>   |
| 520|[0x8000482c]<br>0xAAAAAAAF|- rs1_val==-1431655765 and imm_val==6<br>                                                                                                                                                              |[0x80001f14]:ori a1, a0, 6<br> [0x80001f18]:sw a1, 1988(tp)<br>      |
| 521|[0x80004830]<br>0xAAAAABBF|- rs1_val==-1431655765 and imm_val==820<br>                                                                                                                                                            |[0x80001f24]:ori a1, a0, 820<br> [0x80001f28]:sw a1, 1992(tp)<br>    |
| 522|[0x80004834]<br>0xAAAAAEEF|- rs1_val==-1431655765 and imm_val==1639<br>                                                                                                                                                           |[0x80001f34]:ori a1, a0, 1639<br> [0x80001f38]:sw a1, 1996(tp)<br>   |
| 523|[0x80004838]<br>0xFFFFFFFF|- rs1_val==-1431655765 and imm_val==-44<br>                                                                                                                                                            |[0x80001f44]:ori a1, a0, 4052<br> [0x80001f48]:sw a1, 2000(tp)<br>   |
| 524|[0x8000483c]<br>0xAAAAAAAF|- rs1_val==-1431655765 and imm_val==46<br>                                                                                                                                                             |[0x80001f54]:ori a1, a0, 46<br> [0x80001f58]:sw a1, 2004(tp)<br>     |
| 525|[0x80004840]<br>0x00000007|- rs1_val==6 and imm_val==3<br>                                                                                                                                                                        |[0x80001f60]:ori a1, a0, 3<br> [0x80001f64]:sw a1, 2008(tp)<br>      |
| 526|[0x80004844]<br>0x00000557|- rs1_val==6 and imm_val==1365<br>                                                                                                                                                                     |[0x80001f6c]:ori a1, a0, 1365<br> [0x80001f70]:sw a1, 2012(tp)<br>   |
| 527|[0x80004848]<br>0xFFFFFAAE|- rs1_val==6 and imm_val==-1366<br>                                                                                                                                                                    |[0x80001f78]:ori a1, a0, 2730<br> [0x80001f7c]:sw a1, 2016(tp)<br>   |
| 528|[0x8000484c]<br>0x00000007|- rs1_val==6 and imm_val==5<br>                                                                                                                                                                        |[0x80001f84]:ori a1, a0, 5<br> [0x80001f88]:sw a1, 2020(tp)<br>      |
| 529|[0x80004850]<br>0x00000337|- rs1_val==6 and imm_val==819<br>                                                                                                                                                                      |[0x80001f90]:ori a1, a0, 819<br> [0x80001f94]:sw a1, 2024(tp)<br>    |
| 530|[0x80004854]<br>0x00000666|- rs1_val==6 and imm_val==1638<br>                                                                                                                                                                     |[0x80001f9c]:ori a1, a0, 1638<br> [0x80001fa0]:sw a1, 2028(tp)<br>   |
| 531|[0x80004858]<br>0xFFFFFFD7|- rs1_val==6 and imm_val==-45<br>                                                                                                                                                                      |[0x80001fa8]:ori a1, a0, 4051<br> [0x80001fac]:sw a1, 2032(tp)<br>   |
| 532|[0x8000485c]<br>0x0000002F|- rs1_val==6 and imm_val==45<br>                                                                                                                                                                       |[0x80001fb4]:ori a1, a0, 45<br> [0x80001fb8]:sw a1, 2036(tp)<br>     |
| 533|[0x80004860]<br>0x00000006|- rs1_val==6 and imm_val==2<br>                                                                                                                                                                        |[0x80001fc0]:ori a1, a0, 2<br> [0x80001fc4]:sw a1, 2040(tp)<br>      |
| 534|[0x80004864]<br>0x00000556|- rs1_val==6 and imm_val==1364<br>                                                                                                                                                                     |[0x80001fcc]:ori a1, a0, 1364<br> [0x80001fd0]:sw a1, 2044(tp)<br>   |
| 535|[0x80004868]<br>0x00000006|- rs1_val==6 and imm_val==0<br>                                                                                                                                                                        |[0x80001fe0]:ori a1, a0, 0<br> [0x80001fe4]:sw a1, 0(tp)<br>         |
| 536|[0x8000486c]<br>0x00000006|- rs1_val==6 and imm_val==4<br>                                                                                                                                                                        |[0x80001fec]:ori a1, a0, 4<br> [0x80001ff0]:sw a1, 4(tp)<br>         |
| 537|[0x80004870]<br>0x00000336|- rs1_val==6 and imm_val==818<br>                                                                                                                                                                      |[0x80001ff8]:ori a1, a0, 818<br> [0x80001ffc]:sw a1, 8(tp)<br>       |
| 538|[0x80004874]<br>0x00000667|- rs1_val==6 and imm_val==1637<br>                                                                                                                                                                     |[0x80002004]:ori a1, a0, 1637<br> [0x80002008]:sw a1, 12(tp)<br>     |
| 539|[0x80004878]<br>0x0000002E|- rs1_val==6 and imm_val==44<br>                                                                                                                                                                       |[0x80002010]:ori a1, a0, 44<br> [0x80002014]:sw a1, 16(tp)<br>       |
| 540|[0x8000487c]<br>0x00000556|- rs1_val==6 and imm_val==1366<br>                                                                                                                                                                     |[0x8000201c]:ori a1, a0, 1366<br> [0x80002020]:sw a1, 20(tp)<br>     |
| 541|[0x80004880]<br>0xFFFFFAAF|- rs1_val==6 and imm_val==-1365<br>                                                                                                                                                                    |[0x80002028]:ori a1, a0, 2731<br> [0x8000202c]:sw a1, 24(tp)<br>     |
| 542|[0x80004884]<br>0x00000006|- rs1_val==6 and imm_val==6<br>                                                                                                                                                                        |[0x80002034]:ori a1, a0, 6<br> [0x80002038]:sw a1, 28(tp)<br>        |
| 543|[0x80004888]<br>0x00000336|- rs1_val==6 and imm_val==820<br>                                                                                                                                                                      |[0x80002040]:ori a1, a0, 820<br> [0x80002044]:sw a1, 32(tp)<br>      |
| 544|[0x8000488c]<br>0x00000667|- rs1_val==6 and imm_val==1639<br>                                                                                                                                                                     |[0x8000204c]:ori a1, a0, 1639<br> [0x80002050]:sw a1, 36(tp)<br>     |
| 545|[0x80004890]<br>0xFFFFFFD6|- rs1_val==6 and imm_val==-44<br>                                                                                                                                                                      |[0x80002058]:ori a1, a0, 4052<br> [0x8000205c]:sw a1, 40(tp)<br>     |
| 546|[0x80004894]<br>0x0000002E|- rs1_val==6 and imm_val==46<br>                                                                                                                                                                       |[0x80002064]:ori a1, a0, 46<br> [0x80002068]:sw a1, 44(tp)<br>       |
| 547|[0x80004898]<br>0x33333337|- rs1_val==858993460 and imm_val==3<br>                                                                                                                                                                |[0x80002074]:ori a1, a0, 3<br> [0x80002078]:sw a1, 48(tp)<br>        |
| 548|[0x8000489c]<br>0x33333775|- rs1_val==858993460 and imm_val==1365<br>                                                                                                                                                             |[0x80002084]:ori a1, a0, 1365<br> [0x80002088]:sw a1, 52(tp)<br>     |
| 549|[0x800048a0]<br>0xFFFFFBBE|- rs1_val==858993460 and imm_val==-1366<br>                                                                                                                                                            |[0x80002094]:ori a1, a0, 2730<br> [0x80002098]:sw a1, 56(tp)<br>     |
| 550|[0x800048a4]<br>0x33333335|- rs1_val==858993460 and imm_val==5<br>                                                                                                                                                                |[0x800020a4]:ori a1, a0, 5<br> [0x800020a8]:sw a1, 60(tp)<br>        |
| 551|[0x800048a8]<br>0x33333337|- rs1_val==858993460 and imm_val==819<br>                                                                                                                                                              |[0x800020b4]:ori a1, a0, 819<br> [0x800020b8]:sw a1, 64(tp)<br>      |
| 552|[0x800048ac]<br>0x33333776|- rs1_val==858993460 and imm_val==1638<br>                                                                                                                                                             |[0x800020c4]:ori a1, a0, 1638<br> [0x800020c8]:sw a1, 68(tp)<br>     |
| 553|[0x800048b0]<br>0xFFFFFFF7|- rs1_val==858993460 and imm_val==-45<br>                                                                                                                                                              |[0x800020d4]:ori a1, a0, 4051<br> [0x800020d8]:sw a1, 72(tp)<br>     |
| 554|[0x800048b4]<br>0x3333333D|- rs1_val==858993460 and imm_val==45<br>                                                                                                                                                               |[0x800020e4]:ori a1, a0, 45<br> [0x800020e8]:sw a1, 76(tp)<br>       |
| 555|[0x800048b8]<br>0x33333336|- rs1_val==858993460 and imm_val==2<br>                                                                                                                                                                |[0x800020f4]:ori a1, a0, 2<br> [0x800020f8]:sw a1, 80(tp)<br>        |
| 556|[0x800048bc]<br>0x33333774|- rs1_val==858993460 and imm_val==1364<br>                                                                                                                                                             |[0x80002104]:ori a1, a0, 1364<br> [0x80002108]:sw a1, 84(tp)<br>     |
| 557|[0x800048c0]<br>0x33333334|- rs1_val==858993460 and imm_val==0<br>                                                                                                                                                                |[0x80002114]:ori a1, a0, 0<br> [0x80002118]:sw a1, 88(tp)<br>        |
| 558|[0x800048c4]<br>0x33333334|- rs1_val==858993460 and imm_val==4<br>                                                                                                                                                                |[0x80002124]:ori a1, a0, 4<br> [0x80002128]:sw a1, 92(tp)<br>        |
| 559|[0x800048cc]<br>0xFFFFFFFF|- rs1_val == -16385<br>                                                                                                                                                                                |[0x80002144]:ori a1, a0, 4079<br> [0x80002148]:sw a1, 100(tp)<br>    |
