
# Data Propagation Report

- **STAT1** : Number of instructions that hit unique coverpoints and update the signature.
- **STAT2** : Number of instructions that hit covepoints which are not unique but still update the signature
- **STAT3** : Number of instructions that hit a unique coverpoint but do not update signature
- **STAT4** : Number of multiple signature updates for the same coverpoint
- **STAT5** : Number of times the signature was overwritten

| Param                     | Value    |
|---------------------------|----------|
| XLEN                      | 64      |
| TEST_REGION               | [('0x80000390', '0x80003030')]      |
| SIG_REGION                | [('0x80005010', '0x800054c0', '150 dwords')]      |
| COV_LABELS                | cbeqz      |
| TEST_NAME                 | /scratch/git-repo/incoresemi/riscof/riscof_work/cbeqz-01.S/cbeqz-01.S    |
| Total Number of coverpoints| 170     |
| Total Coverpoints Hit     | 170      |
| Total Signature Updates   | 149      |
| STAT1                     | 149      |
| STAT2                     | 0      |
| STAT3                     | 0     |
| STAT4                     | 0     |
| STAT5                     | 0     |

## Details for STAT2:

```


```

## Details of STAT3

```


```

## Details of STAT4:

```

```

## Details of STAT5:



## Details of STAT1:

- The first column indicates the signature address and the data at that location in hexadecimal in the following format: 
  ```
  [Address]
  Data
  ```

- The second column captures all the coverpoints which have been captured by that particular signature location

- The third column captures all the insrtuctions since the time a coverpoint was
  hit to the point when a store to the signature was performed. Each line has
  the following format:
  ```
  [PC of instruction] : mnemonic
  ```
- The order in the table is based on the order of signatures occuring in the
  test. These need not necessarily be in increasing or decreasing order of the
  address in the signature region.

|s.no|            signature             |                                                                 coverpoints                                                                  |                                                             code                                                              |
|---:|----------------------------------|----------------------------------------------------------------------------------------------------------------------------------------------|-------------------------------------------------------------------------------------------------------------------------------|
|   1|[0x80005010]<br>0xFF76DF56FF76DF58|- opcode : c.beqz<br> - rs1 : x11<br> - rs1_val == (-2**(xlen-1))<br> - rs1_val < 0 and imm_val < 0<br> - rs1_val == -9223372036854775808<br> |[0x800003ae]:c.beqz a1, 252<br> [0x800003b0]:addi sp, sp, 2<br> [0x800003b4]:jal zero, 6<br> [0x800003ba]:sd sp, 0(ra)<br>     |
|   2|[0x80005018]<br>0xFF76DF56FF76DF5B|- rs1 : x13<br> - rs1_val == 0<br> - rs1_val == 0 and imm_val > 0<br> - rs1_val==0<br>                                                        |[0x800003d0]:c.beqz a3, 85<br> [0x8000047a]:c.addi sp, 3<br> [0x8000047c]:sd sp, 8(ra)<br>                                     |
|   3|[0x80005020]<br>0xFF76DF56FF76DF5D|- rs1 : x12<br> - rs1_val == (2**(xlen-1)-1)<br> - rs1_val > 0 and imm_val > 0<br> - rs1_val == 9223372036854775807<br>                       |[0x8000049a]:c.beqz a2, 64<br> [0x8000049c]:addi sp, sp, 2<br> [0x800004a0]:jal zero, 124<br> [0x8000051c]:sd sp, 16(ra)<br>   |
|   4|[0x80005028]<br>0xFF76DF56FF76DF5F|- rs1 : x10<br> - rs1_val == 1<br>                                                                                                            |[0x80000532]:c.beqz a0, 5<br> [0x80000534]:addi sp, sp, 2<br> [0x80000538]:jal zero, 6<br> [0x8000053e]:sd sp, 24(ra)<br>      |
|   5|[0x80005030]<br>0xFF76DF56FF76DF61|- rs1 : x15<br> - rs1_val < 0 and imm_val > 0<br> - rs1_val==-3037000499<br>                                                                  |[0x80000560]:c.beqz a5, 64<br> [0x80000562]:addi sp, sp, 2<br> [0x80000566]:jal zero, 124<br> [0x800005e2]:sd sp, 32(ra)<br>   |
|   6|[0x80005038]<br>0xFF76DF56FF76DF63|- rs1 : x14<br> - rs1_val > 0 and imm_val < 0<br> - rs1_val == 131072<br>                                                                     |[0x800005fe]:c.beqz a4, 249<br> [0x80000600]:addi sp, sp, 2<br> [0x80000604]:jal zero, 6<br> [0x8000060a]:sd sp, 40(ra)<br>    |
|   7|[0x80005040]<br>0xFF76DF56FF76DF64|- rs1 : x8<br> - rs1_val == 0 and imm_val < 0<br>                                                                                             |[0x80000698]:c.beqz s0, 192<br> [0x80000618]:addi sp, sp, 1<br> [0x8000061c]:jal zero, 136<br> [0x800006a4]:sd sp, 48(ra)<br>  |
|   8|[0x80005048]<br>0xFF76DF56FF76DF66|- rs1 : x9<br> - rs1_val == 2<br> - rs1_val==2<br>                                                                                            |[0x800006c0]:c.beqz s1, 249<br> [0x800006c2]:addi sp, sp, 2<br> [0x800006c6]:jal zero, 6<br> [0x800006cc]:sd sp, 56(ra)<br>    |
|   9|[0x80005050]<br>0xFF76DF56FF76DF68|- rs1_val == 4<br> - rs1_val==4<br>                                                                                                           |[0x800006e2]:c.beqz a0, 5<br> [0x800006e4]:addi sp, sp, 2<br> [0x800006e8]:jal zero, 6<br> [0x800006ee]:sd sp, 64(ra)<br>      |
|  10|[0x80005058]<br>0xFF76DF56FF76DF6A|- rs1_val == 8<br>                                                                                                                            |[0x80000704]:c.beqz a0, 5<br> [0x80000706]:addi sp, sp, 2<br> [0x8000070a]:jal zero, 6<br> [0x80000710]:sd sp, 72(ra)<br>      |
|  11|[0x80005060]<br>0xFF76DF56FF76DF6C|- rs1_val == 16<br>                                                                                                                           |[0x800007ca]:c.beqz a0, 170<br> [0x800007cc]:addi sp, sp, 2<br> [0x800007d0]:jal zero, 6<br> [0x800007d6]:sd sp, 80(ra)<br>    |
|  12|[0x80005068]<br>0xFF76DF56FF76DF6E|- rs1_val == 32<br>                                                                                                                           |[0x800007ec]:c.beqz a0, 8<br> [0x800007ee]:addi sp, sp, 2<br> [0x800007f2]:jal zero, 12<br> [0x800007fe]:sd sp, 88(ra)<br>     |
|  13|[0x80005070]<br>0xFF76DF56FF76DF70|- rs1_val == 64<br>                                                                                                                           |[0x8000088e]:c.beqz a0, 191<br> [0x80000890]:addi sp, sp, 2<br> [0x80000894]:jal zero, 6<br> [0x8000089a]:sd sp, 96(ra)<br>    |
|  14|[0x80005078]<br>0xFF76DF56FF76DF72|- rs1_val == 128<br>                                                                                                                          |[0x800008b0]:c.beqz a0, 252<br> [0x800008b2]:addi sp, sp, 2<br> [0x800008b6]:jal zero, 6<br> [0x800008bc]:sd sp, 104(ra)<br>   |
|  15|[0x80005080]<br>0xFF76DF56FF76DF74|- rs1_val == 256<br>                                                                                                                          |[0x800008d2]:c.beqz a0, 16<br> [0x800008d4]:addi sp, sp, 2<br> [0x800008d8]:jal zero, 28<br> [0x800008f4]:sd sp, 112(ra)<br>   |
|  16|[0x80005088]<br>0xFF76DF56FF76DF76|- rs1_val == 512<br>                                                                                                                          |[0x8000090a]:c.beqz a0, 252<br> [0x8000090c]:addi sp, sp, 2<br> [0x80000910]:jal zero, 6<br> [0x80000916]:sd sp, 120(ra)<br>   |
|  17|[0x80005090]<br>0xFF76DF56FF76DF78|- rs1_val == 1024<br>                                                                                                                         |[0x8000092c]:c.beqz a0, 5<br> [0x8000092e]:addi sp, sp, 2<br> [0x80000932]:jal zero, 6<br> [0x80000938]:sd sp, 128(ra)<br>     |
|  18|[0x80005098]<br>0xFF76DF56FF76DF7A|- rs1_val == 2048<br>                                                                                                                         |[0x80000958]:c.beqz a0, 249<br> [0x8000095a]:addi sp, sp, 2<br> [0x8000095e]:jal zero, 6<br> [0x80000964]:sd sp, 136(ra)<br>   |
|  19|[0x800050a0]<br>0xFF76DF56FF76DF7C|- rs1_val == 4096<br>                                                                                                                         |[0x8000097a]:c.beqz a0, 9<br> [0x8000097c]:addi sp, sp, 2<br> [0x80000980]:jal zero, 14<br> [0x8000098e]:sd sp, 144(ra)<br>    |
|  20|[0x800050a8]<br>0xFF76DF56FF76DF7E|- rs1_val == 8192<br>                                                                                                                         |[0x80000a48]:c.beqz a0, 170<br> [0x80000a4a]:addi sp, sp, 2<br> [0x80000a4e]:jal zero, 6<br> [0x80000a54]:sd sp, 152(ra)<br>   |
|  21|[0x800050b0]<br>0xFF76DF56FF76DF80|- rs1_val == 16384<br>                                                                                                                        |[0x80000a6a]:c.beqz a0, 5<br> [0x80000a6c]:addi sp, sp, 2<br> [0x80000a70]:jal zero, 6<br> [0x80000a76]:sd sp, 160(ra)<br>     |
|  22|[0x800050b8]<br>0xFF76DF56FF76DF82|- rs1_val == 32768<br>                                                                                                                        |[0x80000a8c]:c.beqz a0, 252<br> [0x80000a8e]:addi sp, sp, 2<br> [0x80000a92]:jal zero, 6<br> [0x80000a98]:sd sp, 168(ra)<br>   |
|  23|[0x800050c0]<br>0xFF76DF56FF76DF84|- rs1_val == 65536<br>                                                                                                                        |[0x80000ab2]:c.beqz a0, 250<br> [0x80000ab4]:addi sp, sp, 2<br> [0x80000ab8]:jal zero, 6<br> [0x80000abe]:sd sp, 176(ra)<br>   |
|  24|[0x800050c8]<br>0xFF76DF56FF76DF86|- rs1_val == 262144<br>                                                                                                                       |[0x80000ad4]:c.beqz a0, 252<br> [0x80000ad6]:addi sp, sp, 2<br> [0x80000ada]:jal zero, 6<br> [0x80000ae0]:sd sp, 184(ra)<br>   |
|  25|[0x800050d0]<br>0xFF76DF56FF76DF88|- rs1_val == 524288<br>                                                                                                                       |[0x80000af6]:c.beqz a0, 16<br> [0x80000af8]:addi sp, sp, 2<br> [0x80000afc]:jal zero, 28<br> [0x80000b18]:sd sp, 192(ra)<br>   |
|  26|[0x800050d8]<br>0xFF76DF56FF76DF8A|- rs1_val == 1048576<br>                                                                                                                      |[0x80000b36]:c.beqz a0, 248<br> [0x80000b38]:addi sp, sp, 2<br> [0x80000b3c]:jal zero, 6<br> [0x80000b42]:sd sp, 200(ra)<br>   |
|  27|[0x800050e0]<br>0xFF76DF56FF76DF8C|- rs1_val == 2097152<br>                                                                                                                      |[0x80000b92]:c.beqz a0, 223<br> [0x80000b94]:addi sp, sp, 2<br> [0x80000b98]:jal zero, 6<br> [0x80000b9e]:sd sp, 208(ra)<br>   |
|  28|[0x800050e8]<br>0xFF76DF56FF76DF8E|- rs1_val == 4194304<br>                                                                                                                      |[0x80000c2e]:c.beqz a0, 191<br> [0x80000c30]:addi sp, sp, 2<br> [0x80000c34]:jal zero, 6<br> [0x80000c3a]:sd sp, 216(ra)<br>   |
|  29|[0x800050f0]<br>0xFF76DF56FF76DF90|- rs1_val == 8388608<br>                                                                                                                      |[0x80000c50]:c.beqz a0, 8<br> [0x80000c52]:addi sp, sp, 2<br> [0x80000c56]:jal zero, 12<br> [0x80000c62]:sd sp, 224(ra)<br>    |
|  30|[0x800050f8]<br>0xFF76DF56FF76DF92|- rs1_val == 16777216<br>                                                                                                                     |[0x80000d1c]:c.beqz a0, 170<br> [0x80000d1e]:addi sp, sp, 2<br> [0x80000d22]:jal zero, 6<br> [0x80000d28]:sd sp, 232(ra)<br>   |
|  31|[0x80005100]<br>0xFF76DF56FF76DF94|- rs1_val == 33554432<br>                                                                                                                     |[0x80000d78]:c.beqz a0, 223<br> [0x80000d7a]:addi sp, sp, 2<br> [0x80000d7e]:jal zero, 6<br> [0x80000d84]:sd sp, 240(ra)<br>   |
|  32|[0x80005108]<br>0xFF76DF56FF76DF96|- rs1_val == 67108864<br>                                                                                                                     |[0x80000d9a]:c.beqz a0, 5<br> [0x80000d9c]:addi sp, sp, 2<br> [0x80000da0]:jal zero, 6<br> [0x80000da6]:sd sp, 248(ra)<br>     |
|  33|[0x80005110]<br>0xFF76DF56FF76DF98|- rs1_val == 134217728<br>                                                                                                                    |[0x80000e34]:c.beqz a0, 192<br> [0x80000e36]:addi sp, sp, 2<br> [0x80000e3a]:jal zero, 6<br> [0x80000e40]:sd sp, 256(ra)<br>   |
|  34|[0x80005118]<br>0xFF76DF56FF76DF9A|- rs1_val == 268435456<br>                                                                                                                    |[0x80000e56]:c.beqz a0, 9<br> [0x80000e58]:addi sp, sp, 2<br> [0x80000e5c]:jal zero, 14<br> [0x80000e6a]:sd sp, 264(ra)<br>    |
|  35|[0x80005120]<br>0xFF76DF56FF76DF9C|- rs1_val == 536870912<br>                                                                                                                    |[0x80000eba]:c.beqz a0, 223<br> [0x80000ebc]:addi sp, sp, 2<br> [0x80000ec0]:jal zero, 6<br> [0x80000ec6]:sd sp, 272(ra)<br>   |
|  36|[0x80005128]<br>0xFF76DF56FF76DF9E|- rs1_val == 1073741824<br>                                                                                                                   |[0x80000ee2]:c.beqz a0, 249<br> [0x80000ee4]:addi sp, sp, 2<br> [0x80000ee8]:jal zero, 6<br> [0x80000eee]:sd sp, 280(ra)<br>   |
|  37|[0x80005130]<br>0xFF76DF56FF76DFA0|- rs1_val == 2147483648<br>                                                                                                                   |[0x80000f12]:c.beqz a0, 247<br> [0x80000f14]:addi sp, sp, 2<br> [0x80000f18]:jal zero, 6<br> [0x80000f1e]:sd sp, 288(ra)<br>   |
|  38|[0x80005138]<br>0xFF76DF56FF76DFA2|- rs1_val == 4294967296<br>                                                                                                                   |[0x80000f38]:c.beqz a0, 85<br> [0x80000f3a]:addi sp, sp, 2<br> [0x80000f3e]:jal zero, 166<br> [0x80000fe4]:sd sp, 296(ra)<br>  |
|  39|[0x80005140]<br>0xFF76DF56FF76DFA4|- rs1_val == 8589934592<br>                                                                                                                   |[0x80000ffe]:c.beqz a0, 8<br> [0x80001000]:addi sp, sp, 2<br> [0x80001004]:jal zero, 12<br> [0x80001010]:sd sp, 304(ra)<br>    |
|  40|[0x80005148]<br>0xFF76DF56FF76DFA6|- rs1_val == 17179869184<br>                                                                                                                  |[0x80001036]:c.beqz a0, 246<br> [0x80001038]:addi sp, sp, 2<br> [0x8000103c]:jal zero, 6<br> [0x80001042]:sd sp, 312(ra)<br>   |
|  41|[0x80005150]<br>0xFF76DF56FF76DFA8|- rs1_val == 34359738368<br>                                                                                                                  |[0x80001062]:c.beqz a0, 249<br> [0x80001064]:addi sp, sp, 2<br> [0x80001068]:jal zero, 6<br> [0x8000106e]:sd sp, 320(ra)<br>   |
|  42|[0x80005158]<br>0xFF76DF56FF76DFAA|- rs1_val == 68719476736<br>                                                                                                                  |[0x8000108e]:c.beqz a0, 249<br> [0x80001090]:addi sp, sp, 2<br> [0x80001094]:jal zero, 6<br> [0x8000109a]:sd sp, 328(ra)<br>   |
|  43|[0x80005160]<br>0xFF76DF56FF76DFAC|- rs1_val == 137438953472<br>                                                                                                                 |[0x8000112e]:c.beqz a0, 191<br> [0x80001130]:addi sp, sp, 2<br> [0x80001134]:jal zero, 6<br> [0x8000113a]:sd sp, 336(ra)<br>   |
|  44|[0x80005168]<br>0xFF76DF56FF76DFAE|- rs1_val == 274877906944<br>                                                                                                                 |[0x80001154]:c.beqz a0, 5<br> [0x80001156]:addi sp, sp, 2<br> [0x8000115a]:jal zero, 6<br> [0x80001160]:sd sp, 344(ra)<br>     |
|  45|[0x80005170]<br>0xFF76DF56FF76DFB0|- rs1_val == 549755813888<br>                                                                                                                 |[0x8000117a]:c.beqz a0, 252<br> [0x8000117c]:addi sp, sp, 2<br> [0x80001180]:jal zero, 6<br> [0x80001186]:sd sp, 352(ra)<br>   |
|  46|[0x80005178]<br>0xFF76DF56FF76DFB2|- rs1_val == 1099511627776<br>                                                                                                                |[0x800011a0]:c.beqz a0, 7<br> [0x800011a2]:addi sp, sp, 2<br> [0x800011a6]:jal zero, 10<br> [0x800011b0]:sd sp, 360(ra)<br>    |
|  47|[0x80005180]<br>0xFF76DF56FF76DFB4|- rs1_val == 2199023255552<br>                                                                                                                |[0x800011ca]:c.beqz a0, 16<br> [0x800011cc]:addi sp, sp, 2<br> [0x800011d0]:jal zero, 28<br> [0x800011ec]:sd sp, 368(ra)<br>   |
|  48|[0x80005188]<br>0xFF76DF56FF76DFB6|- rs1_val == 4398046511104<br>                                                                                                                |[0x80001206]:c.beqz a0, 252<br> [0x80001208]:addi sp, sp, 2<br> [0x8000120c]:jal zero, 6<br> [0x80001212]:sd sp, 376(ra)<br>   |
|  49|[0x80005190]<br>0xFF76DF56FF76DFB8|- rs1_val == 8796093022208<br>                                                                                                                |[0x80001246]:c.beqz a0, 239<br> [0x80001248]:addi sp, sp, 2<br> [0x8000124c]:jal zero, 6<br> [0x80001252]:sd sp, 384(ra)<br>   |
|  50|[0x80005198]<br>0xFF76DF56FF76DFBA|- rs1_val == 17592186044416<br>                                                                                                               |[0x8000126c]:c.beqz a0, 5<br> [0x8000126e]:addi sp, sp, 2<br> [0x80001272]:jal zero, 6<br> [0x80001278]:sd sp, 392(ra)<br>     |
|  51|[0x800051a0]<br>0xFF76DF56FF76DFBC|- rs1_val == 35184372088832<br>                                                                                                               |[0x8000129e]:c.beqz a0, 246<br> [0x800012a0]:addi sp, sp, 2<br> [0x800012a4]:jal zero, 6<br> [0x800012aa]:sd sp, 400(ra)<br>   |
|  52|[0x800051a8]<br>0xFF76DF56FF76DFBE|- rs1_val == 70368744177664<br>                                                                                                               |[0x800012d0]:c.beqz a0, 246<br> [0x800012d2]:addi sp, sp, 2<br> [0x800012d6]:jal zero, 6<br> [0x800012dc]:sd sp, 408(ra)<br>   |
|  53|[0x800051b0]<br>0xFF76DF56FF76DFC0|- rs1_val == 140737488355328<br>                                                                                                              |[0x800012f6]:c.beqz a0, 8<br> [0x800012f8]:addi sp, sp, 2<br> [0x800012fc]:jal zero, 12<br> [0x80001308]:sd sp, 416(ra)<br>    |
|  54|[0x800051b8]<br>0xFF76DF56FF76DFC2|- rs1_val == 281474976710656<br>                                                                                                              |[0x8000132a]:c.beqz a0, 248<br> [0x8000132c]:addi sp, sp, 2<br> [0x80001330]:jal zero, 6<br> [0x80001336]:sd sp, 424(ra)<br>   |
|  55|[0x800051c0]<br>0xFF76DF56FF76DFC4|- rs1_val == 562949953421312<br>                                                                                                              |[0x8000135c]:c.beqz a0, 246<br> [0x8000135e]:addi sp, sp, 2<br> [0x80001362]:jal zero, 6<br> [0x80001368]:sd sp, 432(ra)<br>   |
|  56|[0x800051c8]<br>0xFF76DF56FF76DFC6|- rs1_val == 1125899906842624<br>                                                                                                             |[0x800013fc]:c.beqz a0, 191<br> [0x800013fe]:addi sp, sp, 2<br> [0x80001402]:jal zero, 6<br> [0x80001408]:sd sp, 440(ra)<br>   |
|  57|[0x800051d0]<br>0xFF76DF56FF76DFC8|- rs1_val == 2251799813685248<br>                                                                                                             |[0x8000142c]:c.beqz a0, 247<br> [0x8000142e]:addi sp, sp, 2<br> [0x80001432]:jal zero, 6<br> [0x80001438]:sd sp, 448(ra)<br>   |
|  58|[0x800051d8]<br>0xFF76DF56FF76DFCA|- rs1_val == 4503599627370496<br>                                                                                                             |[0x80001452]:c.beqz a0, 5<br> [0x80001454]:addi sp, sp, 2<br> [0x80001458]:jal zero, 6<br> [0x8000145e]:sd sp, 456(ra)<br>     |
|  59|[0x800051e0]<br>0xFF76DF56FF76DFCC|- rs1_val == 9007199254740992<br>                                                                                                             |[0x80001478]:c.beqz a0, 85<br> [0x8000147a]:addi sp, sp, 2<br> [0x8000147e]:jal zero, 166<br> [0x80001524]:sd sp, 464(ra)<br>  |
|  60|[0x800051e8]<br>0xFF76DF56FF76DFCE|- rs1_val == 18014398509481984<br>                                                                                                            |[0x8000153e]:c.beqz a0, 63<br> [0x80001540]:addi sp, sp, 2<br> [0x80001544]:jal zero, 122<br> [0x800015be]:sd sp, 472(ra)<br>  |
|  61|[0x800051f0]<br>0xFF76DF56FF76DFD0|- rs1_val == 36028797018963968<br>                                                                                                            |[0x800015d8]:c.beqz a0, 32<br> [0x800015da]:addi sp, sp, 2<br> [0x800015de]:jal zero, 60<br> [0x8000161a]:sd sp, 480(ra)<br>   |
|  62|[0x800051f8]<br>0xFF76DF56FF76DFD2|- rs1_val == 72057594037927936<br>                                                                                                            |[0x80001634]:c.beqz a0, 5<br> [0x80001636]:addi sp, sp, 2<br> [0x8000163a]:jal zero, 6<br> [0x80001640]:sd sp, 488(ra)<br>     |
|  63|[0x80005200]<br>0xFF76DF56FF76DFD4|- rs1_val == 144115188075855872<br>                                                                                                           |[0x8000165a]:c.beqz a0, 5<br> [0x8000165c]:addi sp, sp, 2<br> [0x80001660]:jal zero, 6<br> [0x80001666]:sd sp, 496(ra)<br>     |
|  64|[0x80005208]<br>0xFF76DF56FF76DFD6|- rs1_val == 288230376151711744<br>                                                                                                           |[0x80001680]:c.beqz a0, 252<br> [0x80001682]:addi sp, sp, 2<br> [0x80001686]:jal zero, 6<br> [0x8000168c]:sd sp, 504(ra)<br>   |
|  65|[0x80005210]<br>0xFF76DF56FF76DFD8|- rs1_val == 576460752303423488<br>                                                                                                           |[0x800016aa]:c.beqz a0, 250<br> [0x800016ac]:addi sp, sp, 2<br> [0x800016b0]:jal zero, 6<br> [0x800016b6]:sd sp, 512(ra)<br>   |
|  66|[0x80005218]<br>0xFF76DF56FF76DFDA|- rs1_val == 1152921504606846976<br>                                                                                                          |[0x8000170a]:c.beqz a0, 223<br> [0x8000170c]:addi sp, sp, 2<br> [0x80001710]:jal zero, 6<br> [0x80001716]:sd sp, 520(ra)<br>   |
|  67|[0x80005220]<br>0xFF76DF56FF76DFDC|- rs1_val == 2305843009213693952<br>                                                                                                          |[0x80001730]:c.beqz a0, 7<br> [0x80001732]:addi sp, sp, 2<br> [0x80001736]:jal zero, 10<br> [0x80001740]:sd sp, 528(ra)<br>    |
|  68|[0x80005228]<br>0xFF76DF56FF76DFDE|- rs1_val == 4611686018427387904<br>                                                                                                          |[0x8000175a]:c.beqz a0, 5<br> [0x8000175c]:addi sp, sp, 2<br> [0x80001760]:jal zero, 6<br> [0x80001766]:sd sp, 536(ra)<br>     |
|  69|[0x80005230]<br>0xFF76DF56FF76DFE0|- rs1_val == -2<br>                                                                                                                           |[0x8000177c]:c.beqz a0, 6<br> [0x8000177e]:addi sp, sp, 2<br> [0x80001782]:jal zero, 8<br> [0x8000178a]:sd sp, 544(ra)<br>     |
|  70|[0x80005238]<br>0xFF76DF56FF76DFE2|- rs1_val == -3<br>                                                                                                                           |[0x800017a0]:c.beqz a0, 252<br> [0x800017a2]:addi sp, sp, 2<br> [0x800017a6]:jal zero, 6<br> [0x800017ac]:sd sp, 552(ra)<br>   |
|  71|[0x80005240]<br>0xFF76DF56FF76DFE4|- rs1_val == -5<br>                                                                                                                           |[0x800017c2]:c.beqz a0, 9<br> [0x800017c4]:addi sp, sp, 2<br> [0x800017c8]:jal zero, 14<br> [0x800017d6]:sd sp, 560(ra)<br>    |
|  72|[0x80005248]<br>0xFF76DF56FF76DFE6|- rs1_val == -9<br>                                                                                                                           |[0x800017f8]:c.beqz a0, 246<br> [0x800017fa]:addi sp, sp, 2<br> [0x800017fe]:jal zero, 6<br> [0x80001804]:sd sp, 568(ra)<br>   |
|  73|[0x80005250]<br>0xFF76DF56FF76DFE8|- rs1_val == -17<br>                                                                                                                          |[0x80001892]:c.beqz a0, 192<br> [0x80001894]:addi sp, sp, 2<br> [0x80001898]:jal zero, 6<br> [0x8000189e]:sd sp, 576(ra)<br>   |
|  74|[0x80005258]<br>0xFF76DF56FF76DFEA|- rs1_val == -33<br>                                                                                                                          |[0x800018ba]:c.beqz a0, 249<br> [0x800018bc]:addi sp, sp, 2<br> [0x800018c0]:jal zero, 6<br> [0x800018c6]:sd sp, 584(ra)<br>   |
|  75|[0x80005260]<br>0xFF76DF56FF76DFEC|- rs1_val == -65<br>                                                                                                                          |[0x800018dc]:c.beqz a0, 5<br> [0x800018de]:addi sp, sp, 2<br> [0x800018e2]:jal zero, 6<br> [0x800018e8]:sd sp, 592(ra)<br>     |
|  76|[0x80005268]<br>0xFF76DF56FF76DFEE|- rs1_val == -129<br>                                                                                                                         |[0x800018fe]:c.beqz a0, 6<br> [0x80001900]:addi sp, sp, 2<br> [0x80001904]:jal zero, 8<br> [0x8000190c]:sd sp, 600(ra)<br>     |
|  77|[0x80005270]<br>0xFF76DF56FF76DFF0|- rs1_val == -257<br>                                                                                                                         |[0x8000192a]:c.beqz a0, 248<br> [0x8000192c]:addi sp, sp, 2<br> [0x80001930]:jal zero, 6<br> [0x80001936]:sd sp, 608(ra)<br>   |
|  78|[0x80005278]<br>0xFF76DF56FF76DFF2|- rs1_val == -513<br>                                                                                                                         |[0x8000194c]:c.beqz a0, 5<br> [0x8000194e]:addi sp, sp, 2<br> [0x80001952]:jal zero, 6<br> [0x80001958]:sd sp, 616(ra)<br>     |
|  79|[0x80005280]<br>0xFF76DF56FF76DFF4|- rs1_val == -1025<br>                                                                                                                        |[0x80001978]:c.beqz a0, 247<br> [0x8000197a]:addi sp, sp, 2<br> [0x8000197e]:jal zero, 6<br> [0x80001984]:sd sp, 624(ra)<br>   |
|  80|[0x80005288]<br>0xFF76DF56FF76DFF6|- rs1_val == -2049<br>                                                                                                                        |[0x8000199e]:c.beqz a0, 63<br> [0x800019a0]:addi sp, sp, 2<br> [0x800019a4]:jal zero, 122<br> [0x80001a1e]:sd sp, 632(ra)<br>  |
|  81|[0x80005290]<br>0xFF76DF56FF76DFF8|- rs1_val == -4097<br>                                                                                                                        |[0x80001a38]:c.beqz a0, 7<br> [0x80001a3a]:addi sp, sp, 2<br> [0x80001a3e]:jal zero, 10<br> [0x80001a48]:sd sp, 640(ra)<br>    |
|  82|[0x80005298]<br>0xFF76DF56FF76DFFA|- rs1_val == -8193<br>                                                                                                                        |[0x80001a62]:c.beqz a0, 5<br> [0x80001a64]:addi sp, sp, 2<br> [0x80001a68]:jal zero, 6<br> [0x80001a6e]:sd sp, 648(ra)<br>     |
|  83|[0x800052a0]<br>0xFF76DF56FF76DFFC|- rs1_val == -16385<br>                                                                                                                       |[0x80001b2c]:c.beqz a0, 170<br> [0x80001b2e]:addi sp, sp, 2<br> [0x80001b32]:jal zero, 6<br> [0x80001b38]:sd sp, 656(ra)<br>   |
|  84|[0x800052a8]<br>0xFF76DF56FF76DFFE|- rs1_val == -32769<br>                                                                                                                       |[0x80001b52]:c.beqz a0, 32<br> [0x80001b54]:addi sp, sp, 2<br> [0x80001b58]:jal zero, 60<br> [0x80001b94]:sd sp, 664(ra)<br>   |
|  85|[0x800052b0]<br>0xFF76DF56FF76E000|- rs1_val == -65537<br>                                                                                                                       |[0x80001bba]:c.beqz a0, 246<br> [0x80001bbc]:addi sp, sp, 2<br> [0x80001bc0]:jal zero, 6<br> [0x80001bc6]:sd sp, 672(ra)<br>   |
|  86|[0x800052b8]<br>0xFF76DF56FF76E002|- rs1_val == -131073<br>                                                                                                                      |[0x80001c5a]:c.beqz a0, 191<br> [0x80001c5c]:addi sp, sp, 2<br> [0x80001c60]:jal zero, 6<br> [0x80001c66]:sd sp, 680(ra)<br>   |
|  87|[0x800052c0]<br>0xFF76DF56FF76E004|- rs1_val == -262145<br>                                                                                                                      |[0x80001c88]:c.beqz a0, 248<br> [0x80001c8a]:addi sp, sp, 2<br> [0x80001c8e]:jal zero, 6<br> [0x80001c94]:sd sp, 688(ra)<br>   |
|  88|[0x800052c8]<br>0xFF76DF56FF76E006|- rs1_val == -524289<br>                                                                                                                      |[0x80001cb4]:c.beqz a0, 249<br> [0x80001cb6]:addi sp, sp, 2<br> [0x80001cba]:jal zero, 6<br> [0x80001cc0]:sd sp, 696(ra)<br>   |
|  89|[0x800052d0]<br>0xFF76DF56FF76E008|- rs1_val == -36028797018963969<br>                                                                                                           |[0x80001ce4]:c.beqz a0, 249<br> [0x80001ce6]:addi sp, sp, 2<br> [0x80001cea]:jal zero, 6<br> [0x80001cf0]:sd sp, 704(ra)<br>   |
|  90|[0x800052d8]<br>0xFF76DF56FF76E00A|- rs1_val == -72057594037927937<br>                                                                                                           |[0x80001d0e]:c.beqz a0, 32<br> [0x80001d10]:addi sp, sp, 2<br> [0x80001d14]:jal zero, 60<br> [0x80001d50]:sd sp, 712(ra)<br>   |
|  91|[0x800052e0]<br>0xFF76DF56FF76E00C|- rs1_val == -144115188075855873<br>                                                                                                          |[0x80001da8]:c.beqz a0, 223<br> [0x80001daa]:addi sp, sp, 2<br> [0x80001dae]:jal zero, 6<br> [0x80001db4]:sd sp, 720(ra)<br>   |
|  92|[0x800052e8]<br>0xFF76DF56FF76E00E|- rs1_val == -288230376151711745<br>                                                                                                          |[0x80001dd2]:c.beqz a0, 8<br> [0x80001dd4]:addi sp, sp, 2<br> [0x80001dd8]:jal zero, 12<br> [0x80001de4]:sd sp, 728(ra)<br>    |
|  93|[0x800052f0]<br>0xFF76DF56FF76E010|- rs1_val == -576460752303423489<br>                                                                                                          |[0x80001e02]:c.beqz a0, 5<br> [0x80001e04]:addi sp, sp, 2<br> [0x80001e08]:jal zero, 6<br> [0x80001e0e]:sd sp, 736(ra)<br>     |
|  94|[0x800052f8]<br>0xFF76DF56FF76E012|- rs1_val == -1152921504606846977<br>                                                                                                         |[0x80001e2c]:c.beqz a0, 6<br> [0x80001e2e]:addi sp, sp, 2<br> [0x80001e32]:jal zero, 8<br> [0x80001e3a]:sd sp, 744(ra)<br>     |
|  95|[0x80005300]<br>0xFF76DF56FF76E014|- rs1_val == -2305843009213693953<br>                                                                                                         |[0x80001e58]:c.beqz a0, 6<br> [0x80001e5a]:addi sp, sp, 2<br> [0x80001e5e]:jal zero, 8<br> [0x80001e66]:sd sp, 752(ra)<br>     |
|  96|[0x80005308]<br>0xFF76DF56FF76E016|- rs1_val == -4611686018427387905<br>                                                                                                         |[0x80001e90]:c.beqz a0, 246<br> [0x80001e92]:addi sp, sp, 2<br> [0x80001e96]:jal zero, 6<br> [0x80001e9c]:sd sp, 760(ra)<br>   |
|  97|[0x80005310]<br>0xFF76DF56FF76E018|- rs1_val == 6148914691236517205<br> - rs1_val==6148914691236517205<br>                                                                       |[0x80001ece]:c.beqz a0, 6<br> [0x80001ed0]:addi sp, sp, 2<br> [0x80001ed4]:jal zero, 8<br> [0x80001edc]:sd sp, 768(ra)<br>     |
|  98|[0x80005318]<br>0xFF76DF56FF76E01A|- rs1_val == -6148914691236517206<br> - rs1_val==-6148914691236517206<br>                                                                     |[0x80001f0e]:c.beqz a0, 7<br> [0x80001f10]:addi sp, sp, 2<br> [0x80001f14]:jal zero, 10<br> [0x80001f1e]:sd sp, 776(ra)<br>    |
|  99|[0x80005320]<br>0xFF76DF56FF76E01C|- rs1_val==3<br>                                                                                                                              |[0x80001f34]:c.beqz a0, 5<br> [0x80001f36]:addi sp, sp, 2<br> [0x80001f3a]:jal zero, 6<br> [0x80001f40]:sd sp, 784(ra)<br>     |
| 100|[0x80005328]<br>0xFF76DF56FF76E01E|- rs1_val==5<br>                                                                                                                              |[0x80001f56]:c.beqz a0, 5<br> [0x80001f58]:addi sp, sp, 2<br> [0x80001f5c]:jal zero, 6<br> [0x80001f62]:sd sp, 792(ra)<br>     |
| 101|[0x80005330]<br>0xFF76DF56FF76E020|- rs1_val==3689348814741910323<br>                                                                                                            |[0x80001f94]:c.beqz a0, 16<br> [0x80001f96]:addi sp, sp, 2<br> [0x80001f9a]:jal zero, 28<br> [0x80001fb6]:sd sp, 800(ra)<br>   |
| 102|[0x80005338]<br>0xFF76DF56FF76E022|- rs1_val==7378697629483820646<br>                                                                                                            |[0x80001fe8]:c.beqz a0, 9<br> [0x80001fea]:addi sp, sp, 2<br> [0x80001fee]:jal zero, 14<br> [0x80001ffc]:sd sp, 808(ra)<br>    |
| 103|[0x80005340]<br>0xFF76DF56FF76E024|- rs1_val==3037000499<br>                                                                                                                     |[0x8000201e]:c.beqz a0, 252<br> [0x80002020]:addi sp, sp, 2<br> [0x80002024]:jal zero, 6<br> [0x8000202a]:sd sp, 816(ra)<br>   |
| 104|[0x80005348]<br>0xFF76DF56FF76E026|- rs1_val==6148914691236517204<br>                                                                                                            |[0x8000205c]:c.beqz a0, 5<br> [0x8000205e]:addi sp, sp, 2<br> [0x80002062]:jal zero, 6<br> [0x80002068]:sd sp, 824(ra)<br>     |
| 105|[0x80005350]<br>0xFF76DF56FF76E028|- rs1_val==3689348814741910322<br>                                                                                                            |[0x8000209a]:c.beqz a0, 8<br> [0x8000209c]:addi sp, sp, 2<br> [0x800020a0]:jal zero, 12<br> [0x800020ac]:sd sp, 832(ra)<br>    |
| 106|[0x80005358]<br>0xFF76DF56FF76E02A|- rs1_val==7378697629483820645<br>                                                                                                            |[0x800020de]:c.beqz a0, 64<br> [0x800020e0]:addi sp, sp, 2<br> [0x800020e4]:jal zero, 124<br> [0x80002160]:sd sp, 840(ra)<br>  |
| 107|[0x80005360]<br>0xFF76DF56FF76E02C|- rs1_val==3037000498<br>                                                                                                                     |[0x80002182]:c.beqz a0, 64<br> [0x80002184]:addi sp, sp, 2<br> [0x80002188]:jal zero, 124<br> [0x80002204]:sd sp, 848(ra)<br>  |
| 108|[0x80005368]<br>0xFF76DF56FF76E02E|- rs1_val==6148914691236517206<br>                                                                                                            |[0x80002236]:c.beqz a0, 7<br> [0x80002238]:addi sp, sp, 2<br> [0x8000223c]:jal zero, 10<br> [0x80002246]:sd sp, 856(ra)<br>    |
| 109|[0x80005370]<br>0xFF76DF56FF76E030|- rs1_val==-6148914691236517205<br>                                                                                                           |[0x80002278]:c.beqz a0, 5<br> [0x8000227a]:addi sp, sp, 2<br> [0x8000227e]:jal zero, 6<br> [0x80002284]:sd sp, 864(ra)<br>     |
| 110|[0x80005378]<br>0xFF76DF56FF76E032|- rs1_val==6<br>                                                                                                                              |[0x8000229a]:c.beqz a0, 252<br> [0x8000229c]:addi sp, sp, 2<br> [0x800022a0]:jal zero, 6<br> [0x800022a6]:sd sp, 872(ra)<br>   |
| 111|[0x80005380]<br>0xFF76DF56FF76E034|- rs1_val==3689348814741910324<br>                                                                                                            |[0x800022d8]:c.beqz a0, 9<br> [0x800022da]:addi sp, sp, 2<br> [0x800022de]:jal zero, 14<br> [0x800022ec]:sd sp, 880(ra)<br>    |
| 112|[0x80005388]<br>0xFF76DF56FF76E036|- rs1_val==7378697629483820647<br>                                                                                                            |[0x80002324]:c.beqz a0, 249<br> [0x80002326]:addi sp, sp, 2<br> [0x8000232a]:jal zero, 6<br> [0x80002330]:sd sp, 888(ra)<br>   |
| 113|[0x80005390]<br>0xFF76DF56FF76E038|- rs1_val==-3037000498<br>                                                                                                                    |[0x80002352]:c.beqz a0, 64<br> [0x80002354]:addi sp, sp, 2<br> [0x80002358]:jal zero, 124<br> [0x800023d4]:sd sp, 896(ra)<br>  |
| 114|[0x80005398]<br>0xFF76DF56FF76E03A|- rs1_val==3037000500<br>                                                                                                                     |[0x800023f6]:c.beqz a0, 6<br> [0x800023f8]:addi sp, sp, 2<br> [0x800023fc]:jal zero, 8<br> [0x80002404]:sd sp, 904(ra)<br>     |
| 115|[0x800053a0]<br>0xFF76DF56FF76E03C|- rs1_val == -1048577<br>                                                                                                                     |[0x8000241e]:c.beqz a0, 32<br> [0x80002420]:addi sp, sp, 2<br> [0x80002424]:jal zero, 60<br> [0x80002460]:sd sp, 912(ra)<br>   |
| 116|[0x800053a8]<br>0xFF76DF56FF76E03E|- rs1_val == -2097153<br>                                                                                                                     |[0x8000247a]:c.beqz a0, 32<br> [0x8000247c]:addi sp, sp, 2<br> [0x80002480]:jal zero, 60<br> [0x800024bc]:sd sp, 920(ra)<br>   |
| 117|[0x800053b0]<br>0xFF76DF56FF76E040|- rs1_val == -4194305<br>                                                                                                                     |[0x800024d6]:c.beqz a0, 63<br> [0x800024d8]:addi sp, sp, 2<br> [0x800024dc]:jal zero, 122<br> [0x80002556]:sd sp, 928(ra)<br>  |
| 118|[0x800053b8]<br>0xFF76DF56FF76E042|- rs1_val == -8388609<br>                                                                                                                     |[0x80002572]:c.beqz a0, 251<br> [0x80002574]:addi sp, sp, 2<br> [0x80002578]:jal zero, 6<br> [0x8000257e]:sd sp, 936(ra)<br>   |
| 119|[0x800053c0]<br>0xFF76DF56FF76E044|- rs1_val == -16777217<br>                                                                                                                    |[0x80002598]:c.beqz a0, 5<br> [0x8000259a]:addi sp, sp, 2<br> [0x8000259e]:jal zero, 6<br> [0x800025a4]:sd sp, 944(ra)<br>     |
| 120|[0x800053c8]<br>0xFF76DF56FF76E046|- rs1_val == -33554433<br>                                                                                                                    |[0x800025be]:c.beqz a0, 63<br> [0x800025c0]:addi sp, sp, 2<br> [0x800025c4]:jal zero, 122<br> [0x8000263e]:sd sp, 952(ra)<br>  |
| 121|[0x800053d0]<br>0xFF76DF56FF76E048|- rs1_val == -67108865<br>                                                                                                                    |[0x8000265e]:c.beqz a0, 249<br> [0x80002660]:addi sp, sp, 2<br> [0x80002664]:jal zero, 6<br> [0x8000266a]:sd sp, 960(ra)<br>   |
| 122|[0x800053d8]<br>0xFF76DF56FF76E04A|- rs1_val == -134217729<br>                                                                                                                   |[0x800026be]:c.beqz a0, 223<br> [0x800026c0]:addi sp, sp, 2<br> [0x800026c4]:jal zero, 6<br> [0x800026ca]:sd sp, 968(ra)<br>   |
| 123|[0x800053e0]<br>0xFF76DF56FF76E04C|- rs1_val == -268435457<br>                                                                                                                   |[0x800026ee]:c.beqz a0, 247<br> [0x800026f0]:addi sp, sp, 2<br> [0x800026f4]:jal zero, 6<br> [0x800026fa]:sd sp, 976(ra)<br>   |
| 124|[0x800053e8]<br>0xFF76DF56FF76E04E|- rs1_val == -536870913<br>                                                                                                                   |[0x8000274e]:c.beqz a0, 223<br> [0x80002750]:addi sp, sp, 2<br> [0x80002754]:jal zero, 6<br> [0x8000275a]:sd sp, 984(ra)<br>   |
| 125|[0x800053f0]<br>0xFF76DF56FF76E050|- rs1_val == -1073741825<br>                                                                                                                  |[0x8000277c]:c.beqz a0, 248<br> [0x8000277e]:addi sp, sp, 2<br> [0x80002782]:jal zero, 6<br> [0x80002788]:sd sp, 992(ra)<br>   |
| 126|[0x800053f8]<br>0xFF76DF56FF76E052|- rs1_val == -2147483649<br>                                                                                                                  |[0x800027a6]:c.beqz a0, 252<br> [0x800027a8]:addi sp, sp, 2<br> [0x800027ac]:jal zero, 6<br> [0x800027b2]:sd sp, 1000(ra)<br>  |
| 127|[0x80005400]<br>0xFF76DF56FF76E054|- rs1_val == -4294967297<br>                                                                                                                  |[0x800027d0]:c.beqz a0, 5<br> [0x800027d2]:addi sp, sp, 2<br> [0x800027d6]:jal zero, 6<br> [0x800027dc]:sd sp, 1008(ra)<br>    |
| 128|[0x80005408]<br>0xFF76DF56FF76E056|- rs1_val == -8589934593<br>                                                                                                                  |[0x8000289e]:c.beqz a0, 170<br> [0x800028a0]:addi sp, sp, 2<br> [0x800028a4]:jal zero, 6<br> [0x800028aa]:sd sp, 1016(ra)<br>  |
| 129|[0x80005410]<br>0xFF76DF56FF76E058|- rs1_val == -17179869185<br>                                                                                                                 |[0x800028c8]:c.beqz a0, 5<br> [0x800028ca]:addi sp, sp, 2<br> [0x800028ce]:jal zero, 6<br> [0x800028d4]:sd sp, 1024(ra)<br>    |
| 130|[0x80005418]<br>0xFF76DF56FF76E05A|- rs1_val == -34359738369<br>                                                                                                                 |[0x800028f6]:c.beqz a0, 250<br> [0x800028f8]:addi sp, sp, 2<br> [0x800028fc]:jal zero, 6<br> [0x80002902]:sd sp, 1032(ra)<br>  |
| 131|[0x80005420]<br>0xFF76DF56FF76E05C|- rs1_val == -68719476737<br>                                                                                                                 |[0x80002920]:c.beqz a0, 7<br> [0x80002922]:addi sp, sp, 2<br> [0x80002926]:jal zero, 10<br> [0x80002930]:sd sp, 1040(ra)<br>   |
| 132|[0x80005428]<br>0xFF76DF56FF76E05E|- rs1_val == -137438953473<br>                                                                                                                |[0x8000294e]:c.beqz a0, 63<br> [0x80002950]:addi sp, sp, 2<br> [0x80002954]:jal zero, 122<br> [0x800029ce]:sd sp, 1048(ra)<br> |
| 133|[0x80005430]<br>0xFF76DF56FF76E060|- rs1_val == -274877906945<br>                                                                                                                |[0x800029ec]:c.beqz a0, 8<br> [0x800029ee]:addi sp, sp, 2<br> [0x800029f2]:jal zero, 12<br> [0x800029fe]:sd sp, 1056(ra)<br>   |
| 134|[0x80005438]<br>0xFF76DF56FF76E062|- rs1_val == -549755813889<br>                                                                                                                |[0x80002a1c]:c.beqz a0, 9<br> [0x80002a1e]:addi sp, sp, 2<br> [0x80002a22]:jal zero, 14<br> [0x80002a30]:sd sp, 1064(ra)<br>   |
| 135|[0x80005440]<br>0xFF76DF56FF76E064|- rs1_val == -1099511627777<br>                                                                                                               |[0x80002af2]:c.beqz a0, 170<br> [0x80002af4]:addi sp, sp, 2<br> [0x80002af8]:jal zero, 6<br> [0x80002afe]:sd sp, 1072(ra)<br>  |
| 136|[0x80005448]<br>0xFF76DF56FF76E066|- rs1_val == -2199023255553<br>                                                                                                               |[0x80002b1c]:c.beqz a0, 5<br> [0x80002b1e]:addi sp, sp, 2<br> [0x80002b22]:jal zero, 6<br> [0x80002b28]:sd sp, 1080(ra)<br>    |
| 137|[0x80005450]<br>0xFF76DF56FF76E068|- rs1_val == -4398046511105<br>                                                                                                               |[0x80002b46]:c.beqz a0, 5<br> [0x80002b48]:addi sp, sp, 2<br> [0x80002b4c]:jal zero, 6<br> [0x80002b52]:sd sp, 1088(ra)<br>    |
| 138|[0x80005458]<br>0xFF76DF56FF76E06A|- rs1_val == -8796093022209<br>                                                                                                               |[0x80002c14]:c.beqz a0, 170<br> [0x80002c16]:addi sp, sp, 2<br> [0x80002c1a]:jal zero, 6<br> [0x80002c20]:sd sp, 1096(ra)<br>  |
| 139|[0x80005460]<br>0xFF76DF56FF76E06C|- rs1_val == -17592186044417<br>                                                                                                              |[0x80002c48]:c.beqz a0, 247<br> [0x80002c4a]:addi sp, sp, 2<br> [0x80002c4e]:jal zero, 6<br> [0x80002c54]:sd sp, 1104(ra)<br>  |
| 140|[0x80005468]<br>0xFF76DF56FF76E06E|- rs1_val == -35184372088833<br>                                                                                                              |[0x80002c72]:c.beqz a0, 252<br> [0x80002c74]:addi sp, sp, 2<br> [0x80002c78]:jal zero, 6<br> [0x80002c7e]:sd sp, 1112(ra)<br>  |
| 141|[0x80005470]<br>0xFF76DF56FF76E070|- rs1_val == -70368744177665<br>                                                                                                              |[0x80002ca2]:c.beqz a0, 249<br> [0x80002ca4]:addi sp, sp, 2<br> [0x80002ca8]:jal zero, 6<br> [0x80002cae]:sd sp, 1120(ra)<br>  |
| 142|[0x80005478]<br>0xFF76DF56FF76E072|- rs1_val == -140737488355329<br>                                                                                                             |[0x80002d44]:c.beqz a0, 192<br> [0x80002d46]:addi sp, sp, 2<br> [0x80002d4a]:jal zero, 6<br> [0x80002d50]:sd sp, 1128(ra)<br>  |
| 143|[0x80005480]<br>0xFF76DF56FF76E074|- rs1_val == -281474976710657<br>                                                                                                             |[0x80002de6]:c.beqz a0, 192<br> [0x80002de8]:addi sp, sp, 2<br> [0x80002dec]:jal zero, 6<br> [0x80002df2]:sd sp, 1136(ra)<br>  |
| 144|[0x80005488]<br>0xFF76DF56FF76E076|- rs1_val == -562949953421313<br>                                                                                                             |[0x80002e88]:c.beqz a0, 192<br> [0x80002e8a]:addi sp, sp, 2<br> [0x80002e8e]:jal zero, 6<br> [0x80002e94]:sd sp, 1144(ra)<br>  |
| 145|[0x80005490]<br>0xFF76DF56FF76E078|- rs1_val == -1125899906842625<br>                                                                                                            |[0x80002eb2]:c.beqz a0, 5<br> [0x80002eb4]:addi sp, sp, 2<br> [0x80002eb8]:jal zero, 6<br> [0x80002ebe]:sd sp, 1152(ra)<br>    |
| 146|[0x80005498]<br>0xFF76DF56FF76E07A|- rs1_val == -2251799813685249<br>                                                                                                            |[0x80002edc]:c.beqz a0, 16<br> [0x80002ede]:addi sp, sp, 2<br> [0x80002ee2]:jal zero, 28<br> [0x80002efe]:sd sp, 1160(ra)<br>  |
| 147|[0x800054a0]<br>0xFF76DF56FF76E07C|- rs1_val == -4503599627370497<br>                                                                                                            |[0x80002f1c]:c.beqz a0, 85<br> [0x80002f1e]:addi sp, sp, 2<br> [0x80002f22]:jal zero, 166<br> [0x80002fc8]:sd sp, 1168(ra)<br> |
| 148|[0x800054a8]<br>0xFF76DF56FF76E07E|- rs1_val == -9007199254740993<br>                                                                                                            |[0x80002fe6]:c.beqz a0, 252<br> [0x80002fe8]:addi sp, sp, 2<br> [0x80002fec]:jal zero, 6<br> [0x80002ff2]:sd sp, 1176(ra)<br>  |
| 149|[0x800054b0]<br>0xFF76DF56FF76E080|- rs1_val == -18014398509481985<br>                                                                                                           |[0x80003010]:c.beqz a0, 8<br> [0x80003012]:addi sp, sp, 2<br> [0x80003016]:jal zero, 12<br> [0x80003022]:sd sp, 1184(ra)<br>   |
