// -----------
// This file was generated by riscv_ctg (https://gitlab.com/incoresemi/riscv-compliance/riscv_ctg)
// version   : 0.4.5
// timestamp : Thu May 20 05:54:26 2021 GMT
// usage     : riscv_ctg \
//                  --cgf /scratch/git-repo/github/riscv-ctg/sample_cgfs/dataset.cgf \
//                  --cgf /scratch/git-repo/github/riscv-ctg/sample_cgfs/rv32i_k.cgf \
//                  --base-isa rv32i \
//                  --randomize
// -----------
//
// -----------
// Copyright (c) 2021. Indian Institute of Technology Madras. All rights reserved.
// SPDX-License-Identifier: BSD-3-Clause
// -----------
//
// This assembly file tests the sm4ed instruction of the RISC-V  extension for the sm4ed covergroup.
// 
#include "model_test.h"
#include "arch_test.h"
RVTEST_ISA("RV32I_Zks")

.section .text.init
.globl rvtest_entry_point
rvtest_entry_point:
RVMODEL_BOOT
RVTEST_CODE_BEGIN

#ifdef TEST_CASE_1

RVTEST_CASE(0,"//check ISA:=regex(.*32.*);check ISA:=regex(.*I.*K.*);def TEST_CASE_1=True;",sm4ed)

RVTEST_CASE(1,"//check ISA:=regex(.*32.*);check ISA:=regex(.*I.*ZKs.*);def TEST_CASE_1=True;",sm4ed)

RVTEST_CASE(2,"//check ISA:=regex(.*32.*);check ISA:=regex(.*I.*ZKsed.*);def TEST_CASE_1=True;",sm4ed)

RVTEST_SIGBASE( x4,signature_x4_1)

inst_0:
// rs1 == rs2, rs1==x12, rs2==x12, rs1_val == 0 and rs2_val == 0x03020100 and imm_val == 0 
// opcode: sm4ed; op1:x12; op2:x12; op1val:0x0; op2val:0x0; immval:0x0
TEST_RI_OP(sm4ed, x12, x12, 0x0, 0x00000000, 0x0, 0x0, x4, 0, x11)

inst_1:
// rs1 != rs2, rs1==x9, rs2==x3, rs1_val == 0x3fb0fe60 and rs2_val == 0x1826a804 and imm_val == 0x1 
// opcode: sm4ed; op1:x9; op2:x3; op1val:0x3fb0fe60; op2val:0x1826a804; immval:0x1
TEST_RI_OP(sm4ed, x9, x3, 0x1, 0x00000000, 0x3fb0fe60, 0x1826a804, x4, 4, x11)

inst_2:
// rs1==x23, rs2==x24, rs1_val == 0xb369e102 and rs2_val == 0x293f9f60 and imm_val == 0x3 
// opcode: sm4ed; op1:x23; op2:x24; op1val:0xb369e102; op2val:0x293f9f60; immval:0x3
TEST_RI_OP(sm4ed, x23, x24, 0x3, 0x00000000, 0xb369e102, 0x293f9f60, x4, 8, x11)

inst_3:
// rs1==x8, rs2==x9, rs1_val == 0x1aa1beeb and rs2_val == 0xa4b7f979 and imm_val == 0x0 
// opcode: sm4ed; op1:x8; op2:x9; op1val:0x1aa1beeb; op2val:0xa4b7f979; immval:0x0
TEST_RI_OP(sm4ed, x8, x9, 0x0, 0x00000000, 0x1aa1beeb, 0xa4b7f979, x4, 12, x11)

inst_4:
// rs1==x28, rs2==x7, rs1_val == 0x8678f5e3 and rs2_val == 0x358a9235 and imm_val == 0x3 
// opcode: sm4ed; op1:x28; op2:x7; op1val:0x8678f5e3; op2val:0x358a9235; immval:0x3
TEST_RI_OP(sm4ed, x28, x7, 0x3, 0x00000000, 0x8678f5e3, 0x358a9235, x4, 16, x11)

inst_5:
// rs1==x17, rs2==x25, rs1_val == 0x74a813d2 and rs2_val == 0xb0873a0f and imm_val == 0x3 
// opcode: sm4ed; op1:x17; op2:x25; op1val:0x74a813d2; op2val:0xb0873a0f; immval:0x3
TEST_RI_OP(sm4ed, x17, x25, 0x3, 0x00000000, 0x74a813d2, 0xb0873a0f, x4, 20, x11)

inst_6:
// rs1==x20, rs2==x17, rs1_val == 0x9f053821 and rs2_val == 0x91766f62 and imm_val == 0x2 
// opcode: sm4ed; op1:x20; op2:x17; op1val:0x9f053821; op2val:0x91766f62; immval:0x2
TEST_RI_OP(sm4ed, x20, x17, 0x2, 0x00000000, 0x9f053821, 0x91766f62, x4, 24, x11)

inst_7:
// rs1==x30, rs2==x2, rs1_val == 0xdc80d916 and rs2_val == 0x2a2a146d and imm_val == 0x2 
// opcode: sm4ed; op1:x30; op2:x2; op1val:0xdc80d916; op2val:0x2a2a146d; immval:0x2
TEST_RI_OP(sm4ed, x30, x2, 0x2, 0x00000000, 0xdc80d916, 0x2a2a146d, x4, 28, x11)

inst_8:
// rs1==x13, rs2==x23, rs1_val == 0xcd157633 and rs2_val == 0x4113ee60 and imm_val == 0x0 
// opcode: sm4ed; op1:x13; op2:x23; op1val:0xcd157633; op2val:0x4113ee60; immval:0x0
TEST_RI_OP(sm4ed, x13, x23, 0x0, 0x00000000, 0xcd157633, 0x4113ee60, x4, 32, x11)

inst_9:
// rs1==x24, rs2==x10, rs1_val == 0xe3f4fca3 and rs2_val == 0xa6c9253a and imm_val == 0x2 
// opcode: sm4ed; op1:x24; op2:x10; op1val:0xe3f4fca3; op2val:0xa6c9253a; immval:0x2
TEST_RI_OP(sm4ed, x24, x10, 0x2, 0x00000000, 0xe3f4fca3, 0xa6c9253a, x4, 36, x11)

inst_10:
// rs1==x5, rs2==x16, rs1_val == 0x7bcad7c4 and rs2_val == 0xc2f1c53e and imm_val == 0x0 
// opcode: sm4ed; op1:x5; op2:x16; op1val:0x7bcad7c4; op2val:0xc2f1c53e; immval:0x0
TEST_RI_OP(sm4ed, x5, x16, 0x0, 0x00000000, 0x7bcad7c4, 0xc2f1c53e, x4, 40, x11)

inst_11:
// rs1==x7, rs2==x30, rs1_val == 0x633dbabc and rs2_val == 0xb6c4fd42 and imm_val == 0x2 
// opcode: sm4ed; op1:x7; op2:x30; op1val:0x633dbabc; op2val:0xb6c4fd42; immval:0x2
TEST_RI_OP(sm4ed, x7, x30, 0x2, 0x00000000, 0x633dbabc, 0xb6c4fd42, x4, 44, x11)

inst_12:
// rs1==x21, rs2==x1, rs1_val == 0x299c3bcf and rs2_val == 0xaa6bb2bd and imm_val == 0x3 
// opcode: sm4ed; op1:x21; op2:x1; op1val:0x299c3bcf; op2val:0xaa6bb2bd; immval:0x3
TEST_RI_OP(sm4ed, x21, x1, 0x3, 0x00000000, 0x299c3bcf, 0xaa6bb2bd, x4, 48, x11)

inst_13:
// rs1==x25, rs2==x27, rs1_val == 0xa371db42 and rs2_val == 0x2e3ee8c4 and imm_val == 0x3 
// opcode: sm4ed; op1:x25; op2:x27; op1val:0xa371db42; op2val:0x2e3ee8c4; immval:0x3
TEST_RI_OP(sm4ed, x25, x27, 0x3, 0x00000000, 0xa371db42, 0x2e3ee8c4, x4, 52, x11)

inst_14:
// rs1==x6, rs2==x21, rs1_val == 0x8e2eac2a and rs2_val == 0xd169a3f8 and imm_val == 0x1 
// opcode: sm4ed; op1:x6; op2:x21; op1val:0x8e2eac2a; op2val:0xd169a3f8; immval:0x1
TEST_RI_OP(sm4ed, x6, x21, 0x1, 0x00000000, 0x8e2eac2a, 0xd169a3f8, x4, 56, x11)

inst_15:
// rs1==x1, rs2==x22, rs1_val == 0xa0569d76 and rs2_val == 0x35f9377f and imm_val == 0x3 
// opcode: sm4ed; op1:x1; op2:x22; op1val:0xa0569d76; op2val:0x35f9377f; immval:0x3
TEST_RI_OP(sm4ed, x1, x22, 0x3, 0x00000000, 0xa0569d76, 0x35f9377f, x4, 60, x11)

inst_16:
// rs1==x10, rs2==x18, rs1_val == 0x240d84d6 and rs2_val == 0xe4921bf7 and imm_val == 0x2 
// opcode: sm4ed; op1:x10; op2:x18; op1val:0x240d84d6; op2val:0xe4921bf7; immval:0x2
TEST_RI_OP(sm4ed, x10, x18, 0x2, 0x00000000, 0x240d84d6, 0xe4921bf7, x4, 64, x11)

inst_17:
// rs1==x29, rs2==x15, rs1_val == 0x3acdf616 and rs2_val == 0xfcc1b543 and imm_val == 0x1 
// opcode: sm4ed; op1:x29; op2:x15; op1val:0x3acdf616; op2val:0xfcc1b543; immval:0x1
TEST_RI_OP(sm4ed, x29, x15, 0x1, 0x00000000, 0x3acdf616, 0xfcc1b543, x4, 68, x11)

inst_18:
// rs1==x19, rs2==x14, rs1_val == 0x74b8de87 and rs2_val == 0xf273b44c and imm_val == 0x2 
// opcode: sm4ed; op1:x19; op2:x14; op1val:0x74b8de87; op2val:0xf273b44c; immval:0x2
TEST_RI_OP(sm4ed, x19, x14, 0x2, 0x00000000, 0x74b8de87, 0xf273b44c, x4, 72, x11)

inst_19:
// rs1==x31, rs2==x8, rs1_val == 0xbb61a9cd and rs2_val == 0xccce240c and imm_val == 0x0 
// opcode: sm4ed; op1:x31; op2:x8; op1val:0xbb61a9cd; op2val:0xccce240c; immval:0x0
TEST_RI_OP(sm4ed, x31, x8, 0x0, 0x00000000, 0xbb61a9cd, 0xccce240c, x4, 76, x7)
RVTEST_SIGBASE( x1,signature_x1_0)

inst_20:
// rs1==x27, rs2==x5, rs1_val == 0x254a9493 and rs2_val == 0xc5521660 and imm_val == 0x3 
// opcode: sm4ed; op1:x27; op2:x5; op1val:0x254a9493; op2val:0xc5521660; immval:0x3
TEST_RI_OP(sm4ed, x27, x5, 0x3, 0x00000000, 0x254a9493, 0xc5521660, x1, 0, x7)

inst_21:
// rs1==x3, rs2==x28, rs1_val == 0 and rs2_val == 0xfffefdfc and imm_val == 3 
// opcode: sm4ed; op1:x3; op2:x28; op1val:0x0; op2val:0xfffefdfc; immval:0x3
TEST_RI_OP(sm4ed, x3, x28, 0x3, 0x00000000, 0x0, 0xfffefdfc, x1, 4, x7)

inst_22:
// rs1==x22, rs2==x13, rs1_val == 0 and rs2_val == 0xfffefdfc and imm_val == 2 
// opcode: sm4ed; op1:x22; op2:x13; op1val:0x0; op2val:0xfffefdfc; immval:0x2
TEST_RI_OP(sm4ed, x22, x13, 0x2, 0x00000000, 0x0, 0xfffefdfc, x1, 8, x7)

inst_23:
// rs1==x11, rs2==x31, rs1_val == 0 and rs2_val == 0xfffefdfc and imm_val == 1 
// opcode: sm4ed; op1:x11; op2:x31; op1val:0x0; op2val:0xfffefdfc; immval:0x1
TEST_RI_OP(sm4ed, x11, x31, 0x1, 0x00000000, 0x0, 0xfffefdfc, x1, 12, x7)

inst_24:
// rs1==x26, rs2==x19, rs1_val == 0 and rs2_val == 0xfffefdfc and imm_val == 0 
// opcode: sm4ed; op1:x26; op2:x19; op1val:0x0; op2val:0xfffefdfc; immval:0x0
TEST_RI_OP(sm4ed, x26, x19, 0x0, 0x00000000, 0x0, 0xfffefdfc, x1, 16, x7)

inst_25:
// rs1==x15, rs2==x0, rs1_val == 0 and rs2_val == 0xfbfaf9f8 and imm_val == 3 
// opcode: sm4ed; op1:x15; op2:x0; op1val:0x0; op2val:0x0; immval:0x3
TEST_RI_OP(sm4ed, x15, x0, 0x3, 0x00000000, 0x0, 0x0, x1, 20, x7)

inst_26:
// rs1==x0, rs2==x4, rs1_val == 0 and rs2_val == 0xfbfaf9f8 and imm_val == 2 
// opcode: sm4ed; op1:x0; op2:x4; op1val:0x0; op2val:0xfbfaf9f8; immval:0x2
TEST_RI_OP(sm4ed, x0, x4, 0x2, 0x00000000, 0x0, 0xfbfaf9f8, x1, 24, x7)

inst_27:
// rs1==x4, rs2==x29, rs1_val == 0 and rs2_val == 0xfbfaf9f8 and imm_val == 1 
// opcode: sm4ed; op1:x4; op2:x29; op1val:0x0; op2val:0xfbfaf9f8; immval:0x1
TEST_RI_OP(sm4ed, x4, x29, 0x1, 0x00000000, 0x0, 0xfbfaf9f8, x1, 28, x7)

inst_28:
// rs1==x16, rs2==x20, rs1_val == 0 and rs2_val == 0xfbfaf9f8 and imm_val == 0 
// opcode: sm4ed; op1:x16; op2:x20; op1val:0x0; op2val:0xfbfaf9f8; immval:0x0
TEST_RI_OP(sm4ed, x16, x20, 0x0, 0x00000000, 0x0, 0xfbfaf9f8, x1, 32, x7)

inst_29:
// rs1==x18, rs2==x6, rs1_val == 0 and rs2_val == 0xf7f6f5f4 and imm_val == 3 
// opcode: sm4ed; op1:x18; op2:x6; op1val:0x0; op2val:0xf7f6f5f4; immval:0x3
TEST_RI_OP(sm4ed, x18, x6, 0x3, 0x00000000, 0x0, 0xf7f6f5f4, x1, 36, x7)

inst_30:
// rs1==x14, rs2==x26, rs1_val == 0 and rs2_val == 0xf7f6f5f4 and imm_val == 2 
// opcode: sm4ed; op1:x14; op2:x26; op1val:0x0; op2val:0xf7f6f5f4; immval:0x2
TEST_RI_OP(sm4ed, x14, x26, 0x2, 0x00000000, 0x0, 0xf7f6f5f4, x1, 40, x7)

inst_31:
// rs1==x2, rs2==x11, rs1_val == 0 and rs2_val == 0xf7f6f5f4 and imm_val == 1 
// opcode: sm4ed; op1:x2; op2:x11; op1val:0x0; op2val:0xf7f6f5f4; immval:0x1
TEST_RI_OP(sm4ed, x2, x11, 0x1, 0x00000000, 0x0, 0xf7f6f5f4, x1, 44, x7)

inst_32:
// rs1_val == 0 and rs2_val == 0xf7f6f5f4 and imm_val == 0 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xf7f6f5f4; immval:0x0
TEST_RI_OP(sm4ed, x10, x11, 0x0, 0x00000000, 0x0, 0xf7f6f5f4, x1, 48, x7)

inst_33:
// rs1_val == 0 and rs2_val == 0xf3f2f1f0 and imm_val == 3 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xf3f2f1f0; immval:0x3
TEST_RI_OP(sm4ed, x10, x11, 0x3, 0x00000000, 0x0, 0xf3f2f1f0, x1, 52, x7)

inst_34:
// rs1_val == 0 and rs2_val == 0xf3f2f1f0 and imm_val == 2 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xf3f2f1f0; immval:0x2
TEST_RI_OP(sm4ed, x10, x11, 0x2, 0x00000000, 0x0, 0xf3f2f1f0, x1, 56, x7)

inst_35:
// rs1_val == 0 and rs2_val == 0xf3f2f1f0 and imm_val == 1 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xf3f2f1f0; immval:0x1
TEST_RI_OP(sm4ed, x10, x11, 0x1, 0x00000000, 0x0, 0xf3f2f1f0, x1, 60, x7)

inst_36:
// rs1_val == 0 and rs2_val == 0xf3f2f1f0 and imm_val == 0 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xf3f2f1f0; immval:0x0
TEST_RI_OP(sm4ed, x10, x11, 0x0, 0x00000000, 0x0, 0xf3f2f1f0, x1, 64, x7)

inst_37:
// rs1_val == 0 and rs2_val == 0xefeeedec and imm_val == 3 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xefeeedec; immval:0x3
TEST_RI_OP(sm4ed, x10, x11, 0x3, 0x00000000, 0x0, 0xefeeedec, x1, 68, x7)

inst_38:
// rs1_val == 0 and rs2_val == 0xefeeedec and imm_val == 2 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xefeeedec; immval:0x2
TEST_RI_OP(sm4ed, x10, x11, 0x2, 0x00000000, 0x0, 0xefeeedec, x1, 72, x7)

inst_39:
// rs1_val == 0 and rs2_val == 0xefeeedec and imm_val == 1 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xefeeedec; immval:0x1
TEST_RI_OP(sm4ed, x10, x11, 0x1, 0x00000000, 0x0, 0xefeeedec, x1, 76, x7)

inst_40:
// rs1_val == 0 and rs2_val == 0xefeeedec and imm_val == 0 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xefeeedec; immval:0x0
TEST_RI_OP(sm4ed, x10, x11, 0x0, 0x00000000, 0x0, 0xefeeedec, x1, 80, x7)

inst_41:
// rs1_val == 0 and rs2_val == 0xebeae9e8 and imm_val == 3 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xebeae9e8; immval:0x3
TEST_RI_OP(sm4ed, x10, x11, 0x3, 0x00000000, 0x0, 0xebeae9e8, x1, 84, x7)

inst_42:
// rs1_val == 0 and rs2_val == 0xebeae9e8 and imm_val == 2 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xebeae9e8; immval:0x2
TEST_RI_OP(sm4ed, x10, x11, 0x2, 0x00000000, 0x0, 0xebeae9e8, x1, 88, x7)

inst_43:
// rs1_val == 0 and rs2_val == 0xebeae9e8 and imm_val == 1 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xebeae9e8; immval:0x1
TEST_RI_OP(sm4ed, x10, x11, 0x1, 0x00000000, 0x0, 0xebeae9e8, x1, 92, x7)

inst_44:
// rs1_val == 0 and rs2_val == 0xebeae9e8 and imm_val == 0 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xebeae9e8; immval:0x0
TEST_RI_OP(sm4ed, x10, x11, 0x0, 0x00000000, 0x0, 0xebeae9e8, x1, 96, x7)

inst_45:
// rs1_val == 0 and rs2_val == 0xe7e6e5e4 and imm_val == 3 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xe7e6e5e4; immval:0x3
TEST_RI_OP(sm4ed, x10, x11, 0x3, 0x00000000, 0x0, 0xe7e6e5e4, x1, 100, x7)

inst_46:
// rs1_val == 0 and rs2_val == 0xe7e6e5e4 and imm_val == 2 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xe7e6e5e4; immval:0x2
TEST_RI_OP(sm4ed, x10, x11, 0x2, 0x00000000, 0x0, 0xe7e6e5e4, x1, 104, x7)

inst_47:
// rs1_val == 0 and rs2_val == 0xe7e6e5e4 and imm_val == 1 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xe7e6e5e4; immval:0x1
TEST_RI_OP(sm4ed, x10, x11, 0x1, 0x00000000, 0x0, 0xe7e6e5e4, x1, 108, x7)

inst_48:
// rs1_val == 0 and rs2_val == 0xe7e6e5e4 and imm_val == 0 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xe7e6e5e4; immval:0x0
TEST_RI_OP(sm4ed, x10, x11, 0x0, 0x00000000, 0x0, 0xe7e6e5e4, x1, 112, x7)

inst_49:
// rs1_val == 0 and rs2_val == 0xe3e2e1e0 and imm_val == 3 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xe3e2e1e0; immval:0x3
TEST_RI_OP(sm4ed, x10, x11, 0x3, 0x00000000, 0x0, 0xe3e2e1e0, x1, 116, x7)

inst_50:
// rs1_val == 0 and rs2_val == 0xe3e2e1e0 and imm_val == 2 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xe3e2e1e0; immval:0x2
TEST_RI_OP(sm4ed, x10, x11, 0x2, 0x00000000, 0x0, 0xe3e2e1e0, x1, 120, x7)

inst_51:
// rs1_val == 0 and rs2_val == 0xe3e2e1e0 and imm_val == 1 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xe3e2e1e0; immval:0x1
TEST_RI_OP(sm4ed, x10, x11, 0x1, 0x00000000, 0x0, 0xe3e2e1e0, x1, 124, x7)

inst_52:
// rs1_val == 0 and rs2_val == 0xe3e2e1e0 and imm_val == 0 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xe3e2e1e0; immval:0x0
TEST_RI_OP(sm4ed, x10, x11, 0x0, 0x00000000, 0x0, 0xe3e2e1e0, x1, 128, x7)

inst_53:
// rs1_val == 0 and rs2_val == 0xdfdedddc and imm_val == 3 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xdfdedddc; immval:0x3
TEST_RI_OP(sm4ed, x10, x11, 0x3, 0x00000000, 0x0, 0xdfdedddc, x1, 132, x7)

inst_54:
// rs1_val == 0 and rs2_val == 0xdfdedddc and imm_val == 2 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xdfdedddc; immval:0x2
TEST_RI_OP(sm4ed, x10, x11, 0x2, 0x00000000, 0x0, 0xdfdedddc, x1, 136, x7)

inst_55:
// rs1_val == 0 and rs2_val == 0xdfdedddc and imm_val == 1 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xdfdedddc; immval:0x1
TEST_RI_OP(sm4ed, x10, x11, 0x1, 0x00000000, 0x0, 0xdfdedddc, x1, 140, x7)

inst_56:
// rs1_val == 0 and rs2_val == 0xdfdedddc and imm_val == 0 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xdfdedddc; immval:0x0
TEST_RI_OP(sm4ed, x10, x11, 0x0, 0x00000000, 0x0, 0xdfdedddc, x1, 144, x7)

inst_57:
// rs1_val == 0 and rs2_val == 0xdbdad9d8 and imm_val == 3 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xdbdad9d8; immval:0x3
TEST_RI_OP(sm4ed, x10, x11, 0x3, 0x00000000, 0x0, 0xdbdad9d8, x1, 148, x7)

inst_58:
// rs1_val == 0 and rs2_val == 0xdbdad9d8 and imm_val == 2 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xdbdad9d8; immval:0x2
TEST_RI_OP(sm4ed, x10, x11, 0x2, 0x00000000, 0x0, 0xdbdad9d8, x1, 152, x7)

inst_59:
// rs1_val == 0 and rs2_val == 0xdbdad9d8 and imm_val == 1 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xdbdad9d8; immval:0x1
TEST_RI_OP(sm4ed, x10, x11, 0x1, 0x00000000, 0x0, 0xdbdad9d8, x1, 156, x7)

inst_60:
// rs1_val == 0 and rs2_val == 0xdbdad9d8 and imm_val == 0 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xdbdad9d8; immval:0x0
TEST_RI_OP(sm4ed, x10, x11, 0x0, 0x00000000, 0x0, 0xdbdad9d8, x1, 160, x7)

inst_61:
// rs1_val == 0 and rs2_val == 0xd7d6d5d4 and imm_val == 3 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xd7d6d5d4; immval:0x3
TEST_RI_OP(sm4ed, x10, x11, 0x3, 0x00000000, 0x0, 0xd7d6d5d4, x1, 164, x7)

inst_62:
// rs1_val == 0 and rs2_val == 0xd7d6d5d4 and imm_val == 2 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xd7d6d5d4; immval:0x2
TEST_RI_OP(sm4ed, x10, x11, 0x2, 0x00000000, 0x0, 0xd7d6d5d4, x1, 168, x7)

inst_63:
// rs1_val == 0 and rs2_val == 0xd7d6d5d4 and imm_val == 1 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xd7d6d5d4; immval:0x1
TEST_RI_OP(sm4ed, x10, x11, 0x1, 0x00000000, 0x0, 0xd7d6d5d4, x1, 172, x7)

inst_64:
// rs1_val == 0 and rs2_val == 0xd7d6d5d4 and imm_val == 0 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xd7d6d5d4; immval:0x0
TEST_RI_OP(sm4ed, x10, x11, 0x0, 0x00000000, 0x0, 0xd7d6d5d4, x1, 176, x7)

inst_65:
// rs1_val == 0 and rs2_val == 0xd3d2d1d0 and imm_val == 3 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xd3d2d1d0; immval:0x3
TEST_RI_OP(sm4ed, x10, x11, 0x3, 0x00000000, 0x0, 0xd3d2d1d0, x1, 180, x7)

inst_66:
// rs1_val == 0 and rs2_val == 0xd3d2d1d0 and imm_val == 2 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xd3d2d1d0; immval:0x2
TEST_RI_OP(sm4ed, x10, x11, 0x2, 0x00000000, 0x0, 0xd3d2d1d0, x1, 184, x7)

inst_67:
// rs1_val == 0 and rs2_val == 0xd3d2d1d0 and imm_val == 1 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xd3d2d1d0; immval:0x1
TEST_RI_OP(sm4ed, x10, x11, 0x1, 0x00000000, 0x0, 0xd3d2d1d0, x1, 188, x7)

inst_68:
// rs1_val == 0 and rs2_val == 0xd3d2d1d0 and imm_val == 0 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xd3d2d1d0; immval:0x0
TEST_RI_OP(sm4ed, x10, x11, 0x0, 0x00000000, 0x0, 0xd3d2d1d0, x1, 192, x7)

inst_69:
// rs1_val == 0 and rs2_val == 0xcfcecdcc and imm_val == 3 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xcfcecdcc; immval:0x3
TEST_RI_OP(sm4ed, x10, x11, 0x3, 0x00000000, 0x0, 0xcfcecdcc, x1, 196, x7)

inst_70:
// rs1_val == 0 and rs2_val == 0xcfcecdcc and imm_val == 2 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xcfcecdcc; immval:0x2
TEST_RI_OP(sm4ed, x10, x11, 0x2, 0x00000000, 0x0, 0xcfcecdcc, x1, 200, x7)

inst_71:
// rs1_val == 0 and rs2_val == 0xcfcecdcc and imm_val == 1 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xcfcecdcc; immval:0x1
TEST_RI_OP(sm4ed, x10, x11, 0x1, 0x00000000, 0x0, 0xcfcecdcc, x1, 204, x7)

inst_72:
// rs1_val == 0 and rs2_val == 0xcfcecdcc and imm_val == 0 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xcfcecdcc; immval:0x0
TEST_RI_OP(sm4ed, x10, x11, 0x0, 0x00000000, 0x0, 0xcfcecdcc, x1, 208, x7)

inst_73:
// rs1_val == 0 and rs2_val == 0xcbcac9c8 and imm_val == 3 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xcbcac9c8; immval:0x3
TEST_RI_OP(sm4ed, x10, x11, 0x3, 0x00000000, 0x0, 0xcbcac9c8, x1, 212, x7)

inst_74:
// rs1_val == 0 and rs2_val == 0xcbcac9c8 and imm_val == 2 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xcbcac9c8; immval:0x2
TEST_RI_OP(sm4ed, x10, x11, 0x2, 0x00000000, 0x0, 0xcbcac9c8, x1, 216, x7)

inst_75:
// rs1_val == 0 and rs2_val == 0xcbcac9c8 and imm_val == 1 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xcbcac9c8; immval:0x1
TEST_RI_OP(sm4ed, x10, x11, 0x1, 0x00000000, 0x0, 0xcbcac9c8, x1, 220, x7)

inst_76:
// rs1_val == 0 and rs2_val == 0xcbcac9c8 and imm_val == 0 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xcbcac9c8; immval:0x0
TEST_RI_OP(sm4ed, x10, x11, 0x0, 0x00000000, 0x0, 0xcbcac9c8, x1, 224, x7)

inst_77:
// rs1_val == 0 and rs2_val == 0xc7c6c5c4 and imm_val == 3 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xc7c6c5c4; immval:0x3
TEST_RI_OP(sm4ed, x10, x11, 0x3, 0x00000000, 0x0, 0xc7c6c5c4, x1, 228, x7)

inst_78:
// rs1_val == 0 and rs2_val == 0xc7c6c5c4 and imm_val == 2 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xc7c6c5c4; immval:0x2
TEST_RI_OP(sm4ed, x10, x11, 0x2, 0x00000000, 0x0, 0xc7c6c5c4, x1, 232, x7)

inst_79:
// rs1_val == 0 and rs2_val == 0xc7c6c5c4 and imm_val == 1 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xc7c6c5c4; immval:0x1
TEST_RI_OP(sm4ed, x10, x11, 0x1, 0x00000000, 0x0, 0xc7c6c5c4, x1, 236, x7)

inst_80:
// rs1_val == 0 and rs2_val == 0xc7c6c5c4 and imm_val == 0 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xc7c6c5c4; immval:0x0
TEST_RI_OP(sm4ed, x10, x11, 0x0, 0x00000000, 0x0, 0xc7c6c5c4, x1, 240, x7)

inst_81:
// rs1_val == 0 and rs2_val == 0xc3c2c1c0 and imm_val == 3 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xc3c2c1c0; immval:0x3
TEST_RI_OP(sm4ed, x10, x11, 0x3, 0x00000000, 0x0, 0xc3c2c1c0, x1, 244, x7)

inst_82:
// rs1_val == 0 and rs2_val == 0xc3c2c1c0 and imm_val == 2 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xc3c2c1c0; immval:0x2
TEST_RI_OP(sm4ed, x10, x11, 0x2, 0x00000000, 0x0, 0xc3c2c1c0, x1, 248, x7)

inst_83:
// rs1_val == 0 and rs2_val == 0xc3c2c1c0 and imm_val == 1 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xc3c2c1c0; immval:0x1
TEST_RI_OP(sm4ed, x10, x11, 0x1, 0x00000000, 0x0, 0xc3c2c1c0, x1, 252, x7)

inst_84:
// rs1_val == 0 and rs2_val == 0xc3c2c1c0 and imm_val == 0 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xc3c2c1c0; immval:0x0
TEST_RI_OP(sm4ed, x10, x11, 0x0, 0x00000000, 0x0, 0xc3c2c1c0, x1, 256, x7)

inst_85:
// rs1_val == 0 and rs2_val == 0xbfbebdbc and imm_val == 3 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xbfbebdbc; immval:0x3
TEST_RI_OP(sm4ed, x10, x11, 0x3, 0x00000000, 0x0, 0xbfbebdbc, x1, 260, x7)

inst_86:
// rs1_val == 0 and rs2_val == 0xbfbebdbc and imm_val == 2 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xbfbebdbc; immval:0x2
TEST_RI_OP(sm4ed, x10, x11, 0x2, 0x00000000, 0x0, 0xbfbebdbc, x1, 264, x7)

inst_87:
// rs1_val == 0 and rs2_val == 0xbfbebdbc and imm_val == 1 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xbfbebdbc; immval:0x1
TEST_RI_OP(sm4ed, x10, x11, 0x1, 0x00000000, 0x0, 0xbfbebdbc, x1, 268, x7)

inst_88:
// rs1_val == 0 and rs2_val == 0xbfbebdbc and imm_val == 0 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xbfbebdbc; immval:0x0
TEST_RI_OP(sm4ed, x10, x11, 0x0, 0x00000000, 0x0, 0xbfbebdbc, x1, 272, x7)

inst_89:
// rs1_val == 0 and rs2_val == 0xbbbab9b8 and imm_val == 3 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xbbbab9b8; immval:0x3
TEST_RI_OP(sm4ed, x10, x11, 0x3, 0x00000000, 0x0, 0xbbbab9b8, x1, 276, x7)

inst_90:
// rs1_val == 0 and rs2_val == 0xbbbab9b8 and imm_val == 2 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xbbbab9b8; immval:0x2
TEST_RI_OP(sm4ed, x10, x11, 0x2, 0x00000000, 0x0, 0xbbbab9b8, x1, 280, x7)

inst_91:
// rs1_val == 0 and rs2_val == 0xbbbab9b8 and imm_val == 1 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xbbbab9b8; immval:0x1
TEST_RI_OP(sm4ed, x10, x11, 0x1, 0x00000000, 0x0, 0xbbbab9b8, x1, 284, x7)

inst_92:
// rs1_val == 0 and rs2_val == 0xbbbab9b8 and imm_val == 0 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xbbbab9b8; immval:0x0
TEST_RI_OP(sm4ed, x10, x11, 0x0, 0x00000000, 0x0, 0xbbbab9b8, x1, 288, x7)

inst_93:
// rs1_val == 0 and rs2_val == 0xb7b6b5b4 and imm_val == 3 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xb7b6b5b4; immval:0x3
TEST_RI_OP(sm4ed, x10, x11, 0x3, 0x00000000, 0x0, 0xb7b6b5b4, x1, 292, x7)

inst_94:
// rs1_val == 0 and rs2_val == 0xb7b6b5b4 and imm_val == 2 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xb7b6b5b4; immval:0x2
TEST_RI_OP(sm4ed, x10, x11, 0x2, 0x00000000, 0x0, 0xb7b6b5b4, x1, 296, x7)

inst_95:
// rs1_val == 0 and rs2_val == 0xb7b6b5b4 and imm_val == 1 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xb7b6b5b4; immval:0x1
TEST_RI_OP(sm4ed, x10, x11, 0x1, 0x00000000, 0x0, 0xb7b6b5b4, x1, 300, x7)

inst_96:
// rs1_val == 0 and rs2_val == 0xb7b6b5b4 and imm_val == 0 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xb7b6b5b4; immval:0x0
TEST_RI_OP(sm4ed, x10, x11, 0x0, 0x00000000, 0x0, 0xb7b6b5b4, x1, 304, x7)

inst_97:
// rs1_val == 0 and rs2_val == 0xb3b2b1b0 and imm_val == 3 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xb3b2b1b0; immval:0x3
TEST_RI_OP(sm4ed, x10, x11, 0x3, 0x00000000, 0x0, 0xb3b2b1b0, x1, 308, x7)

inst_98:
// rs1_val == 0 and rs2_val == 0xb3b2b1b0 and imm_val == 2 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xb3b2b1b0; immval:0x2
TEST_RI_OP(sm4ed, x10, x11, 0x2, 0x00000000, 0x0, 0xb3b2b1b0, x1, 312, x7)

inst_99:
// rs1_val == 0 and rs2_val == 0xb3b2b1b0 and imm_val == 1 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xb3b2b1b0; immval:0x1
TEST_RI_OP(sm4ed, x10, x11, 0x1, 0x00000000, 0x0, 0xb3b2b1b0, x1, 316, x7)

inst_100:
// rs1_val == 0 and rs2_val == 0xb3b2b1b0 and imm_val == 0 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xb3b2b1b0; immval:0x0
TEST_RI_OP(sm4ed, x10, x11, 0x0, 0x00000000, 0x0, 0xb3b2b1b0, x1, 320, x7)

inst_101:
// rs1_val == 0 and rs2_val == 0xafaeadac and imm_val == 3 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xafaeadac; immval:0x3
TEST_RI_OP(sm4ed, x10, x11, 0x3, 0x00000000, 0x0, 0xafaeadac, x1, 324, x7)

inst_102:
// rs1_val == 0 and rs2_val == 0xafaeadac and imm_val == 2 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xafaeadac; immval:0x2
TEST_RI_OP(sm4ed, x10, x11, 0x2, 0x00000000, 0x0, 0xafaeadac, x1, 328, x7)

inst_103:
// rs1_val == 0 and rs2_val == 0xafaeadac and imm_val == 1 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xafaeadac; immval:0x1
TEST_RI_OP(sm4ed, x10, x11, 0x1, 0x00000000, 0x0, 0xafaeadac, x1, 332, x7)

inst_104:
// rs1_val == 0 and rs2_val == 0xafaeadac and imm_val == 0 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xafaeadac; immval:0x0
TEST_RI_OP(sm4ed, x10, x11, 0x0, 0x00000000, 0x0, 0xafaeadac, x1, 336, x7)

inst_105:
// rs1_val == 0 and rs2_val == 0xabaaa9a8 and imm_val == 3 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xabaaa9a8; immval:0x3
TEST_RI_OP(sm4ed, x10, x11, 0x3, 0x00000000, 0x0, 0xabaaa9a8, x1, 340, x7)

inst_106:
// rs1_val == 0 and rs2_val == 0xabaaa9a8 and imm_val == 2 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xabaaa9a8; immval:0x2
TEST_RI_OP(sm4ed, x10, x11, 0x2, 0x00000000, 0x0, 0xabaaa9a8, x1, 344, x7)

inst_107:
// rs1_val == 0 and rs2_val == 0xabaaa9a8 and imm_val == 1 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xabaaa9a8; immval:0x1
TEST_RI_OP(sm4ed, x10, x11, 0x1, 0x00000000, 0x0, 0xabaaa9a8, x1, 348, x7)

inst_108:
// rs1_val == 0 and rs2_val == 0xabaaa9a8 and imm_val == 0 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xabaaa9a8; immval:0x0
TEST_RI_OP(sm4ed, x10, x11, 0x0, 0x00000000, 0x0, 0xabaaa9a8, x1, 352, x7)

inst_109:
// rs1_val == 0 and rs2_val == 0xa7a6a5a4 and imm_val == 3 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xa7a6a5a4; immval:0x3
TEST_RI_OP(sm4ed, x10, x11, 0x3, 0x00000000, 0x0, 0xa7a6a5a4, x1, 356, x7)

inst_110:
// rs1_val == 0 and rs2_val == 0xa7a6a5a4 and imm_val == 2 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xa7a6a5a4; immval:0x2
TEST_RI_OP(sm4ed, x10, x11, 0x2, 0x00000000, 0x0, 0xa7a6a5a4, x1, 360, x7)

inst_111:
// rs1_val == 0 and rs2_val == 0xa7a6a5a4 and imm_val == 1 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xa7a6a5a4; immval:0x1
TEST_RI_OP(sm4ed, x10, x11, 0x1, 0x00000000, 0x0, 0xa7a6a5a4, x1, 364, x7)

inst_112:
// rs1_val == 0 and rs2_val == 0xa7a6a5a4 and imm_val == 0 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xa7a6a5a4; immval:0x0
TEST_RI_OP(sm4ed, x10, x11, 0x0, 0x00000000, 0x0, 0xa7a6a5a4, x1, 368, x7)

inst_113:
// rs1_val == 0 and rs2_val == 0xa3a2a1a0 and imm_val == 3 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xa3a2a1a0; immval:0x3
TEST_RI_OP(sm4ed, x10, x11, 0x3, 0x00000000, 0x0, 0xa3a2a1a0, x1, 372, x7)

inst_114:
// rs1_val == 0 and rs2_val == 0xa3a2a1a0 and imm_val == 2 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xa3a2a1a0; immval:0x2
TEST_RI_OP(sm4ed, x10, x11, 0x2, 0x00000000, 0x0, 0xa3a2a1a0, x1, 376, x7)

inst_115:
// rs1_val == 0 and rs2_val == 0xa3a2a1a0 and imm_val == 1 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xa3a2a1a0; immval:0x1
TEST_RI_OP(sm4ed, x10, x11, 0x1, 0x00000000, 0x0, 0xa3a2a1a0, x1, 380, x7)

inst_116:
// rs1_val == 0 and rs2_val == 0xa3a2a1a0 and imm_val == 0 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xa3a2a1a0; immval:0x0
TEST_RI_OP(sm4ed, x10, x11, 0x0, 0x00000000, 0x0, 0xa3a2a1a0, x1, 384, x7)

inst_117:
// rs1_val == 0 and rs2_val == 0x9f9e9d9c and imm_val == 3 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x9f9e9d9c; immval:0x3
TEST_RI_OP(sm4ed, x10, x11, 0x3, 0x00000000, 0x0, 0x9f9e9d9c, x1, 388, x7)

inst_118:
// rs1_val == 0 and rs2_val == 0x9f9e9d9c and imm_val == 2 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x9f9e9d9c; immval:0x2
TEST_RI_OP(sm4ed, x10, x11, 0x2, 0x00000000, 0x0, 0x9f9e9d9c, x1, 392, x7)

inst_119:
// rs1_val == 0 and rs2_val == 0x9f9e9d9c and imm_val == 1 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x9f9e9d9c; immval:0x1
TEST_RI_OP(sm4ed, x10, x11, 0x1, 0x00000000, 0x0, 0x9f9e9d9c, x1, 396, x7)

inst_120:
// rs1_val == 0 and rs2_val == 0x9f9e9d9c and imm_val == 0 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x9f9e9d9c; immval:0x0
TEST_RI_OP(sm4ed, x10, x11, 0x0, 0x00000000, 0x0, 0x9f9e9d9c, x1, 400, x7)

inst_121:
// rs1_val == 0 and rs2_val == 0x9b9a9998 and imm_val == 3 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x9b9a9998; immval:0x3
TEST_RI_OP(sm4ed, x10, x11, 0x3, 0x00000000, 0x0, 0x9b9a9998, x1, 404, x7)

inst_122:
// rs1_val == 0 and rs2_val == 0x9b9a9998 and imm_val == 2 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x9b9a9998; immval:0x2
TEST_RI_OP(sm4ed, x10, x11, 0x2, 0x00000000, 0x0, 0x9b9a9998, x1, 408, x7)

inst_123:
// rs1_val == 0 and rs2_val == 0x9b9a9998 and imm_val == 1 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x9b9a9998; immval:0x1
TEST_RI_OP(sm4ed, x10, x11, 0x1, 0x00000000, 0x0, 0x9b9a9998, x1, 412, x7)

inst_124:
// rs1_val == 0 and rs2_val == 0x9b9a9998 and imm_val == 0 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x9b9a9998; immval:0x0
TEST_RI_OP(sm4ed, x10, x11, 0x0, 0x00000000, 0x0, 0x9b9a9998, x1, 416, x7)

inst_125:
// rs1_val == 0 and rs2_val == 0x97969594 and imm_val == 3 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x97969594; immval:0x3
TEST_RI_OP(sm4ed, x10, x11, 0x3, 0x00000000, 0x0, 0x97969594, x1, 420, x7)

inst_126:
// rs1_val == 0 and rs2_val == 0x97969594 and imm_val == 2 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x97969594; immval:0x2
TEST_RI_OP(sm4ed, x10, x11, 0x2, 0x00000000, 0x0, 0x97969594, x1, 424, x7)

inst_127:
// rs1_val == 0 and rs2_val == 0x97969594 and imm_val == 1 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x97969594; immval:0x1
TEST_RI_OP(sm4ed, x10, x11, 0x1, 0x00000000, 0x0, 0x97969594, x1, 428, x7)

inst_128:
// rs1_val == 0 and rs2_val == 0x97969594 and imm_val == 0 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x97969594; immval:0x0
TEST_RI_OP(sm4ed, x10, x11, 0x0, 0x00000000, 0x0, 0x97969594, x1, 432, x7)

inst_129:
// rs1_val == 0 and rs2_val == 0x93929190 and imm_val == 3 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x93929190; immval:0x3
TEST_RI_OP(sm4ed, x10, x11, 0x3, 0x00000000, 0x0, 0x93929190, x1, 436, x7)

inst_130:
// rs1_val == 0 and rs2_val == 0x93929190 and imm_val == 2 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x93929190; immval:0x2
TEST_RI_OP(sm4ed, x10, x11, 0x2, 0x00000000, 0x0, 0x93929190, x1, 440, x7)

inst_131:
// rs1_val == 0 and rs2_val == 0x93929190 and imm_val == 1 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x93929190; immval:0x1
TEST_RI_OP(sm4ed, x10, x11, 0x1, 0x00000000, 0x0, 0x93929190, x1, 444, x7)

inst_132:
// rs1_val == 0 and rs2_val == 0x93929190 and imm_val == 0 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x93929190; immval:0x0
TEST_RI_OP(sm4ed, x10, x11, 0x0, 0x00000000, 0x0, 0x93929190, x1, 448, x7)

inst_133:
// rs1_val == 0 and rs2_val == 0x8f8e8d8c and imm_val == 3 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x8f8e8d8c; immval:0x3
TEST_RI_OP(sm4ed, x10, x11, 0x3, 0x00000000, 0x0, 0x8f8e8d8c, x1, 452, x7)

inst_134:
// rs1_val == 0 and rs2_val == 0x8f8e8d8c and imm_val == 2 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x8f8e8d8c; immval:0x2
TEST_RI_OP(sm4ed, x10, x11, 0x2, 0x00000000, 0x0, 0x8f8e8d8c, x1, 456, x7)

inst_135:
// rs1_val == 0 and rs2_val == 0x8f8e8d8c and imm_val == 1 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x8f8e8d8c; immval:0x1
TEST_RI_OP(sm4ed, x10, x11, 0x1, 0x00000000, 0x0, 0x8f8e8d8c, x1, 460, x7)

inst_136:
// rs1_val == 0 and rs2_val == 0x8f8e8d8c and imm_val == 0 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x8f8e8d8c; immval:0x0
TEST_RI_OP(sm4ed, x10, x11, 0x0, 0x00000000, 0x0, 0x8f8e8d8c, x1, 464, x7)

inst_137:
// rs1_val == 0 and rs2_val == 0x8b8a8988 and imm_val == 3 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x8b8a8988; immval:0x3
TEST_RI_OP(sm4ed, x10, x11, 0x3, 0x00000000, 0x0, 0x8b8a8988, x1, 468, x7)

inst_138:
// rs1_val == 0 and rs2_val == 0x8b8a8988 and imm_val == 2 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x8b8a8988; immval:0x2
TEST_RI_OP(sm4ed, x10, x11, 0x2, 0x00000000, 0x0, 0x8b8a8988, x1, 472, x7)

inst_139:
// rs1_val == 0 and rs2_val == 0x8b8a8988 and imm_val == 1 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x8b8a8988; immval:0x1
TEST_RI_OP(sm4ed, x10, x11, 0x1, 0x00000000, 0x0, 0x8b8a8988, x1, 476, x7)

inst_140:
// rs1_val == 0 and rs2_val == 0x8b8a8988 and imm_val == 0 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x8b8a8988; immval:0x0
TEST_RI_OP(sm4ed, x10, x11, 0x0, 0x00000000, 0x0, 0x8b8a8988, x1, 480, x7)

inst_141:
// rs1_val == 0 and rs2_val == 0x87868584 and imm_val == 3 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x87868584; immval:0x3
TEST_RI_OP(sm4ed, x10, x11, 0x3, 0x00000000, 0x0, 0x87868584, x1, 484, x7)

inst_142:
// rs1_val == 0 and rs2_val == 0x87868584 and imm_val == 2 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x87868584; immval:0x2
TEST_RI_OP(sm4ed, x10, x11, 0x2, 0x00000000, 0x0, 0x87868584, x1, 488, x7)

inst_143:
// rs1_val == 0 and rs2_val == 0x87868584 and imm_val == 1 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x87868584; immval:0x1
TEST_RI_OP(sm4ed, x10, x11, 0x1, 0x00000000, 0x0, 0x87868584, x1, 492, x7)

inst_144:
// rs1_val == 0 and rs2_val == 0x87868584 and imm_val == 0 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x87868584; immval:0x0
TEST_RI_OP(sm4ed, x10, x11, 0x0, 0x00000000, 0x0, 0x87868584, x1, 496, x7)

inst_145:
// rs1_val == 0 and rs2_val == 0x83828180 and imm_val == 3 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x83828180; immval:0x3
TEST_RI_OP(sm4ed, x10, x11, 0x3, 0x00000000, 0x0, 0x83828180, x1, 500, x7)

inst_146:
// rs1_val == 0 and rs2_val == 0x83828180 and imm_val == 2 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x83828180; immval:0x2
TEST_RI_OP(sm4ed, x10, x11, 0x2, 0x00000000, 0x0, 0x83828180, x1, 504, x7)

inst_147:
// rs1_val == 0 and rs2_val == 0x83828180 and imm_val == 1 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x83828180; immval:0x1
TEST_RI_OP(sm4ed, x10, x11, 0x1, 0x00000000, 0x0, 0x83828180, x1, 508, x7)

inst_148:
// rs1_val == 0 and rs2_val == 0x83828180 and imm_val == 0 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x83828180; immval:0x0
TEST_RI_OP(sm4ed, x10, x11, 0x0, 0x00000000, 0x0, 0x83828180, x1, 512, x7)

inst_149:
// rs1_val == 0 and rs2_val == 0x7f7e7d7c and imm_val == 3 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x7f7e7d7c; immval:0x3
TEST_RI_OP(sm4ed, x10, x11, 0x3, 0x00000000, 0x0, 0x7f7e7d7c, x1, 516, x7)

inst_150:
// rs1_val == 0 and rs2_val == 0x7f7e7d7c and imm_val == 2 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x7f7e7d7c; immval:0x2
TEST_RI_OP(sm4ed, x10, x11, 0x2, 0x00000000, 0x0, 0x7f7e7d7c, x1, 520, x7)

inst_151:
// rs1_val == 0 and rs2_val == 0x7f7e7d7c and imm_val == 1 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x7f7e7d7c; immval:0x1
TEST_RI_OP(sm4ed, x10, x11, 0x1, 0x00000000, 0x0, 0x7f7e7d7c, x1, 524, x7)

inst_152:
// rs1_val == 0 and rs2_val == 0x7f7e7d7c and imm_val == 0 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x7f7e7d7c; immval:0x0
TEST_RI_OP(sm4ed, x10, x11, 0x0, 0x00000000, 0x0, 0x7f7e7d7c, x1, 528, x7)

inst_153:
// rs1_val == 0 and rs2_val == 0x7b7a7978 and imm_val == 3 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x7b7a7978; immval:0x3
TEST_RI_OP(sm4ed, x10, x11, 0x3, 0x00000000, 0x0, 0x7b7a7978, x1, 532, x7)

inst_154:
// rs1_val == 0 and rs2_val == 0x7b7a7978 and imm_val == 2 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x7b7a7978; immval:0x2
TEST_RI_OP(sm4ed, x10, x11, 0x2, 0x00000000, 0x0, 0x7b7a7978, x1, 536, x7)

inst_155:
// rs1_val == 0 and rs2_val == 0x7b7a7978 and imm_val == 1 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x7b7a7978; immval:0x1
TEST_RI_OP(sm4ed, x10, x11, 0x1, 0x00000000, 0x0, 0x7b7a7978, x1, 540, x7)

inst_156:
// rs1_val == 0 and rs2_val == 0x7b7a7978 and imm_val == 0 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x7b7a7978; immval:0x0
TEST_RI_OP(sm4ed, x10, x11, 0x0, 0x00000000, 0x0, 0x7b7a7978, x1, 544, x7)

inst_157:
// rs1_val == 0 and rs2_val == 0x77767574 and imm_val == 3 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x77767574; immval:0x3
TEST_RI_OP(sm4ed, x10, x11, 0x3, 0x00000000, 0x0, 0x77767574, x1, 548, x7)

inst_158:
// rs1_val == 0 and rs2_val == 0x77767574 and imm_val == 2 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x77767574; immval:0x2
TEST_RI_OP(sm4ed, x10, x11, 0x2, 0x00000000, 0x0, 0x77767574, x1, 552, x7)

inst_159:
// rs1_val == 0 and rs2_val == 0x77767574 and imm_val == 1 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x77767574; immval:0x1
TEST_RI_OP(sm4ed, x10, x11, 0x1, 0x00000000, 0x0, 0x77767574, x1, 556, x7)

inst_160:
// rs1_val == 0 and rs2_val == 0x77767574 and imm_val == 0 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x77767574; immval:0x0
TEST_RI_OP(sm4ed, x10, x11, 0x0, 0x00000000, 0x0, 0x77767574, x1, 560, x7)

inst_161:
// rs1_val == 0 and rs2_val == 0x73727170 and imm_val == 3 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x73727170; immval:0x3
TEST_RI_OP(sm4ed, x10, x11, 0x3, 0x00000000, 0x0, 0x73727170, x1, 564, x7)

inst_162:
// rs1_val == 0 and rs2_val == 0x73727170 and imm_val == 2 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x73727170; immval:0x2
TEST_RI_OP(sm4ed, x10, x11, 0x2, 0x00000000, 0x0, 0x73727170, x1, 568, x7)

inst_163:
// rs1_val == 0 and rs2_val == 0x73727170 and imm_val == 1 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x73727170; immval:0x1
TEST_RI_OP(sm4ed, x10, x11, 0x1, 0x00000000, 0x0, 0x73727170, x1, 572, x7)

inst_164:
// rs1_val == 0 and rs2_val == 0x73727170 and imm_val == 0 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x73727170; immval:0x0
TEST_RI_OP(sm4ed, x10, x11, 0x0, 0x00000000, 0x0, 0x73727170, x1, 576, x7)

inst_165:
// rs1_val == 0 and rs2_val == 0x6f6e6d6c and imm_val == 3 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x6f6e6d6c; immval:0x3
TEST_RI_OP(sm4ed, x10, x11, 0x3, 0x00000000, 0x0, 0x6f6e6d6c, x1, 580, x7)

inst_166:
// rs1_val == 0 and rs2_val == 0x6f6e6d6c and imm_val == 2 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x6f6e6d6c; immval:0x2
TEST_RI_OP(sm4ed, x10, x11, 0x2, 0x00000000, 0x0, 0x6f6e6d6c, x1, 584, x7)

inst_167:
// rs1_val == 0 and rs2_val == 0x6f6e6d6c and imm_val == 1 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x6f6e6d6c; immval:0x1
TEST_RI_OP(sm4ed, x10, x11, 0x1, 0x00000000, 0x0, 0x6f6e6d6c, x1, 588, x7)

inst_168:
// rs1_val == 0 and rs2_val == 0x6f6e6d6c and imm_val == 0 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x6f6e6d6c; immval:0x0
TEST_RI_OP(sm4ed, x10, x11, 0x0, 0x00000000, 0x0, 0x6f6e6d6c, x1, 592, x7)

inst_169:
// rs1_val == 0 and rs2_val == 0x6b6a6968 and imm_val == 3 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x6b6a6968; immval:0x3
TEST_RI_OP(sm4ed, x10, x11, 0x3, 0x00000000, 0x0, 0x6b6a6968, x1, 596, x7)

inst_170:
// rs1_val == 0 and rs2_val == 0x6b6a6968 and imm_val == 2 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x6b6a6968; immval:0x2
TEST_RI_OP(sm4ed, x10, x11, 0x2, 0x00000000, 0x0, 0x6b6a6968, x1, 600, x7)

inst_171:
// rs1_val == 0 and rs2_val == 0x6b6a6968 and imm_val == 1 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x6b6a6968; immval:0x1
TEST_RI_OP(sm4ed, x10, x11, 0x1, 0x00000000, 0x0, 0x6b6a6968, x1, 604, x7)

inst_172:
// rs1_val == 0 and rs2_val == 0x6b6a6968 and imm_val == 0 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x6b6a6968; immval:0x0
TEST_RI_OP(sm4ed, x10, x11, 0x0, 0x00000000, 0x0, 0x6b6a6968, x1, 608, x7)

inst_173:
// rs1_val == 0 and rs2_val == 0x67666564 and imm_val == 3 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x67666564; immval:0x3
TEST_RI_OP(sm4ed, x10, x11, 0x3, 0x00000000, 0x0, 0x67666564, x1, 612, x7)

inst_174:
// rs1_val == 0 and rs2_val == 0x67666564 and imm_val == 2 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x67666564; immval:0x2
TEST_RI_OP(sm4ed, x10, x11, 0x2, 0x00000000, 0x0, 0x67666564, x1, 616, x7)

inst_175:
// rs1_val == 0 and rs2_val == 0x67666564 and imm_val == 1 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x67666564; immval:0x1
TEST_RI_OP(sm4ed, x10, x11, 0x1, 0x00000000, 0x0, 0x67666564, x1, 620, x7)

inst_176:
// rs1_val == 0 and rs2_val == 0x67666564 and imm_val == 0 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x67666564; immval:0x0
TEST_RI_OP(sm4ed, x10, x11, 0x0, 0x00000000, 0x0, 0x67666564, x1, 624, x7)

inst_177:
// rs1_val == 0 and rs2_val == 0x63626160 and imm_val == 3 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x63626160; immval:0x3
TEST_RI_OP(sm4ed, x10, x11, 0x3, 0x00000000, 0x0, 0x63626160, x1, 628, x7)

inst_178:
// rs1_val == 0 and rs2_val == 0x63626160 and imm_val == 2 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x63626160; immval:0x2
TEST_RI_OP(sm4ed, x10, x11, 0x2, 0x00000000, 0x0, 0x63626160, x1, 632, x7)

inst_179:
// rs1_val == 0 and rs2_val == 0x63626160 and imm_val == 1 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x63626160; immval:0x1
TEST_RI_OP(sm4ed, x10, x11, 0x1, 0x00000000, 0x0, 0x63626160, x1, 636, x7)

inst_180:
// rs1_val == 0 and rs2_val == 0x63626160 and imm_val == 0 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x63626160; immval:0x0
TEST_RI_OP(sm4ed, x10, x11, 0x0, 0x00000000, 0x0, 0x63626160, x1, 640, x7)

inst_181:
// rs1_val == 0 and rs2_val == 0x5f5e5d5c and imm_val == 3 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x5f5e5d5c; immval:0x3
TEST_RI_OP(sm4ed, x10, x11, 0x3, 0x00000000, 0x0, 0x5f5e5d5c, x1, 644, x7)

inst_182:
// rs1_val == 0 and rs2_val == 0x5f5e5d5c and imm_val == 2 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x5f5e5d5c; immval:0x2
TEST_RI_OP(sm4ed, x10, x11, 0x2, 0x00000000, 0x0, 0x5f5e5d5c, x1, 648, x7)

inst_183:
// rs1_val == 0 and rs2_val == 0x5f5e5d5c and imm_val == 1 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x5f5e5d5c; immval:0x1
TEST_RI_OP(sm4ed, x10, x11, 0x1, 0x00000000, 0x0, 0x5f5e5d5c, x1, 652, x7)

inst_184:
// rs1_val == 0 and rs2_val == 0x5f5e5d5c and imm_val == 0 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x5f5e5d5c; immval:0x0
TEST_RI_OP(sm4ed, x10, x11, 0x0, 0x00000000, 0x0, 0x5f5e5d5c, x1, 656, x7)

inst_185:
// rs1_val == 0 and rs2_val == 0x5b5a5958 and imm_val == 3 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x5b5a5958; immval:0x3
TEST_RI_OP(sm4ed, x10, x11, 0x3, 0x00000000, 0x0, 0x5b5a5958, x1, 660, x7)

inst_186:
// rs1_val == 0 and rs2_val == 0x5b5a5958 and imm_val == 2 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x5b5a5958; immval:0x2
TEST_RI_OP(sm4ed, x10, x11, 0x2, 0x00000000, 0x0, 0x5b5a5958, x1, 664, x7)

inst_187:
// rs1_val == 0 and rs2_val == 0x5b5a5958 and imm_val == 1 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x5b5a5958; immval:0x1
TEST_RI_OP(sm4ed, x10, x11, 0x1, 0x00000000, 0x0, 0x5b5a5958, x1, 668, x7)

inst_188:
// rs1_val == 0 and rs2_val == 0x5b5a5958 and imm_val == 0 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x5b5a5958; immval:0x0
TEST_RI_OP(sm4ed, x10, x11, 0x0, 0x00000000, 0x0, 0x5b5a5958, x1, 672, x7)

inst_189:
// rs1_val == 0 and rs2_val == 0x57565554 and imm_val == 3 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x57565554; immval:0x3
TEST_RI_OP(sm4ed, x10, x11, 0x3, 0x00000000, 0x0, 0x57565554, x1, 676, x7)

inst_190:
// rs1_val == 0 and rs2_val == 0x57565554 and imm_val == 2 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x57565554; immval:0x2
TEST_RI_OP(sm4ed, x10, x11, 0x2, 0x00000000, 0x0, 0x57565554, x1, 680, x7)

inst_191:
// rs1_val == 0 and rs2_val == 0x57565554 and imm_val == 1 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x57565554; immval:0x1
TEST_RI_OP(sm4ed, x10, x11, 0x1, 0x00000000, 0x0, 0x57565554, x1, 684, x7)

inst_192:
// rs1_val == 0 and rs2_val == 0x57565554 and imm_val == 0 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x57565554; immval:0x0
TEST_RI_OP(sm4ed, x10, x11, 0x0, 0x00000000, 0x0, 0x57565554, x1, 688, x7)

inst_193:
// rs1_val == 0 and rs2_val == 0x53525150 and imm_val == 3 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x53525150; immval:0x3
TEST_RI_OP(sm4ed, x10, x11, 0x3, 0x00000000, 0x0, 0x53525150, x1, 692, x7)

inst_194:
// rs1_val == 0 and rs2_val == 0x53525150 and imm_val == 2 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x53525150; immval:0x2
TEST_RI_OP(sm4ed, x10, x11, 0x2, 0x00000000, 0x0, 0x53525150, x1, 696, x7)

inst_195:
// rs1_val == 0 and rs2_val == 0x53525150 and imm_val == 1 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x53525150; immval:0x1
TEST_RI_OP(sm4ed, x10, x11, 0x1, 0x00000000, 0x0, 0x53525150, x1, 700, x7)

inst_196:
// rs1_val == 0 and rs2_val == 0x53525150 and imm_val == 0 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x53525150; immval:0x0
TEST_RI_OP(sm4ed, x10, x11, 0x0, 0x00000000, 0x0, 0x53525150, x1, 704, x7)

inst_197:
// rs1_val == 0 and rs2_val == 0x4f4e4d4c and imm_val == 3 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x4f4e4d4c; immval:0x3
TEST_RI_OP(sm4ed, x10, x11, 0x3, 0x00000000, 0x0, 0x4f4e4d4c, x1, 708, x7)

inst_198:
// rs1_val == 0 and rs2_val == 0x4f4e4d4c and imm_val == 2 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x4f4e4d4c; immval:0x2
TEST_RI_OP(sm4ed, x10, x11, 0x2, 0x00000000, 0x0, 0x4f4e4d4c, x1, 712, x7)

inst_199:
// rs1_val == 0 and rs2_val == 0x4f4e4d4c and imm_val == 1 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x4f4e4d4c; immval:0x1
TEST_RI_OP(sm4ed, x10, x11, 0x1, 0x00000000, 0x0, 0x4f4e4d4c, x1, 716, x7)

inst_200:
// rs1_val == 0 and rs2_val == 0x4f4e4d4c and imm_val == 0 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x4f4e4d4c; immval:0x0
TEST_RI_OP(sm4ed, x10, x11, 0x0, 0x00000000, 0x0, 0x4f4e4d4c, x1, 720, x7)

inst_201:
// rs1_val == 0 and rs2_val == 0x4b4a4948 and imm_val == 3 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x4b4a4948; immval:0x3
TEST_RI_OP(sm4ed, x10, x11, 0x3, 0x00000000, 0x0, 0x4b4a4948, x1, 724, x7)

inst_202:
// rs1_val == 0 and rs2_val == 0x4b4a4948 and imm_val == 2 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x4b4a4948; immval:0x2
TEST_RI_OP(sm4ed, x10, x11, 0x2, 0x00000000, 0x0, 0x4b4a4948, x1, 728, x7)

inst_203:
// rs1_val == 0 and rs2_val == 0x4b4a4948 and imm_val == 1 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x4b4a4948; immval:0x1
TEST_RI_OP(sm4ed, x10, x11, 0x1, 0x00000000, 0x0, 0x4b4a4948, x1, 732, x7)

inst_204:
// rs1_val == 0 and rs2_val == 0x4b4a4948 and imm_val == 0 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x4b4a4948; immval:0x0
TEST_RI_OP(sm4ed, x10, x11, 0x0, 0x00000000, 0x0, 0x4b4a4948, x1, 736, x7)

inst_205:
// rs1_val == 0 and rs2_val == 0x47464544 and imm_val == 3 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x47464544; immval:0x3
TEST_RI_OP(sm4ed, x10, x11, 0x3, 0x00000000, 0x0, 0x47464544, x1, 740, x7)

inst_206:
// rs1_val == 0 and rs2_val == 0x47464544 and imm_val == 2 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x47464544; immval:0x2
TEST_RI_OP(sm4ed, x10, x11, 0x2, 0x00000000, 0x0, 0x47464544, x1, 744, x7)

inst_207:
// rs1_val == 0 and rs2_val == 0x47464544 and imm_val == 1 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x47464544; immval:0x1
TEST_RI_OP(sm4ed, x10, x11, 0x1, 0x00000000, 0x0, 0x47464544, x1, 748, x7)

inst_208:
// rs1_val == 0 and rs2_val == 0x47464544 and imm_val == 0 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x47464544; immval:0x0
TEST_RI_OP(sm4ed, x10, x11, 0x0, 0x00000000, 0x0, 0x47464544, x1, 752, x7)

inst_209:
// rs1_val == 0 and rs2_val == 0x43424140 and imm_val == 3 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x43424140; immval:0x3
TEST_RI_OP(sm4ed, x10, x11, 0x3, 0x00000000, 0x0, 0x43424140, x1, 756, x7)

inst_210:
// rs1_val == 0 and rs2_val == 0x43424140 and imm_val == 2 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x43424140; immval:0x2
TEST_RI_OP(sm4ed, x10, x11, 0x2, 0x00000000, 0x0, 0x43424140, x1, 760, x7)

inst_211:
// rs1_val == 0 and rs2_val == 0x43424140 and imm_val == 1 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x43424140; immval:0x1
TEST_RI_OP(sm4ed, x10, x11, 0x1, 0x00000000, 0x0, 0x43424140, x1, 764, x7)

inst_212:
// rs1_val == 0 and rs2_val == 0x43424140 and imm_val == 0 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x43424140; immval:0x0
TEST_RI_OP(sm4ed, x10, x11, 0x0, 0x00000000, 0x0, 0x43424140, x1, 768, x7)

inst_213:
// rs1_val == 0 and rs2_val == 0x3f3e3d3c and imm_val == 3 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x3f3e3d3c; immval:0x3
TEST_RI_OP(sm4ed, x10, x11, 0x3, 0x00000000, 0x0, 0x3f3e3d3c, x1, 772, x7)

inst_214:
// rs1_val == 0 and rs2_val == 0x3f3e3d3c and imm_val == 2 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x3f3e3d3c; immval:0x2
TEST_RI_OP(sm4ed, x10, x11, 0x2, 0x00000000, 0x0, 0x3f3e3d3c, x1, 776, x7)

inst_215:
// rs1_val == 0 and rs2_val == 0x3f3e3d3c and imm_val == 1 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x3f3e3d3c; immval:0x1
TEST_RI_OP(sm4ed, x10, x11, 0x1, 0x00000000, 0x0, 0x3f3e3d3c, x1, 780, x7)

inst_216:
// rs1_val == 0 and rs2_val == 0x3f3e3d3c and imm_val == 0 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x3f3e3d3c; immval:0x0
TEST_RI_OP(sm4ed, x10, x11, 0x0, 0x00000000, 0x0, 0x3f3e3d3c, x1, 784, x7)

inst_217:
// rs1_val == 0 and rs2_val == 0x3b3a3938 and imm_val == 3 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x3b3a3938; immval:0x3
TEST_RI_OP(sm4ed, x10, x11, 0x3, 0x00000000, 0x0, 0x3b3a3938, x1, 788, x7)

inst_218:
// rs1_val == 0 and rs2_val == 0x3b3a3938 and imm_val == 2 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x3b3a3938; immval:0x2
TEST_RI_OP(sm4ed, x10, x11, 0x2, 0x00000000, 0x0, 0x3b3a3938, x1, 792, x7)

inst_219:
// rs1_val == 0 and rs2_val == 0x3b3a3938 and imm_val == 1 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x3b3a3938; immval:0x1
TEST_RI_OP(sm4ed, x10, x11, 0x1, 0x00000000, 0x0, 0x3b3a3938, x1, 796, x7)

inst_220:
// rs1_val == 0 and rs2_val == 0x3b3a3938 and imm_val == 0 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x3b3a3938; immval:0x0
TEST_RI_OP(sm4ed, x10, x11, 0x0, 0x00000000, 0x0, 0x3b3a3938, x1, 800, x7)

inst_221:
// rs1_val == 0 and rs2_val == 0x37363534 and imm_val == 3 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x37363534; immval:0x3
TEST_RI_OP(sm4ed, x10, x11, 0x3, 0x00000000, 0x0, 0x37363534, x1, 804, x7)

inst_222:
// rs1_val == 0 and rs2_val == 0x37363534 and imm_val == 2 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x37363534; immval:0x2
TEST_RI_OP(sm4ed, x10, x11, 0x2, 0x00000000, 0x0, 0x37363534, x1, 808, x7)

inst_223:
// rs1_val == 0 and rs2_val == 0x37363534 and imm_val == 1 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x37363534; immval:0x1
TEST_RI_OP(sm4ed, x10, x11, 0x1, 0x00000000, 0x0, 0x37363534, x1, 812, x7)

inst_224:
// rs1_val == 0 and rs2_val == 0x37363534 and imm_val == 0 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x37363534; immval:0x0
TEST_RI_OP(sm4ed, x10, x11, 0x0, 0x00000000, 0x0, 0x37363534, x1, 816, x7)

inst_225:
// rs1_val == 0 and rs2_val == 0x33323130 and imm_val == 3 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x33323130; immval:0x3
TEST_RI_OP(sm4ed, x10, x11, 0x3, 0x00000000, 0x0, 0x33323130, x1, 820, x7)

inst_226:
// rs1_val == 0 and rs2_val == 0x33323130 and imm_val == 2 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x33323130; immval:0x2
TEST_RI_OP(sm4ed, x10, x11, 0x2, 0x00000000, 0x0, 0x33323130, x1, 824, x7)

inst_227:
// rs1_val == 0 and rs2_val == 0x33323130 and imm_val == 1 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x33323130; immval:0x1
TEST_RI_OP(sm4ed, x10, x11, 0x1, 0x00000000, 0x0, 0x33323130, x1, 828, x7)

inst_228:
// rs1_val == 0 and rs2_val == 0x33323130 and imm_val == 0 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x33323130; immval:0x0
TEST_RI_OP(sm4ed, x10, x11, 0x0, 0x00000000, 0x0, 0x33323130, x1, 832, x7)

inst_229:
// rs1_val == 0 and rs2_val == 0x2f2e2d2c and imm_val == 3 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x2f2e2d2c; immval:0x3
TEST_RI_OP(sm4ed, x10, x11, 0x3, 0x00000000, 0x0, 0x2f2e2d2c, x1, 836, x7)

inst_230:
// rs1_val == 0 and rs2_val == 0x2f2e2d2c and imm_val == 2 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x2f2e2d2c; immval:0x2
TEST_RI_OP(sm4ed, x10, x11, 0x2, 0x00000000, 0x0, 0x2f2e2d2c, x1, 840, x7)

inst_231:
// rs1_val == 0 and rs2_val == 0x2f2e2d2c and imm_val == 1 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x2f2e2d2c; immval:0x1
TEST_RI_OP(sm4ed, x10, x11, 0x1, 0x00000000, 0x0, 0x2f2e2d2c, x1, 844, x7)

inst_232:
// rs1_val == 0 and rs2_val == 0x2f2e2d2c and imm_val == 0 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x2f2e2d2c; immval:0x0
TEST_RI_OP(sm4ed, x10, x11, 0x0, 0x00000000, 0x0, 0x2f2e2d2c, x1, 848, x7)

inst_233:
// rs1_val == 0 and rs2_val == 0x2b2a2928 and imm_val == 3 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x2b2a2928; immval:0x3
TEST_RI_OP(sm4ed, x10, x11, 0x3, 0x00000000, 0x0, 0x2b2a2928, x1, 852, x7)

inst_234:
// rs1_val == 0 and rs2_val == 0x2b2a2928 and imm_val == 2 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x2b2a2928; immval:0x2
TEST_RI_OP(sm4ed, x10, x11, 0x2, 0x00000000, 0x0, 0x2b2a2928, x1, 856, x7)

inst_235:
// rs1_val == 0 and rs2_val == 0x2b2a2928 and imm_val == 1 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x2b2a2928; immval:0x1
TEST_RI_OP(sm4ed, x10, x11, 0x1, 0x00000000, 0x0, 0x2b2a2928, x1, 860, x7)

inst_236:
// rs1_val == 0 and rs2_val == 0x2b2a2928 and imm_val == 0 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x2b2a2928; immval:0x0
TEST_RI_OP(sm4ed, x10, x11, 0x0, 0x00000000, 0x0, 0x2b2a2928, x1, 864, x7)

inst_237:
// rs1_val == 0 and rs2_val == 0x27262524 and imm_val == 3 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x27262524; immval:0x3
TEST_RI_OP(sm4ed, x10, x11, 0x3, 0x00000000, 0x0, 0x27262524, x1, 868, x7)

inst_238:
// rs1_val == 0 and rs2_val == 0x27262524 and imm_val == 2 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x27262524; immval:0x2
TEST_RI_OP(sm4ed, x10, x11, 0x2, 0x00000000, 0x0, 0x27262524, x1, 872, x7)

inst_239:
// rs1_val == 0 and rs2_val == 0x27262524 and imm_val == 1 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x27262524; immval:0x1
TEST_RI_OP(sm4ed, x10, x11, 0x1, 0x00000000, 0x0, 0x27262524, x1, 876, x7)

inst_240:
// rs1_val == 0 and rs2_val == 0x27262524 and imm_val == 0 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x27262524; immval:0x0
TEST_RI_OP(sm4ed, x10, x11, 0x0, 0x00000000, 0x0, 0x27262524, x1, 880, x7)

inst_241:
// rs1_val == 0 and rs2_val == 0x23222120 and imm_val == 3 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x23222120; immval:0x3
TEST_RI_OP(sm4ed, x10, x11, 0x3, 0x00000000, 0x0, 0x23222120, x1, 884, x7)

inst_242:
// rs1_val == 0 and rs2_val == 0x23222120 and imm_val == 2 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x23222120; immval:0x2
TEST_RI_OP(sm4ed, x10, x11, 0x2, 0x00000000, 0x0, 0x23222120, x1, 888, x7)

inst_243:
// rs1_val == 0 and rs2_val == 0x23222120 and imm_val == 1 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x23222120; immval:0x1
TEST_RI_OP(sm4ed, x10, x11, 0x1, 0x00000000, 0x0, 0x23222120, x1, 892, x7)

inst_244:
// rs1_val == 0 and rs2_val == 0x23222120 and imm_val == 0 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x23222120; immval:0x0
TEST_RI_OP(sm4ed, x10, x11, 0x0, 0x00000000, 0x0, 0x23222120, x1, 896, x7)

inst_245:
// rs1_val == 0 and rs2_val == 0x1f1e1d1c and imm_val == 3 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x1f1e1d1c; immval:0x3
TEST_RI_OP(sm4ed, x10, x11, 0x3, 0x00000000, 0x0, 0x1f1e1d1c, x1, 900, x7)

inst_246:
// rs1_val == 0 and rs2_val == 0x1f1e1d1c and imm_val == 2 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x1f1e1d1c; immval:0x2
TEST_RI_OP(sm4ed, x10, x11, 0x2, 0x00000000, 0x0, 0x1f1e1d1c, x1, 904, x7)

inst_247:
// rs1_val == 0 and rs2_val == 0x1f1e1d1c and imm_val == 1 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x1f1e1d1c; immval:0x1
TEST_RI_OP(sm4ed, x10, x11, 0x1, 0x00000000, 0x0, 0x1f1e1d1c, x1, 908, x7)

inst_248:
// rs1_val == 0 and rs2_val == 0x1f1e1d1c and imm_val == 0 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x1f1e1d1c; immval:0x0
TEST_RI_OP(sm4ed, x10, x11, 0x0, 0x00000000, 0x0, 0x1f1e1d1c, x1, 912, x7)

inst_249:
// rs1_val == 0 and rs2_val == 0x1b1a1918 and imm_val == 3 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x1b1a1918; immval:0x3
TEST_RI_OP(sm4ed, x10, x11, 0x3, 0x00000000, 0x0, 0x1b1a1918, x1, 916, x7)

inst_250:
// rs1_val == 0 and rs2_val == 0x1b1a1918 and imm_val == 2 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x1b1a1918; immval:0x2
TEST_RI_OP(sm4ed, x10, x11, 0x2, 0x00000000, 0x0, 0x1b1a1918, x1, 920, x7)

inst_251:
// rs1_val == 0 and rs2_val == 0x1b1a1918 and imm_val == 1 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x1b1a1918; immval:0x1
TEST_RI_OP(sm4ed, x10, x11, 0x1, 0x00000000, 0x0, 0x1b1a1918, x1, 924, x7)

inst_252:
// rs1_val == 0 and rs2_val == 0x1b1a1918 and imm_val == 0 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x1b1a1918; immval:0x0
TEST_RI_OP(sm4ed, x10, x11, 0x0, 0x00000000, 0x0, 0x1b1a1918, x1, 928, x7)

inst_253:
// rs1_val == 0 and rs2_val == 0x17161514 and imm_val == 3 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x17161514; immval:0x3
TEST_RI_OP(sm4ed, x10, x11, 0x3, 0x00000000, 0x0, 0x17161514, x1, 932, x7)

inst_254:
// rs1_val == 0 and rs2_val == 0x17161514 and imm_val == 2 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x17161514; immval:0x2
TEST_RI_OP(sm4ed, x10, x11, 0x2, 0x00000000, 0x0, 0x17161514, x1, 936, x7)

inst_255:
// rs1_val == 0 and rs2_val == 0x17161514 and imm_val == 1 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x17161514; immval:0x1
TEST_RI_OP(sm4ed, x10, x11, 0x1, 0x00000000, 0x0, 0x17161514, x1, 940, x7)

inst_256:
// rs1_val == 0 and rs2_val == 0x17161514 and imm_val == 0 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x17161514; immval:0x0
TEST_RI_OP(sm4ed, x10, x11, 0x0, 0x00000000, 0x0, 0x17161514, x1, 944, x7)

inst_257:
// rs1_val == 0 and rs2_val == 0x13121110 and imm_val == 3 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x13121110; immval:0x3
TEST_RI_OP(sm4ed, x10, x11, 0x3, 0x00000000, 0x0, 0x13121110, x1, 948, x7)

inst_258:
// rs1_val == 0 and rs2_val == 0x13121110 and imm_val == 2 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x13121110; immval:0x2
TEST_RI_OP(sm4ed, x10, x11, 0x2, 0x00000000, 0x0, 0x13121110, x1, 952, x7)

inst_259:
// rs1_val == 0 and rs2_val == 0x13121110 and imm_val == 1 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x13121110; immval:0x1
TEST_RI_OP(sm4ed, x10, x11, 0x1, 0x00000000, 0x0, 0x13121110, x1, 956, x7)

inst_260:
// rs1_val == 0 and rs2_val == 0x13121110 and imm_val == 0 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x13121110; immval:0x0
TEST_RI_OP(sm4ed, x10, x11, 0x0, 0x00000000, 0x0, 0x13121110, x1, 960, x7)

inst_261:
// rs1_val == 0 and rs2_val == 0x0f0e0d0c and imm_val == 3 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xf0e0d0c; immval:0x3
TEST_RI_OP(sm4ed, x10, x11, 0x3, 0x00000000, 0x0, 0xf0e0d0c, x1, 964, x7)

inst_262:
// rs1_val == 0 and rs2_val == 0x0f0e0d0c and imm_val == 2 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xf0e0d0c; immval:0x2
TEST_RI_OP(sm4ed, x10, x11, 0x2, 0x00000000, 0x0, 0xf0e0d0c, x1, 968, x7)

inst_263:
// rs1_val == 0 and rs2_val == 0x0f0e0d0c and imm_val == 1 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xf0e0d0c; immval:0x1
TEST_RI_OP(sm4ed, x10, x11, 0x1, 0x00000000, 0x0, 0xf0e0d0c, x1, 972, x7)

inst_264:
// rs1_val == 0 and rs2_val == 0x0f0e0d0c and imm_val == 0 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xf0e0d0c; immval:0x0
TEST_RI_OP(sm4ed, x10, x11, 0x0, 0x00000000, 0x0, 0xf0e0d0c, x1, 976, x7)

inst_265:
// rs1_val == 0 and rs2_val == 0x0b0a0908 and imm_val == 3 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xb0a0908; immval:0x3
TEST_RI_OP(sm4ed, x10, x11, 0x3, 0x00000000, 0x0, 0xb0a0908, x1, 980, x7)

inst_266:
// rs1_val == 0 and rs2_val == 0x0b0a0908 and imm_val == 2 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xb0a0908; immval:0x2
TEST_RI_OP(sm4ed, x10, x11, 0x2, 0x00000000, 0x0, 0xb0a0908, x1, 984, x7)

inst_267:
// rs1_val == 0 and rs2_val == 0x0b0a0908 and imm_val == 1 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xb0a0908; immval:0x1
TEST_RI_OP(sm4ed, x10, x11, 0x1, 0x00000000, 0x0, 0xb0a0908, x1, 988, x7)

inst_268:
// rs1_val == 0 and rs2_val == 0x0b0a0908 and imm_val == 0 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xb0a0908; immval:0x0
TEST_RI_OP(sm4ed, x10, x11, 0x0, 0x00000000, 0x0, 0xb0a0908, x1, 992, x7)

inst_269:
// rs1_val == 0 and rs2_val == 0x07060504 and imm_val == 3 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x7060504; immval:0x3
TEST_RI_OP(sm4ed, x10, x11, 0x3, 0x00000000, 0x0, 0x7060504, x1, 996, x7)

inst_270:
// rs1_val == 0 and rs2_val == 0x07060504 and imm_val == 2 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x7060504; immval:0x2
TEST_RI_OP(sm4ed, x10, x11, 0x2, 0x00000000, 0x0, 0x7060504, x1, 1000, x7)

inst_271:
// rs1_val == 0 and rs2_val == 0x07060504 and imm_val == 1 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x7060504; immval:0x1
TEST_RI_OP(sm4ed, x10, x11, 0x1, 0x00000000, 0x0, 0x7060504, x1, 1004, x7)

inst_272:
// rs1_val == 0 and rs2_val == 0x07060504 and imm_val == 0 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x7060504; immval:0x0
TEST_RI_OP(sm4ed, x10, x11, 0x0, 0x00000000, 0x0, 0x7060504, x1, 1008, x7)

inst_273:
// rs1_val == 0 and rs2_val == 0x03020100 and imm_val == 3 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x3020100; immval:0x3
TEST_RI_OP(sm4ed, x10, x11, 0x3, 0x00000000, 0x0, 0x3020100, x1, 1012, x7)

inst_274:
// rs1_val == 0 and rs2_val == 0x03020100 and imm_val == 2 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x3020100; immval:0x2
TEST_RI_OP(sm4ed, x10, x11, 0x2, 0x00000000, 0x0, 0x3020100, x1, 1016, x7)

inst_275:
// rs1_val == 0 and rs2_val == 0x03020100 and imm_val == 1 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x3020100; immval:0x1
TEST_RI_OP(sm4ed, x10, x11, 0x1, 0x00000000, 0x0, 0x3020100, x1, 1020, x7)

inst_276:
// rs1_val == 0 and rs2_val == 0x03020100 and imm_val == 0 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0x3020100; immval:0x0
TEST_RI_OP(sm4ed, x10, x11, 0x0, 0x00000000, 0x0, 0x3020100, x1, 1024, x7)

inst_277:
// rs1_val == 0 and rs2_val == 0xfbfaf9f8 and imm_val == 3 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xfbfaf9f8; immval:0x3
TEST_RI_OP(sm4ed, x10, x11, 0x3, 0x00000000, 0x0, 0xfbfaf9f8, x1, 1028, x7)

inst_278:
// rs1_val == 0 and rs2_val == 0xfbfaf9f8 and imm_val == 2 
// opcode: sm4ed; op1:x10; op2:x11; op1val:0x0; op2val:0xfbfaf9f8; immval:0x2
TEST_RI_OP(sm4ed, x10, x11, 0x2, 0x00000000, 0x0, 0xfbfaf9f8, x1, 1032, x7)
#endif


RVTEST_CODE_END
RVMODEL_HALT

RVTEST_DATA_BEGIN
.align 4
rvtest_data:
.word 0xbabecafe
RVTEST_DATA_END

RVMODEL_DATA_BEGIN


signature_x4_0:
    .fill 0*(XLEN/32),4,0xdeadbeef


signature_x4_1:
    .fill 20*(XLEN/32),4,0xdeadbeef


signature_x1_0:
    .fill 259*(XLEN/32),4,0xdeadbeef

#ifdef rvtest_mtrap_routine

mtrap_sigptr:
    .fill 64*(XLEN/32),4,0xdeadbeef

#endif

#ifdef rvtest_gpr_save

gpr_save:
    .fill 32*(XLEN/32),4,0xdeadbeef

#endif

RVMODEL_DATA_END
