
# Data Propagation Report

- **STAT1** : Number of instructions that hit unique coverpoints and update the signature.
- **STAT2** : Number of instructions that hit covepoints which are not unique but still update the signature
- **STAT3** : Number of instructions that hit a unique coverpoint but do not update signature
- **STAT4** : Number of multiple signature updates for the same coverpoint
- **STAT5** : Number of times the signature was overwritten

| Param                     | Value    |
|---------------------------|----------|
| XLEN                      | 64      |
| TEST_REGION               | [('0x80000390', '0x80007e20')]      |
| SIG_REGION                | [('0x80009010', '0x8000a740', '742 dwords')]      |
| COV_LABELS                | mulhsu      |
| TEST_NAME                 | /scratch/git-repo/incoresemi/temp/riscof_work/mulhsu-01.S/ref.S    |
| Total Number of coverpoints| 927     |
| Total Coverpoints Hit     | 921      |
| Total Signature Updates   | 741      |
| STAT1                     | 740      |
| STAT2                     | 1      |
| STAT3                     | 0     |
| STAT4                     | 0     |
| STAT5                     | 0     |

## Details for STAT2:

```
Op without unique coverpoint updates Signature
 -- Code Sequence:
      [0x80007e08]:mulhsu
      [0x80007e0c]:sd
 -- Signature Address: 0x8000a728 Data: 0x0000000000000000
 -- Redundant Coverpoints hit by the op
      - opcode : mulhsu
      - rs1 : x10
      - rs2 : x11
      - rd : x12
      - rs1 != rs2  and rs1 != rd and rs2 != rd
      - rs2_val == 32
      - rs1_val == 32
      - rs1_val == rs2_val and rs1_val > 0 and rs2_val > 0
      - rs1_val > 0 and rs2_val > 0






```

## Details of STAT3

```


```

## Details of STAT4:

```

```

## Details of STAT5:



## Details of STAT1:

- The first column indicates the signature address and the data at that location in hexadecimal in the following format: 
  ```
  [Address]
  Data
  ```

- The second column captures all the coverpoints which have been captured by that particular signature location

- The third column captures all the insrtuctions since the time a coverpoint was
  hit to the point when a store to the signature was performed. Each line has
  the following format:
  ```
  [PC of instruction] : mnemonic
  ```
- The order in the table is based on the order of signatures occuring in the
  test. These need not necessarily be in increasing or decreasing order of the
  address in the signature region.

|s.no|            signature             |                                                                                                               coverpoints                                                                                                                |                    code                    |
|---:|----------------------------------|------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|--------------------------------------------|
|   1|[0x80009010]<br>0x0000000000000000|- opcode : mulhsu<br> - rs1 : x29<br> - rs2 : x29<br> - rd : x29<br> - rs1 == rs2 == rd<br> - rs2_val == 16384<br> - rs1_val == 16384<br> - rs1_val == rs2_val and rs1_val > 0 and rs2_val > 0<br> - rs1_val > 0 and rs2_val > 0<br>      |[0x800003a0]:mulhsu<br> [0x800003a4]:sd<br> |
|   2|[0x80009018]<br>0x0000000000000000|- rs1 : x5<br> - rs2 : x5<br> - rd : x0<br> - rs1 == rs2 != rd<br> - rs2_val == 32<br> - rs1_val == 32<br>                                                                                                                                |[0x800003b0]:mulhsu<br> [0x800003b4]:sd<br> |
|   3|[0x80009020]<br>0x0000000000000000|- rs1 : x19<br> - rs2 : x18<br> - rd : x19<br> - rs1 == rd != rs2<br> - rs1_val == 65536<br> - rs2_val == 0<br>                                                                                                                           |[0x800003c0]:mulhsu<br> [0x800003c4]:sd<br> |
|   4|[0x80009028]<br>0x000000000000000f|- rs1 : x16<br> - rs2 : x21<br> - rd : x21<br> - rs2 == rd != rs1<br> - rs1_val != rs2_val and rs1_val > 0 and rs2_val > 0<br> - rs1_val == 16<br> - rs2_val == (2**(xlen)-1)<br>                                                         |[0x800003d0]:mulhsu<br> [0x800003d4]:sd<br> |
|   5|[0x80009030]<br>0xffffffffffffffff|- rs1 : x14<br> - rs2 : x7<br> - rd : x13<br> - rs1 != rs2  and rs1 != rd and rs2 != rd<br> - rs2_val == 1<br> - rs1_val==-6148914691236517206 and rs2_val==1<br> - rs1_val == -6148914691236517206<br> - rs1_val < 0 and rs2_val > 0<br> |[0x800003fc]:mulhsu<br> [0x80000400]:sd<br> |
|   6|[0x80009038]<br>0x8000000000010000|- rs1 : x23<br> - rs2 : x8<br> - rd : x16<br> - rs2_val == 18446744073709420543<br> - rs1_val == -9223372036854775808<br> - rs1_val == (-2**(xlen-1))<br>                                                                                 |[0x80000414]:mulhsu<br> [0x80000418]:sd<br> |
|   7|[0x80009040]<br>0x0000000000000000|- rs1 : x27<br> - rs2 : x17<br> - rd : x11<br> - rs2_val == 18446742974197923839<br> - rs1_val == 0<br>                                                                                                                                   |[0x8000042c]:mulhsu<br> [0x80000430]:sd<br> |
|   8|[0x80009048]<br>0x01ffffffffffffff|- rs1 : x28<br> - rs2 : x20<br> - rd : x17<br> - rs1_val == 9223372036854775807<br> - rs2_val == 288230376151711744<br> - rs1_val == (2**(xlen-1)-1)<br>                                                                                  |[0x80000448]:mulhsu<br> [0x8000044c]:sd<br> |
|   9|[0x80009050]<br>0x0000000000000000|- rs1 : x25<br> - rs2 : x14<br> - rd : x5<br> - rs1_val == 1<br> - rs2_val == 6148914691236517205<br>                                                                                                                                     |[0x80000474]:mulhsu<br> [0x80000478]:sd<br> |
|  10|[0x80009058]<br>0x0000000000000000|- rs1 : x15<br> - rs2 : x28<br> - rd : x8<br> - rs2_val == 2<br> - rs1_val == 34359738368<br>                                                                                                                                             |[0x80000488]:mulhsu<br> [0x8000048c]:sd<br> |
|  11|[0x80009060]<br>0x0000000000000000|- rs1 : x22<br> - rs2 : x12<br> - rd : x23<br> - rs2_val == 4<br> - rs1_val == 1024<br>                                                                                                                                                   |[0x80000498]:mulhsu<br> [0x8000049c]:sd<br> |
|  12|[0x80009068]<br>0xffffffffffffffff|- rs1 : x20<br> - rs2 : x23<br> - rd : x18<br> - rs1_val == -4294967297<br> - rs2_val == 8<br>                                                                                                                                            |[0x800004b0]:mulhsu<br> [0x800004b4]:sd<br> |
|  13|[0x80009070]<br>0xffffffffffffffff|- rs1 : x3<br> - rs2 : x1<br> - rd : x28<br> - rs1_val == -562949953421313<br> - rs2_val == 16<br>                                                                                                                                        |[0x800004c8]:mulhsu<br> [0x800004cc]:sd<br> |
|  14|[0x80009078]<br>0xffffffffffffffff|- rs1 : x18<br> - rs2 : x9<br> - rd : x22<br> - rs2_val == 64<br>                                                                                                                                                                         |[0x800004e0]:mulhsu<br> [0x800004e4]:sd<br> |
|  15|[0x80009080]<br>0x0000000000000000|- rs1 : x11<br> - rs2 : x0<br> - rd : x3<br> - rs1_val == -67108865<br>                                                                                                                                                                   |[0x800004f4]:mulhsu<br> [0x800004f8]:sd<br> |
|  16|[0x80009088]<br>0xffffffffffffffff|- rs1 : x7<br> - rs2 : x30<br> - rd : x10<br> - rs1_val == -131073<br> - rs2_val == 256<br>                                                                                                                                               |[0x80000508]:mulhsu<br> [0x8000050c]:sd<br> |
|  17|[0x80009090]<br>0x0000000000000000|- rs1 : x9<br> - rs2 : x6<br> - rd : x26<br> - rs2_val == 512<br>                                                                                                                                                                         |[0x80000524]:mulhsu<br> [0x80000528]:sd<br> |
|  18|[0x80009098]<br>0xffffffffffffff7f|- rs1 : x4<br> - rs2 : x25<br> - rd : x20<br> - rs1_val == -2305843009213693953<br> - rs2_val == 1024<br>                                                                                                                                 |[0x8000053c]:mulhsu<br> [0x80000540]:sd<br> |
|  19|[0x800090a0]<br>0x0000000000000000|- rs1 : x26<br> - rs2 : x31<br> - rd : x14<br> - rs2_val == 2048<br> - rs1_val == 2<br>                                                                                                                                                   |[0x80000558]:mulhsu<br> [0x8000055c]:sd<br> |
|  20|[0x800090a8]<br>0x0000000000000000|- rs1 : x13<br> - rs2 : x2<br> - rd : x7<br> - rs2_val == 4096<br> - rs1_val == 8589934592<br>                                                                                                                                            |[0x8000056c]:mulhsu<br> [0x80000570]:sd<br> |
|  21|[0x800090b0]<br>0x0000000000000000|- rs1 : x31<br> - rs2 : x22<br> - rd : x2<br> - rs2_val == 8192<br>                                                                                                                                                                       |[0x8000057c]:mulhsu<br> [0x80000580]:sd<br> |
|  22|[0x800090b8]<br>0xfffffffffffff7ff|- rs1 : x24<br> - rs2 : x3<br> - rd : x27<br>                                                                                                                                                                                             |[0x80000594]:mulhsu<br> [0x80000598]:sd<br> |
|  23|[0x800090c0]<br>0xffffffffffffffff|- rs1 : x6<br> - rs2 : x13<br> - rd : x25<br> - rs1_val == -65537<br> - rs2_val == 32768<br>                                                                                                                                              |[0x800005a8]:mulhsu<br> [0x800005ac]:sd<br> |
|  24|[0x800090c8]<br>0xffffffffffffffff|- rs1 : x12<br> - rs2 : x10<br> - rd : x24<br> - rs2_val == 65536<br>                                                                                                                                                                     |[0x800005c4]:mulhsu<br> [0x800005c8]:sd<br> |
|  25|[0x800090d0]<br>0x0000000000006666|- rs1 : x8<br> - rs2 : x16<br> - rd : x4<br> - rs2_val == 131072<br>                                                                                                                                                                      |[0x800005f0]:mulhsu<br> [0x800005f4]:sd<br> |
|  26|[0x800090d8]<br>0x0000000000000400|- rs1 : x17<br> - rs2 : x4<br> - rd : x15<br> - rs2_val == 262144<br> - rs1_val == 72057594037927936<br>                                                                                                                                  |[0x80000604]:mulhsu<br> [0x80000608]:sd<br> |
|  27|[0x800090e0]<br>0x0000000000000000|- rs1 : x0<br> - rs2 : x24<br> - rd : x9<br> - rs2_val == 524288<br>                                                                                                                                                                      |[0x80000614]:mulhsu<br> [0x80000618]:sd<br> |
|  28|[0x800090e8]<br>0x0000000000000000|- rs1 : x30<br> - rs2 : x19<br> - rd : x12<br> - rs2_val == 1048576<br>                                                                                                                                                                   |[0x80000624]:mulhsu<br> [0x80000628]:sd<br> |
|  29|[0x800090f0]<br>0x0000000000000000|- rs1 : x2<br> - rs2 : x15<br> - rd : x6<br> - rs2_val == 2097152<br> - rs1_val == 8192<br>                                                                                                                                               |[0x80000634]:mulhsu<br> [0x80000638]:sd<br> |
|  30|[0x800090f8]<br>0xffffffffffefffff|- rs1 : x10<br> - rs2 : x26<br> - rd : x31<br> - rs1_val == -4611686018427387905<br> - rs2_val == 4194304<br>                                                                                                                             |[0x8000064c]:mulhsu<br> [0x80000650]:sd<br> |
|  31|[0x80009100]<br>0xffffffffffffffff|- rs1 : x1<br> - rs2 : x11<br> - rd : x30<br> - rs1_val == -536870913<br> - rs2_val == 8388608<br>                                                                                                                                        |[0x80000660]:mulhsu<br> [0x80000664]:sd<br> |
|  32|[0x80009108]<br>0xffffffffffffffff|- rs1 : x21<br> - rs2 : x27<br> - rd : x1<br> - rs2_val == 16777216<br>                                                                                                                                                                   |[0x80000670]:mulhsu<br> [0x80000674]:sd<br> |
|  33|[0x80009110]<br>0x0000000000200000|- rs2_val == 33554432<br> - rs1_val == 1152921504606846976<br>                                                                                                                                                                            |[0x80000684]:mulhsu<br> [0x80000688]:sd<br> |
|  34|[0x80009118]<br>0xffffffffffffffff|- rs2_val == 67108864<br>                                                                                                                                                                                                                 |[0x80000698]:mulhsu<br> [0x8000069c]:sd<br> |
|  35|[0x80009120]<br>0xfffffffffff7ffff|- rs1_val == -72057594037927937<br> - rs2_val == 134217728<br>                                                                                                                                                                            |[0x800006b0]:mulhsu<br> [0x800006b4]:sd<br> |
|  36|[0x80009128]<br>0x0000000000000000|- rs2_val == 268435456<br>                                                                                                                                                                                                                |[0x800006c0]:mulhsu<br> [0x800006c4]:sd<br> |
|  37|[0x80009130]<br>0xfffffffff5555555|- rs2_val == 536870912<br>                                                                                                                                                                                                                |[0x800006ec]:mulhsu<br> [0x800006f0]:sd<br> |
|  38|[0x80009138]<br>0xffffffffffffffff|- rs1_val == -262145<br> - rs2_val == 1073741824<br>                                                                                                                                                                                      |[0x80000700]:mulhsu<br> [0x80000704]:sd<br> |
|  39|[0x80009140]<br>0x0000000000000000|- rs2_val == 2147483648<br> - rs1_val == 2048<br>                                                                                                                                                                                         |[0x80000718]:mulhsu<br> [0x8000071c]:sd<br> |
|  40|[0x80009148]<br>0x0000000000000000|- rs2_val == 4294967296<br>                                                                                                                                                                                                               |[0x8000072c]:mulhsu<br> [0x80000730]:sd<br> |
|  41|[0x80009150]<br>0xffffffffffffffff|- rs2_val == 8589934592<br>                                                                                                                                                                                                               |[0x80000740]:mulhsu<br> [0x80000744]:sd<br> |
|  42|[0x80009158]<br>0xffffffffffffffff|- rs1_val == -524289<br> - rs2_val == 17179869184<br>                                                                                                                                                                                     |[0x80000758]:mulhsu<br> [0x8000075c]:sd<br> |
|  43|[0x80009160]<br>0xfffffffffffffffb|- rs1_val == -2147483649<br> - rs2_val == 34359738368<br>                                                                                                                                                                                 |[0x80000774]:mulhsu<br> [0x80000778]:sd<br> |
|  44|[0x80009168]<br>0x0000000000000020|- rs2_val == 68719476736<br>                                                                                                                                                                                                              |[0x8000078c]:mulhsu<br> [0x80000790]:sd<br> |
|  45|[0x80009170]<br>0x0000000000020000|- rs2_val == 137438953472<br> - rs1_val == 17592186044416<br>                                                                                                                                                                             |[0x800007a4]:mulhsu<br> [0x800007a8]:sd<br> |
|  46|[0x80009178]<br>0x0000000ccccccccc|- rs2_val == 274877906944<br>                                                                                                                                                                                                             |[0x800007d4]:mulhsu<br> [0x800007d8]:sd<br> |
|  47|[0x80009180]<br>0x0000000000000000|- rs2_val == 549755813888<br>                                                                                                                                                                                                             |[0x800007e8]:mulhsu<br> [0x800007ec]:sd<br> |
|  48|[0x80009188]<br>0xfffffffffff7ffff|- rs1_val == -8796093022209<br> - rs2_val == 1099511627776<br>                                                                                                                                                                            |[0x80000804]:mulhsu<br> [0x80000808]:sd<br> |
|  49|[0x80009190]<br>0xfffffffffffff7ff|- rs1_val == -17179869185<br> - rs2_val == 2199023255552<br>                                                                                                                                                                              |[0x80000820]:mulhsu<br> [0x80000824]:sd<br> |
|  50|[0x80009198]<br>0xfffffffdffffffff|- rs1_val == -36028797018963969<br> - rs2_val == 4398046511104<br>                                                                                                                                                                        |[0x8000083c]:mulhsu<br> [0x80000840]:sd<br> |
|  51|[0x800091a0]<br>0xfffffffdffffffff|- rs1_val == -18014398509481985<br> - rs2_val == 8796093022208<br>                                                                                                                                                                        |[0x80000858]:mulhsu<br> [0x8000085c]:sd<br> |
|  52|[0x800091a8]<br>0xffffffffffffffff|- rs1_val == -17<br> - rs2_val == 17592186044416<br>                                                                                                                                                                                      |[0x8000086c]:mulhsu<br> [0x80000870]:sd<br> |
|  53|[0x800091b0]<br>0x0000000000000000|- rs2_val == 35184372088832<br> - rs1_val == 32768<br>                                                                                                                                                                                    |[0x80000880]:mulhsu<br> [0x80000884]:sd<br> |
|  54|[0x800091b8]<br>0xffffffffffffffff|- rs1_val == -3<br> - rs2_val == 70368744177664<br>                                                                                                                                                                                       |[0x80000894]:mulhsu<br> [0x80000898]:sd<br> |
|  55|[0x800091c0]<br>0x0000040000000000|- rs2_val == 140737488355328<br> - rs1_val == 576460752303423488<br>                                                                                                                                                                      |[0x800008ac]:mulhsu<br> [0x800008b0]:sd<br> |
|  56|[0x800091c8]<br>0x0000000000000002|- rs2_val == 281474976710656<br> - rs1_val == 131072<br>                                                                                                                                                                                  |[0x800008c0]:mulhsu<br> [0x800008c4]:sd<br> |
|  57|[0x800091d0]<br>0x0000000000010000|- rs2_val == 562949953421312<br> - rs1_val == 2147483648<br>                                                                                                                                                                              |[0x800008d8]:mulhsu<br> [0x800008dc]:sd<br> |
|  58|[0x800091d8]<br>0xffffffff7fffffff|- rs1_val == -35184372088833<br> - rs2_val == 1125899906842624<br>                                                                                                                                                                        |[0x800008f4]:mulhsu<br> [0x800008f8]:sd<br> |
|  59|[0x800091e0]<br>0xffffffffffffdfff|- rs2_val == 2251799813685248<br>                                                                                                                                                                                                         |[0x8000090c]:mulhsu<br> [0x80000910]:sd<br> |
|  60|[0x800091e8]<br>0x0000000000010000|- rs2_val == 4503599627370496<br> - rs1_val == 268435456<br>                                                                                                                                                                              |[0x80000920]:mulhsu<br> [0x80000924]:sd<br> |
|  61|[0x800091f0]<br>0xffffffffffffffbf|- rs2_val == 9007199254740992<br>                                                                                                                                                                                                         |[0x80000938]:mulhsu<br> [0x8000093c]:sd<br> |
|  62|[0x800091f8]<br>0x0000000000000000|- rs2_val == 18014398509481984<br>                                                                                                                                                                                                        |[0x8000094c]:mulhsu<br> [0x80000950]:sd<br> |
|  63|[0x80009200]<br>0x0000000000002000|- rs2_val == 36028797018963968<br> - rs1_val == 4194304<br>                                                                                                                                                                               |[0x80000960]:mulhsu<br> [0x80000964]:sd<br> |
|  64|[0x80009208]<br>0xfffffffff7ffffff|- rs1_val == -34359738369<br> - rs2_val == 72057594037927936<br>                                                                                                                                                                          |[0x8000097c]:mulhsu<br> [0x80000980]:sd<br> |
|  65|[0x80009210]<br>0xfffffffffffbffff|- rs1_val == -33554433<br> - rs2_val == 144115188075855872<br>                                                                                                                                                                            |[0x80000994]:mulhsu<br> [0x80000998]:sd<br> |
|  66|[0x80009218]<br>0x0333333333333333|- rs2_val == 576460752303423488<br>                                                                                                                                                                                                       |[0x800009c4]:mulhsu<br> [0x800009c8]:sd<br> |
|  67|[0x80009220]<br>0xffffffffffffffff|- rs2_val == 1152921504606846976<br>                                                                                                                                                                                                      |[0x800009d8]:mulhsu<br> [0x800009dc]:sd<br> |
|  68|[0x80009228]<br>0x0000000000000004|- rs2_val == 2305843009213693952<br>                                                                                                                                                                                                      |[0x800009ec]:mulhsu<br> [0x800009f0]:sd<br> |
|  69|[0x80009230]<br>0xffffffffffffff7f|- rs1_val == -513<br> - rs2_val == 4611686018427387904<br>                                                                                                                                                                                |[0x80000a00]:mulhsu<br> [0x80000a04]:sd<br> |
|  70|[0x80009238]<br>0x0000000000020000|- rs2_val == 9223372036854775808<br> - rs1_val == 262144<br>                                                                                                                                                                              |[0x80000a14]:mulhsu<br> [0x80000a18]:sd<br> |
|  71|[0x80009240]<br>0x0000000000ffffff|- rs2_val == 18446744073709551614<br> - rs1_val == 16777216<br>                                                                                                                                                                           |[0x80000a24]:mulhsu<br> [0x80000a28]:sd<br> |
|  72|[0x80009248]<br>0xffffffffefffffff|- rs2_val == 18446744073709551613<br> - rs1_val == -268435457<br>                                                                                                                                                                         |[0x80000a38]:mulhsu<br> [0x80000a3c]:sd<br> |
|  73|[0x80009250]<br>0x3333333333333332|- rs2_val == 18446744073709551611<br>                                                                                                                                                                                                     |[0x80000a64]:mulhsu<br> [0x80000a68]:sd<br> |
|  74|[0x80009258]<br>0x000007ffffffffff|- rs2_val == 18446744073709551607<br> - rs1_val == 8796093022208<br>                                                                                                                                                                      |[0x80000a78]:mulhsu<br> [0x80000a7c]:sd<br> |
|  75|[0x80009260]<br>0x000003ffffffffff|- rs2_val == 18446744073709551599<br> - rs1_val == 4398046511104<br>                                                                                                                                                                      |[0x80000a8c]:mulhsu<br> [0x80000a90]:sd<br> |
|  76|[0x80009268]<br>0x001fffffffffffff|- rs2_val == 18446744073709551583<br> - rs1_val == 9007199254740992<br>                                                                                                                                                                   |[0x80000aa0]:mulhsu<br> [0x80000aa4]:sd<br> |
|  77|[0x80009270]<br>0x003fffffffffffff|- rs2_val == 18446744073709551551<br> - rs1_val == 18014398509481984<br>                                                                                                                                                                  |[0x80000ab4]:mulhsu<br> [0x80000ab8]:sd<br> |
|  78|[0x80009278]<br>0x7fffffffffffffbe|- rs2_val == 18446744073709551487<br>                                                                                                                                                                                                     |[0x80000acc]:mulhsu<br> [0x80000ad0]:sd<br> |
|  79|[0x80009280]<br>0x0000000000000000|- rs2_val == 18446744073709551103<br>                                                                                                                                                                                                     |[0x80000adc]:mulhsu<br> [0x80000ae0]:sd<br> |
|  80|[0x80009288]<br>0x00003fffffffffff|- rs2_val == 18446744073709550591<br> - rs1_val == 70368744177664<br>                                                                                                                                                                     |[0x80000af0]:mulhsu<br> [0x80000af4]:sd<br> |
|  81|[0x80009290]<br>0x3333333333333199|- rs2_val == 18446744073709549567<br>                                                                                                                                                                                                     |[0x80000b20]:mulhsu<br> [0x80000b24]:sd<br> |
|  82|[0x80009298]<br>0xffffffffffffefff|- rs2_val == 18446744073709547519<br> - rs1_val == -4097<br>                                                                                                                                                                              |[0x80000b38]:mulhsu<br> [0x80000b3c]:sd<br> |
|  83|[0x800092a0]<br>0x0000000000001fff|- rs2_val == 18446744073709543423<br>                                                                                                                                                                                                     |[0x80000b4c]:mulhsu<br> [0x80000b50]:sd<br> |
|  84|[0x800092a8]<br>0x3333333333332666|- rs2_val == 18446744073709535231<br>                                                                                                                                                                                                     |[0x80000b7c]:mulhsu<br> [0x80000b80]:sd<br> |
|  85|[0x800092b0]<br>0x00000000003fffff|- rs2_val == 18446744073709518847<br>                                                                                                                                                                                                     |[0x80000b90]:mulhsu<br> [0x80000b94]:sd<br> |
|  86|[0x800092b8]<br>0x000003ffffffffff|- rs2_val == 18446744073709486079<br>                                                                                                                                                                                                     |[0x80000ba8]:mulhsu<br> [0x80000bac]:sd<br> |
|  87|[0x800092c0]<br>0x00fffffffffffbff|- rs2_val == 18446744073709289471<br>                                                                                                                                                                                                     |[0x80000bc0]:mulhsu<br> [0x80000bc4]:sd<br> |
|  88|[0x800092c8]<br>0x0000000000000004|- rs2_val == 18446744073709027327<br>                                                                                                                                                                                                     |[0x80000bd4]:mulhsu<br> [0x80000bd8]:sd<br> |
|  89|[0x800092d0]<br>0x0000000fffffffff|- rs2_val == 18446744073708503039<br> - rs1_val == 68719476736<br>                                                                                                                                                                        |[0x80000bec]:mulhsu<br> [0x80000bf0]:sd<br> |
|  90|[0x800092d8]<br>0x0000000007ffffff|- rs2_val == 18446744073707454463<br> - rs1_val == 134217728<br>                                                                                                                                                                          |[0x80000c00]:mulhsu<br> [0x80000c04]:sd<br> |
|  91|[0x800092e0]<br>0x3333333333266665|- rs2_val == 18446744073705357311<br>                                                                                                                                                                                                     |[0x80000c30]:mulhsu<br> [0x80000c34]:sd<br> |
|  92|[0x800092e8]<br>0x3333333333199999|- rs2_val == 18446744073701163007<br>                                                                                                                                                                                                     |[0x80000c60]:mulhsu<br> [0x80000c64]:sd<br> |
|  93|[0x800092f0]<br>0x00fffffffffeffff|- rs2_val == 18446744073692774399<br>                                                                                                                                                                                                     |[0x80000c78]:mulhsu<br> [0x80000c7c]:sd<br> |
|  94|[0x800092f8]<br>0xfffff8000000000f|- rs2_val == 18446744073675997183<br>                                                                                                                                                                                                     |[0x80000c94]:mulhsu<br> [0x80000c98]:sd<br> |
|  95|[0x80009300]<br>0x5555555553ffffff|- rs2_val == 18446744073642442751<br> - rs1_val == 6148914691236517205<br>                                                                                                                                                                |[0x80000cc4]:mulhsu<br> [0x80000cc8]:sd<br> |
|  96|[0x80009308]<br>0x000000000000007f|- rs2_val == 18446744073575333887<br> - rs1_val == 128<br>                                                                                                                                                                                |[0x80000cd8]:mulhsu<br> [0x80000cdc]:sd<br> |
|  97|[0x80009310]<br>0x555555554fffffff|- rs2_val == 18446744073441116159<br>                                                                                                                                                                                                     |[0x80000d08]:mulhsu<br> [0x80000d0c]:sd<br> |
|  98|[0x80009318]<br>0x000000000000ffff|- rs2_val == 18446744073172680703<br>                                                                                                                                                                                                     |[0x80000d1c]:mulhsu<br> [0x80000d20]:sd<br> |
|  99|[0x80009320]<br>0x00001ffffffff7ff|- rs2_val == 18446744072635809791<br> - rs1_val == 35184372088832<br>                                                                                                                                                                     |[0x80000d34]:mulhsu<br> [0x80000d38]:sd<br> |
| 100|[0x80009328]<br>0x00000007fffffffb|- rs2_val == 18446744071562067967<br>                                                                                                                                                                                                     |[0x80000d50]:mulhsu<br> [0x80000d54]:sd<br> |
| 101|[0x80009330]<br>0xfffffffffffffff6|- rs2_val == 18446744069414584319<br>                                                                                                                                                                                                     |[0x80000d68]:mulhsu<br> [0x80000d6c]:sd<br> |
| 102|[0x80009338]<br>0x00fffffffdffffff|- rs2_val == 18446744065119617023<br>                                                                                                                                                                                                     |[0x80000d84]:mulhsu<br> [0x80000d88]:sd<br> |
| 103|[0x80009340]<br>0x000000001fffffff|- rs2_val == 18446744056529682431<br> - rs1_val == 536870912<br>                                                                                                                                                                          |[0x80000d9c]:mulhsu<br> [0x80000da0]:sd<br> |
| 104|[0x80009348]<br>0xfffffe0000000fff|- rs2_val == 18446744039349813247<br> - rs1_val == -2199023255553<br>                                                                                                                                                                     |[0x80000dbc]:mulhsu<br> [0x80000dc0]:sd<br> |
| 105|[0x80009350]<br>0x00000000007fffff|- rs2_val == 18446744004990074879<br> - rs1_val == 8388608<br>                                                                                                                                                                            |[0x80000dd4]:mulhsu<br> [0x80000dd8]:sd<br> |
| 106|[0x80009358]<br>0x0003ffffff7fffff|- rs2_val == 18446743936270598143<br> - rs1_val == 1125899906842624<br>                                                                                                                                                                   |[0x80000df0]:mulhsu<br> [0x80000df4]:sd<br> |
| 107|[0x80009360]<br>0x07fffffdffffffff|- rs2_val == 18446743798831644671<br>                                                                                                                                                                                                     |[0x80000e0c]:mulhsu<br> [0x80000e10]:sd<br> |
| 108|[0x80009368]<br>0xffffffffff7fffff|- rs2_val == 18446743523953737727<br> - rs1_val == -8388609<br>                                                                                                                                                                           |[0x80000e28]:mulhsu<br> [0x80000e2c]:sd<br> |
| 109|[0x80009370]<br>0xfe000003ffffffff|- rs2_val == 18446741874686296063<br> - rs1_val == -144115188075855873<br>                                                                                                                                                                |[0x80000e48]:mulhsu<br> [0x80000e4c]:sd<br> |
| 110|[0x80009378]<br>0x00000000b504f05e|- rs2_val == 18446739675663040511<br>                                                                                                                                                                                                     |[0x80000e6c]:mulhsu<br> [0x80000e70]:sd<br> |
| 111|[0x80009380]<br>0xffffe00000ffffff|- rs2_val == 18446735277616529407<br>                                                                                                                                                                                                     |[0x80000e8c]:mulhsu<br> [0x80000e90]:sd<br> |
| 112|[0x80009388]<br>0xf00000ffffffffff|- rs2_val == 18446726481523507199<br> - rs1_val == -1152921504606846977<br>                                                                                                                                                               |[0x80000eac]:mulhsu<br> [0x80000eb0]:sd<br> |
| 113|[0x80009390]<br>0xffffffff4afb236e|- rs2_val == 18446708889337462783<br>                                                                                                                                                                                                     |[0x80000ed0]:mulhsu<br> [0x80000ed4]:sd<br> |
| 114|[0x80009398]<br>0xfff00003ffffffff|- rs2_val == 18446673704965373951<br> - rs1_val == -4503599627370497<br>                                                                                                                                                                  |[0x80000ef0]:mulhsu<br> [0x80000ef4]:sd<br> |
| 115|[0x800093a0]<br>0x00000000b50498b0|- rs2_val == 18446603336221196287<br>                                                                                                                                                                                                     |[0x80000f14]:mulhsu<br> [0x80000f18]:sd<br> |
| 116|[0x800093a8]<br>0xfffffffffffffffd|- rs2_val == 18446462598732840959<br>                                                                                                                                                                                                     |[0x80000f2c]:mulhsu<br> [0x80000f30]:sd<br> |
| 117|[0x800093b0]<br>0xfffffffffc0007ff|- rs2_val == 18446181123756130303<br>                                                                                                                                                                                                     |[0x80000f48]:mulhsu<br> [0x80000f4c]:sd<br> |
| 118|[0x800093b8]<br>0xffffffff0003ffff|- rs2_val == 18445618173802708991<br>                                                                                                                                                                                                     |[0x80000f68]:mulhsu<br> [0x80000f6c]:sd<br> |
| 119|[0x800093c0]<br>0x0000000000000000|- rs2_val == 18444492273895866367<br>                                                                                                                                                                                                     |[0x80000f80]:mulhsu<br> [0x80000f84]:sd<br> |
| 120|[0x800093c8]<br>0xffffffffffffffff|- rs2_val == 18442240474082181119<br>                                                                                                                                                                                                     |[0x80000f98]:mulhsu<br> [0x80000f9c]:sd<br> |
| 121|[0x800093d0]<br>0x0000000ffdffffff|- rs2_val == 18437736874454810623<br>                                                                                                                                                                                                     |[0x80000fb4]:mulhsu<br> [0x80000fb8]:sd<br> |
| 122|[0x800093d8]<br>0x0000000ffbffffff|- rs2_val == 18428729675200069631<br>                                                                                                                                                                                                     |[0x80000fd0]:mulhsu<br> [0x80000fd4]:sd<br> |
| 123|[0x800093e0]<br>0x0000000000000006|- rs2_val == 18410715276690587647<br>                                                                                                                                                                                                     |[0x80000fe8]:mulhsu<br> [0x80000fec]:sd<br> |
| 124|[0x800093e8]<br>0xffffffffffffffff|- rs2_val == 18374686479671623679<br>                                                                                                                                                                                                     |[0x80001000]:mulhsu<br> [0x80001004]:sd<br> |
| 125|[0x800093f0]<br>0x0000000000003f7f|- rs2_val == 18302628885633695743<br>                                                                                                                                                                                                     |[0x80001018]:mulhsu<br> [0x8000101c]:sd<br> |
| 126|[0x800093f8]<br>0xfffffffffffffffd|- rs2_val == 18158513697557839871<br>                                                                                                                                                                                                     |[0x80001030]:mulhsu<br> [0x80001034]:sd<br> |
| 127|[0x80009400]<br>0xfffffffffffffffc|- rs2_val == 17870283321406128127<br>                                                                                                                                                                                                     |[0x80001048]:mulhsu<br> [0x8000104c]:sd<br> |
| 128|[0x80009408]<br>0x000077ffffffffff|- rs2_val == 17293822569102704639<br> - rs1_val == 140737488355328<br>                                                                                                                                                                    |[0x80001064]:mulhsu<br> [0x80001068]:sd<br> |
| 129|[0x80009410]<br>0x000dffffffffffff|- rs2_val == 16140901064495857663<br> - rs1_val == 4503599627370496<br>                                                                                                                                                                   |[0x80001080]:mulhsu<br> [0x80001084]:sd<br> |
| 130|[0x80009418]<br>0x017fffffffffffff|- rs2_val == 13835058055282163711<br> - rs1_val == 144115188075855872<br>                                                                                                                                                                 |[0x8000109c]:mulhsu<br> [0x800010a0]:sd<br> |
| 131|[0x80009420]<br>0x0000000000000000|- rs2_val == 9223372036854775807<br>                                                                                                                                                                                                      |[0x800010b4]:mulhsu<br> [0x800010b8]:sd<br> |
| 132|[0x80009428]<br>0xffffffffffffeaaa|- rs1_val == -8193<br> - rs2_val == 12297829382473034410<br>                                                                                                                                                                              |[0x800010e4]:mulhsu<br> [0x800010e8]:sd<br> |
| 133|[0x80009430]<br>0x0000000000000000|- rs1_val == 4<br> - rs1_val==4 and rs2_val==4294967297<br>                                                                                                                                                                               |[0x800010fc]:mulhsu<br> [0x80001100]:sd<br> |
| 134|[0x80009438]<br>0x0000000000000007|- rs1_val == 8<br>                                                                                                                                                                                                                        |[0x80001110]:mulhsu<br> [0x80001114]:sd<br> |
| 135|[0x80009440]<br>0x000000000000002f|- rs1_val == 64<br>                                                                                                                                                                                                                       |[0x80001128]:mulhsu<br> [0x8000112c]:sd<br> |
| 136|[0x80009448]<br>0x0000000000000000|- rs1_val == 256<br>                                                                                                                                                                                                                      |[0x8000113c]:mulhsu<br> [0x80001140]:sd<br> |
| 137|[0x80009450]<br>0x00000000000001ff|- rs1_val == 512<br>                                                                                                                                                                                                                      |[0x80001150]:mulhsu<br> [0x80001154]:sd<br> |
| 138|[0x80009458]<br>0x0000000000000000|- rs2_val == 128<br> - rs1_val == 4096<br>                                                                                                                                                                                                |[0x80001160]:mulhsu<br> [0x80001164]:sd<br> |
| 139|[0x80009460]<br>0x0000000000000000|- rs1_val == 524288<br>                                                                                                                                                                                                                   |[0x80001170]:mulhsu<br> [0x80001174]:sd<br> |
| 140|[0x80009468]<br>0x0000000000000000|- rs1_val == 1048576<br>                                                                                                                                                                                                                  |[0x80001180]:mulhsu<br> [0x80001184]:sd<br> |
| 141|[0x80009470]<br>0x0000000000000000|- rs1_val == 2097152<br>                                                                                                                                                                                                                  |[0x80001190]:mulhsu<br> [0x80001194]:sd<br> |
| 142|[0x80009478]<br>0x0000000003fffffd|- rs1_val == 67108864<br>                                                                                                                                                                                                                 |[0x800011a8]:mulhsu<br> [0x800011ac]:sd<br> |
| 143|[0x80009480]<br>0x000000003fffffdf|- rs1_val == 1073741824<br>                                                                                                                                                                                                               |[0x800011c0]:mulhsu<br> [0x800011c4]:sd<br> |
| 144|[0x80009488]<br>0x0000000000800000|- rs1_val == 4294967296<br>                                                                                                                                                                                                               |[0x800011d8]:mulhsu<br> [0x800011dc]:sd<br> |
| 145|[0x80009490]<br>0x00000003ffffffff|- rs1_val == 17179869184<br>                                                                                                                                                                                                              |[0x800011f0]:mulhsu<br> [0x800011f4]:sd<br> |
| 146|[0x80009498]<br>0x0000000000000000|- rs1_val == 137438953472<br>                                                                                                                                                                                                             |[0x80001204]:mulhsu<br> [0x80001208]:sd<br> |
| 147|[0x800094a0]<br>0x0000003fffffffff|- rs1_val == 274877906944<br>                                                                                                                                                                                                             |[0x80001218]:mulhsu<br> [0x8000121c]:sd<br> |
| 148|[0x800094a8]<br>0x0000007fffffffff|- rs1_val == 549755813888<br>                                                                                                                                                                                                             |[0x80001230]:mulhsu<br> [0x80001234]:sd<br> |
| 149|[0x800094b0]<br>0x0000000000000000|- rs1_val == 1099511627776<br>                                                                                                                                                                                                            |[0x80001244]:mulhsu<br> [0x80001248]:sd<br> |
| 150|[0x800094b8]<br>0x000001ffffffffff|- rs1_val == 2199023255552<br>                                                                                                                                                                                                            |[0x8000125c]:mulhsu<br> [0x80001260]:sd<br> |
| 151|[0x800094c0]<br>0x0000000008000000|- rs1_val == 281474976710656<br>                                                                                                                                                                                                          |[0x80001274]:mulhsu<br> [0x80001278]:sd<br> |
| 152|[0x800094c8]<br>0x0000080000000000|- rs1_val == 562949953421312<br>                                                                                                                                                                                                          |[0x8000128c]:mulhsu<br> [0x80001290]:sd<br> |
| 153|[0x800094d0]<br>0x0000000000000010|- rs1_val == 2251799813685248<br>                                                                                                                                                                                                         |[0x800012a0]:mulhsu<br> [0x800012a4]:sd<br> |
| 154|[0x800094d8]<br>0x0000200000000000|- rs1_val == 36028797018963968<br>                                                                                                                                                                                                        |[0x800012b8]:mulhsu<br> [0x800012bc]:sd<br> |
| 155|[0x800094e0]<br>0x03ffffffffffffff|- rs1_val == 288230376151711744<br>                                                                                                                                                                                                       |[0x800012cc]:mulhsu<br> [0x800012d0]:sd<br> |
| 156|[0x800094e8]<br>0x0000002000000000|- rs1_val == 2305843009213693952<br>                                                                                                                                                                                                      |[0x800012e4]:mulhsu<br> [0x800012e8]:sd<br> |
| 157|[0x800094f0]<br>0x3fffffffff7fffff|- rs1_val == 4611686018427387904<br>                                                                                                                                                                                                      |[0x800012fc]:mulhsu<br> [0x80001300]:sd<br> |
| 158|[0x800094f8]<br>0xfffffffffffffffe|- rs1_val == -2<br>                                                                                                                                                                                                                       |[0x8000130c]:mulhsu<br> [0x80001310]:sd<br> |
| 159|[0x80009500]<br>0xfffffffffffffffb|- rs1_val == -5<br>                                                                                                                                                                                                                       |[0x80001320]:mulhsu<br> [0x80001324]:sd<br> |
| 160|[0x80009508]<br>0xffffffffffffffff|- rs1_val == -9<br>                                                                                                                                                                                                                       |[0x80001330]:mulhsu<br> [0x80001334]:sd<br> |
| 161|[0x80009510]<br>0xffffffffffffffff|- rs1_val == -33<br>                                                                                                                                                                                                                      |[0x80001348]:mulhsu<br> [0x8000134c]:sd<br> |
| 162|[0x80009518]<br>0xffffffffffffffbf|- rs1_val == -65<br>                                                                                                                                                                                                                      |[0x8000135c]:mulhsu<br> [0x80001360]:sd<br> |
| 163|[0x80009520]<br>0xffffffffffffffff|- rs1_val == -129<br>                                                                                                                                                                                                                     |[0x80001370]:mulhsu<br> [0x80001374]:sd<br> |
| 164|[0x80009528]<br>0xffffffffffffffff|- rs1_val == -257<br>                                                                                                                                                                                                                     |[0x80001380]:mulhsu<br> [0x80001384]:sd<br> |
| 165|[0x80009530]<br>0xfffffffffffffbff|- rs1_val == -1025<br>                                                                                                                                                                                                                    |[0x80001394]:mulhsu<br> [0x80001398]:sd<br> |
| 166|[0x80009538]<br>0xffffffffffffffff|- rs1_val == -2049<br>                                                                                                                                                                                                                    |[0x800013a8]:mulhsu<br> [0x800013ac]:sd<br> |
| 167|[0x80009540]<br>0xffffffffffffff7f|- rs1_val == -16385<br>                                                                                                                                                                                                                   |[0x800013c0]:mulhsu<br> [0x800013c4]:sd<br> |
| 168|[0x80009548]<br>0xffffffffffffffff|- rs1_val == -32769<br>                                                                                                                                                                                                                   |[0x800013d4]:mulhsu<br> [0x800013d8]:sd<br> |
| 169|[0x80009550]<br>0xffffffffffffffff|- rs1_val == -1048577<br>                                                                                                                                                                                                                 |[0x800013e8]:mulhsu<br> [0x800013ec]:sd<br> |
| 170|[0x80009558]<br>0xffffffffffefffff|- rs1_val == -2097153<br>                                                                                                                                                                                                                 |[0x80001400]:mulhsu<br> [0x80001404]:sd<br> |
| 171|[0x80009560]<br>0xffffffffffbfffff|- rs1_val == -4194305<br>                                                                                                                                                                                                                 |[0x80001418]:mulhsu<br> [0x8000141c]:sd<br> |
| 172|[0x80009568]<br>0xfffffffffffffdff|- rs1_val == -16777217<br>                                                                                                                                                                                                                |[0x80001430]:mulhsu<br> [0x80001434]:sd<br> |
| 173|[0x80009570]<br>0xffffffffffffffff|- rs1_val == -134217729<br>                                                                                                                                                                                                               |[0x80001444]:mulhsu<br> [0x80001448]:sd<br> |
| 174|[0x80009578]<br>0xffffffffffffffff|- rs1_val == -1073741825<br>                                                                                                                                                                                                              |[0x80001458]:mulhsu<br> [0x8000145c]:sd<br> |
| 175|[0x80009580]<br>0xffffffffffffdfff|- rs1_val == -8589934593<br>                                                                                                                                                                                                              |[0x80001474]:mulhsu<br> [0x80001478]:sd<br> |
| 176|[0x80009588]<br>0xfffffffaaaaaaaaa|- rs1_val == -68719476737<br>                                                                                                                                                                                                             |[0x800014a8]:mulhsu<br> [0x800014ac]:sd<br> |
| 177|[0x80009590]<br>0x0000000000000000|- rs1_val == -137438953473<br>                                                                                                                                                                                                            |[0x800014c0]:mulhsu<br> [0x800014c4]:sd<br> |
| 178|[0x80009598]<br>0xffffffffffffffff|- rs1_val == -274877906945<br>                                                                                                                                                                                                            |[0x800014d8]:mulhsu<br> [0x800014dc]:sd<br> |
| 179|[0x800095a0]<br>0xffffffffffffefff|- rs1_val == -549755813889<br>                                                                                                                                                                                                            |[0x800014f4]:mulhsu<br> [0x800014f8]:sd<br> |
| 180|[0x800095a8]<br>0xffffffffffffffff|- rs1_val == -1099511627777<br>                                                                                                                                                                                                           |[0x8000150c]:mulhsu<br> [0x80001510]:sd<br> |
| 181|[0x800095b0]<br>0xfffffffffffffd2b|- rs1_val == -4398046511105<br>                                                                                                                                                                                                           |[0x80001530]:mulhsu<br> [0x80001534]:sd<br> |
| 182|[0x800095b8]<br>0xfffffffffffff000|- rs1_val == -17592186044417<br>                                                                                                                                                                                                          |[0x80001550]:mulhsu<br> [0x80001554]:sd<br> |
| 183|[0x800095c0]<br>0xffffbfffffffffff|- rs1_val == -70368744177665<br>                                                                                                                                                                                                          |[0x80001568]:mulhsu<br> [0x8000156c]:sd<br> |
| 184|[0x800095c8]<br>0x0000000000000000|- rs1_val == -140737488355329<br>                                                                                                                                                                                                         |[0x80001580]:mulhsu<br> [0x80001584]:sd<br> |
| 185|[0x800095d0]<br>0xfffffffffdffffff|- rs1_val == -281474976710657<br>                                                                                                                                                                                                         |[0x8000159c]:mulhsu<br> [0x800015a0]:sd<br> |
| 186|[0x800095d8]<br>0xfffc000000000003|- rs1_val == -1125899906842625<br>                                                                                                                                                                                                        |[0x800015b8]:mulhsu<br> [0x800015bc]:sd<br> |
| 187|[0x800095e0]<br>0xfffffffffffff7ff|- rs1_val == -2251799813685249<br>                                                                                                                                                                                                        |[0x800015d0]:mulhsu<br> [0x800015d4]:sd<br> |
| 188|[0x800095e8]<br>0xffdfffffffffffff|- rs1_val == -9007199254740993<br>                                                                                                                                                                                                        |[0x800015e8]:mulhsu<br> [0x800015ec]:sd<br> |
| 189|[0x800095f0]<br>0xfffffffbffffffff|- rs1_val == -288230376151711745<br>                                                                                                                                                                                                      |[0x80001604]:mulhsu<br> [0x80001608]:sd<br> |
| 190|[0x800095f8]<br>0xffffffffffffdfff|- rs1_val == -576460752303423489<br>                                                                                                                                                                                                      |[0x8000161c]:mulhsu<br> [0x80001620]:sd<br> |
| 191|[0x80009600]<br>0x0000000000000000|- rs1_val==3 and rs2_val==3<br>                                                                                                                                                                                                           |[0x8000162c]:mulhsu<br> [0x80001630]:sd<br> |
| 192|[0x80009608]<br>0x0000000000000000|- rs1_val==3 and rs2_val==6148914691236517205<br>                                                                                                                                                                                         |[0x80001658]:mulhsu<br> [0x8000165c]:sd<br> |
| 193|[0x80009610]<br>0x0000000000000001|- rs1_val==3 and rs2_val==12297829382473034410<br>                                                                                                                                                                                        |[0x80001684]:mulhsu<br> [0x80001688]:sd<br> |
| 194|[0x80009618]<br>0x0000000000000000|- rs1_val==3 and rs2_val==5<br>                                                                                                                                                                                                           |[0x80001694]:mulhsu<br> [0x80001698]:sd<br> |
| 195|[0x80009620]<br>0x0000000000000000|- rs1_val==3 and rs2_val==3689348814741910323<br>                                                                                                                                                                                         |[0x800016c0]:mulhsu<br> [0x800016c4]:sd<br> |
| 196|[0x80009628]<br>0x0000000000000001|- rs1_val==3 and rs2_val==7378697629483820646<br>                                                                                                                                                                                         |[0x800016ec]:mulhsu<br> [0x800016f0]:sd<br> |
| 197|[0x80009630]<br>0x0000000000000000|- rs1_val==3 and rs2_val==3037000499<br>                                                                                                                                                                                                  |[0x80001708]:mulhsu<br> [0x8000170c]:sd<br> |
| 198|[0x80009638]<br>0x0000000000000000|- rs1_val==3 and rs2_val==0<br>                                                                                                                                                                                                           |[0x80001718]:mulhsu<br> [0x8000171c]:sd<br> |
| 199|[0x80009640]<br>0x0000000000000000|- rs1_val==3 and rs2_val==4294967296<br>                                                                                                                                                                                                  |[0x8000172c]:mulhsu<br> [0x80001730]:sd<br> |
| 200|[0x80009648]<br>0x0000000000000000|- rs1_val==3 and rs2_val==2<br>                                                                                                                                                                                                           |[0x8000173c]:mulhsu<br> [0x80001740]:sd<br> |
| 201|[0x80009650]<br>0x0000000000000000|- rs1_val==3 and rs2_val==6148914691236517204<br>                                                                                                                                                                                         |[0x80001768]:mulhsu<br> [0x8000176c]:sd<br> |
| 202|[0x80009658]<br>0x0000000000000001|- rs1_val==3 and rs2_val==12297829382473034409<br>                                                                                                                                                                                        |[0x80001794]:mulhsu<br> [0x80001798]:sd<br> |
| 203|[0x80009660]<br>0x0000000000000000|- rs1_val==3 and rs2_val==4<br>                                                                                                                                                                                                           |[0x800017a4]:mulhsu<br> [0x800017a8]:sd<br> |
| 204|[0x80009668]<br>0x0000000000000000|- rs1_val==3 and rs2_val==3689348814741910322<br>                                                                                                                                                                                         |[0x800017d0]:mulhsu<br> [0x800017d4]:sd<br> |
| 205|[0x80009670]<br>0x0000000000000001|- rs1_val==3 and rs2_val==7378697629483820645<br>                                                                                                                                                                                         |[0x800017fc]:mulhsu<br> [0x80001800]:sd<br> |
| 206|[0x80009678]<br>0x0000000000000000|- rs1_val==3 and rs2_val==3037000498<br>                                                                                                                                                                                                  |[0x80001818]:mulhsu<br> [0x8000181c]:sd<br> |
| 207|[0x80009680]<br>0x0000000000000000|- rs1_val==3 and rs2_val==4294967295<br>                                                                                                                                                                                                  |[0x80001830]:mulhsu<br> [0x80001834]:sd<br> |
| 208|[0x80009688]<br>0x0000000000000001|- rs1_val==3 and rs2_val==6148914691236517206<br>                                                                                                                                                                                         |[0x8000185c]:mulhsu<br> [0x80001860]:sd<br> |
| 209|[0x80009690]<br>0x0000000000000002|- rs1_val==3 and rs2_val==12297829382473034411<br>                                                                                                                                                                                        |[0x80001888]:mulhsu<br> [0x8000188c]:sd<br> |
| 210|[0x80009698]<br>0x0000000000000000|- rs1_val==3 and rs2_val==6<br>                                                                                                                                                                                                           |[0x80001898]:mulhsu<br> [0x8000189c]:sd<br> |
| 211|[0x800096a0]<br>0x0000000000000000|- rs1_val==3 and rs2_val==3689348814741910324<br>                                                                                                                                                                                         |[0x800018c4]:mulhsu<br> [0x800018c8]:sd<br> |
| 212|[0x800096a8]<br>0x0000000000000001|- rs1_val==3 and rs2_val==7378697629483820647<br>                                                                                                                                                                                         |[0x800018f0]:mulhsu<br> [0x800018f4]:sd<br> |
| 213|[0x800096b0]<br>0x0000000000000000|- rs1_val==3 and rs2_val==3037000500<br>                                                                                                                                                                                                  |[0x8000190c]:mulhsu<br> [0x80001910]:sd<br> |
| 214|[0x800096b8]<br>0x0000000000000000|- rs1_val==3 and rs2_val==1<br>                                                                                                                                                                                                           |[0x8000191c]:mulhsu<br> [0x80001920]:sd<br> |
| 215|[0x800096c0]<br>0x0000000000000000|- rs1_val==3 and rs2_val==4294967297<br>                                                                                                                                                                                                  |[0x80001934]:mulhsu<br> [0x80001938]:sd<br> |
| 216|[0x800096c8]<br>0x0000000000000000|- rs1_val==6148914691236517205 and rs2_val==3<br>                                                                                                                                                                                         |[0x80001960]:mulhsu<br> [0x80001964]:sd<br> |
| 217|[0x800096d0]<br>0x1c71c71c71c71c71|- rs1_val==6148914691236517205 and rs2_val==6148914691236517205<br>                                                                                                                                                                       |[0x800019a8]:mulhsu<br> [0x800019ac]:sd<br> |
| 218|[0x800096d8]<br>0x38e38e38e38e38e3|- rs1_val==6148914691236517205 and rs2_val==12297829382473034410<br>                                                                                                                                                                      |[0x800019f0]:mulhsu<br> [0x800019f4]:sd<br> |
| 219|[0x800096e0]<br>0x0000000000000001|- rs1_val==6148914691236517205 and rs2_val==5<br>                                                                                                                                                                                         |[0x80001a1c]:mulhsu<br> [0x80001a20]:sd<br> |
| 220|[0x800096e8]<br>0x1111111111111110|- rs1_val==6148914691236517205 and rs2_val==3689348814741910323<br>                                                                                                                                                                       |[0x80001a64]:mulhsu<br> [0x80001a68]:sd<br> |
| 221|[0x800096f0]<br>0x2222222222222221|- rs1_val==6148914691236517205 and rs2_val==7378697629483820646<br>                                                                                                                                                                       |[0x80001aac]:mulhsu<br> [0x80001ab0]:sd<br> |
| 222|[0x800096f8]<br>0x000000003c56fbbb|- rs1_val==6148914691236517205 and rs2_val==3037000499<br>                                                                                                                                                                                |[0x80001ae4]:mulhsu<br> [0x80001ae8]:sd<br> |
| 223|[0x80009700]<br>0x0000000000000000|- rs1_val==6148914691236517205 and rs2_val==0<br>                                                                                                                                                                                         |[0x80001b10]:mulhsu<br> [0x80001b14]:sd<br> |
| 224|[0x80009708]<br>0x0000000055555555|- rs1_val==6148914691236517205 and rs2_val==4294967296<br>                                                                                                                                                                                |[0x80001b40]:mulhsu<br> [0x80001b44]:sd<br> |
| 225|[0x80009710]<br>0x0000000000000000|- rs1_val==6148914691236517205 and rs2_val==2<br>                                                                                                                                                                                         |[0x80001b6c]:mulhsu<br> [0x80001b70]:sd<br> |
| 226|[0x80009718]<br>0x1c71c71c71c71c71|- rs1_val==6148914691236517205 and rs2_val==6148914691236517204<br>                                                                                                                                                                       |[0x80001bb4]:mulhsu<br> [0x80001bb8]:sd<br> |
| 227|[0x80009720]<br>0x38e38e38e38e38e2|- rs1_val==6148914691236517205 and rs2_val==12297829382473034409<br>                                                                                                                                                                      |[0x80001bfc]:mulhsu<br> [0x80001c00]:sd<br> |
| 228|[0x80009728]<br>0x0000000000000001|- rs1_val==6148914691236517205 and rs2_val==4<br>                                                                                                                                                                                         |[0x80001c28]:mulhsu<br> [0x80001c2c]:sd<br> |
| 229|[0x80009730]<br>0x1111111111111110|- rs1_val==6148914691236517205 and rs2_val==3689348814741910322<br>                                                                                                                                                                       |[0x80001c70]:mulhsu<br> [0x80001c74]:sd<br> |
| 230|[0x80009738]<br>0x2222222222222221|- rs1_val==6148914691236517205 and rs2_val==7378697629483820645<br>                                                                                                                                                                       |[0x80001cb8]:mulhsu<br> [0x80001cbc]:sd<br> |
| 231|[0x80009740]<br>0x000000003c56fbbb|- rs1_val==6148914691236517205 and rs2_val==3037000498<br>                                                                                                                                                                                |[0x80001cf0]:mulhsu<br> [0x80001cf4]:sd<br> |
| 232|[0x80009748]<br>0x0000000055555554|- rs1_val==6148914691236517205 and rs2_val==4294967295<br>                                                                                                                                                                                |[0x80001d24]:mulhsu<br> [0x80001d28]:sd<br> |
| 233|[0x80009750]<br>0x1c71c71c71c71c71|- rs1_val==6148914691236517205 and rs2_val==6148914691236517206<br>                                                                                                                                                                       |[0x80001d6c]:mulhsu<br> [0x80001d70]:sd<br> |
| 234|[0x80009758]<br>0x38e38e38e38e38e3|- rs1_val==6148914691236517205 and rs2_val==12297829382473034411<br>                                                                                                                                                                      |[0x80001db4]:mulhsu<br> [0x80001db8]:sd<br> |
| 235|[0x80009760]<br>0x0000000000000001|- rs1_val==6148914691236517205 and rs2_val==6<br>                                                                                                                                                                                         |[0x80001de0]:mulhsu<br> [0x80001de4]:sd<br> |
| 236|[0x80009768]<br>0x1111111111111111|- rs1_val==6148914691236517205 and rs2_val==3689348814741910324<br>                                                                                                                                                                       |[0x80001e28]:mulhsu<br> [0x80001e2c]:sd<br> |
| 237|[0x80009770]<br>0x2222222222222222|- rs1_val==6148914691236517205 and rs2_val==7378697629483820647<br>                                                                                                                                                                       |[0x80001e70]:mulhsu<br> [0x80001e74]:sd<br> |
| 238|[0x80009778]<br>0x000000003c56fbbb|- rs1_val==6148914691236517205 and rs2_val==3037000500<br>                                                                                                                                                                                |[0x80001ea8]:mulhsu<br> [0x80001eac]:sd<br> |
| 239|[0x80009780]<br>0x0000000000000000|- rs1_val==6148914691236517205 and rs2_val==1<br>                                                                                                                                                                                         |[0x80001ed4]:mulhsu<br> [0x80001ed8]:sd<br> |
| 240|[0x80009788]<br>0x0000000055555555|- rs1_val==6148914691236517205 and rs2_val==4294967297<br>                                                                                                                                                                                |[0x80001f08]:mulhsu<br> [0x80001f0c]:sd<br> |
| 241|[0x80009790]<br>0xfffffffffffffffe|- rs1_val==-6148914691236517206 and rs2_val==3<br>                                                                                                                                                                                        |[0x80001f34]:mulhsu<br> [0x80001f38]:sd<br> |
| 242|[0x80009798]<br>0xe38e38e38e38e38e|- rs1_val==-6148914691236517206 and rs2_val==6148914691236517205<br>                                                                                                                                                                      |[0x80001f7c]:mulhsu<br> [0x80001f80]:sd<br> |
| 243|[0x800097a0]<br>0xc71c71c71c71c71c|- rs1_val==-6148914691236517206 and rs2_val==12297829382473034410<br>                                                                                                                                                                     |[0x80001fc4]:mulhsu<br> [0x80001fc8]:sd<br> |
| 244|[0x800097a8]<br>0xfffffffffffffffe|- rs1_val==-6148914691236517206 and rs2_val==5<br>                                                                                                                                                                                        |[0x80001ff0]:mulhsu<br> [0x80001ff4]:sd<br> |
| 245|[0x800097b0]<br>0xeeeeeeeeeeeeeeee|- rs1_val==-6148914691236517206 and rs2_val==3689348814741910323<br>                                                                                                                                                                      |[0x80002038]:mulhsu<br> [0x8000203c]:sd<br> |
| 246|[0x800097b8]<br>0xdddddddddddddddd|- rs1_val==-6148914691236517206 and rs2_val==7378697629483820646<br>                                                                                                                                                                      |[0x80002080]:mulhsu<br> [0x80002084]:sd<br> |
| 247|[0x800097c0]<br>0xffffffffc3a90444|- rs1_val==-6148914691236517206 and rs2_val==3037000499<br>                                                                                                                                                                               |[0x800020b8]:mulhsu<br> [0x800020bc]:sd<br> |
| 248|[0x800097c8]<br>0x0000000000000000|- rs1_val==-6148914691236517206 and rs2_val==0<br>                                                                                                                                                                                        |[0x800020e4]:mulhsu<br> [0x800020e8]:sd<br> |
| 249|[0x800097d0]<br>0xffffffffaaaaaaaa|- rs1_val==-6148914691236517206 and rs2_val==4294967296<br>                                                                                                                                                                               |[0x80002114]:mulhsu<br> [0x80002118]:sd<br> |
| 250|[0x800097d8]<br>0xffffffffffffffff|- rs1_val==-6148914691236517206 and rs2_val==2<br>                                                                                                                                                                                        |[0x80002140]:mulhsu<br> [0x80002144]:sd<br> |
| 251|[0x800097e0]<br>0xe38e38e38e38e38e|- rs1_val==-6148914691236517206 and rs2_val==6148914691236517204<br>                                                                                                                                                                      |[0x80002188]:mulhsu<br> [0x8000218c]:sd<br> |
| 252|[0x800097e8]<br>0xc71c71c71c71c71c|- rs1_val==-6148914691236517206 and rs2_val==12297829382473034409<br>                                                                                                                                                                     |[0x800021d0]:mulhsu<br> [0x800021d4]:sd<br> |
| 253|[0x800097f0]<br>0xfffffffffffffffe|- rs1_val==-6148914691236517206 and rs2_val==4<br>                                                                                                                                                                                        |[0x800021fc]:mulhsu<br> [0x80002200]:sd<br> |
| 254|[0x800097f8]<br>0xeeeeeeeeeeeeeeef|- rs1_val==-6148914691236517206 and rs2_val==3689348814741910322<br>                                                                                                                                                                      |[0x80002244]:mulhsu<br> [0x80002248]:sd<br> |
| 255|[0x80009800]<br>0xddddddddddddddde|- rs1_val==-6148914691236517206 and rs2_val==7378697629483820645<br>                                                                                                                                                                      |[0x8000228c]:mulhsu<br> [0x80002290]:sd<br> |
| 256|[0x80009808]<br>0xffffffffc3a90444|- rs1_val==-6148914691236517206 and rs2_val==3037000498<br>                                                                                                                                                                               |[0x800022c4]:mulhsu<br> [0x800022c8]:sd<br> |
| 257|[0x80009810]<br>0xffffffffaaaaaaaa|- rs1_val==-6148914691236517206 and rs2_val==4294967295<br>                                                                                                                                                                               |[0x800022f8]:mulhsu<br> [0x800022fc]:sd<br> |
| 258|[0x80009818]<br>0xe38e38e38e38e38d|- rs1_val==-6148914691236517206 and rs2_val==6148914691236517206<br>                                                                                                                                                                      |[0x80002340]:mulhsu<br> [0x80002344]:sd<br> |
| 259|[0x80009820]<br>0xc71c71c71c71c71b|- rs1_val==-6148914691236517206 and rs2_val==12297829382473034411<br>                                                                                                                                                                     |[0x80002388]:mulhsu<br> [0x8000238c]:sd<br> |
| 260|[0x80009828]<br>0xfffffffffffffffd|- rs1_val==-6148914691236517206 and rs2_val==6<br>                                                                                                                                                                                        |[0x800023b4]:mulhsu<br> [0x800023b8]:sd<br> |
| 261|[0x80009830]<br>0xeeeeeeeeeeeeeeee|- rs1_val==-6148914691236517206 and rs2_val==3689348814741910324<br>                                                                                                                                                                      |[0x800023fc]:mulhsu<br> [0x80002400]:sd<br> |
| 262|[0x80009838]<br>0xdddddddddddddddd|- rs1_val==-6148914691236517206 and rs2_val==7378697629483820647<br>                                                                                                                                                                      |[0x80002444]:mulhsu<br> [0x80002448]:sd<br> |
| 263|[0x80009840]<br>0xffffffffc3a90443|- rs1_val==-6148914691236517206 and rs2_val==3037000500<br>                                                                                                                                                                               |[0x8000247c]:mulhsu<br> [0x80002480]:sd<br> |
| 264|[0x80009848]<br>0xffffffffaaaaaaaa|- rs1_val==-6148914691236517206 and rs2_val==4294967297<br>                                                                                                                                                                               |[0x800024b0]:mulhsu<br> [0x800024b4]:sd<br> |
| 265|[0x80009850]<br>0x0000000000000000|- rs1_val==5 and rs2_val==3<br>                                                                                                                                                                                                           |[0x800024c0]:mulhsu<br> [0x800024c4]:sd<br> |
| 266|[0x80009858]<br>0x0000000000000001|- rs1_val==5 and rs2_val==6148914691236517205<br>                                                                                                                                                                                         |[0x800024ec]:mulhsu<br> [0x800024f0]:sd<br> |
| 267|[0x80009860]<br>0x0000000000000003|- rs1_val==5 and rs2_val==12297829382473034410<br>                                                                                                                                                                                        |[0x80002518]:mulhsu<br> [0x8000251c]:sd<br> |
| 268|[0x80009868]<br>0x0000000000000000|- rs1_val==5 and rs2_val==5<br>                                                                                                                                                                                                           |[0x80002528]:mulhsu<br> [0x8000252c]:sd<br> |
| 269|[0x80009870]<br>0x0000000000000000|- rs1_val==5 and rs2_val==3689348814741910323<br>                                                                                                                                                                                         |[0x80002554]:mulhsu<br> [0x80002558]:sd<br> |
| 270|[0x80009878]<br>0x0000000000000001|- rs1_val==5 and rs2_val==7378697629483820646<br>                                                                                                                                                                                         |[0x80002580]:mulhsu<br> [0x80002584]:sd<br> |
| 271|[0x80009880]<br>0x0000000000000000|- rs1_val==5 and rs2_val==3037000499<br>                                                                                                                                                                                                  |[0x8000259c]:mulhsu<br> [0x800025a0]:sd<br> |
| 272|[0x80009888]<br>0x0000000000000000|- rs1_val==5 and rs2_val==0<br>                                                                                                                                                                                                           |[0x800025ac]:mulhsu<br> [0x800025b0]:sd<br> |
| 273|[0x80009890]<br>0x0000000000000000|- rs1_val==5 and rs2_val==4294967296<br>                                                                                                                                                                                                  |[0x800025c0]:mulhsu<br> [0x800025c4]:sd<br> |
| 274|[0x80009898]<br>0x0000000000000000|- rs1_val==5 and rs2_val==2<br>                                                                                                                                                                                                           |[0x800025d0]:mulhsu<br> [0x800025d4]:sd<br> |
| 275|[0x800098a0]<br>0x0000000000000001|- rs1_val==5 and rs2_val==6148914691236517204<br>                                                                                                                                                                                         |[0x80002604]:mulhsu<br> [0x80002608]:sd<br> |
| 276|[0x800098a8]<br>0x0000000000000003|- rs1_val==5 and rs2_val==12297829382473034409<br>                                                                                                                                                                                        |[0x80002630]:mulhsu<br> [0x80002634]:sd<br> |
| 277|[0x800098b0]<br>0x0000000000000000|- rs1_val==5 and rs2_val==4<br>                                                                                                                                                                                                           |[0x80002640]:mulhsu<br> [0x80002644]:sd<br> |
| 278|[0x800098b8]<br>0x0000000000000000|- rs1_val==5 and rs2_val==3689348814741910322<br>                                                                                                                                                                                         |[0x8000266c]:mulhsu<br> [0x80002670]:sd<br> |
| 279|[0x800098c0]<br>0x0000000000000001|- rs1_val==5 and rs2_val==7378697629483820645<br>                                                                                                                                                                                         |[0x80002698]:mulhsu<br> [0x8000269c]:sd<br> |
| 280|[0x800098c8]<br>0x0000000000000000|- rs1_val==5 and rs2_val==3037000498<br>                                                                                                                                                                                                  |[0x800026b4]:mulhsu<br> [0x800026b8]:sd<br> |
| 281|[0x800098d0]<br>0x0000000000000000|- rs1_val==5 and rs2_val==4294967295<br>                                                                                                                                                                                                  |[0x800026cc]:mulhsu<br> [0x800026d0]:sd<br> |
| 282|[0x800098d8]<br>0x0000000000000001|- rs1_val==5 and rs2_val==6148914691236517206<br>                                                                                                                                                                                         |[0x800026f8]:mulhsu<br> [0x800026fc]:sd<br> |
| 283|[0x800098e0]<br>0x0000000000000003|- rs1_val==5 and rs2_val==12297829382473034411<br>                                                                                                                                                                                        |[0x80002724]:mulhsu<br> [0x80002728]:sd<br> |
| 284|[0x800098e8]<br>0x0000000000000000|- rs1_val==5 and rs2_val==6<br>                                                                                                                                                                                                           |[0x80002734]:mulhsu<br> [0x80002738]:sd<br> |
| 285|[0x800098f0]<br>0x0000000000000001|- rs1_val==5 and rs2_val==3689348814741910324<br>                                                                                                                                                                                         |[0x80002760]:mulhsu<br> [0x80002764]:sd<br> |
| 286|[0x800098f8]<br>0x0000000000000002|- rs1_val==5 and rs2_val==7378697629483820647<br>                                                                                                                                                                                         |[0x8000278c]:mulhsu<br> [0x80002790]:sd<br> |
| 287|[0x80009900]<br>0x0000000000000000|- rs1_val==5 and rs2_val==3037000500<br>                                                                                                                                                                                                  |[0x800027a8]:mulhsu<br> [0x800027ac]:sd<br> |
| 288|[0x80009908]<br>0x0000000000000000|- rs1_val==5 and rs2_val==1<br>                                                                                                                                                                                                           |[0x800027b8]:mulhsu<br> [0x800027bc]:sd<br> |
| 289|[0x80009910]<br>0x0000000000000000|- rs1_val==5 and rs2_val==4294967297<br>                                                                                                                                                                                                  |[0x800027d0]:mulhsu<br> [0x800027d4]:sd<br> |
| 290|[0x80009918]<br>0x0000000000000000|- rs1_val==3689348814741910323 and rs2_val==3<br>                                                                                                                                                                                         |[0x800027fc]:mulhsu<br> [0x80002800]:sd<br> |
| 291|[0x80009920]<br>0x1111111111111110|- rs1_val==3689348814741910323 and rs2_val==6148914691236517205<br>                                                                                                                                                                       |[0x80002844]:mulhsu<br> [0x80002848]:sd<br> |
| 292|[0x80009928]<br>0x2222222222222221|- rs1_val==3689348814741910323 and rs2_val==12297829382473034410<br>                                                                                                                                                                      |[0x8000288c]:mulhsu<br> [0x80002890]:sd<br> |
| 293|[0x80009930]<br>0x0000000000000000|- rs1_val==3689348814741910323 and rs2_val==5<br>                                                                                                                                                                                         |[0x800028b8]:mulhsu<br> [0x800028bc]:sd<br> |
| 294|[0x80009938]<br>0x0a3d70a3d70a3d70|- rs1_val==3689348814741910323 and rs2_val==3689348814741910323<br>                                                                                                                                                                       |[0x80002900]:mulhsu<br> [0x80002904]:sd<br> |
| 295|[0x80009940]<br>0x147ae147ae147ae1|- rs1_val==3689348814741910323 and rs2_val==7378697629483820646<br>                                                                                                                                                                       |[0x80002948]:mulhsu<br> [0x8000294c]:sd<br> |
| 296|[0x80009948]<br>0x00000000243430a3|- rs1_val==3689348814741910323 and rs2_val==3037000499<br>                                                                                                                                                                                |[0x80002980]:mulhsu<br> [0x80002984]:sd<br> |
| 297|[0x80009950]<br>0x0000000000000000|- rs1_val==3689348814741910323 and rs2_val==0<br>                                                                                                                                                                                         |[0x800029ac]:mulhsu<br> [0x800029b0]:sd<br> |
| 298|[0x80009958]<br>0x0000000033333333|- rs1_val==3689348814741910323 and rs2_val==4294967296<br>                                                                                                                                                                                |[0x800029dc]:mulhsu<br> [0x800029e0]:sd<br> |
| 299|[0x80009960]<br>0x0000000000000000|- rs1_val==3689348814741910323 and rs2_val==2<br>                                                                                                                                                                                         |[0x80002a08]:mulhsu<br> [0x80002a0c]:sd<br> |
| 300|[0x80009968]<br>0x1111111111111110|- rs1_val==3689348814741910323 and rs2_val==6148914691236517204<br>                                                                                                                                                                       |[0x80002a50]:mulhsu<br> [0x80002a54]:sd<br> |
| 301|[0x80009970]<br>0x2222222222222221|- rs1_val==3689348814741910323 and rs2_val==12297829382473034409<br>                                                                                                                                                                      |[0x80002a98]:mulhsu<br> [0x80002a9c]:sd<br> |
| 302|[0x80009978]<br>0x0000000000000000|- rs1_val==3689348814741910323 and rs2_val==4<br>                                                                                                                                                                                         |[0x80002ac4]:mulhsu<br> [0x80002ac8]:sd<br> |
| 303|[0x80009980]<br>0x0a3d70a3d70a3d70|- rs1_val==3689348814741910323 and rs2_val==3689348814741910322<br>                                                                                                                                                                       |[0x80002b0c]:mulhsu<br> [0x80002b10]:sd<br> |
| 304|[0x80009988]<br>0x147ae147ae147ae0|- rs1_val==3689348814741910323 and rs2_val==7378697629483820645<br>                                                                                                                                                                       |[0x80002b54]:mulhsu<br> [0x80002b58]:sd<br> |
| 305|[0x80009990]<br>0x00000000243430a3|- rs1_val==3689348814741910323 and rs2_val==3037000498<br>                                                                                                                                                                                |[0x80002b8c]:mulhsu<br> [0x80002b90]:sd<br> |
| 306|[0x80009998]<br>0x0000000033333332|- rs1_val==3689348814741910323 and rs2_val==4294967295<br>                                                                                                                                                                                |[0x80002bc0]:mulhsu<br> [0x80002bc4]:sd<br> |
| 307|[0x800099a0]<br>0x1111111111111111|- rs1_val==3689348814741910323 and rs2_val==6148914691236517206<br>                                                                                                                                                                       |[0x80002c08]:mulhsu<br> [0x80002c0c]:sd<br> |
| 308|[0x800099a8]<br>0x2222222222222222|- rs1_val==3689348814741910323 and rs2_val==12297829382473034411<br>                                                                                                                                                                      |[0x80002c50]:mulhsu<br> [0x80002c54]:sd<br> |
| 309|[0x800099b0]<br>0x0000000000000001|- rs1_val==3689348814741910323 and rs2_val==6<br>                                                                                                                                                                                         |[0x80002c7c]:mulhsu<br> [0x80002c80]:sd<br> |
| 310|[0x800099b8]<br>0x0a3d70a3d70a3d70|- rs1_val==3689348814741910323 and rs2_val==3689348814741910324<br>                                                                                                                                                                       |[0x80002cc4]:mulhsu<br> [0x80002cc8]:sd<br> |
| 311|[0x800099c0]<br>0x147ae147ae147ae1|- rs1_val==3689348814741910323 and rs2_val==7378697629483820647<br>                                                                                                                                                                       |[0x80002d0c]:mulhsu<br> [0x80002d10]:sd<br> |
| 312|[0x800099c8]<br>0x00000000243430a3|- rs1_val==3689348814741910323 and rs2_val==3037000500<br>                                                                                                                                                                                |[0x80002d44]:mulhsu<br> [0x80002d48]:sd<br> |
| 313|[0x800099d0]<br>0x0000000000000000|- rs1_val==3689348814741910323 and rs2_val==1<br>                                                                                                                                                                                         |[0x80002d70]:mulhsu<br> [0x80002d74]:sd<br> |
| 314|[0x800099d8]<br>0x0000000033333333|- rs1_val==3689348814741910323 and rs2_val==4294967297<br>                                                                                                                                                                                |[0x80002da4]:mulhsu<br> [0x80002da8]:sd<br> |
| 315|[0x800099e0]<br>0x0000000000000001|- rs1_val==7378697629483820646 and rs2_val==3<br>                                                                                                                                                                                         |[0x80002dd0]:mulhsu<br> [0x80002dd4]:sd<br> |
| 316|[0x800099e8]<br>0x2222222222222221|- rs1_val==7378697629483820646 and rs2_val==6148914691236517205<br>                                                                                                                                                                       |[0x80002e18]:mulhsu<br> [0x80002e1c]:sd<br> |
| 317|[0x800099f0]<br>0x4444444444444443|- rs1_val==7378697629483820646 and rs2_val==12297829382473034410<br>                                                                                                                                                                      |[0x80002e60]:mulhsu<br> [0x80002e64]:sd<br> |
| 318|[0x800099f8]<br>0x0000000000000001|- rs1_val==7378697629483820646 and rs2_val==5<br>                                                                                                                                                                                         |[0x80002e8c]:mulhsu<br> [0x80002e90]:sd<br> |
| 319|[0x80009a00]<br>0x147ae147ae147ae1|- rs1_val==7378697629483820646 and rs2_val==3689348814741910323<br>                                                                                                                                                                       |[0x80002ed4]:mulhsu<br> [0x80002ed8]:sd<br> |
| 320|[0x80009a08]<br>0x28f5c28f5c28f5c2|- rs1_val==7378697629483820646 and rs2_val==7378697629483820646<br>                                                                                                                                                                       |[0x80002f1c]:mulhsu<br> [0x80002f20]:sd<br> |
| 321|[0x80009a10]<br>0x0000000048686147|- rs1_val==7378697629483820646 and rs2_val==3037000499<br>                                                                                                                                                                                |[0x80002f54]:mulhsu<br> [0x80002f58]:sd<br> |
| 322|[0x80009a18]<br>0x0000000000000000|- rs1_val==7378697629483820646 and rs2_val==0<br>                                                                                                                                                                                         |[0x80002f80]:mulhsu<br> [0x80002f84]:sd<br> |
| 323|[0x80009a20]<br>0x0000000066666666|- rs1_val==7378697629483820646 and rs2_val==4294967296<br>                                                                                                                                                                                |[0x80002fb0]:mulhsu<br> [0x80002fb4]:sd<br> |
| 324|[0x80009a28]<br>0x0000000000000000|- rs1_val==7378697629483820646 and rs2_val==2<br>                                                                                                                                                                                         |[0x80002fdc]:mulhsu<br> [0x80002fe0]:sd<br> |
| 325|[0x80009a30]<br>0x2222222222222221|- rs1_val==7378697629483820646 and rs2_val==6148914691236517204<br>                                                                                                                                                                       |[0x80003024]:mulhsu<br> [0x80003028]:sd<br> |
| 326|[0x80009a38]<br>0x4444444444444443|- rs1_val==7378697629483820646 and rs2_val==12297829382473034409<br>                                                                                                                                                                      |[0x8000306c]:mulhsu<br> [0x80003070]:sd<br> |
| 327|[0x80009a40]<br>0x0000000000000001|- rs1_val==7378697629483820646 and rs2_val==4<br>                                                                                                                                                                                         |[0x80003098]:mulhsu<br> [0x8000309c]:sd<br> |
| 328|[0x80009a48]<br>0x147ae147ae147ae0|- rs1_val==7378697629483820646 and rs2_val==3689348814741910322<br>                                                                                                                                                                       |[0x800030e0]:mulhsu<br> [0x800030e4]:sd<br> |
| 329|[0x80009a50]<br>0x28f5c28f5c28f5c1|- rs1_val==7378697629483820646 and rs2_val==7378697629483820645<br>                                                                                                                                                                       |[0x80003128]:mulhsu<br> [0x8000312c]:sd<br> |
| 330|[0x80009a58]<br>0x0000000048686147|- rs1_val==7378697629483820646 and rs2_val==3037000498<br>                                                                                                                                                                                |[0x80003160]:mulhsu<br> [0x80003164]:sd<br> |
| 331|[0x80009a60]<br>0x0000000066666665|- rs1_val==7378697629483820646 and rs2_val==4294967295<br>                                                                                                                                                                                |[0x80003194]:mulhsu<br> [0x80003198]:sd<br> |
| 332|[0x80009a68]<br>0x2222222222222222|- rs1_val==7378697629483820646 and rs2_val==6148914691236517206<br>                                                                                                                                                                       |[0x800031dc]:mulhsu<br> [0x800031e0]:sd<br> |
| 333|[0x80009a70]<br>0x4444444444444444|- rs1_val==7378697629483820646 and rs2_val==12297829382473034411<br>                                                                                                                                                                      |[0x80003224]:mulhsu<br> [0x80003228]:sd<br> |
| 334|[0x80009a78]<br>0x0000000000000002|- rs1_val==7378697629483820646 and rs2_val==6<br>                                                                                                                                                                                         |[0x80003250]:mulhsu<br> [0x80003254]:sd<br> |
| 335|[0x80009a80]<br>0x147ae147ae147ae1|- rs1_val==7378697629483820646 and rs2_val==3689348814741910324<br>                                                                                                                                                                       |[0x80003298]:mulhsu<br> [0x8000329c]:sd<br> |
| 336|[0x80009a88]<br>0x28f5c28f5c28f5c2|- rs1_val==7378697629483820646 and rs2_val==7378697629483820647<br>                                                                                                                                                                       |[0x800032e0]:mulhsu<br> [0x800032e4]:sd<br> |
| 337|[0x80009a90]<br>0x0000000048686147|- rs1_val==7378697629483820646 and rs2_val==3037000500<br>                                                                                                                                                                                |[0x80003318]:mulhsu<br> [0x8000331c]:sd<br> |
| 338|[0x80009a98]<br>0x0000000000000000|- rs1_val==7378697629483820646 and rs2_val==1<br>                                                                                                                                                                                         |[0x80003344]:mulhsu<br> [0x80003348]:sd<br> |
| 339|[0x80009aa0]<br>0x0000000066666666|- rs1_val==7378697629483820646 and rs2_val==4294967297<br>                                                                                                                                                                                |[0x80003378]:mulhsu<br> [0x8000337c]:sd<br> |
| 340|[0x80009aa8]<br>0xffffffffffffffff|- rs1_val==-3037000499 and rs2_val==3<br>                                                                                                                                                                                                 |[0x80003394]:mulhsu<br> [0x80003398]:sd<br> |
| 341|[0x80009ab0]<br>0xffffffffc3a90444|- rs1_val==-3037000499 and rs2_val==6148914691236517205<br>                                                                                                                                                                               |[0x800033cc]:mulhsu<br> [0x800033d0]:sd<br> |
| 342|[0x80009ab8]<br>0xffffffff87520888|- rs1_val==-3037000499 and rs2_val==12297829382473034410<br>                                                                                                                                                                              |[0x80003404]:mulhsu<br> [0x80003408]:sd<br> |
| 343|[0x80009ac0]<br>0xffffffffffffffff|- rs1_val==-3037000499 and rs2_val==5<br>                                                                                                                                                                                                 |[0x80003420]:mulhsu<br> [0x80003424]:sd<br> |
| 344|[0x80009ac8]<br>0xffffffffdbcbcf5c|- rs1_val==-3037000499 and rs2_val==3689348814741910323<br>                                                                                                                                                                               |[0x80003458]:mulhsu<br> [0x8000345c]:sd<br> |
| 345|[0x80009ad0]<br>0xffffffffb7979eb8|- rs1_val==-3037000499 and rs2_val==7378697629483820646<br>                                                                                                                                                                               |[0x80003490]:mulhsu<br> [0x80003494]:sd<br> |
| 346|[0x80009ad8]<br>0xffffffffffffffff|- rs1_val==-3037000499 and rs2_val==3037000499<br>                                                                                                                                                                                        |[0x800034b8]:mulhsu<br> [0x800034bc]:sd<br> |
| 347|[0x80009ae0]<br>0x0000000000000000|- rs1_val==-3037000499 and rs2_val==0<br>                                                                                                                                                                                                 |[0x800034d4]:mulhsu<br> [0x800034d8]:sd<br> |
| 348|[0x80009ae8]<br>0xffffffffffffffff|- rs1_val==-3037000499 and rs2_val==4294967296<br>                                                                                                                                                                                        |[0x800034f4]:mulhsu<br> [0x800034f8]:sd<br> |
| 349|[0x80009af0]<br>0xffffffffffffffff|- rs1_val==-3037000499 and rs2_val==2<br>                                                                                                                                                                                                 |[0x80003510]:mulhsu<br> [0x80003514]:sd<br> |
| 350|[0x80009af8]<br>0xffffffffc3a90444|- rs1_val==-3037000499 and rs2_val==6148914691236517204<br>                                                                                                                                                                               |[0x80003548]:mulhsu<br> [0x8000354c]:sd<br> |
| 351|[0x80009b00]<br>0xffffffff87520888|- rs1_val==-3037000499 and rs2_val==12297829382473034409<br>                                                                                                                                                                              |[0x80003580]:mulhsu<br> [0x80003584]:sd<br> |
| 352|[0x80009b08]<br>0xffffffffffffffff|- rs1_val==-3037000499 and rs2_val==4<br>                                                                                                                                                                                                 |[0x8000359c]:mulhsu<br> [0x800035a0]:sd<br> |
| 353|[0x80009b10]<br>0xffffffffdbcbcf5c|- rs1_val==-3037000499 and rs2_val==3689348814741910322<br>                                                                                                                                                                               |[0x800035d4]:mulhsu<br> [0x800035d8]:sd<br> |
| 354|[0x80009b18]<br>0xffffffffb7979eb8|- rs1_val==-3037000499 and rs2_val==7378697629483820645<br>                                                                                                                                                                               |[0x8000360c]:mulhsu<br> [0x80003610]:sd<br> |
| 355|[0x80009b20]<br>0xffffffffffffffff|- rs1_val==-3037000499 and rs2_val==3037000498<br>                                                                                                                                                                                        |[0x80003634]:mulhsu<br> [0x80003638]:sd<br> |
| 356|[0x80009b28]<br>0xffffffffffffffff|- rs1_val==-3037000499 and rs2_val==4294967295<br>                                                                                                                                                                                        |[0x80003658]:mulhsu<br> [0x8000365c]:sd<br> |
| 357|[0x80009b30]<br>0xffffffffc3a90444|- rs1_val==-3037000499 and rs2_val==6148914691236517206<br>                                                                                                                                                                               |[0x80003690]:mulhsu<br> [0x80003694]:sd<br> |
| 358|[0x80009b38]<br>0xffffffff87520888|- rs1_val==-3037000499 and rs2_val==12297829382473034411<br>                                                                                                                                                                              |[0x800036c8]:mulhsu<br> [0x800036cc]:sd<br> |
| 359|[0x80009b40]<br>0xffffffffffffffff|- rs1_val==-3037000499 and rs2_val==6<br>                                                                                                                                                                                                 |[0x800036e4]:mulhsu<br> [0x800036e8]:sd<br> |
| 360|[0x80009b48]<br>0xffffffffdbcbcf5c|- rs1_val==-3037000499 and rs2_val==3689348814741910324<br>                                                                                                                                                                               |[0x8000371c]:mulhsu<br> [0x80003720]:sd<br> |
| 361|[0x80009b50]<br>0xffffffffb7979eb8|- rs1_val==-3037000499 and rs2_val==7378697629483820647<br>                                                                                                                                                                               |[0x80003754]:mulhsu<br> [0x80003758]:sd<br> |
| 362|[0x80009b58]<br>0xffffffffffffffff|- rs1_val==-3037000499 and rs2_val==3037000500<br>                                                                                                                                                                                        |[0x8000377c]:mulhsu<br> [0x80003780]:sd<br> |
| 363|[0x80009b60]<br>0xffffffffffffffff|- rs1_val==-3037000499 and rs2_val==1<br>                                                                                                                                                                                                 |[0x80003798]:mulhsu<br> [0x8000379c]:sd<br> |
| 364|[0x80009b68]<br>0xffffffffffffffff|- rs1_val==-3037000499 and rs2_val==4294967297<br>                                                                                                                                                                                        |[0x800037bc]:mulhsu<br> [0x800037c0]:sd<br> |
| 365|[0x80009b70]<br>0x0000000000000000|- rs1_val==3037000499 and rs2_val==3<br>                                                                                                                                                                                                  |[0x800037d8]:mulhsu<br> [0x800037dc]:sd<br> |
| 366|[0x80009b78]<br>0x000000003c56fbbb|- rs1_val==3037000499 and rs2_val==6148914691236517205<br>                                                                                                                                                                                |[0x80003810]:mulhsu<br> [0x80003814]:sd<br> |
| 367|[0x80009b80]<br>0x0000000078adf777|- rs1_val==3037000499 and rs2_val==12297829382473034410<br>                                                                                                                                                                               |[0x80003848]:mulhsu<br> [0x8000384c]:sd<br> |
| 368|[0x80009b88]<br>0x0000000000000000|- rs1_val==3037000499 and rs2_val==5<br>                                                                                                                                                                                                  |[0x80003864]:mulhsu<br> [0x80003868]:sd<br> |
| 369|[0x80009b90]<br>0x00000000243430a3|- rs1_val==3037000499 and rs2_val==3689348814741910323<br>                                                                                                                                                                                |[0x8000389c]:mulhsu<br> [0x800038a0]:sd<br> |
| 370|[0x80009b98]<br>0x0000000048686147|- rs1_val==3037000499 and rs2_val==7378697629483820646<br>                                                                                                                                                                                |[0x800038d4]:mulhsu<br> [0x800038d8]:sd<br> |
| 371|[0x80009ba0]<br>0x0000000000000000|- rs1_val==3037000499 and rs2_val==3037000499<br>                                                                                                                                                                                         |[0x800038fc]:mulhsu<br> [0x80003900]:sd<br> |
| 372|[0x80009ba8]<br>0x0000000000000000|- rs1_val==3037000499 and rs2_val==0<br>                                                                                                                                                                                                  |[0x80003918]:mulhsu<br> [0x8000391c]:sd<br> |
| 373|[0x80009bb0]<br>0x0000000000000000|- rs1_val==3037000499 and rs2_val==4294967296<br>                                                                                                                                                                                         |[0x80003938]:mulhsu<br> [0x8000393c]:sd<br> |
| 374|[0x80009bb8]<br>0x0000000000000000|- rs1_val==3037000499 and rs2_val==2<br>                                                                                                                                                                                                  |[0x80003954]:mulhsu<br> [0x80003958]:sd<br> |
| 375|[0x80009bc0]<br>0x000000003c56fbbb|- rs1_val==3037000499 and rs2_val==6148914691236517204<br>                                                                                                                                                                                |[0x8000398c]:mulhsu<br> [0x80003990]:sd<br> |
| 376|[0x80009bc8]<br>0x0000000078adf777|- rs1_val==3037000499 and rs2_val==12297829382473034409<br>                                                                                                                                                                               |[0x800039c4]:mulhsu<br> [0x800039c8]:sd<br> |
| 377|[0x80009bd0]<br>0x0000000000000000|- rs1_val==3037000499 and rs2_val==4<br>                                                                                                                                                                                                  |[0x800039e0]:mulhsu<br> [0x800039e4]:sd<br> |
| 378|[0x80009bd8]<br>0x00000000243430a3|- rs1_val==3037000499 and rs2_val==3689348814741910322<br>                                                                                                                                                                                |[0x80003a18]:mulhsu<br> [0x80003a1c]:sd<br> |
| 379|[0x80009be0]<br>0x0000000048686147|- rs1_val==3037000499 and rs2_val==7378697629483820645<br>                                                                                                                                                                                |[0x80003a50]:mulhsu<br> [0x80003a54]:sd<br> |
| 380|[0x80009be8]<br>0x0000000000000000|- rs1_val==3037000499 and rs2_val==3037000498<br>                                                                                                                                                                                         |[0x80003a78]:mulhsu<br> [0x80003a7c]:sd<br> |
| 381|[0x80009bf0]<br>0x0000000000000000|- rs1_val==3037000499 and rs2_val==4294967295<br>                                                                                                                                                                                         |[0x80003a9c]:mulhsu<br> [0x80003aa0]:sd<br> |
| 382|[0x80009bf8]<br>0x000000003c56fbbb|- rs1_val==3037000499 and rs2_val==6148914691236517206<br>                                                                                                                                                                                |[0x80003ad4]:mulhsu<br> [0x80003ad8]:sd<br> |
| 383|[0x80009c00]<br>0x0000000078adf777|- rs1_val==3037000499 and rs2_val==12297829382473034411<br>                                                                                                                                                                               |[0x80003b0c]:mulhsu<br> [0x80003b10]:sd<br> |
| 384|[0x80009c08]<br>0x0000000000000000|- rs1_val==3037000499 and rs2_val==6<br>                                                                                                                                                                                                  |[0x80003b28]:mulhsu<br> [0x80003b2c]:sd<br> |
| 385|[0x80009c10]<br>0x00000000243430a3|- rs1_val==3037000499 and rs2_val==3689348814741910324<br>                                                                                                                                                                                |[0x80003b60]:mulhsu<br> [0x80003b64]:sd<br> |
| 386|[0x80009c18]<br>0x0000000048686147|- rs1_val==3037000499 and rs2_val==7378697629483820647<br>                                                                                                                                                                                |[0x80003b98]:mulhsu<br> [0x80003b9c]:sd<br> |
| 387|[0x80009c20]<br>0x0000000000000000|- rs1_val==3037000499 and rs2_val==3037000500<br>                                                                                                                                                                                         |[0x80003bc0]:mulhsu<br> [0x80003bc4]:sd<br> |
| 388|[0x80009c28]<br>0x0000000000000000|- rs1_val==3037000499 and rs2_val==1<br>                                                                                                                                                                                                  |[0x80003bdc]:mulhsu<br> [0x80003be0]:sd<br> |
| 389|[0x80009c30]<br>0x0000000000000000|- rs1_val==3037000499 and rs2_val==4294967297<br>                                                                                                                                                                                         |[0x80003c00]:mulhsu<br> [0x80003c04]:sd<br> |
| 390|[0x80009c38]<br>0x0000000000000000|- rs1_val==2 and rs2_val==3<br>                                                                                                                                                                                                           |[0x80003c10]:mulhsu<br> [0x80003c14]:sd<br> |
| 391|[0x80009c40]<br>0x0000000000000000|- rs1_val==2 and rs2_val==6148914691236517205<br>                                                                                                                                                                                         |[0x80003c3c]:mulhsu<br> [0x80003c40]:sd<br> |
| 392|[0x80009c48]<br>0x0000000000000001|- rs1_val==2 and rs2_val==12297829382473034410<br>                                                                                                                                                                                        |[0x80003c68]:mulhsu<br> [0x80003c6c]:sd<br> |
| 393|[0x80009c50]<br>0x0000000000000000|- rs1_val==2 and rs2_val==5<br>                                                                                                                                                                                                           |[0x80003c78]:mulhsu<br> [0x80003c7c]:sd<br> |
| 394|[0x80009c58]<br>0x0000000000000000|- rs1_val==2 and rs2_val==3689348814741910323<br>                                                                                                                                                                                         |[0x80003ca4]:mulhsu<br> [0x80003ca8]:sd<br> |
| 395|[0x80009c60]<br>0x0000000000000000|- rs1_val==2 and rs2_val==7378697629483820646<br>                                                                                                                                                                                         |[0x80003cd0]:mulhsu<br> [0x80003cd4]:sd<br> |
| 396|[0x80009c68]<br>0x0000000000000000|- rs1_val==2 and rs2_val==3037000499<br>                                                                                                                                                                                                  |[0x80003cec]:mulhsu<br> [0x80003cf0]:sd<br> |
| 397|[0x80009c70]<br>0x0000000000000000|- rs1_val==2 and rs2_val==0<br>                                                                                                                                                                                                           |[0x80003cfc]:mulhsu<br> [0x80003d00]:sd<br> |
| 398|[0x80009c78]<br>0x0000000000000000|- rs1_val==2 and rs2_val==4294967296<br>                                                                                                                                                                                                  |[0x80003d10]:mulhsu<br> [0x80003d14]:sd<br> |
| 399|[0x80009c80]<br>0x0000000000000000|- rs1_val==2 and rs2_val==2<br>                                                                                                                                                                                                           |[0x80003d20]:mulhsu<br> [0x80003d24]:sd<br> |
| 400|[0x80009c88]<br>0x0000000000000000|- rs1_val==2 and rs2_val==6148914691236517204<br>                                                                                                                                                                                         |[0x80003d4c]:mulhsu<br> [0x80003d50]:sd<br> |
| 401|[0x80009c90]<br>0x0000000000000001|- rs1_val==2 and rs2_val==12297829382473034409<br>                                                                                                                                                                                        |[0x80003d78]:mulhsu<br> [0x80003d7c]:sd<br> |
| 402|[0x80009c98]<br>0x0000000000000000|- rs1_val==2 and rs2_val==4<br>                                                                                                                                                                                                           |[0x80003d88]:mulhsu<br> [0x80003d8c]:sd<br> |
| 403|[0x80009ca0]<br>0x0000000000000000|- rs1_val==2 and rs2_val==3689348814741910322<br>                                                                                                                                                                                         |[0x80003db4]:mulhsu<br> [0x80003db8]:sd<br> |
| 404|[0x80009ca8]<br>0x0000000000000000|- rs1_val==2 and rs2_val==7378697629483820645<br>                                                                                                                                                                                         |[0x80003de0]:mulhsu<br> [0x80003de4]:sd<br> |
| 405|[0x80009cb0]<br>0x0000000000000000|- rs1_val==2 and rs2_val==3037000498<br>                                                                                                                                                                                                  |[0x80003dfc]:mulhsu<br> [0x80003e00]:sd<br> |
| 406|[0x80009cb8]<br>0x0000000000000000|- rs1_val==2 and rs2_val==4294967295<br>                                                                                                                                                                                                  |[0x80003e14]:mulhsu<br> [0x80003e18]:sd<br> |
| 407|[0x80009cc0]<br>0x0000000000000000|- rs1_val==2 and rs2_val==6148914691236517206<br>                                                                                                                                                                                         |[0x80003e40]:mulhsu<br> [0x80003e44]:sd<br> |
| 408|[0x80009cc8]<br>0x0000000000000001|- rs1_val==2 and rs2_val==12297829382473034411<br>                                                                                                                                                                                        |[0x80003e6c]:mulhsu<br> [0x80003e70]:sd<br> |
| 409|[0x80009cd0]<br>0x0000000000000000|- rs1_val==2 and rs2_val==6<br>                                                                                                                                                                                                           |[0x80003e7c]:mulhsu<br> [0x80003e80]:sd<br> |
| 410|[0x80009cd8]<br>0x0000000000000000|- rs1_val==2 and rs2_val==3689348814741910324<br>                                                                                                                                                                                         |[0x80003ea8]:mulhsu<br> [0x80003eac]:sd<br> |
| 411|[0x80009ce0]<br>0x0000000000000000|- rs1_val==2 and rs2_val==7378697629483820647<br>                                                                                                                                                                                         |[0x80003ed4]:mulhsu<br> [0x80003ed8]:sd<br> |
| 412|[0x80009ce8]<br>0x0000000000000000|- rs1_val==2 and rs2_val==3037000500<br>                                                                                                                                                                                                  |[0x80003ef0]:mulhsu<br> [0x80003ef4]:sd<br> |
| 413|[0x80009cf0]<br>0x0000000000000000|- rs1_val==2 and rs2_val==1<br>                                                                                                                                                                                                           |[0x80003f00]:mulhsu<br> [0x80003f04]:sd<br> |
| 414|[0x80009cf8]<br>0x0000000000000000|- rs1_val==2 and rs2_val==4294967297<br>                                                                                                                                                                                                  |[0x80003f18]:mulhsu<br> [0x80003f1c]:sd<br> |
| 415|[0x80009d00]<br>0x0000000000000000|- rs1_val==6148914691236517204 and rs2_val==3<br>                                                                                                                                                                                         |[0x80003f44]:mulhsu<br> [0x80003f48]:sd<br> |
| 416|[0x80009d08]<br>0x1c71c71c71c71c71|- rs1_val==6148914691236517204 and rs2_val==6148914691236517205<br>                                                                                                                                                                       |[0x80003f8c]:mulhsu<br> [0x80003f90]:sd<br> |
| 417|[0x80009d10]<br>0x38e38e38e38e38e2|- rs1_val==6148914691236517204 and rs2_val==12297829382473034410<br>                                                                                                                                                                      |[0x80003fd4]:mulhsu<br> [0x80003fd8]:sd<br> |
| 418|[0x80009d18]<br>0x0000000000000001|- rs1_val==6148914691236517204 and rs2_val==5<br>                                                                                                                                                                                         |[0x80004000]:mulhsu<br> [0x80004004]:sd<br> |
| 419|[0x80009d20]<br>0x1111111111111110|- rs1_val==6148914691236517204 and rs2_val==3689348814741910323<br>                                                                                                                                                                       |[0x80004048]:mulhsu<br> [0x8000404c]:sd<br> |
| 420|[0x80009d28]<br>0x2222222222222221|- rs1_val==6148914691236517204 and rs2_val==7378697629483820646<br>                                                                                                                                                                       |[0x80004090]:mulhsu<br> [0x80004094]:sd<br> |
| 421|[0x80009d30]<br>0x000000003c56fbbb|- rs1_val==6148914691236517204 and rs2_val==3037000499<br>                                                                                                                                                                                |[0x800040c8]:mulhsu<br> [0x800040cc]:sd<br> |
| 422|[0x80009d38]<br>0x0000000000000000|- rs1_val==6148914691236517204 and rs2_val==0<br>                                                                                                                                                                                         |[0x800040f4]:mulhsu<br> [0x800040f8]:sd<br> |
| 423|[0x80009d40]<br>0x0000000055555555|- rs1_val==6148914691236517204 and rs2_val==4294967296<br>                                                                                                                                                                                |[0x80004124]:mulhsu<br> [0x80004128]:sd<br> |
| 424|[0x80009d48]<br>0x0000000000000000|- rs1_val==6148914691236517204 and rs2_val==2<br>                                                                                                                                                                                         |[0x80004150]:mulhsu<br> [0x80004154]:sd<br> |
| 425|[0x80009d50]<br>0x1c71c71c71c71c70|- rs1_val==6148914691236517204 and rs2_val==6148914691236517204<br>                                                                                                                                                                       |[0x80004198]:mulhsu<br> [0x8000419c]:sd<br> |
| 426|[0x80009d58]<br>0x38e38e38e38e38e2|- rs1_val==6148914691236517204 and rs2_val==12297829382473034409<br>                                                                                                                                                                      |[0x800041e0]:mulhsu<br> [0x800041e4]:sd<br> |
| 427|[0x80009d60]<br>0x0000000000000001|- rs1_val==6148914691236517204 and rs2_val==4<br>                                                                                                                                                                                         |[0x8000420c]:mulhsu<br> [0x80004210]:sd<br> |
| 428|[0x80009d68]<br>0x1111111111111110|- rs1_val==6148914691236517204 and rs2_val==3689348814741910322<br>                                                                                                                                                                       |[0x80004254]:mulhsu<br> [0x80004258]:sd<br> |
| 429|[0x80009d70]<br>0x2222222222222221|- rs1_val==6148914691236517204 and rs2_val==7378697629483820645<br>                                                                                                                                                                       |[0x8000429c]:mulhsu<br> [0x800042a0]:sd<br> |
| 430|[0x80009d78]<br>0x000000003c56fbbb|- rs1_val==6148914691236517204 and rs2_val==3037000498<br>                                                                                                                                                                                |[0x800042d4]:mulhsu<br> [0x800042d8]:sd<br> |
| 431|[0x80009d80]<br>0x0000000055555554|- rs1_val==6148914691236517204 and rs2_val==4294967295<br>                                                                                                                                                                                |[0x80004308]:mulhsu<br> [0x8000430c]:sd<br> |
| 432|[0x80009d88]<br>0x1c71c71c71c71c71|- rs1_val==6148914691236517204 and rs2_val==6148914691236517206<br>                                                                                                                                                                       |[0x80004350]:mulhsu<br> [0x80004354]:sd<br> |
| 433|[0x80009d90]<br>0x38e38e38e38e38e2|- rs1_val==6148914691236517204 and rs2_val==12297829382473034411<br>                                                                                                                                                                      |[0x80004398]:mulhsu<br> [0x8000439c]:sd<br> |
| 434|[0x80009d98]<br>0x0000000000000001|- rs1_val==6148914691236517204 and rs2_val==6<br>                                                                                                                                                                                         |[0x800043c4]:mulhsu<br> [0x800043c8]:sd<br> |
| 435|[0x80009da0]<br>0x1111111111111111|- rs1_val==6148914691236517204 and rs2_val==3689348814741910324<br>                                                                                                                                                                       |[0x8000440c]:mulhsu<br> [0x80004410]:sd<br> |
| 436|[0x80009da8]<br>0x2222222222222221|- rs1_val==6148914691236517204 and rs2_val==7378697629483820647<br>                                                                                                                                                                       |[0x80004454]:mulhsu<br> [0x80004458]:sd<br> |
| 437|[0x80009db0]<br>0x000000003c56fbbb|- rs1_val==6148914691236517204 and rs2_val==3037000500<br>                                                                                                                                                                                |[0x8000448c]:mulhsu<br> [0x80004490]:sd<br> |
| 438|[0x80009db8]<br>0x0000000000000000|- rs1_val==6148914691236517204 and rs2_val==1<br>                                                                                                                                                                                         |[0x800044b8]:mulhsu<br> [0x800044bc]:sd<br> |
| 439|[0x80009dc0]<br>0x0000000055555555|- rs1_val==6148914691236517204 and rs2_val==4294967297<br>                                                                                                                                                                                |[0x800044ec]:mulhsu<br> [0x800044f0]:sd<br> |
| 440|[0x80009dc8]<br>0x0000000000000000|- rs1_val==0 and rs2_val==3<br>                                                                                                                                                                                                           |[0x800044fc]:mulhsu<br> [0x80004500]:sd<br> |
| 441|[0x80009dd0]<br>0x0000000000000000|- rs1_val==0 and rs2_val==6148914691236517205<br>                                                                                                                                                                                         |[0x80004528]:mulhsu<br> [0x8000452c]:sd<br> |
| 442|[0x80009dd8]<br>0x0000000000000000|- rs1_val==0 and rs2_val==12297829382473034410<br>                                                                                                                                                                                        |[0x80004554]:mulhsu<br> [0x80004558]:sd<br> |
| 443|[0x80009de0]<br>0x0000000000000000|- rs1_val==0 and rs2_val==5<br>                                                                                                                                                                                                           |[0x80004564]:mulhsu<br> [0x80004568]:sd<br> |
| 444|[0x80009de8]<br>0x0000000000000000|- rs1_val==0 and rs2_val==3689348814741910323<br>                                                                                                                                                                                         |[0x80004590]:mulhsu<br> [0x80004594]:sd<br> |
| 445|[0x80009df0]<br>0x0000000000000000|- rs1_val==0 and rs2_val==7378697629483820646<br>                                                                                                                                                                                         |[0x800045bc]:mulhsu<br> [0x800045c0]:sd<br> |
| 446|[0x80009df8]<br>0x0000000000000000|- rs1_val==0 and rs2_val==3037000499<br>                                                                                                                                                                                                  |[0x800045d8]:mulhsu<br> [0x800045dc]:sd<br> |
| 447|[0x80009e00]<br>0x0000000000000000|- rs1_val==0 and rs2_val==0<br>                                                                                                                                                                                                           |[0x800045e8]:mulhsu<br> [0x800045ec]:sd<br> |
| 448|[0x80009e08]<br>0x0000000000000000|- rs1_val==0 and rs2_val==4294967296<br>                                                                                                                                                                                                  |[0x800045fc]:mulhsu<br> [0x80004600]:sd<br> |
| 449|[0x80009e10]<br>0x0000000000000000|- rs1_val==0 and rs2_val==2<br>                                                                                                                                                                                                           |[0x8000460c]:mulhsu<br> [0x80004610]:sd<br> |
| 450|[0x80009e18]<br>0x0000000000000000|- rs1_val==0 and rs2_val==6148914691236517204<br>                                                                                                                                                                                         |[0x80004638]:mulhsu<br> [0x8000463c]:sd<br> |
| 451|[0x80009e20]<br>0x0000000000000000|- rs1_val==0 and rs2_val==12297829382473034409<br>                                                                                                                                                                                        |[0x80004664]:mulhsu<br> [0x80004668]:sd<br> |
| 452|[0x80009e28]<br>0x0000000000000000|- rs1_val==0 and rs2_val==4<br>                                                                                                                                                                                                           |[0x80004674]:mulhsu<br> [0x80004678]:sd<br> |
| 453|[0x80009e30]<br>0x0000000000000000|- rs1_val==0 and rs2_val==3689348814741910322<br>                                                                                                                                                                                         |[0x800046a0]:mulhsu<br> [0x800046a4]:sd<br> |
| 454|[0x80009e38]<br>0x0000000000000000|- rs1_val==0 and rs2_val==7378697629483820645<br>                                                                                                                                                                                         |[0x800046cc]:mulhsu<br> [0x800046d0]:sd<br> |
| 455|[0x80009e40]<br>0x0000000000000000|- rs1_val==0 and rs2_val==3037000498<br>                                                                                                                                                                                                  |[0x800046e8]:mulhsu<br> [0x800046ec]:sd<br> |
| 456|[0x80009e48]<br>0x0000000000000000|- rs1_val==0 and rs2_val==4294967295<br>                                                                                                                                                                                                  |[0x80004700]:mulhsu<br> [0x80004704]:sd<br> |
| 457|[0x80009e50]<br>0x0000000000000000|- rs1_val==0 and rs2_val==6148914691236517206<br>                                                                                                                                                                                         |[0x8000472c]:mulhsu<br> [0x80004730]:sd<br> |
| 458|[0x80009e58]<br>0x0000000000000000|- rs1_val==0 and rs2_val==12297829382473034411<br>                                                                                                                                                                                        |[0x80004758]:mulhsu<br> [0x8000475c]:sd<br> |
| 459|[0x80009e60]<br>0x0000000000000000|- rs1_val==0 and rs2_val==6<br>                                                                                                                                                                                                           |[0x80004768]:mulhsu<br> [0x8000476c]:sd<br> |
| 460|[0x80009e68]<br>0x0000000000000000|- rs1_val==0 and rs2_val==3689348814741910324<br>                                                                                                                                                                                         |[0x80004794]:mulhsu<br> [0x80004798]:sd<br> |
| 461|[0x80009e70]<br>0x0000000000000000|- rs1_val==0 and rs2_val==7378697629483820647<br>                                                                                                                                                                                         |[0x800047c0]:mulhsu<br> [0x800047c4]:sd<br> |
| 462|[0x80009e78]<br>0x0000000000000000|- rs1_val==0 and rs2_val==3037000500<br>                                                                                                                                                                                                  |[0x800047dc]:mulhsu<br> [0x800047e0]:sd<br> |
| 463|[0x80009e80]<br>0x0000000000000000|- rs1_val==0 and rs2_val==1<br>                                                                                                                                                                                                           |[0x800047ec]:mulhsu<br> [0x800047f0]:sd<br> |
| 464|[0x80009e88]<br>0x0000000000000000|- rs1_val==0 and rs2_val==4294967297<br>                                                                                                                                                                                                  |[0x80004804]:mulhsu<br> [0x80004808]:sd<br> |
| 465|[0x80009e90]<br>0x0000000000000000|- rs1_val==4 and rs2_val==3<br>                                                                                                                                                                                                           |[0x80004814]:mulhsu<br> [0x80004818]:sd<br> |
| 466|[0x80009e98]<br>0x0000000000000001|- rs1_val==4 and rs2_val==6148914691236517205<br>                                                                                                                                                                                         |[0x80004840]:mulhsu<br> [0x80004844]:sd<br> |
| 467|[0x80009ea0]<br>0x0000000000000002|- rs1_val==4 and rs2_val==12297829382473034410<br>                                                                                                                                                                                        |[0x8000486c]:mulhsu<br> [0x80004870]:sd<br> |
| 468|[0x80009ea8]<br>0x0000000000000000|- rs1_val==4 and rs2_val==5<br>                                                                                                                                                                                                           |[0x8000487c]:mulhsu<br> [0x80004880]:sd<br> |
| 469|[0x80009eb0]<br>0x0000000000000000|- rs1_val==4 and rs2_val==3689348814741910323<br>                                                                                                                                                                                         |[0x800048a8]:mulhsu<br> [0x800048ac]:sd<br> |
| 470|[0x80009eb8]<br>0x0000000000000001|- rs1_val==4 and rs2_val==7378697629483820646<br>                                                                                                                                                                                         |[0x800048d4]:mulhsu<br> [0x800048d8]:sd<br> |
| 471|[0x80009ec0]<br>0x0000000000000000|- rs1_val==4 and rs2_val==3037000499<br>                                                                                                                                                                                                  |[0x800048f0]:mulhsu<br> [0x800048f4]:sd<br> |
| 472|[0x80009ec8]<br>0x0000000000000000|- rs1_val==4 and rs2_val==0<br>                                                                                                                                                                                                           |[0x80004900]:mulhsu<br> [0x80004904]:sd<br> |
| 473|[0x80009ed0]<br>0x0000000000000000|- rs1_val==4 and rs2_val==4294967296<br>                                                                                                                                                                                                  |[0x80004914]:mulhsu<br> [0x80004918]:sd<br> |
| 474|[0x80009ed8]<br>0x0000000000000000|- rs1_val==4 and rs2_val==2<br>                                                                                                                                                                                                           |[0x80004924]:mulhsu<br> [0x80004928]:sd<br> |
| 475|[0x80009ee0]<br>0x0000000000000001|- rs1_val==4 and rs2_val==6148914691236517204<br>                                                                                                                                                                                         |[0x80004950]:mulhsu<br> [0x80004954]:sd<br> |
| 476|[0x80009ee8]<br>0x0000000000000002|- rs1_val==4 and rs2_val==12297829382473034409<br>                                                                                                                                                                                        |[0x8000497c]:mulhsu<br> [0x80004980]:sd<br> |
| 477|[0x80009ef0]<br>0x0000000000000000|- rs1_val==4 and rs2_val==4<br>                                                                                                                                                                                                           |[0x8000498c]:mulhsu<br> [0x80004990]:sd<br> |
| 478|[0x80009ef8]<br>0x0000000000000000|- rs1_val==4 and rs2_val==3689348814741910322<br>                                                                                                                                                                                         |[0x800049b8]:mulhsu<br> [0x800049bc]:sd<br> |
| 479|[0x80009f00]<br>0x0000000000000001|- rs1_val==4 and rs2_val==7378697629483820645<br>                                                                                                                                                                                         |[0x800049e4]:mulhsu<br> [0x800049e8]:sd<br> |
| 480|[0x80009f08]<br>0x0000000000000000|- rs1_val==4 and rs2_val==3037000498<br>                                                                                                                                                                                                  |[0x80004a00]:mulhsu<br> [0x80004a04]:sd<br> |
| 481|[0x80009f10]<br>0x0000000000000000|- rs1_val==4 and rs2_val==4294967295<br>                                                                                                                                                                                                  |[0x80004a18]:mulhsu<br> [0x80004a1c]:sd<br> |
| 482|[0x80009f18]<br>0x0000000000000001|- rs1_val==4 and rs2_val==6148914691236517206<br>                                                                                                                                                                                         |[0x80004a44]:mulhsu<br> [0x80004a48]:sd<br> |
| 483|[0x80009f20]<br>0x0000000000000002|- rs1_val==4 and rs2_val==12297829382473034411<br>                                                                                                                                                                                        |[0x80004a70]:mulhsu<br> [0x80004a74]:sd<br> |
| 484|[0x80009f28]<br>0x0000000000000000|- rs1_val==4 and rs2_val==6<br>                                                                                                                                                                                                           |[0x80004a80]:mulhsu<br> [0x80004a84]:sd<br> |
| 485|[0x80009f30]<br>0x0000000000000000|- rs1_val==4 and rs2_val==3689348814741910324<br>                                                                                                                                                                                         |[0x80004aac]:mulhsu<br> [0x80004ab0]:sd<br> |
| 486|[0x80009f38]<br>0x0000000000000001|- rs1_val==4 and rs2_val==7378697629483820647<br>                                                                                                                                                                                         |[0x80004ad8]:mulhsu<br> [0x80004adc]:sd<br> |
| 487|[0x80009f40]<br>0x0000000000000000|- rs1_val==4 and rs2_val==3037000500<br>                                                                                                                                                                                                  |[0x80004af4]:mulhsu<br> [0x80004af8]:sd<br> |
| 488|[0x80009f48]<br>0x0000000000000000|- rs1_val==4 and rs2_val==1<br>                                                                                                                                                                                                           |[0x80004b04]:mulhsu<br> [0x80004b08]:sd<br> |
| 489|[0x80009f50]<br>0x0000000000000000|- rs1_val==3689348814741910322 and rs2_val==3<br>                                                                                                                                                                                         |[0x80004b30]:mulhsu<br> [0x80004b34]:sd<br> |
| 490|[0x80009f58]<br>0x1111111111111110|- rs1_val==3689348814741910322 and rs2_val==6148914691236517205<br>                                                                                                                                                                       |[0x80004b78]:mulhsu<br> [0x80004b7c]:sd<br> |
| 491|[0x80009f60]<br>0x2222222222222221|- rs1_val==3689348814741910322 and rs2_val==12297829382473034410<br>                                                                                                                                                                      |[0x80004bc0]:mulhsu<br> [0x80004bc4]:sd<br> |
| 492|[0x80009f68]<br>0x0000000000000000|- rs1_val==3689348814741910322 and rs2_val==5<br>                                                                                                                                                                                         |[0x80004bec]:mulhsu<br> [0x80004bf0]:sd<br> |
| 493|[0x80009f70]<br>0x0a3d70a3d70a3d70|- rs1_val==3689348814741910322 and rs2_val==3689348814741910323<br>                                                                                                                                                                       |[0x80004c34]:mulhsu<br> [0x80004c38]:sd<br> |
| 494|[0x80009f78]<br>0x147ae147ae147ae0|- rs1_val==3689348814741910322 and rs2_val==7378697629483820646<br>                                                                                                                                                                       |[0x80004c7c]:mulhsu<br> [0x80004c80]:sd<br> |
| 495|[0x80009f80]<br>0x00000000243430a3|- rs1_val==3689348814741910322 and rs2_val==3037000499<br>                                                                                                                                                                                |[0x80004cb4]:mulhsu<br> [0x80004cb8]:sd<br> |
| 496|[0x80009f88]<br>0x0000000000000000|- rs1_val==3689348814741910322 and rs2_val==0<br>                                                                                                                                                                                         |[0x80004ce0]:mulhsu<br> [0x80004ce4]:sd<br> |
| 497|[0x80009f90]<br>0x0000000033333333|- rs1_val==3689348814741910322 and rs2_val==4294967296<br>                                                                                                                                                                                |[0x80004d10]:mulhsu<br> [0x80004d14]:sd<br> |
| 498|[0x80009f98]<br>0x0000000000000000|- rs1_val==3689348814741910322 and rs2_val==2<br>                                                                                                                                                                                         |[0x80004d3c]:mulhsu<br> [0x80004d40]:sd<br> |
| 499|[0x80009fa0]<br>0x1111111111111110|- rs1_val==3689348814741910322 and rs2_val==6148914691236517204<br>                                                                                                                                                                       |[0x80004d84]:mulhsu<br> [0x80004d88]:sd<br> |
| 500|[0x80009fa8]<br>0x2222222222222221|- rs1_val==3689348814741910322 and rs2_val==12297829382473034409<br>                                                                                                                                                                      |[0x80004dcc]:mulhsu<br> [0x80004dd0]:sd<br> |
| 501|[0x80009fb0]<br>0x0000000000000000|- rs1_val==3689348814741910322 and rs2_val==4<br>                                                                                                                                                                                         |[0x80004df8]:mulhsu<br> [0x80004dfc]:sd<br> |
| 502|[0x80009fb8]<br>0x0a3d70a3d70a3d70|- rs1_val==3689348814741910322 and rs2_val==3689348814741910322<br>                                                                                                                                                                       |[0x80004e40]:mulhsu<br> [0x80004e44]:sd<br> |
| 503|[0x80009fc0]<br>0x147ae147ae147ae0|- rs1_val==3689348814741910322 and rs2_val==7378697629483820645<br>                                                                                                                                                                       |[0x80004e88]:mulhsu<br> [0x80004e8c]:sd<br> |
| 504|[0x80009fc8]<br>0x00000000243430a3|- rs1_val==3689348814741910322 and rs2_val==3037000498<br>                                                                                                                                                                                |[0x80004ec0]:mulhsu<br> [0x80004ec4]:sd<br> |
| 505|[0x80009fd0]<br>0x0000000033333332|- rs1_val==3689348814741910322 and rs2_val==4294967295<br>                                                                                                                                                                                |[0x80004ef4]:mulhsu<br> [0x80004ef8]:sd<br> |
| 506|[0x80009fd8]<br>0x1111111111111110|- rs1_val==3689348814741910322 and rs2_val==6148914691236517206<br>                                                                                                                                                                       |[0x80004f3c]:mulhsu<br> [0x80004f40]:sd<br> |
| 507|[0x80009fe0]<br>0x2222222222222221|- rs1_val==3689348814741910322 and rs2_val==12297829382473034411<br>                                                                                                                                                                      |[0x80004f84]:mulhsu<br> [0x80004f88]:sd<br> |
| 508|[0x80009fe8]<br>0x0000000000000001|- rs1_val==3689348814741910322 and rs2_val==6<br>                                                                                                                                                                                         |[0x80004fb0]:mulhsu<br> [0x80004fb4]:sd<br> |
| 509|[0x80009ff0]<br>0x0a3d70a3d70a3d70|- rs1_val==3689348814741910322 and rs2_val==3689348814741910324<br>                                                                                                                                                                       |[0x80004ff8]:mulhsu<br> [0x80004ffc]:sd<br> |
| 510|[0x80009ff8]<br>0x147ae147ae147ae0|- rs1_val==3689348814741910322 and rs2_val==7378697629483820647<br>                                                                                                                                                                       |[0x80005040]:mulhsu<br> [0x80005044]:sd<br> |
| 511|[0x8000a000]<br>0x00000000243430a3|- rs1_val==3689348814741910322 and rs2_val==3037000500<br>                                                                                                                                                                                |[0x80005078]:mulhsu<br> [0x8000507c]:sd<br> |
| 512|[0x8000a008]<br>0x0000000000000000|- rs1_val==3689348814741910322 and rs2_val==1<br>                                                                                                                                                                                         |[0x800050a4]:mulhsu<br> [0x800050a8]:sd<br> |
| 513|[0x8000a010]<br>0x0000000033333333|- rs1_val==3689348814741910322 and rs2_val==4294967297<br>                                                                                                                                                                                |[0x800050d8]:mulhsu<br> [0x800050dc]:sd<br> |
| 514|[0x8000a018]<br>0x0000000000000001|- rs1_val==7378697629483820645 and rs2_val==3<br>                                                                                                                                                                                         |[0x80005104]:mulhsu<br> [0x80005108]:sd<br> |
| 515|[0x8000a020]<br>0x2222222222222221|- rs1_val==7378697629483820645 and rs2_val==6148914691236517205<br>                                                                                                                                                                       |[0x8000514c]:mulhsu<br> [0x80005150]:sd<br> |
| 516|[0x8000a028]<br>0x4444444444444443|- rs1_val==7378697629483820645 and rs2_val==12297829382473034410<br>                                                                                                                                                                      |[0x80005194]:mulhsu<br> [0x80005198]:sd<br> |
| 517|[0x8000a030]<br>0x0000000000000001|- rs1_val==7378697629483820645 and rs2_val==5<br>                                                                                                                                                                                         |[0x800051c0]:mulhsu<br> [0x800051c4]:sd<br> |
| 518|[0x8000a038]<br>0x147ae147ae147ae0|- rs1_val==7378697629483820645 and rs2_val==3689348814741910323<br>                                                                                                                                                                       |[0x80005208]:mulhsu<br> [0x8000520c]:sd<br> |
| 519|[0x8000a040]<br>0x28f5c28f5c28f5c1|- rs1_val==7378697629483820645 and rs2_val==7378697629483820646<br>                                                                                                                                                                       |[0x80005250]:mulhsu<br> [0x80005254]:sd<br> |
| 520|[0x8000a048]<br>0x0000000048686147|- rs1_val==7378697629483820645 and rs2_val==3037000499<br>                                                                                                                                                                                |[0x80005288]:mulhsu<br> [0x8000528c]:sd<br> |
| 521|[0x8000a050]<br>0x0000000000000000|- rs1_val==7378697629483820645 and rs2_val==0<br>                                                                                                                                                                                         |[0x800052b4]:mulhsu<br> [0x800052b8]:sd<br> |
| 522|[0x8000a058]<br>0x0000000066666666|- rs1_val==7378697629483820645 and rs2_val==4294967296<br>                                                                                                                                                                                |[0x800052e4]:mulhsu<br> [0x800052e8]:sd<br> |
| 523|[0x8000a060]<br>0x0000000000000000|- rs1_val==7378697629483820645 and rs2_val==2<br>                                                                                                                                                                                         |[0x80005310]:mulhsu<br> [0x80005314]:sd<br> |
| 524|[0x8000a068]<br>0x2222222222222221|- rs1_val==7378697629483820645 and rs2_val==6148914691236517204<br>                                                                                                                                                                       |[0x80005358]:mulhsu<br> [0x8000535c]:sd<br> |
| 525|[0x8000a070]<br>0x4444444444444442|- rs1_val==7378697629483820645 and rs2_val==12297829382473034409<br>                                                                                                                                                                      |[0x800053a0]:mulhsu<br> [0x800053a4]:sd<br> |
| 526|[0x8000a078]<br>0x0000000000000001|- rs1_val==7378697629483820645 and rs2_val==4<br>                                                                                                                                                                                         |[0x800053cc]:mulhsu<br> [0x800053d0]:sd<br> |
| 527|[0x8000a080]<br>0x147ae147ae147ae0|- rs1_val==7378697629483820645 and rs2_val==3689348814741910322<br>                                                                                                                                                                       |[0x80005414]:mulhsu<br> [0x80005418]:sd<br> |
| 528|[0x8000a088]<br>0x28f5c28f5c28f5c1|- rs1_val==7378697629483820645 and rs2_val==7378697629483820645<br>                                                                                                                                                                       |[0x8000545c]:mulhsu<br> [0x80005460]:sd<br> |
| 529|[0x8000a090]<br>0x0000000048686147|- rs1_val==7378697629483820645 and rs2_val==3037000498<br>                                                                                                                                                                                |[0x80005494]:mulhsu<br> [0x80005498]:sd<br> |
| 530|[0x8000a098]<br>0x0000000066666665|- rs1_val==7378697629483820645 and rs2_val==4294967295<br>                                                                                                                                                                                |[0x800054c8]:mulhsu<br> [0x800054cc]:sd<br> |
| 531|[0x8000a0a0]<br>0x2222222222222221|- rs1_val==7378697629483820645 and rs2_val==6148914691236517206<br>                                                                                                                                                                       |[0x80005518]:mulhsu<br> [0x8000551c]:sd<br> |
| 532|[0x8000a0a8]<br>0x4444444444444443|- rs1_val==7378697629483820645 and rs2_val==12297829382473034411<br>                                                                                                                                                                      |[0x80005560]:mulhsu<br> [0x80005564]:sd<br> |
| 533|[0x8000a0b0]<br>0x0000000000000002|- rs1_val==7378697629483820645 and rs2_val==6<br>                                                                                                                                                                                         |[0x8000558c]:mulhsu<br> [0x80005590]:sd<br> |
| 534|[0x8000a0b8]<br>0x147ae147ae147ae1|- rs1_val==7378697629483820645 and rs2_val==3689348814741910324<br>                                                                                                                                                                       |[0x800055d4]:mulhsu<br> [0x800055d8]:sd<br> |
| 535|[0x8000a0c0]<br>0x28f5c28f5c28f5c2|- rs1_val==7378697629483820645 and rs2_val==7378697629483820647<br>                                                                                                                                                                       |[0x8000561c]:mulhsu<br> [0x80005620]:sd<br> |
| 536|[0x8000a0c8]<br>0x0000000048686147|- rs1_val==7378697629483820645 and rs2_val==3037000500<br>                                                                                                                                                                                |[0x80005654]:mulhsu<br> [0x80005658]:sd<br> |
| 537|[0x8000a0d0]<br>0x0000000000000000|- rs1_val==7378697629483820645 and rs2_val==1<br>                                                                                                                                                                                         |[0x80005680]:mulhsu<br> [0x80005684]:sd<br> |
| 538|[0x8000a0d8]<br>0x0000000066666666|- rs1_val==7378697629483820645 and rs2_val==4294967297<br>                                                                                                                                                                                |[0x800056b4]:mulhsu<br> [0x800056b8]:sd<br> |
| 539|[0x8000a0e0]<br>0x0000000000000000|- rs1_val==3037000498 and rs2_val==3<br>                                                                                                                                                                                                  |[0x800056d0]:mulhsu<br> [0x800056d4]:sd<br> |
| 540|[0x8000a0e8]<br>0x000000003c56fbbb|- rs1_val==3037000498 and rs2_val==6148914691236517205<br>                                                                                                                                                                                |[0x80005708]:mulhsu<br> [0x8000570c]:sd<br> |
| 541|[0x8000a0f0]<br>0x0000000078adf776|- rs1_val==3037000498 and rs2_val==12297829382473034410<br>                                                                                                                                                                               |[0x80005740]:mulhsu<br> [0x80005744]:sd<br> |
| 542|[0x8000a0f8]<br>0x0000000000000000|- rs1_val==3037000498 and rs2_val==5<br>                                                                                                                                                                                                  |[0x8000575c]:mulhsu<br> [0x80005760]:sd<br> |
| 543|[0x8000a100]<br>0x00000000243430a3|- rs1_val==3037000498 and rs2_val==3689348814741910323<br>                                                                                                                                                                                |[0x80005794]:mulhsu<br> [0x80005798]:sd<br> |
| 544|[0x8000a108]<br>0x0000000048686147|- rs1_val==3037000498 and rs2_val==7378697629483820646<br>                                                                                                                                                                                |[0x800057cc]:mulhsu<br> [0x800057d0]:sd<br> |
| 545|[0x8000a110]<br>0x0000000000000000|- rs1_val==3037000498 and rs2_val==3037000499<br>                                                                                                                                                                                         |[0x800057f4]:mulhsu<br> [0x800057f8]:sd<br> |
| 546|[0x8000a118]<br>0x0000000000000000|- rs1_val==3037000498 and rs2_val==0<br>                                                                                                                                                                                                  |[0x80005810]:mulhsu<br> [0x80005814]:sd<br> |
| 547|[0x8000a120]<br>0x0000000000000000|- rs1_val==3037000498 and rs2_val==4294967296<br>                                                                                                                                                                                         |[0x80005830]:mulhsu<br> [0x80005834]:sd<br> |
| 548|[0x8000a128]<br>0x0000000000000000|- rs1_val==3037000498 and rs2_val==2<br>                                                                                                                                                                                                  |[0x8000584c]:mulhsu<br> [0x80005850]:sd<br> |
| 549|[0x8000a130]<br>0x000000003c56fbbb|- rs1_val==3037000498 and rs2_val==6148914691236517204<br>                                                                                                                                                                                |[0x80005884]:mulhsu<br> [0x80005888]:sd<br> |
| 550|[0x8000a138]<br>0x0000000078adf776|- rs1_val==3037000498 and rs2_val==12297829382473034409<br>                                                                                                                                                                               |[0x800058bc]:mulhsu<br> [0x800058c0]:sd<br> |
| 551|[0x8000a140]<br>0x0000000000000000|- rs1_val==3037000498 and rs2_val==4<br>                                                                                                                                                                                                  |[0x800058d8]:mulhsu<br> [0x800058dc]:sd<br> |
| 552|[0x8000a148]<br>0x00000000243430a3|- rs1_val==3037000498 and rs2_val==3689348814741910322<br>                                                                                                                                                                                |[0x80005910]:mulhsu<br> [0x80005914]:sd<br> |
| 553|[0x8000a150]<br>0x0000000048686147|- rs1_val==3037000498 and rs2_val==7378697629483820645<br>                                                                                                                                                                                |[0x80005948]:mulhsu<br> [0x8000594c]:sd<br> |
| 554|[0x8000a158]<br>0x0000000000000000|- rs1_val==3037000498 and rs2_val==3037000498<br>                                                                                                                                                                                         |[0x80005970]:mulhsu<br> [0x80005974]:sd<br> |
| 555|[0x8000a160]<br>0x0000000000000000|- rs1_val==3037000498 and rs2_val==4294967295<br>                                                                                                                                                                                         |[0x80005994]:mulhsu<br> [0x80005998]:sd<br> |
| 556|[0x8000a168]<br>0x000000003c56fbbb|- rs1_val==3037000498 and rs2_val==6148914691236517206<br>                                                                                                                                                                                |[0x800059cc]:mulhsu<br> [0x800059d0]:sd<br> |
| 557|[0x8000a170]<br>0x0000000078adf776|- rs1_val==3037000498 and rs2_val==12297829382473034411<br>                                                                                                                                                                               |[0x80005a04]:mulhsu<br> [0x80005a08]:sd<br> |
| 558|[0x8000a178]<br>0x0000000000000000|- rs1_val==3037000498 and rs2_val==6<br>                                                                                                                                                                                                  |[0x80005a20]:mulhsu<br> [0x80005a24]:sd<br> |
| 559|[0x8000a180]<br>0x00000000243430a3|- rs1_val==3037000498 and rs2_val==3689348814741910324<br>                                                                                                                                                                                |[0x80005a58]:mulhsu<br> [0x80005a5c]:sd<br> |
| 560|[0x8000a188]<br>0x0000000048686147|- rs1_val==3037000498 and rs2_val==7378697629483820647<br>                                                                                                                                                                                |[0x80005a90]:mulhsu<br> [0x80005a94]:sd<br> |
| 561|[0x8000a190]<br>0x0000000000000000|- rs1_val==3037000498 and rs2_val==3037000500<br>                                                                                                                                                                                         |[0x80005ab8]:mulhsu<br> [0x80005abc]:sd<br> |
| 562|[0x8000a198]<br>0x0000000000000000|- rs1_val==3037000498 and rs2_val==1<br>                                                                                                                                                                                                  |[0x80005ad4]:mulhsu<br> [0x80005ad8]:sd<br> |
| 563|[0x8000a1a0]<br>0x0000000000000000|- rs1_val==3037000498 and rs2_val==4294967297<br>                                                                                                                                                                                         |[0x80005af8]:mulhsu<br> [0x80005afc]:sd<br> |
| 564|[0x8000a1a8]<br>0x0000000000000001|- rs1_val==6148914691236517206 and rs2_val==3<br>                                                                                                                                                                                         |[0x80005b24]:mulhsu<br> [0x80005b28]:sd<br> |
| 565|[0x8000a1b0]<br>0x1c71c71c71c71c71|- rs1_val==6148914691236517206 and rs2_val==6148914691236517205<br>                                                                                                                                                                       |[0x80005b6c]:mulhsu<br> [0x80005b70]:sd<br> |
| 566|[0x8000a1b8]<br>0x38e38e38e38e38e3|- rs1_val==6148914691236517206 and rs2_val==12297829382473034410<br>                                                                                                                                                                      |[0x80005bb4]:mulhsu<br> [0x80005bb8]:sd<br> |
| 567|[0x8000a1c0]<br>0x0000000000000001|- rs1_val==6148914691236517206 and rs2_val==5<br>                                                                                                                                                                                         |[0x80005be0]:mulhsu<br> [0x80005be4]:sd<br> |
| 568|[0x8000a1c8]<br>0x1111111111111111|- rs1_val==6148914691236517206 and rs2_val==3689348814741910323<br>                                                                                                                                                                       |[0x80005c28]:mulhsu<br> [0x80005c2c]:sd<br> |
| 569|[0x8000a1d0]<br>0x2222222222222222|- rs1_val==6148914691236517206 and rs2_val==7378697629483820646<br>                                                                                                                                                                       |[0x80005c70]:mulhsu<br> [0x80005c74]:sd<br> |
| 570|[0x8000a1d8]<br>0x000000003c56fbbb|- rs1_val==6148914691236517206 and rs2_val==3037000499<br>                                                                                                                                                                                |[0x80005ca8]:mulhsu<br> [0x80005cac]:sd<br> |
| 571|[0x8000a1e0]<br>0x0000000000000000|- rs1_val==6148914691236517206 and rs2_val==0<br>                                                                                                                                                                                         |[0x80005cd4]:mulhsu<br> [0x80005cd8]:sd<br> |
| 572|[0x8000a1e8]<br>0x0000000055555555|- rs1_val==6148914691236517206 and rs2_val==4294967296<br>                                                                                                                                                                                |[0x80005d04]:mulhsu<br> [0x80005d08]:sd<br> |
| 573|[0x8000a1f0]<br>0x0000000000000000|- rs1_val==6148914691236517206 and rs2_val==2<br>                                                                                                                                                                                         |[0x80005d30]:mulhsu<br> [0x80005d34]:sd<br> |
| 574|[0x8000a1f8]<br>0x1c71c71c71c71c71|- rs1_val==6148914691236517206 and rs2_val==6148914691236517204<br>                                                                                                                                                                       |[0x80005d78]:mulhsu<br> [0x80005d7c]:sd<br> |
| 575|[0x8000a200]<br>0x38e38e38e38e38e3|- rs1_val==6148914691236517206 and rs2_val==12297829382473034409<br>                                                                                                                                                                      |[0x80005dc0]:mulhsu<br> [0x80005dc4]:sd<br> |
| 576|[0x8000a208]<br>0x0000000000000001|- rs1_val==6148914691236517206 and rs2_val==4<br>                                                                                                                                                                                         |[0x80005dec]:mulhsu<br> [0x80005df0]:sd<br> |
| 577|[0x8000a210]<br>0x1111111111111110|- rs1_val==6148914691236517206 and rs2_val==3689348814741910322<br>                                                                                                                                                                       |[0x80005e34]:mulhsu<br> [0x80005e38]:sd<br> |
| 578|[0x8000a218]<br>0x2222222222222221|- rs1_val==6148914691236517206 and rs2_val==7378697629483820645<br>                                                                                                                                                                       |[0x80005e7c]:mulhsu<br> [0x80005e80]:sd<br> |
| 579|[0x8000a220]<br>0x000000003c56fbbb|- rs1_val==6148914691236517206 and rs2_val==3037000498<br>                                                                                                                                                                                |[0x80005eb4]:mulhsu<br> [0x80005eb8]:sd<br> |
| 580|[0x8000a228]<br>0x0000000055555555|- rs1_val==6148914691236517206 and rs2_val==4294967295<br>                                                                                                                                                                                |[0x80005ee8]:mulhsu<br> [0x80005eec]:sd<br> |
| 581|[0x8000a230]<br>0x1c71c71c71c71c72|- rs1_val==6148914691236517206 and rs2_val==6148914691236517206<br>                                                                                                                                                                       |[0x80005f30]:mulhsu<br> [0x80005f34]:sd<br> |
| 582|[0x8000a238]<br>0x38e38e38e38e38e4|- rs1_val==6148914691236517206 and rs2_val==12297829382473034411<br>                                                                                                                                                                      |[0x80005f78]:mulhsu<br> [0x80005f7c]:sd<br> |
| 583|[0x8000a240]<br>0x0000000000000002|- rs1_val==6148914691236517206 and rs2_val==6<br>                                                                                                                                                                                         |[0x80005fa4]:mulhsu<br> [0x80005fa8]:sd<br> |
| 584|[0x8000a248]<br>0x1111111111111111|- rs1_val==6148914691236517206 and rs2_val==3689348814741910324<br>                                                                                                                                                                       |[0x80005fec]:mulhsu<br> [0x80005ff0]:sd<br> |
| 585|[0x8000a250]<br>0x2222222222222222|- rs1_val==6148914691236517206 and rs2_val==7378697629483820647<br>                                                                                                                                                                       |[0x80006034]:mulhsu<br> [0x80006038]:sd<br> |
| 586|[0x8000a258]<br>0x000000003c56fbbc|- rs1_val==6148914691236517206 and rs2_val==3037000500<br>                                                                                                                                                                                |[0x8000606c]:mulhsu<br> [0x80006070]:sd<br> |
| 587|[0x8000a260]<br>0x0000000000000000|- rs1_val==6148914691236517206 and rs2_val==1<br>                                                                                                                                                                                         |[0x80006098]:mulhsu<br> [0x8000609c]:sd<br> |
| 588|[0x8000a268]<br>0x0000000055555555|- rs1_val==6148914691236517206 and rs2_val==4294967297<br>                                                                                                                                                                                |[0x800060cc]:mulhsu<br> [0x800060d0]:sd<br> |
| 589|[0x8000a270]<br>0xffffffffffffffff|- rs1_val==-6148914691236517205 and rs2_val==3<br>                                                                                                                                                                                        |[0x800060f8]:mulhsu<br> [0x800060fc]:sd<br> |
| 590|[0x8000a278]<br>0xe38e38e38e38e38e|- rs1_val==-6148914691236517205 and rs2_val==6148914691236517205<br>                                                                                                                                                                      |[0x80006140]:mulhsu<br> [0x80006144]:sd<br> |
| 591|[0x8000a280]<br>0xc71c71c71c71c71c|- rs1_val==-6148914691236517205 and rs2_val==12297829382473034410<br>                                                                                                                                                                     |[0x80006188]:mulhsu<br> [0x8000618c]:sd<br> |
| 592|[0x8000a288]<br>0xfffffffffffffffe|- rs1_val==-6148914691236517205 and rs2_val==5<br>                                                                                                                                                                                        |[0x800061b4]:mulhsu<br> [0x800061b8]:sd<br> |
| 593|[0x8000a290]<br>0xeeeeeeeeeeeeeeef|- rs1_val==-6148914691236517205 and rs2_val==3689348814741910323<br>                                                                                                                                                                      |[0x800061fc]:mulhsu<br> [0x80006200]:sd<br> |
| 594|[0x8000a298]<br>0xddddddddddddddde|- rs1_val==-6148914691236517205 and rs2_val==7378697629483820646<br>                                                                                                                                                                      |[0x80006244]:mulhsu<br> [0x80006248]:sd<br> |
| 595|[0x8000a2a0]<br>0xffffffffc3a90444|- rs1_val==-6148914691236517205 and rs2_val==3037000499<br>                                                                                                                                                                               |[0x8000627c]:mulhsu<br> [0x80006280]:sd<br> |
| 596|[0x8000a2a8]<br>0x0000000000000000|- rs1_val==-6148914691236517205 and rs2_val==0<br>                                                                                                                                                                                        |[0x800062a8]:mulhsu<br> [0x800062ac]:sd<br> |
| 597|[0x8000a2b0]<br>0xffffffffaaaaaaaa|- rs1_val==-6148914691236517205 and rs2_val==4294967296<br>                                                                                                                                                                               |[0x800062d8]:mulhsu<br> [0x800062dc]:sd<br> |
| 598|[0x8000a2b8]<br>0xffffffffffffffff|- rs1_val==-6148914691236517205 and rs2_val==2<br>                                                                                                                                                                                        |[0x80006304]:mulhsu<br> [0x80006308]:sd<br> |
| 599|[0x8000a2c0]<br>0xe38e38e38e38e38e|- rs1_val==-6148914691236517205 and rs2_val==6148914691236517204<br>                                                                                                                                                                      |[0x8000634c]:mulhsu<br> [0x80006350]:sd<br> |
| 600|[0x8000a2c8]<br>0xc71c71c71c71c71d|- rs1_val==-6148914691236517205 and rs2_val==12297829382473034409<br>                                                                                                                                                                     |[0x80006394]:mulhsu<br> [0x80006398]:sd<br> |
| 601|[0x8000a2d0]<br>0xfffffffffffffffe|- rs1_val==-6148914691236517205 and rs2_val==4<br>                                                                                                                                                                                        |[0x800063c0]:mulhsu<br> [0x800063c4]:sd<br> |
| 602|[0x8000a2d8]<br>0xeeeeeeeeeeeeeeef|- rs1_val==-6148914691236517205 and rs2_val==3689348814741910322<br>                                                                                                                                                                      |[0x80006408]:mulhsu<br> [0x8000640c]:sd<br> |
| 603|[0x8000a2e0]<br>0xddddddddddddddde|- rs1_val==-6148914691236517205 and rs2_val==7378697629483820645<br>                                                                                                                                                                      |[0x80006450]:mulhsu<br> [0x80006454]:sd<br> |
| 604|[0x8000a2e8]<br>0xffffffffc3a90444|- rs1_val==-6148914691236517205 and rs2_val==3037000498<br>                                                                                                                                                                               |[0x80006488]:mulhsu<br> [0x8000648c]:sd<br> |
| 605|[0x8000a2f0]<br>0xffffffffaaaaaaab|- rs1_val==-6148914691236517205 and rs2_val==4294967295<br>                                                                                                                                                                               |[0x800064bc]:mulhsu<br> [0x800064c0]:sd<br> |
| 606|[0x8000a2f8]<br>0xe38e38e38e38e38e|- rs1_val==-6148914691236517205 and rs2_val==6148914691236517206<br>                                                                                                                                                                      |[0x80006504]:mulhsu<br> [0x80006508]:sd<br> |
| 607|[0x8000a300]<br>0xc71c71c71c71c71c|- rs1_val==-6148914691236517205 and rs2_val==12297829382473034411<br>                                                                                                                                                                     |[0x8000654c]:mulhsu<br> [0x80006550]:sd<br> |
| 608|[0x8000a308]<br>0xfffffffffffffffe|- rs1_val==-6148914691236517205 and rs2_val==6<br>                                                                                                                                                                                        |[0x80006578]:mulhsu<br> [0x8000657c]:sd<br> |
| 609|[0x8000a310]<br>0xeeeeeeeeeeeeeeee|- rs1_val==-6148914691236517205 and rs2_val==3689348814741910324<br>                                                                                                                                                                      |[0x800065c0]:mulhsu<br> [0x800065c4]:sd<br> |
| 610|[0x8000a318]<br>0xdddddddddddddddd|- rs1_val==-6148914691236517205 and rs2_val==7378697629483820647<br>                                                                                                                                                                      |[0x80006608]:mulhsu<br> [0x8000660c]:sd<br> |
| 611|[0x8000a320]<br>0xffffffffc3a90444|- rs1_val==-6148914691236517205 and rs2_val==3037000500<br>                                                                                                                                                                               |[0x80006640]:mulhsu<br> [0x80006644]:sd<br> |
| 612|[0x8000a328]<br>0x0000000066666666|- rs1_val==7378697629483820647 and rs2_val==4294967297<br>                                                                                                                                                                                |[0x80006674]:mulhsu<br> [0x80006678]:sd<br> |
| 613|[0x8000a330]<br>0xffffffffffffffff|- rs1_val==-3037000498 and rs2_val==3<br>                                                                                                                                                                                                 |[0x80006690]:mulhsu<br> [0x80006694]:sd<br> |
| 614|[0x8000a338]<br>0xffffffffc3a90444|- rs1_val==-3037000498 and rs2_val==6148914691236517205<br>                                                                                                                                                                               |[0x800066c8]:mulhsu<br> [0x800066cc]:sd<br> |
| 615|[0x8000a340]<br>0xffffffff87520889|- rs1_val==-3037000498 and rs2_val==12297829382473034410<br>                                                                                                                                                                              |[0x80006700]:mulhsu<br> [0x80006704]:sd<br> |
| 616|[0x8000a348]<br>0xffffffffffffffff|- rs1_val==-3037000498 and rs2_val==5<br>                                                                                                                                                                                                 |[0x8000671c]:mulhsu<br> [0x80006720]:sd<br> |
| 617|[0x8000a350]<br>0xffffffffdbcbcf5c|- rs1_val==-3037000498 and rs2_val==3689348814741910323<br>                                                                                                                                                                               |[0x80006754]:mulhsu<br> [0x80006758]:sd<br> |
| 618|[0x8000a358]<br>0xffffffffb7979eb8|- rs1_val==-3037000498 and rs2_val==7378697629483820646<br>                                                                                                                                                                               |[0x8000678c]:mulhsu<br> [0x80006790]:sd<br> |
| 619|[0x8000a360]<br>0xffffffffffffffff|- rs1_val==-3037000498 and rs2_val==3037000499<br>                                                                                                                                                                                        |[0x800067b4]:mulhsu<br> [0x800067b8]:sd<br> |
| 620|[0x8000a368]<br>0x0000000000000000|- rs1_val==-3037000498 and rs2_val==0<br>                                                                                                                                                                                                 |[0x800067d0]:mulhsu<br> [0x800067d4]:sd<br> |
| 621|[0x8000a370]<br>0xffffffffffffffff|- rs1_val==-3037000498 and rs2_val==4294967296<br>                                                                                                                                                                                        |[0x800067f0]:mulhsu<br> [0x800067f4]:sd<br> |
| 622|[0x8000a378]<br>0xffffffffffffffff|- rs1_val==-3037000498 and rs2_val==2<br>                                                                                                                                                                                                 |[0x8000680c]:mulhsu<br> [0x80006810]:sd<br> |
| 623|[0x8000a380]<br>0xffffffffc3a90444|- rs1_val==-3037000498 and rs2_val==6148914691236517204<br>                                                                                                                                                                               |[0x80006844]:mulhsu<br> [0x80006848]:sd<br> |
| 624|[0x8000a388]<br>0xffffffff87520889|- rs1_val==-3037000498 and rs2_val==12297829382473034409<br>                                                                                                                                                                              |[0x8000687c]:mulhsu<br> [0x80006880]:sd<br> |
| 625|[0x8000a390]<br>0xffffffffffffffff|- rs1_val==-3037000498 and rs2_val==4<br>                                                                                                                                                                                                 |[0x80006898]:mulhsu<br> [0x8000689c]:sd<br> |
| 626|[0x8000a398]<br>0xffffffffdbcbcf5c|- rs1_val==-3037000498 and rs2_val==3689348814741910322<br>                                                                                                                                                                               |[0x800068d0]:mulhsu<br> [0x800068d4]:sd<br> |
| 627|[0x8000a3a0]<br>0xffffffffb7979eb8|- rs1_val==-3037000498 and rs2_val==7378697629483820645<br>                                                                                                                                                                               |[0x80006908]:mulhsu<br> [0x8000690c]:sd<br> |
| 628|[0x8000a3a8]<br>0xffffffffffffffff|- rs1_val==-3037000498 and rs2_val==3037000498<br>                                                                                                                                                                                        |[0x80006930]:mulhsu<br> [0x80006934]:sd<br> |
| 629|[0x8000a3b0]<br>0xffffffffffffffff|- rs1_val==-3037000498 and rs2_val==4294967295<br>                                                                                                                                                                                        |[0x80006954]:mulhsu<br> [0x80006958]:sd<br> |
| 630|[0x8000a3b8]<br>0xffffffffc3a90444|- rs1_val==-3037000498 and rs2_val==6148914691236517206<br>                                                                                                                                                                               |[0x8000698c]:mulhsu<br> [0x80006990]:sd<br> |
| 631|[0x8000a3c0]<br>0xffffffff87520889|- rs1_val==-3037000498 and rs2_val==12297829382473034411<br>                                                                                                                                                                              |[0x800069c4]:mulhsu<br> [0x800069c8]:sd<br> |
| 632|[0x8000a3c8]<br>0xffffffffffffffff|- rs1_val==-3037000498 and rs2_val==6<br>                                                                                                                                                                                                 |[0x800069e0]:mulhsu<br> [0x800069e4]:sd<br> |
| 633|[0x8000a3d0]<br>0xffffffffdbcbcf5c|- rs1_val==-3037000498 and rs2_val==3689348814741910324<br>                                                                                                                                                                               |[0x80006a18]:mulhsu<br> [0x80006a1c]:sd<br> |
| 634|[0x8000a3d8]<br>0xffffffffb7979eb8|- rs1_val==-3037000498 and rs2_val==7378697629483820647<br>                                                                                                                                                                               |[0x80006a50]:mulhsu<br> [0x80006a54]:sd<br> |
| 635|[0x8000a3e0]<br>0xffffffffffffffff|- rs1_val==-3037000498 and rs2_val==3037000500<br>                                                                                                                                                                                        |[0x80006a78]:mulhsu<br> [0x80006a7c]:sd<br> |
| 636|[0x8000a3e8]<br>0xffffffffffffffff|- rs1_val==-3037000498 and rs2_val==1<br>                                                                                                                                                                                                 |[0x80006a94]:mulhsu<br> [0x80006a98]:sd<br> |
| 637|[0x8000a3f0]<br>0xffffffffffffffff|- rs1_val==-3037000498 and rs2_val==4294967297<br>                                                                                                                                                                                        |[0x80006ab8]:mulhsu<br> [0x80006abc]:sd<br> |
| 638|[0x8000a3f8]<br>0x0000000000000000|- rs1_val==3037000500 and rs2_val==3<br>                                                                                                                                                                                                  |[0x80006ad4]:mulhsu<br> [0x80006ad8]:sd<br> |
| 639|[0x8000a400]<br>0x000000003c56fbbb|- rs1_val==3037000500 and rs2_val==6148914691236517205<br>                                                                                                                                                                                |[0x80006b0c]:mulhsu<br> [0x80006b10]:sd<br> |
| 640|[0x8000a408]<br>0x0000000078adf777|- rs1_val==3037000500 and rs2_val==12297829382473034410<br>                                                                                                                                                                               |[0x80006b44]:mulhsu<br> [0x80006b48]:sd<br> |
| 641|[0x8000a410]<br>0x0000000000000000|- rs1_val==3037000500 and rs2_val==5<br>                                                                                                                                                                                                  |[0x80006b60]:mulhsu<br> [0x80006b64]:sd<br> |
| 642|[0x8000a418]<br>0x00000000243430a3|- rs1_val==3037000500 and rs2_val==3689348814741910323<br>                                                                                                                                                                                |[0x80006b98]:mulhsu<br> [0x80006b9c]:sd<br> |
| 643|[0x8000a420]<br>0x0000000048686147|- rs1_val==3037000500 and rs2_val==7378697629483820646<br>                                                                                                                                                                                |[0x80006bd0]:mulhsu<br> [0x80006bd4]:sd<br> |
| 644|[0x8000a428]<br>0x0000000000000000|- rs1_val==3037000500 and rs2_val==3037000499<br>                                                                                                                                                                                         |[0x80006bf8]:mulhsu<br> [0x80006bfc]:sd<br> |
| 645|[0x8000a430]<br>0x0000000000000000|- rs1_val==3037000500 and rs2_val==0<br>                                                                                                                                                                                                  |[0x80006c14]:mulhsu<br> [0x80006c18]:sd<br> |
| 646|[0x8000a438]<br>0x0000000000000000|- rs1_val==3037000500 and rs2_val==4294967296<br>                                                                                                                                                                                         |[0x80006c34]:mulhsu<br> [0x80006c38]:sd<br> |
| 647|[0x8000a440]<br>0x0000000000000000|- rs1_val==3037000500 and rs2_val==2<br>                                                                                                                                                                                                  |[0x80006c50]:mulhsu<br> [0x80006c54]:sd<br> |
| 648|[0x8000a448]<br>0x000000003c56fbbb|- rs1_val==3037000500 and rs2_val==6148914691236517204<br>                                                                                                                                                                                |[0x80006c88]:mulhsu<br> [0x80006c8c]:sd<br> |
| 649|[0x8000a450]<br>0x0000000078adf777|- rs1_val==3037000500 and rs2_val==12297829382473034409<br>                                                                                                                                                                               |[0x80006cc0]:mulhsu<br> [0x80006cc4]:sd<br> |
| 650|[0x8000a458]<br>0x0000000000000000|- rs1_val==3037000500 and rs2_val==4<br>                                                                                                                                                                                                  |[0x80006cdc]:mulhsu<br> [0x80006ce0]:sd<br> |
| 651|[0x8000a460]<br>0x00000000243430a3|- rs1_val==3037000500 and rs2_val==3689348814741910322<br>                                                                                                                                                                                |[0x80006d14]:mulhsu<br> [0x80006d18]:sd<br> |
| 652|[0x8000a468]<br>0x0000000048686147|- rs1_val==3037000500 and rs2_val==7378697629483820645<br>                                                                                                                                                                                |[0x80006d4c]:mulhsu<br> [0x80006d50]:sd<br> |
| 653|[0x8000a470]<br>0x0000000000000000|- rs1_val==3037000500 and rs2_val==3037000498<br>                                                                                                                                                                                         |[0x80006d74]:mulhsu<br> [0x80006d78]:sd<br> |
| 654|[0x8000a478]<br>0x0000000000000000|- rs1_val==3037000500 and rs2_val==4294967295<br>                                                                                                                                                                                         |[0x80006d98]:mulhsu<br> [0x80006d9c]:sd<br> |
| 655|[0x8000a480]<br>0x000000003c56fbbc|- rs1_val==3037000500 and rs2_val==6148914691236517206<br>                                                                                                                                                                                |[0x80006dd0]:mulhsu<br> [0x80006dd4]:sd<br> |
| 656|[0x8000a488]<br>0x0000000078adf778|- rs1_val==3037000500 and rs2_val==12297829382473034411<br>                                                                                                                                                                               |[0x80006e08]:mulhsu<br> [0x80006e0c]:sd<br> |
| 657|[0x8000a490]<br>0x0000000000000000|- rs1_val==3037000500 and rs2_val==6<br>                                                                                                                                                                                                  |[0x80006e24]:mulhsu<br> [0x80006e28]:sd<br> |
| 658|[0x8000a498]<br>0x00000000243430a4|- rs1_val==3037000500 and rs2_val==3689348814741910324<br>                                                                                                                                                                                |[0x80006e5c]:mulhsu<br> [0x80006e60]:sd<br> |
| 659|[0x8000a4a0]<br>0x0000000048686148|- rs1_val==3037000500 and rs2_val==7378697629483820647<br>                                                                                                                                                                                |[0x80006e94]:mulhsu<br> [0x80006e98]:sd<br> |
| 660|[0x8000a4a8]<br>0x0000000000000000|- rs1_val==3037000500 and rs2_val==3037000500<br>                                                                                                                                                                                         |[0x80006ebc]:mulhsu<br> [0x80006ec0]:sd<br> |
| 661|[0x8000a4b0]<br>0x0000000000000000|- rs1_val==3037000500 and rs2_val==1<br>                                                                                                                                                                                                  |[0x80006ed8]:mulhsu<br> [0x80006edc]:sd<br> |
| 662|[0x8000a4b8]<br>0x0000000000000000|- rs1_val==3037000500 and rs2_val==4294967297<br>                                                                                                                                                                                         |[0x80006efc]:mulhsu<br> [0x80006f00]:sd<br> |
| 663|[0x8000a4c0]<br>0xffffffffffffffff|- rs1_val==-6148914691236517205 and rs2_val==1<br>                                                                                                                                                                                        |[0x80006f28]:mulhsu<br> [0x80006f2c]:sd<br> |
| 664|[0x8000a4c8]<br>0xffffffffaaaaaaaa|- rs1_val==-6148914691236517205 and rs2_val==4294967297<br>                                                                                                                                                                               |[0x80006f5c]:mulhsu<br> [0x80006f60]:sd<br> |
| 665|[0x8000a4d0]<br>0x0000000000000000|- rs1_val==6 and rs2_val==3<br>                                                                                                                                                                                                           |[0x80006f6c]:mulhsu<br> [0x80006f70]:sd<br> |
| 666|[0x8000a4d8]<br>0x0000000000000001|- rs1_val==6 and rs2_val==6148914691236517205<br>                                                                                                                                                                                         |[0x80006f98]:mulhsu<br> [0x80006f9c]:sd<br> |
| 667|[0x8000a4e0]<br>0x0000000000000003|- rs1_val==6 and rs2_val==12297829382473034410<br>                                                                                                                                                                                        |[0x80006fc4]:mulhsu<br> [0x80006fc8]:sd<br> |
| 668|[0x8000a4e8]<br>0x0000000000000000|- rs1_val==6 and rs2_val==5<br>                                                                                                                                                                                                           |[0x80006fd4]:mulhsu<br> [0x80006fd8]:sd<br> |
| 669|[0x8000a4f0]<br>0x0000000000000001|- rs1_val==6 and rs2_val==3689348814741910323<br>                                                                                                                                                                                         |[0x80007000]:mulhsu<br> [0x80007004]:sd<br> |
| 670|[0x8000a4f8]<br>0x0000000000000002|- rs1_val==6 and rs2_val==7378697629483820646<br>                                                                                                                                                                                         |[0x8000702c]:mulhsu<br> [0x80007030]:sd<br> |
| 671|[0x8000a500]<br>0x0000000000000000|- rs1_val==6 and rs2_val==3037000499<br>                                                                                                                                                                                                  |[0x80007048]:mulhsu<br> [0x8000704c]:sd<br> |
| 672|[0x8000a508]<br>0x0000000000000000|- rs1_val==6 and rs2_val==0<br>                                                                                                                                                                                                           |[0x80007058]:mulhsu<br> [0x8000705c]:sd<br> |
| 673|[0x8000a510]<br>0x0000000000000000|- rs1_val==6 and rs2_val==4294967296<br>                                                                                                                                                                                                  |[0x8000706c]:mulhsu<br> [0x80007070]:sd<br> |
| 674|[0x8000a518]<br>0x0000000000000000|- rs1_val==6 and rs2_val==2<br>                                                                                                                                                                                                           |[0x8000707c]:mulhsu<br> [0x80007080]:sd<br> |
| 675|[0x8000a520]<br>0x0000000000000001|- rs1_val==6 and rs2_val==6148914691236517204<br>                                                                                                                                                                                         |[0x800070a8]:mulhsu<br> [0x800070ac]:sd<br> |
| 676|[0x8000a528]<br>0x0000000000000003|- rs1_val==6 and rs2_val==12297829382473034409<br>                                                                                                                                                                                        |[0x800070d4]:mulhsu<br> [0x800070d8]:sd<br> |
| 677|[0x8000a530]<br>0x0000000000000000|- rs1_val==6 and rs2_val==4<br>                                                                                                                                                                                                           |[0x800070e4]:mulhsu<br> [0x800070e8]:sd<br> |
| 678|[0x8000a538]<br>0x0000000000000001|- rs1_val==6 and rs2_val==3689348814741910322<br>                                                                                                                                                                                         |[0x80007110]:mulhsu<br> [0x80007114]:sd<br> |
| 679|[0x8000a540]<br>0x0000000000000002|- rs1_val==6 and rs2_val==7378697629483820645<br>                                                                                                                                                                                         |[0x8000713c]:mulhsu<br> [0x80007140]:sd<br> |
| 680|[0x8000a548]<br>0x0000000000000000|- rs1_val==6 and rs2_val==3037000498<br>                                                                                                                                                                                                  |[0x80007158]:mulhsu<br> [0x8000715c]:sd<br> |
| 681|[0x8000a550]<br>0x0000000000000000|- rs1_val==6 and rs2_val==4294967295<br>                                                                                                                                                                                                  |[0x80007170]:mulhsu<br> [0x80007174]:sd<br> |
| 682|[0x8000a558]<br>0x0000000000000002|- rs1_val==6 and rs2_val==6148914691236517206<br>                                                                                                                                                                                         |[0x8000719c]:mulhsu<br> [0x800071a0]:sd<br> |
| 683|[0x8000a560]<br>0x0000000000000004|- rs1_val==6 and rs2_val==12297829382473034411<br>                                                                                                                                                                                        |[0x800071c8]:mulhsu<br> [0x800071cc]:sd<br> |
| 684|[0x8000a568]<br>0x0000000000000000|- rs1_val==6 and rs2_val==6<br>                                                                                                                                                                                                           |[0x800071d8]:mulhsu<br> [0x800071dc]:sd<br> |
| 685|[0x8000a570]<br>0x0000000000000001|- rs1_val==6 and rs2_val==3689348814741910324<br>                                                                                                                                                                                         |[0x80007204]:mulhsu<br> [0x80007208]:sd<br> |
| 686|[0x8000a578]<br>0x0000000000000002|- rs1_val==6 and rs2_val==7378697629483820647<br>                                                                                                                                                                                         |[0x80007230]:mulhsu<br> [0x80007234]:sd<br> |
| 687|[0x8000a580]<br>0x0000000000000000|- rs1_val==6 and rs2_val==3037000500<br>                                                                                                                                                                                                  |[0x8000724c]:mulhsu<br> [0x80007250]:sd<br> |
| 688|[0x8000a588]<br>0x0000000000000000|- rs1_val==6 and rs2_val==1<br>                                                                                                                                                                                                           |[0x8000725c]:mulhsu<br> [0x80007260]:sd<br> |
| 689|[0x8000a590]<br>0x0000000000000000|- rs1_val==6 and rs2_val==4294967297<br>                                                                                                                                                                                                  |[0x80007274]:mulhsu<br> [0x80007278]:sd<br> |
| 690|[0x8000a598]<br>0x0000000000000000|- rs1_val==3689348814741910324 and rs2_val==3<br>                                                                                                                                                                                         |[0x800072a0]:mulhsu<br> [0x800072a4]:sd<br> |
| 691|[0x8000a5a0]<br>0x1111111111111111|- rs1_val==3689348814741910324 and rs2_val==6148914691236517205<br>                                                                                                                                                                       |[0x800072e8]:mulhsu<br> [0x800072ec]:sd<br> |
| 692|[0x8000a5a8]<br>0x2222222222222222|- rs1_val==3689348814741910324 and rs2_val==12297829382473034410<br>                                                                                                                                                                      |[0x80007330]:mulhsu<br> [0x80007334]:sd<br> |
| 693|[0x8000a5b0]<br>0x0000000000000001|- rs1_val==3689348814741910324 and rs2_val==5<br>                                                                                                                                                                                         |[0x8000735c]:mulhsu<br> [0x80007360]:sd<br> |
| 694|[0x8000a5b8]<br>0x0a3d70a3d70a3d70|- rs1_val==3689348814741910324 and rs2_val==3689348814741910323<br>                                                                                                                                                                       |[0x800073a4]:mulhsu<br> [0x800073a8]:sd<br> |
| 695|[0x8000a5c0]<br>0x147ae147ae147ae1|- rs1_val==3689348814741910324 and rs2_val==7378697629483820646<br>                                                                                                                                                                       |[0x800073ec]:mulhsu<br> [0x800073f0]:sd<br> |
| 696|[0x8000a5c8]<br>0x00000000243430a3|- rs1_val==3689348814741910324 and rs2_val==3037000499<br>                                                                                                                                                                                |[0x80007424]:mulhsu<br> [0x80007428]:sd<br> |
| 697|[0x8000a5d0]<br>0x0000000000000000|- rs1_val==3689348814741910324 and rs2_val==0<br>                                                                                                                                                                                         |[0x80007450]:mulhsu<br> [0x80007454]:sd<br> |
| 698|[0x8000a5d8]<br>0x0000000033333333|- rs1_val==3689348814741910324 and rs2_val==4294967296<br>                                                                                                                                                                                |[0x80007480]:mulhsu<br> [0x80007484]:sd<br> |
| 699|[0x8000a5e0]<br>0x0000000000000000|- rs1_val==3689348814741910324 and rs2_val==2<br>                                                                                                                                                                                         |[0x800074ac]:mulhsu<br> [0x800074b0]:sd<br> |
| 700|[0x8000a5e8]<br>0x1111111111111111|- rs1_val==3689348814741910324 and rs2_val==6148914691236517204<br>                                                                                                                                                                       |[0x800074f4]:mulhsu<br> [0x800074f8]:sd<br> |
| 701|[0x8000a5f0]<br>0x2222222222222222|- rs1_val==3689348814741910324 and rs2_val==12297829382473034409<br>                                                                                                                                                                      |[0x8000753c]:mulhsu<br> [0x80007540]:sd<br> |
| 702|[0x8000a5f8]<br>0x0000000000000000|- rs1_val==3689348814741910324 and rs2_val==4<br>                                                                                                                                                                                         |[0x80007568]:mulhsu<br> [0x8000756c]:sd<br> |
| 703|[0x8000a600]<br>0x0a3d70a3d70a3d70|- rs1_val==3689348814741910324 and rs2_val==3689348814741910322<br>                                                                                                                                                                       |[0x800075b0]:mulhsu<br> [0x800075b4]:sd<br> |
| 704|[0x8000a608]<br>0x147ae147ae147ae1|- rs1_val==3689348814741910324 and rs2_val==7378697629483820645<br>                                                                                                                                                                       |[0x800075f8]:mulhsu<br> [0x800075fc]:sd<br> |
| 705|[0x8000a610]<br>0x00000000243430a3|- rs1_val==3689348814741910324 and rs2_val==3037000498<br>                                                                                                                                                                                |[0x80007630]:mulhsu<br> [0x80007634]:sd<br> |
| 706|[0x8000a618]<br>0x0000000033333333|- rs1_val==3689348814741910324 and rs2_val==4294967295<br>                                                                                                                                                                                |[0x80007664]:mulhsu<br> [0x80007668]:sd<br> |
| 707|[0x8000a620]<br>0x1111111111111111|- rs1_val==3689348814741910324 and rs2_val==6148914691236517206<br>                                                                                                                                                                       |[0x800076ac]:mulhsu<br> [0x800076b0]:sd<br> |
| 708|[0x8000a628]<br>0x2222222222222222|- rs1_val==3689348814741910324 and rs2_val==12297829382473034411<br>                                                                                                                                                                      |[0x800076f4]:mulhsu<br> [0x800076f8]:sd<br> |
| 709|[0x8000a630]<br>0x0000000000000001|- rs1_val==3689348814741910324 and rs2_val==6<br>                                                                                                                                                                                         |[0x80007720]:mulhsu<br> [0x80007724]:sd<br> |
| 710|[0x8000a638]<br>0x0a3d70a3d70a3d70|- rs1_val==3689348814741910324 and rs2_val==3689348814741910324<br>                                                                                                                                                                       |[0x80007768]:mulhsu<br> [0x8000776c]:sd<br> |
| 711|[0x8000a640]<br>0x147ae147ae147ae1|- rs1_val==3689348814741910324 and rs2_val==7378697629483820647<br>                                                                                                                                                                       |[0x800077b0]:mulhsu<br> [0x800077b4]:sd<br> |
| 712|[0x8000a648]<br>0x00000000243430a4|- rs1_val==3689348814741910324 and rs2_val==3037000500<br>                                                                                                                                                                                |[0x800077e8]:mulhsu<br> [0x800077ec]:sd<br> |
| 713|[0x8000a650]<br>0x0000000000000000|- rs1_val==3689348814741910324 and rs2_val==1<br>                                                                                                                                                                                         |[0x80007814]:mulhsu<br> [0x80007818]:sd<br> |
| 714|[0x8000a658]<br>0x0000000033333333|- rs1_val==3689348814741910324 and rs2_val==4294967297<br>                                                                                                                                                                                |[0x80007848]:mulhsu<br> [0x8000784c]:sd<br> |
| 715|[0x8000a660]<br>0x0000000000000001|- rs1_val==7378697629483820647 and rs2_val==3<br>                                                                                                                                                                                         |[0x80007874]:mulhsu<br> [0x80007878]:sd<br> |
| 716|[0x8000a668]<br>0x2222222222222222|- rs1_val==7378697629483820647 and rs2_val==6148914691236517205<br>                                                                                                                                                                       |[0x800078bc]:mulhsu<br> [0x800078c0]:sd<br> |
| 717|[0x8000a670]<br>0x4444444444444444|- rs1_val==7378697629483820647 and rs2_val==12297829382473034410<br>                                                                                                                                                                      |[0x80007904]:mulhsu<br> [0x80007908]:sd<br> |
| 718|[0x8000a678]<br>0x0000000000000002|- rs1_val==7378697629483820647 and rs2_val==5<br>                                                                                                                                                                                         |[0x80007930]:mulhsu<br> [0x80007934]:sd<br> |
| 719|[0x8000a680]<br>0x147ae147ae147ae1|- rs1_val==7378697629483820647 and rs2_val==3689348814741910323<br>                                                                                                                                                                       |[0x80007978]:mulhsu<br> [0x8000797c]:sd<br> |
| 720|[0x8000a688]<br>0x28f5c28f5c28f5c2|- rs1_val==7378697629483820647 and rs2_val==7378697629483820646<br>                                                                                                                                                                       |[0x800079c0]:mulhsu<br> [0x800079c4]:sd<br> |
| 721|[0x8000a690]<br>0x0000000048686147|- rs1_val==7378697629483820647 and rs2_val==3037000499<br>                                                                                                                                                                                |[0x800079f8]:mulhsu<br> [0x800079fc]:sd<br> |
| 722|[0x8000a698]<br>0x0000000000000000|- rs1_val==7378697629483820647 and rs2_val==0<br>                                                                                                                                                                                         |[0x80007a24]:mulhsu<br> [0x80007a28]:sd<br> |
| 723|[0x8000a6a0]<br>0x0000000066666666|- rs1_val==7378697629483820647 and rs2_val==4294967296<br>                                                                                                                                                                                |[0x80007a54]:mulhsu<br> [0x80007a58]:sd<br> |
| 724|[0x8000a6a8]<br>0x0000000000000000|- rs1_val==7378697629483820647 and rs2_val==2<br>                                                                                                                                                                                         |[0x80007a80]:mulhsu<br> [0x80007a84]:sd<br> |
| 725|[0x8000a6b0]<br>0x2222222222222221|- rs1_val==7378697629483820647 and rs2_val==6148914691236517204<br>                                                                                                                                                                       |[0x80007ac8]:mulhsu<br> [0x80007acc]:sd<br> |
| 726|[0x8000a6b8]<br>0x4444444444444443|- rs1_val==7378697629483820647 and rs2_val==12297829382473034409<br>                                                                                                                                                                      |[0x80007b10]:mulhsu<br> [0x80007b14]:sd<br> |
| 727|[0x8000a6c0]<br>0x0000000000000001|- rs1_val==7378697629483820647 and rs2_val==4<br>                                                                                                                                                                                         |[0x80007b3c]:mulhsu<br> [0x80007b40]:sd<br> |
| 728|[0x8000a6c8]<br>0x147ae147ae147ae0|- rs1_val==7378697629483820647 and rs2_val==3689348814741910322<br>                                                                                                                                                                       |[0x80007b84]:mulhsu<br> [0x80007b88]:sd<br> |
| 729|[0x8000a6d0]<br>0x28f5c28f5c28f5c2|- rs1_val==7378697629483820647 and rs2_val==7378697629483820645<br>                                                                                                                                                                       |[0x80007bcc]:mulhsu<br> [0x80007bd0]:sd<br> |
| 730|[0x8000a6d8]<br>0x0000000048686147|- rs1_val==7378697629483820647 and rs2_val==3037000498<br>                                                                                                                                                                                |[0x80007c04]:mulhsu<br> [0x80007c08]:sd<br> |
| 731|[0x8000a6e0]<br>0x0000000066666666|- rs1_val==7378697629483820647 and rs2_val==4294967295<br>                                                                                                                                                                                |[0x80007c38]:mulhsu<br> [0x80007c3c]:sd<br> |
| 732|[0x8000a6e8]<br>0x2222222222222222|- rs1_val==7378697629483820647 and rs2_val==6148914691236517206<br>                                                                                                                                                                       |[0x80007c80]:mulhsu<br> [0x80007c84]:sd<br> |
| 733|[0x8000a6f0]<br>0x4444444444444444|- rs1_val==7378697629483820647 and rs2_val==12297829382473034411<br>                                                                                                                                                                      |[0x80007cc8]:mulhsu<br> [0x80007ccc]:sd<br> |
| 734|[0x8000a6f8]<br>0x0000000000000002|- rs1_val==7378697629483820647 and rs2_val==6<br>                                                                                                                                                                                         |[0x80007cf4]:mulhsu<br> [0x80007cf8]:sd<br> |
| 735|[0x8000a700]<br>0x147ae147ae147ae1|- rs1_val==7378697629483820647 and rs2_val==3689348814741910324<br>                                                                                                                                                                       |[0x80007d3c]:mulhsu<br> [0x80007d40]:sd<br> |
| 736|[0x8000a708]<br>0x28f5c28f5c28f5c3|- rs1_val==7378697629483820647 and rs2_val==7378697629483820647<br>                                                                                                                                                                       |[0x80007d84]:mulhsu<br> [0x80007d88]:sd<br> |
| 737|[0x8000a710]<br>0x0000000048686148|- rs1_val==7378697629483820647 and rs2_val==3037000500<br>                                                                                                                                                                                |[0x80007dbc]:mulhsu<br> [0x80007dc0]:sd<br> |
| 738|[0x8000a718]<br>0x0000000000000000|- rs1_val==7378697629483820647 and rs2_val==1<br>                                                                                                                                                                                         |[0x80007de8]:mulhsu<br> [0x80007dec]:sd<br> |
| 739|[0x8000a720]<br>0x0000000000003fff|- rs2_val == 18446744073709551359<br>                                                                                                                                                                                                     |[0x80007df8]:mulhsu<br> [0x80007dfc]:sd<br> |
| 740|[0x8000a730]<br>0x0000000000000000|- rs1_val == 33554432<br>                                                                                                                                                                                                                 |[0x80007e18]:mulhsu<br> [0x80007e1c]:sd<br> |
